package com.mshdabiola.designsystem.icon.drawable

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.mshdabiola.designsystem.icon.Drawable

public val Drawable.Computer: ImageVector
    get() {
        if (_computer != null) {
            return _computer!!
        }
        _computer = Builder(name = "Computer", defaultWidth = 115.42.dp, defaultHeight = 133.0.dp,
                viewportWidth = 115.42f, viewportHeight = 133.0f).apply {
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(115.4f, 53.24f)
                curveToRelative(-0.11f, -7.63f, -0.68f, -8.13f, -8.28f, -7.81f)
                lineToRelative(-4.07f, -0.25f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-0.06f, -4.16f, -0.07f, -8.32f, -0.17f, -12.47f)
                curveToRelative(-0.26f, -11.82f, -4.73f, -21.22f, -15.59f, -26.9f)
                curveTo(76.43f, 0.53f, 64.93f, -0.7f, 53.06f, 0.33f)
                arcTo(52.55f, 52.55f, 0.0f, false, false, 28.0f, 5.74f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-9.94f, 5.0f, -14.72f, 13.39f, -15.58f, 24.15f)
                curveTo(12.0f, 35.0f, 12.17f, 40.14f, 12.1f, 45.27f)
                horizontalLineToRelative(0.0f)
                lineToRelative(-4.0f, 0.17f)
                horizontalLineToRelative(0.0f)
                curveTo(0.74f, 45.19f, 0.0f, 45.92f, 0.0f, 53.0f)
                curveToRelative(0.0f, 4.12f, 0.16f, 8.24f, 0.0f, 12.35f)
                curveToRelative(-0.15f, 3.74f, 1.18f, 6.0f, 5.12f, 6.28f)
                lineTo(9.0f, 71.28f)
                lineTo(9.0f, 71.28f)
                lineToRelative(3.05f, 0.38f)
                horizontalLineToRelative(0.0f)
                quadToRelative(0.54f, 4.8f, 1.1f, 9.59f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-2.48f, 0.56f, -3.0f, 1.93f, -2.32f, 4.38f)
                curveToRelative(4.36f, 15.25f, 13.77f, 26.0f, 28.41f, 32.07f)
                horizontalLineToRelative(0.0f)
                curveTo(37.0f, 121.3f, 35.0f, 125.0f, 36.58f, 129.45f)
                arcToRelative(64.74f, 64.74f, 0.0f, false, false, 42.23f, 0.0f)
                curveToRelative(1.21f, -4.47f, -0.37f, -8.24f, -2.94f, -11.77f)
                horizontalLineToRelative(0.0f)
                curveToRelative(14.69f, -6.1f, 23.79f, -17.1f, 28.42f, -32.14f)
                curveToRelative(0.77f, -2.51f, -0.1f, -3.73f, -2.19f, -4.63f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.34f, -3.11f, 0.67f, -6.21f, 1.0f, -9.31f)
                horizontalLineToRelative(0.0f)
                lineToRelative(4.0f, -0.34f)
                horizontalLineToRelative(0.0f)
                lineToRelative(3.93f, 0.29f)
                curveToRelative(3.07f, -0.54f, 4.29f, -2.49f, 4.27f, -5.47f)
                curveTo(115.34f, 61.82f, 115.47f, 57.53f, 115.4f, 53.24f)
                close()
                moveTo(92.2f, 59.15f)
                arcToRelative(10.25f, 10.25f, 0.0f, false, true, -9.93f, 10.32f)
                arcTo(10.32f, 10.32f, 0.0f, true, true, 92.2f, 59.15f)
                close()
                moveTo(78.12f, 13.93f)
                curveToRelative(-0.08f, -1.77f, 0.58f, -3.66f, 2.35f, -3.78f)
                curveToRelative(2.11f, -0.13f, 1.46f, 2.0f, 1.66f, 3.28f)
                curveToRelative(-0.08f, 1.73f, 0.0f, 3.7f, -2.24f, 3.78f)
                reflectiveCurveTo(78.19f, 15.29f, 78.12f, 13.93f)
                close()
                moveTo(78.83f, 21.69f)
                curveToRelative(1.3f, 0.07f, 1.24f, 1.28f, 1.26f, 2.23f)
                curveToRelative(0.0f, 1.34f, -0.12f, 2.94f, -1.67f, 3.09f)
                reflectiveCurveTo(77.16f, 25.53f, 77.0f, 24.44f)
                curveTo(77.29f, 23.31f, 76.8f, 21.58f, 78.83f, 21.69f)
                close()
                moveTo(24.15f, 61.0f)
                curveToRelative(0.15f, -6.52f, 2.5f, -10.3f, 7.29f, -11.69f)
                arcToRelative(10.15f, 10.15f, 0.0f, false, true, 12.17f, 5.2f)
                arcToRelative(10.55f, 10.55f, 0.0f, false, true, -3.0f, 12.91f)
                arcToRelative(10.0f, 10.0f, 0.0f, false, true, -13.18f, -0.89f)
                arcToRelative(29.86f, 29.86f, 0.0f, false, true, -2.47f, -3.09f)
                arcToRelative(2.0f, 2.0f, 0.0f, false, false, -0.79f, -2.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-0.05f, -0.11f, -0.11f, -0.22f, -0.17f, -0.33f)
                close()
                moveTo(67.15f, 99.78f)
                arcTo(71.87f, 71.87f, 0.0f, false, true, 48.8f, 100.0f)
                curveToRelative(-3.32f, -0.34f, -5.32f, -2.82f, -4.94f, -6.36f)
                reflectiveCurveToRelative(2.6f, -5.22f, 6.08f, -5.27f)
                curveToRelative(2.65f, 0.0f, 5.31f, 0.0f, 8.0f, 0.0f)
                verticalLineToRelative(0.08f)
                curveToRelative(2.82f, 0.0f, 5.65f, -0.12f, 8.46f, 0.0f)
                curveToRelative(3.45f, 0.19f, 5.0f, 2.51f, 5.17f, 5.62f)
                curveTo(71.69f, 97.0f, 70.25f, 99.32f, 67.16f, 99.8f)
                close()
            }
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(38.0f, 59.2f)
                curveToRelative(1.85f, -0.14f, 2.86f, -1.49f, 3.14f, -3.68f)
                curveToRelative(-0.45f, -1.42f, -1.3f, -2.9f, -3.21f, -3.0f)
                arcToRelative(3.17f, 3.17f, 0.0f, false, false, -3.55f, 3.33f)
                arcTo(3.25f, 3.25f, 0.0f, false, false, 38.0f, 59.2f)
                close()
            }
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(85.25f, 59.19f)
                curveToRelative(2.13f, 0.18f, 3.27f, -1.27f, 3.76f, -3.28f)
                curveToRelative(-0.52f, -1.9f, -1.46f, -3.52f, -3.67f, -3.34f)
                arcToRelative(3.08f, 3.08f, 0.0f, false, false, -3.12f, 3.25f)
                arcTo(3.19f, 3.19f, 0.0f, false, false, 85.25f, 59.19f)
                close()
            }
        }
        .build()
        return _computer!!
    }

private var _computer: ImageVector? = null
