package com.mshdabiola.designsystem.icon.drawable

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.mshdabiola.designsystem.icon.Drawable

public val Drawable.ComputerMultiplayer: ImageVector
    get() {
        if (_computerMultiplayer != null) {
            return _computerMultiplayer!!
        }
        _computerMultiplayer = Builder(name = "ComputerMultiplayer", defaultWidth = 168.88.dp,
                defaultHeight = 139.0.dp, viewportWidth = 168.88f, viewportHeight = 139.0f).apply {
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(142.71f, 59.24f)
                curveToRelative(-0.11f, -7.63f, -0.69f, -8.13f, -8.28f, -7.81f)
                lineToRelative(-4.08f, -0.25f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.0f, -4.16f, -0.07f, -8.32f, -0.16f, -12.47f)
                curveToRelative(-0.26f, -11.82f, -4.73f, -21.22f, -15.6f, -26.9f)
                curveTo(103.74f, 6.53f, 92.23f, 5.3f, 80.37f, 6.33f)
                arcToRelative(52.61f, 52.61f, 0.0f, false, false, -25.11f, 5.41f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-9.94f, 5.0f, -14.72f, 13.39f, -15.58f, 24.15f)
                curveToRelative(-0.41f, 5.1f, -0.21f, 10.25f, -0.28f, 15.38f)
                horizontalLineToRelative(0.0f)
                lineToRelative(-4.0f, 0.17f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-7.36f, -0.25f, -8.13f, 0.48f, -8.08f, 7.51f)
                curveToRelative(0.0f, 4.12f, 0.16f, 8.24f, 0.0f, 12.35f)
                curveToRelative(-0.15f, 3.74f, 1.18f, 6.0f, 5.12f, 6.28f)
                lineToRelative(3.9f, -0.3f)
                horizontalLineToRelative(0.0f)
                lineToRelative(3.0f, 0.38f)
                horizontalLineToRelative(0.0f)
                quadToRelative(0.55f, 4.8f, 1.1f, 9.59f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-2.48f, 0.56f, -3.0f, 1.93f, -2.32f, 4.38f)
                curveToRelative(4.37f, 15.25f, 13.77f, 26.0f, 28.41f, 32.07f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-2.26f, 3.6f, -4.24f, 7.27f, -2.69f, 11.75f)
                arcToRelative(64.74f, 64.74f, 0.0f, false, false, 42.23f, 0.0f)
                curveToRelative(1.2f, -4.47f, -0.37f, -8.24f, -2.94f, -11.77f)
                horizontalLineToRelative(0.0f)
                curveToRelative(14.69f, -6.1f, 23.79f, -17.1f, 28.42f, -32.14f)
                curveToRelative(0.77f, -2.51f, -0.11f, -3.73f, -2.2f, -4.63f)
                horizontalLineToRelative(0.0f)
                quadToRelative(0.51f, -4.66f, 1.0f, -9.31f)
                horizontalLineToRelative(0.0f)
                lineToRelative(4.06f, -0.34f)
                horizontalLineToRelative(0.0f)
                lineToRelative(3.93f, 0.29f)
                curveToRelative(3.06f, -0.54f, 4.28f, -2.49f, 4.27f, -5.47f)
                curveTo(142.65f, 67.82f, 142.77f, 63.53f, 142.71f, 59.24f)
                close()
                moveTo(119.51f, 65.15f)
                arcToRelative(10.26f, 10.26f, 0.0f, false, true, -9.94f, 10.32f)
                arcToRelative(10.32f, 10.32f, 0.0f, true, true, 9.94f, -10.32f)
                close()
                moveTo(105.43f, 19.93f)
                curveToRelative(-0.09f, -1.77f, 0.58f, -3.66f, 2.34f, -3.78f)
                curveToRelative(2.12f, -0.13f, 1.46f, 2.0f, 1.67f, 3.28f)
                curveToRelative(-0.09f, 1.73f, 0.0f, 3.7f, -2.24f, 3.78f)
                reflectiveCurveTo(105.49f, 21.29f, 105.43f, 19.93f)
                close()
                moveTo(106.13f, 27.69f)
                curveToRelative(1.31f, 0.07f, 1.25f, 1.28f, 1.27f, 2.23f)
                curveToRelative(0.0f, 1.34f, -0.13f, 2.94f, -1.67f, 3.09f)
                reflectiveCurveToRelative(-1.26f, -1.48f, -1.38f, -2.57f)
                curveTo(104.59f, 29.31f, 104.11f, 27.58f, 106.13f, 27.69f)
                close()
                moveTo(51.46f, 67.0f)
                curveToRelative(0.15f, -6.52f, 2.5f, -10.3f, 7.28f, -11.69f)
                arcToRelative(10.17f, 10.17f, 0.0f, false, true, 12.18f, 5.2f)
                arcToRelative(10.57f, 10.57f, 0.0f, false, true, -3.0f, 12.91f)
                arcToRelative(10.0f, 10.0f, 0.0f, false, true, -13.18f, -0.89f)
                arcToRelative(29.94f, 29.94f, 0.0f, false, true, -2.48f, -3.09f)
                arcToRelative(1.94f, 1.94f, 0.0f, false, false, -0.79f, -2.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.0f, -0.11f, -0.11f, -0.22f, -0.17f, -0.33f)
                close()
                moveTo(94.46f, 105.78f)
                arcTo(71.87f, 71.87f, 0.0f, false, true, 76.1f, 106.0f)
                curveToRelative(-3.31f, -0.34f, -5.31f, -2.82f, -4.94f, -6.36f)
                reflectiveCurveToRelative(2.6f, -5.22f, 6.08f, -5.27f)
                curveToRelative(2.66f, 0.0f, 5.32f, 0.0f, 8.0f, 0.0f)
                verticalLineToRelative(0.08f)
                curveToRelative(2.83f, 0.0f, 5.65f, -0.12f, 8.47f, 0.0f)
                curveToRelative(3.45f, 0.19f, 5.0f, 2.51f, 5.17f, 5.62f)
                curveTo(99.0f, 103.0f, 97.56f, 105.32f, 94.46f, 105.8f)
                close()
            }
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(65.31f, 65.2f)
                curveToRelative(1.84f, -0.14f, 2.86f, -1.49f, 3.13f, -3.68f)
                curveToRelative(-0.44f, -1.42f, -1.29f, -2.9f, -3.21f, -3.0f)
                arcToRelative(3.17f, 3.17f, 0.0f, false, false, -3.54f, 3.33f)
                arcTo(3.25f, 3.25f, 0.0f, false, false, 65.31f, 65.2f)
                close()
            }
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(112.55f, 65.19f)
                curveToRelative(2.13f, 0.18f, 3.27f, -1.27f, 3.76f, -3.28f)
                curveToRelative(-0.51f, -1.9f, -1.45f, -3.52f, -3.67f, -3.34f)
                arcToRelative(3.08f, 3.08f, 0.0f, false, false, -3.11f, 3.25f)
                arcTo(3.19f, 3.19f, 0.0f, false, false, 112.55f, 65.19f)
                close()
            }
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(102.73f, 32.1f)
                arcTo(38.93f, 38.93f, 0.0f, false, false, 102.0f, 27.0f)
                curveToRelative(-0.46f, 0.59f, -0.3f, 1.63f, -0.47f, 2.41f)
                curveTo(101.67f, 30.52f, 101.35f, 32.09f, 102.73f, 32.1f)
                close()
            }
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(61.09f, 138.4f)
                curveToRelative(-1.55f, -4.64f, 0.43f, -8.45f, 2.7f, -12.18f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-14.64f, -6.34f, -24.0f, -17.46f, -28.41f, -33.28f)
                curveToRelative(-0.71f, -2.55f, -0.16f, -4.0f, 2.32f, -4.55f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-0.37f, -3.31f, -0.73f, -6.63f, -1.1f, -10.0f)
                horizontalLineToRelative(0.0f)
                lineToRelative(-3.05f, -0.39f)
                horizontalLineToRelative(0.0f)
                lineToRelative(-3.91f, 0.3f)
                curveToRelative(-3.94f, -0.28f, -5.27f, -2.62f, -5.12f, -6.51f)
                curveToRelative(0.09f, -2.21f, 0.09f, -4.42f, 0.07f, -6.64f)
                arcToRelative(2.0f, 2.0f, 0.0f, false, false, -0.45f, -0.46f)
                horizontalLineToRelative(0.0f)
                arcTo(3.59f, 3.59f, 0.0f, false, false, 24.0f, 64.4f)
                lineToRelative(0.18f, -0.08f)
                arcToRelative(22.51f, 22.51f, 0.0f, false, true, 0.39f, -3.87f)
                curveToRelative(0.0f, -0.47f, 0.0f, -1.0f, 0.0f, -1.42f)
                curveToRelative(-0.05f, -7.3f, 0.72f, -8.05f, 8.07f, -7.79f)
                horizontalLineToRelative(0.0f)
                lineToRelative(4.0f, -0.19f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.07f, -5.32f, -0.13f, -10.66f, 0.28f, -15.95f)
                curveTo(37.75f, 23.93f, 42.53f, 15.22f, 52.47f, 10.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(50.8f, 50.8f, 0.0f, false, true, 25.1f, -5.61f)
                curveToRelative(1.0f, -0.1f, 2.0f, -0.16f, 3.0f, -0.22f)
                curveTo(71.75f, 1.14f, 62.52f, 0.49f, 53.06f, 1.34f)
                arcTo(50.92f, 50.92f, 0.0f, false, false, 28.0f, 7.0f)
                horizontalLineToRelative(0.0f)
                curveTo(18.0f, 12.13f, 13.24f, 20.85f, 12.38f, 32.0f)
                curveTo(12.0f, 37.31f, 12.17f, 42.65f, 12.1f, 48.0f)
                horizontalLineToRelative(0.0f)
                lineToRelative(-4.0f, 0.18f)
                horizontalLineToRelative(0.0f)
                curveTo(0.74f, 47.89f, 0.0f, 48.65f, 0.0f, 56.0f)
                curveToRelative(0.0f, 4.27f, 0.16f, 8.54f, 0.0f, 12.81f)
                curveTo(-0.14f, 72.64f, 1.19f, 75.0f, 5.13f, 75.27f)
                lineTo(9.0f, 75.0f)
                horizontalLineTo(9.0f)
                lineToRelative(3.05f, 0.4f)
                horizontalLineToRelative(0.0f)
                curveToRelative(0.36f, 3.32f, 0.73f, 6.63f, 1.1f, 10.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-2.48f, 0.58f, -3.0f, 2.0f, -2.32f, 4.55f)
                curveToRelative(4.36f, 15.82f, 13.77f, 26.94f, 28.41f, 33.28f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-2.27f, 3.73f, -4.25f, 7.54f, -2.7f, 12.18f)
                arcToRelative(62.17f, 62.17f, 0.0f, false, false, 25.77f, 3.5f)
                curveTo(61.93f, 138.68f, 61.51f, 138.55f, 61.09f, 138.4f)
                close()
            }
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(66.14f, 31.1f)
                arcTo(42.69f, 42.69f, 0.0f, false, true, 66.85f, 26.0f)
                curveToRelative(0.46f, 0.59f, 0.31f, 1.63f, 0.47f, 2.41f)
                curveTo(67.21f, 29.52f, 67.53f, 31.09f, 66.14f, 31.1f)
                close()
            }
            path(fill = SolidColor(Color(0xFF1d1d1b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(107.78f, 137.4f)
                curveToRelative(1.55f, -4.64f, -0.43f, -8.45f, -2.69f, -12.18f)
                horizontalLineToRelative(0.0f)
                curveToRelative(14.64f, -6.34f, 24.0f, -17.46f, 28.41f, -33.28f)
                curveToRelative(0.7f, -2.55f, 0.16f, -4.0f, -2.32f, -4.55f)
                horizontalLineToRelative(0.0f)
                quadToRelative(0.54f, -5.0f, 1.1f, -10.0f)
                horizontalLineToRelative(0.0f)
                lineToRelative(3.0f, -0.39f)
                horizontalLineToRelative(0.0f)
                lineToRelative(3.91f, 0.3f)
                curveToRelative(3.94f, -0.28f, 5.27f, -2.62f, 5.12f, -6.51f)
                curveToRelative(-0.08f, -2.21f, -0.09f, -4.42f, -0.07f, -6.64f)
                arcToRelative(2.0f, 2.0f, 0.0f, false, true, 0.46f, -0.46f)
                horizontalLineToRelative(0.0f)
                arcToRelative(3.59f, 3.59f, 0.0f, false, true, 0.17f, -0.34f)
                lineToRelative(-0.18f, -0.08f)
                arcToRelative(23.5f, 23.5f, 0.0f, false, false, -0.4f, -3.87f)
                curveToRelative(0.0f, -0.47f, 0.0f, -1.0f, 0.0f, -1.42f)
                curveToRelative(0.05f, -7.3f, -0.72f, -8.05f, -8.08f, -7.79f)
                horizontalLineToRelative(0.0f)
                lineToRelative(-4.0f, -0.19f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-0.08f, -5.32f, 0.13f, -10.66f, -0.28f, -15.95f)
                curveToRelative(-0.86f, -11.17f, -5.65f, -19.88f, -15.58f, -25.06f)
                horizontalLineToRelative(0.0f)
                arcTo(50.86f, 50.86f, 0.0f, false, false, 91.3f, 3.43f)
                curveToRelative(-1.0f, -0.1f, -2.0f, -0.16f, -3.0f, -0.22f)
                curveTo(97.12f, 0.14f, 106.35f, -0.51f, 115.81f, 0.34f)
                arcTo(51.0f, 51.0f, 0.0f, false, true, 140.92f, 6.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(9.94f, 5.17f, 14.72f, 13.89f, 15.58f, 25.06f)
                curveToRelative(0.41f, 5.29f, 0.21f, 10.63f, 0.28f, 16.0f)
                horizontalLineToRelative(0.0f)
                lineToRelative(4.0f, 0.18f)
                horizontalLineToRelative(0.0f)
                curveToRelative(7.36f, -0.26f, 8.13f, 0.5f, 8.08f, 7.8f)
                curveToRelative(0.0f, 4.27f, -0.16f, 8.54f, 0.0f, 12.81f)
                curveToRelative(0.15f, 3.88f, -1.18f, 6.23f, -5.12f, 6.51f)
                lineToRelative(-3.9f, -0.31f)
                horizontalLineToRelative(0.0f)
                lineToRelative(-3.05f, 0.4f)
                horizontalLineToRelative(0.0f)
                curveToRelative(-0.37f, 3.32f, -0.74f, 6.63f, -1.1f, 10.0f)
                horizontalLineToRelative(0.0f)
                curveToRelative(2.48f, 0.58f, 3.0f, 2.0f, 2.32f, 4.55f)
                curveToRelative(-4.37f, 15.82f, -13.77f, 26.94f, -28.41f, 33.28f)
                horizontalLineToRelative(0.0f)
                curveToRelative(2.26f, 3.73f, 4.24f, 7.54f, 2.69f, 12.18f)
                arcToRelative(62.17f, 62.17f, 0.0f, false, true, -25.77f, 3.5f)
                curveTo(106.94f, 137.68f, 107.36f, 137.55f, 107.78f, 137.4f)
                close()
            }
        }
        .build()
        return _computerMultiplayer!!
    }

private var _computerMultiplayer: ImageVector? = null
