package com.mshdabiola.designsystem.icon.drawable

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.mshdabiola.designsystem.icon.Drawable

public val Drawable.Icon3: ImageVector
    get() {
        if (_icon3 != null) {
            return _icon3!!
        }
        _icon3 = Builder(name = "Icon3", defaultWidth = 140.99.dp, defaultHeight = 114.53.dp,
                viewportWidth = 140.99f, viewportHeight = 114.53f).apply {
            path(fill = SolidColor(Color(0xFFe94980)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(117.26f, 98.0f)
                curveTo(107.12f, 107.0f, 95.0f, 111.8f, 81.81f, 113.69f)
                curveToRelative(-21.65f, 3.11f, -41.18f, -2.48f, -58.37f, -16.06f)
                arcToRelative(21.54f, 21.54f, 0.0f, false, true, -2.33f, -2.52f)
                curveToRelative(-1.5f, -3.46f, 0.76f, -6.08f, 2.2f, -8.72f)
                curveToRelative(3.0f, -5.59f, 8.0f, -9.21f, 13.49f, -12.15f)
                curveToRelative(1.55f, -0.84f, 3.34f, -1.77f, 5.0f, 0.07f)
                curveTo(43.51f, 80.0f, 47.52f, 81.7f, 53.2f, 81.56f)
                curveToRelative(10.77f, -0.27f, 21.55f, -0.22f, 32.32f, 0.0f)
                curveToRelative(5.5f, 0.11f, 9.36f, -1.62f, 10.88f, -7.21f)
                curveToRelative(1.0f, -1.33f, 2.29f, -1.21f, 3.55f, -0.71f)
                curveToRelative(9.11f, 3.64f, 15.37f, 9.93f, 18.0f, 19.57f)
                arcTo(6.85f, 6.85f, 0.0f, false, true, 117.26f, 98.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFFe94980)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(122.85f, 54.74f)
                curveToRelative(-7.34f, 7.0f, -16.33f, 11.11f, -25.79f, 14.35f)
                curveToRelative(-5.3f, 3.81f, -11.43f, 4.13f, -17.62f, 4.22f)
                curveTo(65.78f, 71.06f, 52.2f, 68.49f, 41.0f, 59.44f)
                curveToRelative(-2.42f, -2.0f, -5.48f, -3.85f, -4.76f, -7.86f)
                curveToRelative(2.33f, -1.23f, 4.55f, 0.0f, 6.79f, 0.37f)
                curveToRelative(20.87f, 3.95f, 41.61f, 4.38f, 62.11f, -2.25f)
                curveToRelative(5.0f, -1.61f, 9.64f, -3.69f, 13.21f, -7.67f)
                curveToRelative(3.77f, -4.2f, 3.75f, -7.26f, 0.0f, -11.33f)
                curveToRelative(-4.86f, -5.22f, -11.23f, -7.66f, -17.89f, -9.31f)
                curveTo(82.1f, 16.83f, 63.66f, 16.0f, 45.13f, 20.33f)
                curveToRelative(-1.62f, 0.38f, -3.25f, 0.81f, -4.89f, 0.08f)
                curveToRelative(-2.92f, -2.58f, -2.0f, -5.05f, 0.51f, -7.06f)
                curveTo(52.05f, 4.47f, 64.7f, -0.39f, 79.3f, 0.8f)
                curveToRelative(16.82f, 0.92f, 31.92f, 6.0f, 44.2f, 18.06f)
                arcToRelative(34.34f, 34.34f, 0.0f, false, true, 4.64f, 6.25f)
                curveToRelative(5.7f, 6.3f, 5.69f, 17.14f, 0.0f, 22.58f)
                close()
            }
            path(fill = SolidColor(Color(0xFFe8386a)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(79.3f, 0.8f)
                curveTo(65.54f, 1.57f, 53.0f, 5.62f, 41.82f, 13.94f)
                curveToRelative(-2.33f, 1.74f, -2.64f, 3.45f, -1.81f, 5.84f)
                curveToRelative(-1.57f, 2.49f, -4.55f, 2.48f, -6.77f, 3.82f)
                arcToRelative(26.44f, 26.44f, 0.0f, false, false, -9.58f, 5.19f)
                curveToRelative(-5.44f, 4.62f, -5.44f, 9.57f, -0.28f, 14.38f)
                arcToRelative(29.08f, 29.08f, 0.0f, false, false, 9.75f, 5.88f)
                curveToRelative(1.11f, 0.74f, 2.84f, 0.79f, 3.0f, 2.65f)
                curveToRelative(7.0f, 10.66f, 17.69f, 15.23f, 29.67f, 17.09f)
                curveToRelative(4.57f, 0.72f, 8.27f, 4.8f, 13.32f, 3.17f)
                curveToRelative(0.0f, 1.84f, -1.55f, 2.1f, -2.8f, 2.18f)
                arcToRelative(88.67f, 88.67f, 0.0f, false, true, -32.41f, -3.8f)
                arcTo(3.35f, 3.35f, 0.0f, false, true, 42.0f, 68.76f)
                curveToRelative(-8.54f, -3.62f, -17.17f, -7.08f, -23.83f, -13.91f)
                curveToRelative(-2.16f, -2.5f, -4.42f, -4.92f, -5.69f, -8.0f)
                curveToRelative(-5.44f, -4.57f, -5.42f, -16.71f, 0.0f, -21.0f)
                curveTo(18.05f, 15.36f, 27.47f, 9.9f, 38.0f, 5.66f)
                curveTo(50.76f, 0.51f, 64.06f, -0.23f, 77.54f, 0.05f)
                arcTo(5.34f, 5.34f, 0.0f, false, true, 79.3f, 0.8f)
                close()
            }
            path(fill = SolidColor(Color(0xFF2b293c)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(128.12f, 47.69f)
                curveToRelative(3.79f, -7.53f, 3.68f, -15.06f, 0.0f, -22.59f)
                curveToRelative(7.2f, -0.4f, 12.73f, 4.15f, 12.85f, 10.61f)
                curveTo(141.13f, 43.09f, 135.89f, 48.0f, 128.12f, 47.69f)
                close()
            }
            path(fill = SolidColor(Color(0xFF29293b)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.51f, 25.83f)
                curveToRelative(-3.56f, 7.0f, -3.44f, 14.0f, 0.0f, 21.0f)
                curveToRelative(-5.13f, 2.0f, -10.67f, -1.44f, -12.13f, -7.66f)
                arcTo(11.0f, 11.0f, 0.0f, false, true, 3.79f, 27.9f)
                curveTo(6.12f, 25.83f, 8.87f, 23.34f, 12.51f, 25.83f)
                close()
            }
            path(fill = SolidColor(Color(0xFF282a3d)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(42.0f, 68.76f)
                curveToRelative(10.93f, 2.73f, 22.0f, 4.5f, 33.29f, 3.85f)
                curveToRelative(1.27f, -0.07f, 2.67f, 0.42f, 3.78f, -0.65f)
                curveToRelative(6.18f, 0.26f, 12.0f, -1.85f, 18.0f, -2.87f)
                curveToRelative(0.1f, 1.65f, 0.19f, 3.29f, 0.29f, 4.93f)
                curveToRelative(-0.53f, 6.6f, -2.8f, 8.84f, -9.29f, 8.87f)
                quadToRelative(-18.86f, 0.08f, -37.72f, 0.0f)
                curveToRelative(-6.4f, 0.0f, -8.8f, -2.29f, -9.5f, -8.78f)
                curveTo(41.37f, 72.36f, 40.38f, 70.28f, 42.0f, 68.76f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(36.09f, 51.7f)
                lineTo(33.0f, 49.89f)
                curveToRelative(-1.66f, -2.56f, -5.23f, -4.62f, -2.17f, -8.39f)
                curveToRelative(2.12f, 0.0f, 3.0f, 1.91f, 4.43f, 2.92f)
                curveToRelative(5.0f, 3.5f, 11.21f, 2.59f, 14.51f, -2.21f)
                curveTo(52.87f, 37.74f, 51.69f, 31.0f, 47.32f, 28.0f)
                arcToRelative(10.33f, 10.33f, 0.0f, false, false, -14.71f, 3.31f)
                curveToRelative(-0.86f, 1.35f, -1.09f, 3.2f, -2.95f, 3.79f)
                curveToRelative(-3.25f, -2.85f, -0.44f, -5.54f, 0.23f, -8.28f)
                curveTo(30.33f, 25.0f, 31.81f, 24.0f, 33.0f, 22.63f)
                lineToRelative(7.0f, -2.85f)
                curveToRelative(11.4f, -2.44f, 22.91f, -4.12f, 34.57f, -3.49f)
                curveToRelative(13.29f, 0.72f, 26.53f, 2.08f, 38.55f, 8.57f)
                curveToRelative(4.61f, 2.49f, 9.46f, 5.42f, 9.55f, 11.22f)
                curveToRelative(0.1f, 6.3f, -5.0f, 9.41f, -10.0f, 12.0f)
                curveToRelative(-9.46f, 4.83f, -19.71f, 7.0f, -30.18f, 7.75f)
                curveTo(66.86f, 56.91f, 51.3f, 56.0f, 36.09f, 51.7f)
                close()
            }
            path(fill = SolidColor(Color(0xFFdedcdc)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(31.0f, 41.92f)
                curveToRelative(-1.6f, 3.22f, 2.26f, 5.08f, 2.0f, 8.0f)
                curveToRelative(-3.94f, -0.53f, -7.0f, -2.79f, -9.92f, -5.2f)
                curveToRelative(-6.59f, -5.45f, -6.7f, -11.42f, -0.1f, -16.91f)
                curveToRelative(2.88f, -2.39f, 6.1f, -4.48f, 10.0f, -5.15f)
                curveToRelative(-0.69f, 4.16f, -4.91f, 7.44f, -3.08f, 12.25f)
                curveTo(31.79f, 37.0f, 32.4f, 39.29f, 31.0f, 41.92f)
                close()
            }
            path(fill = SolidColor(Color(0xFF28293d)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(31.0f, 41.92f)
                curveToRelative(-0.39f, -2.35f, -0.77f, -4.7f, -1.16f, -7.0f)
                curveToRelative(1.0f, -5.25f, 4.13f, -8.7f, 9.28f, -9.87f)
                arcToRelative(10.92f, 10.92f, 0.0f, false, true, 10.77f, 3.6f)
                arcTo(11.52f, 11.52f, 0.0f, false, true, 50.12f, 44.0f)
                arcToRelative(11.3f, 11.3f, 0.0f, false, true, -15.26f, 1.7f)
                arcTo(31.87f, 31.87f, 0.0f, false, true, 31.0f, 41.92f)
                close()
            }
            path(fill = SolidColor(Color(0xFF27283d)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(86.0f, 36.24f)
                arcTo(11.34f, 11.34f, 0.0f, false, true, 97.35f, 24.85f)
                arcToRelative(11.73f, 11.73f, 0.0f, false, true, 11.74f, 11.63f)
                arcTo(11.81f, 11.81f, 0.0f, false, true, 97.61f, 47.92f)
                arcTo(11.42f, 11.42f, 0.0f, false, true, 86.0f, 36.24f)
                close()
            }
            path(fill = SolidColor(Color(0xFF262637)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(69.35f, 51.0f)
                arcToRelative(11.73f, 11.73f, 0.0f, false, true, -8.92f, -3.42f)
                arcToRelative(1.56f, 1.56f, 0.0f, false, true, -0.27f, -2.22f)
                curveToRelative(0.73f, -0.89f, 1.46f, -0.4f, 2.1f, 0.13f)
                curveToRelative(4.66f, 3.78f, 9.29f, 3.58f, 13.9f, -0.09f)
                curveToRelative(0.74f, -0.59f, 1.41f, -0.73f, 2.07f, 0.12f)
                arcToRelative(1.47f, 1.47f, 0.0f, false, true, -0.39f, 2.16f)
                curveTo(75.26f, 49.87f, 72.39f, 51.36f, 69.35f, 51.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFFaeca72)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(45.07f, 36.49f)
                curveToRelative(-0.32f, 2.3f, -1.51f, 3.61f, -3.93f, 3.49f)
                reflectiveCurveToRelative(-3.49f, -1.79f, -3.31f, -4.0f)
                arcToRelative(3.23f, 3.23f, 0.0f, false, true, 3.63f, -3.22f)
                curveTo(43.87f, 32.84f, 45.0f, 34.12f, 45.07f, 36.49f)
                close()
            }
            path(fill = SolidColor(Color(0xFFafca74)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(98.32f, 39.93f)
                curveToRelative(-3.16f, 0.19f, -4.41f, -1.21f, -4.47f, -3.48f)
                curveToRelative(-0.06f, -2.0f, 0.88f, -3.52f, 3.15f, -3.66f)
                reflectiveCurveToRelative(3.89f, 0.79f, 4.0f, 3.24f)
                reflectiveCurveTo(100.09f, 39.78f, 98.32f, 39.93f)
                close()
            }
        }
        .build()
        return _icon3!!
    }

private var _icon3: ImageVector? = null
