package com.mshdabiola.designsystem.icon.drawable

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.mshdabiola.designsystem.icon.Drawable

public val Drawable.Icon6: ImageVector
    get() {
        if (_icon6 != null) {
            return _icon6!!
        }
        _icon6 = Builder(name = "Icon6", defaultWidth = 111.5.dp, defaultHeight = 139.97.dp,
                viewportWidth = 111.5f, viewportHeight = 139.97f).apply {
            path(fill = SolidColor(Color(0xFFaa9bcb)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(99.14f, 126.1f)
                curveToRelative(-15.08f, 11.16f, -32.0f, 15.28f, -50.56f, 13.45f)
                arcToRelative(64.9f, 64.9f, 0.0f, false, true, -26.42f, -7.94f)
                curveToRelative(-0.49f, -0.85f, -1.35f, -1.53f, -1.35f, -2.61f)
                curveToRelative(0.0f, -6.46f, -0.7f, -13.0f, 0.34f, -19.38f)
                curveToRelative(1.22f, -7.53f, 4.84f, -10.78f, 12.48f, -10.87f)
                curveToRelative(19.58f, -0.22f, 39.17f, -0.1f, 58.76f, 0.0f)
                arcToRelative(9.91f, 9.91f, 0.0f, false, true, 4.85f, 0.9f)
                curveToRelative(1.84f, 1.26f, 2.34f, 3.19f, 2.36f, 5.21f)
                curveTo(99.68f, 111.91f, 100.18f, 119.0f, 99.14f, 126.1f)
                close()
            }
            path(fill = SolidColor(Color(0xFF8d84af)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.32f, 125.51f)
                curveToRelative(2.0f, -5.12f, 1.0f, -10.48f, 0.76f, -15.65f)
                curveToRelative(-0.56f, -13.0f, 4.64f, -17.33f, 16.15f, -16.8f)
                curveToRelative(1.8f, -1.54f, 4.0f, -1.44f, 6.15f, -1.45f)
                quadToRelative(20.4f, -0.08f, 40.79f, 0.0f)
                curveToRelative(2.16f, 0.0f, 4.33f, 0.05f, 6.16f, 1.48f)
                curveToRelative(5.0f, 0.09f, 10.28f, -0.42f, 13.79f, 4.49f)
                curveToRelative(0.6f, 0.84f, 1.19f, 1.55f, 1.0f, 2.62f)
                quadToRelative(-31.18f, 0.0f, -62.36f, 0.0f)
                curveToRelative(-8.52f, 0.0f, -12.11f, 3.25f, -12.46f, 11.77f)
                curveToRelative(-0.27f, 6.54f, -0.09f, 13.09f, -0.1f, 19.64f)
                arcTo(32.15f, 32.15f, 0.0f, false, true, 12.32f, 125.51f)
                close()
            }
            path(fill = SolidColor(Color(0xFFaa9bcb)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(29.21f, 78.27f)
                lineToRelative(-23.0f, 0.0f)
                curveToRelative(-4.61f, 0.29f, -6.57f, -1.63f, -6.13f, -6.46f)
                curveToRelative(0.39f, -4.28f, 0.0f, -8.63f, 0.09f, -13.0f)
                reflectiveCurveToRelative(1.22f, -8.23f, 5.86f, -10.0f)
                curveToRelative(2.79f, 0.21f, 3.08f, 2.74f, 3.94f, 4.53f)
                curveToRelative(4.2f, 8.77f, 11.29f, 12.2f, 20.67f, 11.43f)
                curveToRelative(8.3f, -0.68f, 13.67f, -5.47f, 17.0f, -12.76f)
                curveToRelative(2.76f, -6.13f, 3.2f, -6.46f, 9.53f, -6.24f)
                curveToRelative(3.08f, 0.11f, 4.75f, 1.42f, 6.0f, 4.21f)
                curveToRelative(2.41f, 5.32f, 5.28f, 10.24f, 11.0f, 13.0f)
                curveToRelative(8.0f, 3.83f, 20.8f, 1.62f, 25.61f, -6.65f)
                curveToRelative(1.64f, -2.83f, 2.92f, -6.0f, 5.46f, -8.23f)
                curveToRelative(4.36f, 2.54f, 6.52f, 6.16f, 6.18f, 11.36f)
                arcToRelative(71.89f, 71.89f, 0.0f, false, false, 0.0f, 11.83f)
                curveToRelative(0.51f, 4.89f, -1.34f, 7.12f, -6.2f, 6.91f)
                lineToRelative(-22.85f, 0.08f)
                arcToRelative(13.81f, 13.81f, 0.0f, false, true, -6.75f, 1.36f)
                quadToRelative(-20.15f, 0.06f, -40.28f, 0.0f)
                curveTo(33.2f, 79.74f, 31.0f, 79.81f, 29.21f, 78.27f)
                close()
            }
            path(fill = SolidColor(Color(0xFF505073)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(65.73f, 45.21f)
                curveToRelative(1.91f, -10.0f, 8.35f, -16.0f, 17.19f, -16.06f)
                curveToRelative(9.0f, -0.07f, 15.45f, 5.59f, 17.64f, 15.55f)
                curveToRelative(2.21f, 6.49f, 0.21f, 11.92f, -4.9f, 15.93f)
                curveToRelative(-6.17f, 4.85f, -13.25f, 6.22f, -20.52f, 2.62f)
                curveTo(66.91f, 59.17f, 64.27f, 53.72f, 65.73f, 45.21f)
                close()
            }
            path(fill = SolidColor(Color(0xFF504f73)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.0f, 46.39f)
                curveToRelative(0.83f, -5.55f, 2.68f, -10.48f, 7.58f, -13.89f)
                curveToRelative(11.58f, -8.0f, 26.79f, -0.41f, 27.8f, 13.66f)
                curveTo(48.3f, 54.0f, 42.78f, 62.0f, 33.65f, 64.77f)
                curveToRelative(-10.38f, 3.13f, -22.55f, -5.24f, -23.24f, -16.0f)
                arcTo(4.77f, 4.77f, 0.0f, false, true, 11.0f, 46.39f)
                close()
            }
            path(fill = SolidColor(Color(0xFF8c84b0)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.0f, 46.39f)
                curveToRelative(1.24f, 8.27f, 4.62f, 14.65f, 13.5f, 17.0f)
                curveToRelative(11.0f, 3.0f, 20.14f, -4.12f, 21.88f, -17.28f)
                curveToRelative(1.0f, 0.4f, 1.9f, 1.3f, 2.87f, 0.0f)
                arcToRelative(13.37f, 13.37f, 0.0f, false, true, 13.19f, 0.0f)
                curveToRelative(1.29f, 0.32f, 2.63f, 0.8f, 3.29f, -1.0f)
                curveTo(67.0f, 56.36f, 70.41f, 61.1f, 78.89f, 63.31f)
                curveToRelative(11.29f, 2.94f, 21.14f, -4.51f, 21.4f, -16.17f)
                curveToRelative(0.0f, -0.82f, 0.17f, -1.64f, 0.27f, -2.45f)
                curveToRelative(0.65f, 2.37f, 3.27f, 2.13f, 4.65f, 3.51f)
                curveTo(100.0f, 63.36f, 91.44f, 67.9f, 77.51f, 65.85f)
                curveToRelative(-7.74f, -1.13f, -13.0f, -7.23f, -15.28f, -14.7f)
                curveToRelative(-1.45f, -4.75f, -4.59f, -3.56f, -7.71f, -4.0f)
                curveToRelative(-3.56f, -0.45f, -4.34f, 1.64f, -5.34f, 4.35f)
                curveTo(43.92f, 65.73f, 30.62f, 69.21f, 18.77f, 64.61f)
                curveTo(13.28f, 62.47f, 9.5f, 57.33f, 7.43f, 51.47f)
                curveTo(7.1f, 50.53f, 7.0f, 49.52f, 6.0f, 48.93f)
                curveTo(7.13f, 47.0f, 9.4f, 47.35f, 11.0f, 46.39f)
                close()
            }
            path(fill = SolidColor(Color(0xFFf5c553)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(54.36f, 18.48f)
                curveToRelative(-4.55f, -2.07f, -7.91f, -5.14f, -6.83f, -10.6f)
                arcToRelative(7.77f, 7.77f, 0.0f, false, true, 7.0f, -6.62f)
                curveToRelative(4.0f, -0.48f, 7.46f, 1.28f, 9.0f, 4.69f)
                arcToRelative(7.92f, 7.92f, 0.0f, false, true, -2.28f, 9.87f)
                arcToRelative(33.47f, 33.47f, 0.0f, false, true, -4.21f, 2.52f)
                arcTo(2.18f, 2.18f, 0.0f, false, true, 54.36f, 18.48f)
                close()
            }
            path(fill = SolidColor(Color(0xFF322f4a)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(62.45f, 46.2f)
                horizontalLineTo(49.26f)
                curveToRelative(-1.71f, -5.0f, -1.06f, -5.77f, 5.12f, -6.18f)
                arcToRelative(2.13f, 2.13f, 0.0f, false, true, 2.79f, 0.0f)
                curveTo(63.57f, 40.41f, 63.9f, 40.8f, 62.45f, 46.2f)
                close()
            }
            path(fill = SolidColor(Color(0xFFfcf8fa)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(57.17f, 40.0f)
                horizontalLineTo(54.38f)
                quadToRelative(0.0f, -10.77f, 0.0f, -21.54f)
                lineToRelative(2.75f, -0.14f)
                close()
            }
            path(fill = SolidColor(Color(0xFFf6cd78)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(90.22f, 9.0f)
                arcToRelative(14.7f, 14.7f, 0.0f, false, true, -2.94f, 9.16f)
                curveToRelative(-0.64f, 0.84f, -1.43f, 1.62f, -2.43f, 0.91f)
                reflectiveCurveToRelative(-0.59f, -1.77f, 0.0f, -2.63f)
                curveToRelative(3.09f, -4.4f, 3.35f, -8.8f, 0.06f, -13.23f)
                curveToRelative(-0.71f, -1.0f, -1.36f, -2.15f, 0.0f, -3.0f)
                curveToRelative(1.0f, -0.65f, 1.74f, 0.35f, 2.39f, 1.14f)
                curveTo(89.2f, 3.71f, 90.53f, 6.28f, 90.22f, 9.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFFf5c977)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.0f, 9.42f)
                curveTo(21.76f, 6.16f, 23.21f, 3.59f, 25.0f, 1.15f)
                curveToRelative(0.61f, -0.84f, 1.46f, -1.49f, 2.48f, -0.7f)
                curveToRelative(0.82f, 0.63f, 0.49f, 1.53f, 0.0f, 2.2f)
                curveToRelative(-3.49f, 4.56f, -3.05f, 9.13f, -0.13f, 13.75f)
                curveToRelative(0.52f, 0.82f, 1.21f, 1.86f, 0.12f, 2.61f)
                reflectiveCurveToRelative(-1.78f, -0.18f, -2.43f, -1.0f)
                arcTo(12.21f, 12.21f, 0.0f, false, true, 22.0f, 9.42f)
                close()
            }
            path(fill = SolidColor(Color(0xFFf5ca79)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(30.42f, 8.36f)
                arcToRelative(5.83f, 5.83f, 0.0f, false, true, 0.64f, -2.83f)
                curveToRelative(0.75f, -1.24f, 1.5f, -3.73f, 3.44f, -2.76f)
                reflectiveCurveToRelative(0.0f, 2.59f, -0.54f, 3.77f)
                arcToRelative(6.59f, 6.59f, 0.0f, false, false, 0.62f, 7.0f)
                curveToRelative(0.71f, 1.0f, 1.32f, 2.32f, 0.15f, 3.09f)
                curveToRelative(-1.65f, 1.09f, -2.15f, -0.81f, -2.95f, -1.7f)
                curveTo(30.48f, 13.48f, 30.23f, 11.69f, 30.42f, 8.36f)
                close()
            }
            path(fill = SolidColor(Color(0xFFf5c778)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(82.25f, 9.45f)
                curveToRelative(-0.84f, 2.37f, -0.77f, 4.81f, -2.53f, 6.6f)
                curveToRelative(-0.62f, 0.62f, -1.27f, 1.23f, -2.1f, 0.73f)
                arcToRelative(1.56f, 1.56f, 0.0f, false, true, -0.41f, -2.21f)
                curveToRelative(2.05f, -3.4f, 2.78f, -6.7f, -0.2f, -10.0f)
                arcToRelative(1.16f, 1.16f, 0.0f, false, true, 0.16f, -1.75f)
                arcTo(1.47f, 1.47f, 0.0f, false, true, 79.35f, 3.0f)
                curveTo(81.35f, 4.74f, 81.61f, 7.25f, 82.25f, 9.45f)
                close()
            }
            path(fill = SolidColor(Color(0xFFf5c07a)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(69.67f, 12.44f)
                arcTo(6.27f, 6.27f, 0.0f, false, false, 70.0f, 7.67f)
                curveToRelative(-0.33f, -0.85f, -1.0f, -1.92f, 0.41f, -2.41f)
                curveToRelative(1.26f, -0.44f, 2.08f, 0.11f, 2.7f, 1.37f)
                curveToRelative(1.35f, 2.71f, 0.83f, 5.0f, -1.1f, 7.2f)
                curveToRelative(-0.56f, 0.62f, -1.22f, 1.31f, -2.08f, 0.8f)
                reflectiveCurveTo(69.37f, 13.24f, 69.67f, 12.44f)
                close()
            }
            path(fill = SolidColor(Color(0xFFf6cc78)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(40.53f, 5.0f)
                curveToRelative(1.34f, 0.22f, 2.69f, 0.91f, 2.08f, 1.29f)
                curveTo(38.94f, 8.6f, 44.67f, 12.7f, 41.32f, 14.0f)
                curveToRelative(-2.0f, 0.79f, -2.68f, -2.47f, -2.9f, -4.34f)
                arcTo(4.76f, 4.76f, 0.0f, false, true, 40.53f, 5.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(82.33f, 93.08f)
                lineToRelative(-53.1f, 0.0f)
                lineToRelative(0.15f, -8.8f)
                curveToRelative(1.69f, -1.73f, 3.91f, -1.63f, 6.0f, -1.64f)
                quadToRelative(20.34f, -0.09f, 40.66f, 0.0f)
                curveToRelative(2.14f, 0.0f, 4.33f, -0.05f, 6.08f, 1.55f)
                close()
            }
            path(fill = SolidColor(Color(0xFFdddede)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(82.15f, 84.17f)
                lineToRelative(-52.77f, 0.09f)
                quadToRelative(-0.09f, -3.0f, -0.17f, -6.0f)
                lineToRelative(53.16f, 0.12f)
                curveTo(82.3f, 80.31f, 82.22f, 82.24f, 82.15f, 84.17f)
                close()
            }
            path(fill = SolidColor(Color(0xFF312f4a)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(56.19f, 72.4f)
                curveToRelative(-2.82f, 0.0f, -5.65f, 0.0f, -8.47f, 0.0f)
                curveToRelative(-2.09f, 0.0f, -3.61f, -0.87f, -3.54f, -3.22f)
                curveToRelative(0.06f, -2.0f, 1.39f, -2.94f, 3.3f, -3.0f)
                curveToRelative(5.48f, 0.0f, 11.0f, -0.06f, 16.45f, 0.0f)
                curveToRelative(2.06f, 0.0f, 3.57f, 0.87f, 3.47f, 3.27f)
                reflectiveCurveToRelative(-1.65f, 3.0f, -3.73f, 3.0f)
                curveToRelative(-2.49f, 0.0f, -5.0f, 0.0f, -7.48f, 0.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFFfefefe)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(94.44f, 46.42f)
                arcToRelative(11.37f, 11.37f, 0.0f, false, true, -11.06f, 11.7f)
                arcTo(11.48f, 11.48f, 0.0f, false, true, 71.82f, 46.88f)
                arcTo(11.28f, 11.28f, 0.0f, false, true, 83.0f, 35.25f)
                arcTo(11.06f, 11.06f, 0.0f, false, true, 94.44f, 46.42f)
                close()
            }
            path(fill = SolidColor(Color(0xFFfefefe)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(40.13f, 46.74f)
                arcToRelative(11.62f, 11.62f, 0.0f, false, true, -11.5f, 11.4f)
                arcTo(11.7f, 11.7f, 0.0f, false, true, 17.27f, 46.59f)
                arcToRelative(11.43f, 11.43f, 0.0f, false, true, 22.86f, 0.15f)
                close()
            }
        }
        .build()
        return _icon6!!
    }

private var _icon6: ImageVector? = null
