package com.mshdabiola.designsystem.icon.bigcat

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Bigcat.getBlue(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Blue6",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(133.02f, 178.14f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(1.85f, -0.93f)
            lineToRelative(-0.92f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 3.72f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.92f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.92f, -0.93f)
            lineToRelative(0.94f, -1.86f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, 3.72f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, -2.79f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -1.86f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(0.92f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 3.72f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -4.65f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.92f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, -0.94f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(0.0f, -0.92f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(5.58f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.94f)
            lineToRelative(-2.8f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.94f, -0.92f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.94f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.92f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.92f, 0.0f)
            lineToRelative(1.87f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-4.65f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.92f, 0.0f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.92f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(3.73f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.94f, -0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-2.8f, -2.79f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(-0.94f, -0.93f)
            lineToRelative(-0.92f, -1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.94f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, -0.92f)
            lineToRelative(-0.93f, -0.94f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.94f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.73f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.87f, -1.86f)
            lineToRelative(-2.78f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.78f, 0.0f)
            lineToRelative(-1.85f, -1.86f)
            lineToRelative(-5.59f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.92f, -0.93f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-6.52f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(1.86f, -1.86f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.92f, 0.93f)
            lineToRelative(-2.78f, -2.79f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(-1.87f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(1.85f, 1.86f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.85f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.87f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-5.58f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -3.72f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, -1.87f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(-2.79f, -2.79f)
            lineToRelative(-2.79f, -1.86f)
            lineToRelative(-2.79f, -2.79f)
            lineToRelative(-3.72f, -1.86f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-7.45f, 0.0f)
            lineToRelative(-3.71f, -0.93f)
            lineToRelative(-3.73f, 0.0f)
            lineToRelative(-3.72f, -0.93f)
            lineToRelative(-4.65f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-2.79f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-2.8f, -0.93f)
            lineToRelative(-8.36f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-3.73f, 0.93f)
            lineToRelative(-11.16f, 0.0f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-1.86f, -2.79f)
            lineToRelative(-3.72f, -3.72f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(0.0f, -11.17f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-0.92f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-0.94f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.85f, -1.86f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-1.87f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, 3.72f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(2.78f, 2.79f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(1.85f, 1.86f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-0.93f, 1.86f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.93f, 0.94f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(4.65f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(2.78f, 2.79f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-7.44f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-8.37f, 0.0f)
            lineToRelative(-2.8f, -0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 14.88f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(2.79f, 0.93f)
            lineToRelative(3.72f, 0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(11.17f, 2.79f)
            lineToRelative(6.51f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.71f, 0.0f)
            lineToRelative(2.8f, 0.93f)
            lineToRelative(3.72f, 0.93f)
            lineToRelative(2.79f, 1.86f)
            lineToRelative(3.72f, 0.93f)
            lineToRelative(5.58f, 3.72f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(1.85f, 1.87f)
            lineToRelative(5.59f, 2.79f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(9.29f, 1.86f)
            lineToRelative(-0.92f, 0.93f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(-3.71f, 0.93f)
            lineToRelative(-5.59f, 0.93f)
            lineToRelative(-4.65f, 1.86f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-5.58f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.87f, -0.93f)
            lineToRelative(-0.92f, -0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(-14.89f, 3.72f)
            lineToRelative(-4.65f, 0.93f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 1.86f)
            lineToRelative(0.0f, 7.44f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.92f, 0.93f)
            lineToRelative(0.0f, 13.96f)
            lineToRelative(0.92f, 0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(2.79f, -2.79f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(9.31f, 0.0f)
            lineToRelative(3.71f, -1.86f)
            lineToRelative(7.45f, -1.86f)
            lineToRelative(7.44f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, 1.86f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(2.79f, 2.79f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-5.58f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-20.46f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.94f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-2.78f, -0.93f)
            lineToRelative(-1.87f, -0.93f)
            lineToRelative(-4.65f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-6.51f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 15.82f)
            lineToRelative(1.85f, 1.86f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, -0.94f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.92f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -2.8f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(11.16f, 0.0f)
            lineToRelative(2.8f, 0.93f)
            lineToRelative(4.64f, 0.0f)
            lineToRelative(2.8f, 0.93f)
            lineToRelative(2.78f, 0.0f)
            lineToRelative(2.8f, 0.93f)
            lineToRelative(3.72f, 0.94f)
            lineToRelative(1.86f, 0.92f)
            lineToRelative(2.79f, 0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, 0.94f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(2.78f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(5.58f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(6.51f, 0.0f)
            lineToRelative(-2.79f, 2.79f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(4.65f, 0.0f)
            lineToRelative(2.8f, 0.93f)
            lineToRelative(1.85f, 0.0f)
            lineToRelative(2.8f, 0.93f)
            lineToRelative(9.3f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-2.79f, 2.79f)
            lineToRelative(-3.72f, 1.86f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(4.65f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.86f, -1.86f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, 3.72f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(46.51f, 58.14f)
            lineToRelative(-3.72f, -3.72f)
            lineToRelative(-1.87f, -0.93f)
            lineToRelative(-2.78f, -2.79f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -3.72f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -3.72f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.92f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(4.65f, 4.65f)
            lineToRelative(4.65f, 3.72f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(-6.51f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(178.61f, 128.84f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(0.92f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.87f, -0.93f)
            lineToRelative(-2.8f, 2.79f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(2.8f, 2.79f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-3.71f, 0.0f)
            lineToRelative(1.85f, 1.86f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.92f, -0.93f)
            lineToRelative(4.64f, 0.0f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(-0.94f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(2.78f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(2.78f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-3.71f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.92f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(170.23f, 114.88f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(0.93f, 1.87f)
            lineToRelative(1.86f, 1.85f)
            lineToRelative(0.0f, -1.85f)
            lineToRelative(1.86f, 1.85f)
            lineToRelative(0.94f, 1.87f)
            lineToRelative(0.0f, 4.65f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(-1.87f, 1.86f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(2.79f, 2.79f)
            lineToRelative(0.94f, 1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 5.58f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 1.86f)
            lineToRelative(-2.79f, 2.79f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-3.72f, 1.86f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-2.8f, -0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(-2.8f, -0.93f)
            lineToRelative(-5.58f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -3.72f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -3.72f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -7.45f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.92f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.94f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 1.87f)
            lineToRelative(0.93f, 1.85f)
            lineToRelative(0.0f, 8.38f)
            lineToRelative(-0.93f, 1.86f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(9.31f, 0.0f)
            lineToRelative(1.85f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.87f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-0.92f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.87f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -5.58f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 3.72f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -4.65f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(0.93f, 1.86f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -3.72f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -5.58f)
            lineToRelative(1.86f, -5.58f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 1.86f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(0.93f, 1.86f)
            lineToRelative(1.85f, 1.86f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -10.24f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(1.85f, 0.94f)
            lineToRelative(2.8f, 1.85f)
            lineToRelative(1.86f, 0.94f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.92f, 0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, -0.94f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.92f)
            lineToRelative(0.0f, -5.59f)
            lineToRelative(-2.79f, -2.79f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.92f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.94f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-2.8f, -2.79f)
            lineToRelative(-1.85f, -0.94f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.87f, -1.86f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-2.79f, 2.79f)
            lineToRelative(0.0f, 0.94f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.92f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.94f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.94f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.0f, -3.72f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(0.0f, -2.79f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.73f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(2.79f, -0.93f)
            lineToRelative(5.58f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(4.65f, 4.65f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(101.4f, 130.7f)
            lineToRelative(3.71f, 0.0f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(-4.65f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(3.73f, 0.0f)
            lineToRelative(3.71f, -1.86f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(3.71f, 0.0f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-6.51f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.87f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(6.51f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(4.66f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.71f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(7.44f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-2.8f, 0.0f)
            lineToRelative(-1.85f, 0.93f)
            lineToRelative(-5.59f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(3.71f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(2.78f, -2.79f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-3.71f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.8f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(137.67f, 122.33f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(140.47f, 117.67f)
            lineToRelative(0.0f, 0.94f)
            lineToRelative(-0.93f, 0.92f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.87f, -1.86f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(160.0f, 119.53f)
            lineToRelative(0.0f, -0.92f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.94f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(160.93f, 116.74f)
            horizontalLineToRelative(0.93f)
            verticalLineToRelative(0.93f)
            horizontalLineToRelative(-0.93f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(158.14f, 114.88f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, 1.87f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -1.87f)
            lineToRelative(-0.93f, -0.92f)
            lineToRelative(0.0f, -0.94f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.92f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(-3.72f, 3.72f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(174.88f, 102.79f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.87f, 1.86f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -2.79f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, 1.86f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.0f, -2.79f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.86f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(146.98f, 106.51f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(-2.79f, -2.79f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(1.85f, 1.86f)
            lineToRelative(-1.85f, -0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-2.79f, -0.93f)
            lineToRelative(-7.44f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(-4.65f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-5.58f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(4.65f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.94f)
            lineToRelative(-3.73f, 0.0f)
            lineToRelative(0.0f, 0.92f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(0.0f, 0.94f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.94f, -0.94f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.92f, 0.94f)
            lineToRelative(0.0f, -0.94f)
            lineToRelative(0.92f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.87f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-5.58f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.85f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(4.65f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(9.3f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(6.51f, 0.0f)
            lineToRelative(2.79f, 0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.94f, -0.93f)
            lineToRelative(0.0f, -2.79f)
            lineToRelative(3.72f, 3.72f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(2.8f, 1.86f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(9.3f, 47.91f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(6.51f, 51.63f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-5.58f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(6.51f, 55.35f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(5.58f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-8.37f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(78.14f, 86.05f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(17.68f, 0.0f)
            lineToRelative(1.85f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(2.8f, -0.93f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(1.85f, 0.0f)
            lineToRelative(1.87f, -0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-2.78f, 0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-20.46f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(0.0f, -2.79f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.94f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(0.0f, -0.92f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(0.0f, -0.94f)
            lineToRelative(-4.66f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.87f, 0.94f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(2.79f, 2.79f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-1.87f, -0.93f)
            lineToRelative(-2.78f, -0.93f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-2.8f, -0.93f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-2.78f, -0.94f)
            lineToRelative(-1.87f, -1.86f)
            lineToRelative(-2.79f, -0.93f)
            lineToRelative(-2.79f, -1.86f)
            lineToRelative(-2.79f, -0.93f)
            lineToRelative(-2.79f, -1.86f)
            lineToRelative(-3.72f, -0.93f)
            lineToRelative(-3.73f, -1.86f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(-2.79f, -0.93f)
            lineToRelative(-1.87f, -0.93f)
            lineToRelative(-3.71f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(4.66f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(1.85f, 0.0f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-6.51f, 0.0f)
            lineToRelative(-7.45f, -1.86f)
            lineToRelative(-4.65f, -0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(-2.79f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(7.44f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -4.65f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(1.85f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(10.24f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-2.8f, 0.0f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(25.11f, 0.0f)
            lineToRelative(3.72f, -0.93f)
            lineToRelative(8.37f, 0.0f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(5.58f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(6.51f, 0.0f)
            lineToRelative(3.72f, 0.93f)
            lineToRelative(6.51f, 0.0f)
            lineToRelative(2.8f, 0.93f)
            lineToRelative(4.64f, 0.0f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(2.79f, 1.86f)
            lineToRelative(0.93f, 1.86f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(1.86f, 3.72f)
            lineToRelative(1.86f, 1.87f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(0.93f, 1.86f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-5.58f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-4.65f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-3.72f, -3.72f)
            lineToRelative(0.0f, 3.72f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.85f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-3.73f, 0.0f)
            lineToRelative(-0.92f, 0.93f)
            lineToRelative(0.92f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(-0.94f, -0.93f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-6.51f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.85f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.85f, -3.72f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(3.73f, -3.72f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(38.14f, 100.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-2.8f, 0.93f)
            lineToRelative(-3.71f, 0.0f)
            lineToRelative(-3.73f, 0.93f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-1.86f, 1.86f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(3.72f, -1.86f)
            lineToRelative(9.31f, -1.86f)
            lineToRelative(3.72f, -0.93f)
            lineToRelative(2.79f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-3.72f, -1.86f)
            lineToRelative(-0.93f, -0.93f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(12.09f, 106.51f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, -0.93f)
            verticalLineToRelative(0.93f)
            horizontalLineToRelative(1.86f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineToRelative(0.93f)
            verticalLineToRelative(0.93f)
            lineToRelative(0.93f, -1.86f)
            lineToRelative(2.79f, -2.79f)
            horizontalLineToRelative(0.93f)
            lineToRelative(1.87f, -0.93f)
            lineTo(26.0f, 101.86f)
            lineToRelative(3.73f, -0.93f)
            lineToRelative(5.58f, -0.93f)
            horizontalLineToRelative(1.86f)
            lineToRelative(0.93f, 0.93f)
            horizontalLineToRelative(0.93f)
            lineToRelative(0.92f, 0.93f)
            horizontalLineToRelative(0.94f)
            lineToRelative(1.86f, 1.86f)
            horizontalLineToRelative(4.65f)
            lineToRelative(3.72f, -0.93f)
            lineToRelative(4.65f, -0.93f)
            lineTo(63.25f, 100.0f)
            lineTo(66.0f, 100.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.94f, -1.86f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.71f, -7.44f)
            lineToRelative(0.94f, -0.93f)
            horizontalLineToRelative(-0.94f)
            lineTo(67.0f, 89.77f)
            lineToRelative(-3.72f, 0.93f)
            lineTo(61.4f, 90.7f)
            lineToRelative(-2.8f, 0.93f)
            lineTo(46.51f, 91.63f)
            lineToRelative(-1.86f, -0.93f)
            lineTo(42.79f, 90.7f)
            lineToRelative(-1.86f, -1.86f)
            lineTo(40.0f, 88.84f)
            lineToRelative(-0.92f, -0.93f)
            lineTo(34.41f, 87.91f)
            lineToRelative(-3.71f, 0.93f)
            lineTo(26.0f, 90.7f)
            lineToRelative(-6.51f, 0.93f)
            lineToRelative(-8.37f, 1.86f)
            horizontalLineToRelative(-0.93f)
            lineToRelative(-0.93f, 0.93f)
            verticalLineToRelative(0.93f)
            lineToRelative(-0.93f, 0.93f)
            verticalLineToRelative(2.79f)
            lineTo(9.3f, 99.07f)
            lineTo(9.3f, 100.0f)
            lineTo(8.37f, 100.0f)
            verticalLineToRelative(0.93f)
            lineTo(14.0f, 100.93f)
            lineToRelative(-0.93f, 0.93f)
            lineTo(8.37f, 101.86f)
            verticalLineToRelative(1.86f)
            lineTo(13.0f, 103.72f)
            lineToRelative(-0.93f, 0.93f)
            lineTo(9.3f, 104.65f)
            lineToRelative(0.93f, 0.93f)
            lineTo(13.0f, 105.58f)
            close()
            moveTo(12.09f, 100.0f)
            horizontalLineToRelative(-0.93f)
            lineToRelative(0.93f, -0.93f)
            lineTo(13.0f, 99.07f)
            close()
            moveTo(17.67f, 96.28f)
            verticalLineToRelative(0.93f)
            lineToRelative(-0.93f, -0.93f)
            close()
            moveTo(15.81f, 104.65f)
            lineTo(17.67f, 102.79f)
            lineTo(17.67f, 100.0f)
            horizontalLineToRelative(-0.93f)
            verticalLineToRelative(0.93f)
            horizontalLineToRelative(-0.93f)
            lineToRelative(0.93f, -0.93f)
            verticalLineToRelative(-0.93f)
            horizontalLineToRelative(0.93f)
            lineTo(17.67f, 100.0f)
            lineToRelative(0.93f, 0.93f)
            verticalLineToRelative(1.86f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 1.86f)
            lineTo(14.0f, 105.58f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(67.91f, 100.0f)
            lineToRelative(-1.87f, 0.93f)
            horizontalLineTo(60.46f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-3.72f, 0.93f)
            lineToRelative(-2.79f, 0.93f)
            horizontalLineTo(49.3f)
            lineToRelative(-1.86f, 0.93f)
            horizontalLineTo(44.65f)
            lineToRelative(-8.37f, 2.79f)
            horizontalLineToRelative(-2.8f)
            lineToRelative(-0.93f, 0.93f)
            horizontalLineTo(29.77f)
            lineToRelative(-4.66f, 1.86f)
            lineToRelative(-4.65f, 0.93f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineToRelative(-0.93f)
            lineTo(14.0f, 109.3f)
            horizontalLineToRelative(2.79f)
            verticalLineToRelative(-0.93f)
            horizontalLineToRelative(0.93f)
            verticalLineToRelative(-0.93f)
            horizontalLineTo(15.81f)
            lineToRelative(-0.93f, 0.93f)
            horizontalLineTo(14.0f)
            verticalLineToRelative(0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineTo(13.0f)
            verticalLineToRelative(0.93f)
            lineToRelative(-2.79f, -2.79f)
            horizontalLineTo(8.37f)
            lineToRelative(-1.86f, -0.93f)
            horizontalLineTo(4.65f)
            lineToRelative(-0.93f, 0.93f)
            horizontalLineTo(2.79f)
            verticalLineToRelative(1.86f)
            horizontalLineTo(9.3f)
            lineToRelative(0.93f, 0.93f)
            horizontalLineToRelative(0.93f)
            lineToRelative(0.93f, 0.93f)
            verticalLineToRelative(0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineToRelative(0.0f)
            lineToRelative(-1.86f, -1.86f)
            horizontalLineTo(2.79f)
            lineToRelative(-0.94f, 0.93f)
            verticalLineToRelative(1.86f)
            horizontalLineToRelative(0.94f)
            lineToRelative(-0.94f, 0.93f)
            verticalLineTo(113.0f)
            horizontalLineToRelative(0.94f)
            verticalLineToRelative(-0.93f)
            horizontalLineTo(7.44f)
            lineTo(9.3f, 113.0f)
            horizontalLineToRelative(2.79f)
            lineTo(13.0f, 114.0f)
            verticalLineToRelative(0.93f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineTo(10.23f)
            lineTo(9.3f, 113.0f)
            horizontalLineTo(2.79f)
            lineToRelative(-0.94f, 0.93f)
            verticalLineToRelative(0.93f)
            lineToRelative(0.94f, -0.93f)
            horizontalLineTo(4.65f)
            verticalLineToRelative(0.93f)
            horizontalLineTo(1.85f)
            verticalLineToRelative(2.79f)
            horizontalLineTo(7.44f)
            lineToRelative(1.86f, 0.94f)
            horizontalLineToRelative(2.79f)
            verticalLineToRelative(0.93f)
            horizontalLineTo(13.0f)
            verticalLineToRelative(0.92f)
            horizontalLineToRelative(-0.93f)
            verticalLineToRelative(-0.92f)
            horizontalLineTo(10.23f)
            lineToRelative(-1.86f, -0.93f)
            horizontalLineTo(2.79f)
            lineToRelative(-0.94f, 0.93f)
            verticalLineToRelative(0.92f)
            lineToRelative(0.94f, -0.92f)
            horizontalLineTo(5.58f)
            lineToRelative(0.93f, 0.92f)
            horizontalLineTo(2.79f)
            lineToRelative(-0.94f, 0.94f)
            verticalLineToRelative(3.72f)
            horizontalLineToRelative(0.94f)
            verticalLineToRelative(0.93f)
            horizontalLineTo(9.3f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineToRelative(1.86f)
            verticalLineToRelative(0.93f)
            horizontalLineToRelative(-0.93f)
            lineToRelative(-0.93f, 0.93f)
            horizontalLineTo(7.44f)
            lineToRelative(-1.86f, 0.93f)
            horizontalLineTo(7.44f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            horizontalLineTo(13.0f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineToRelative(0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.72f, -1.86f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineToRelative(1.86f)
            lineToRelative(0.94f, -0.93f)
            horizontalLineToRelative(1.85f)
            lineToRelative(1.86f, -0.93f)
            horizontalLineToRelative(8.38f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(5.58f, -1.87f)
            horizontalLineToRelative(3.72f)
            lineToRelative(1.86f, -0.92f)
            horizontalLineToRelative(9.3f)
            lineToRelative(1.86f, -0.93f)
            horizontalLineTo(52.09f)
            lineToRelative(0.93f, -0.94f)
            horizontalLineTo(54.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, -0.93f)
            horizontalLineTo(53.0f)
            lineToRelative(-0.93f, -0.93f)
            verticalLineTo(114.0f)
            horizontalLineToRelative(3.72f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineTo(58.6f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineToRelative(0.93f)
            lineToRelative(0.94f, -0.93f)
            horizontalLineToRelative(1.85f)
            lineToRelative(-3.72f, -3.72f)
            verticalLineToRelative(-0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(3.73f, 1.86f)
            horizontalLineToRelative(6.51f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineToRelative(0.93f)
            lineToRelative(0.92f, -0.93f)
            horizontalLineTo(67.0f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineToRelative(-0.93f)
            verticalLineToRelative(-0.93f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineToRelative(3.73f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.78f, -0.93f)
            horizontalLineToRelative(1.87f)
            lineToRelative(-0.94f, -0.93f)
            close()
            moveTo(11.16f, 127.91f)
            horizontalLineToRelative(0.0f)
            lineToRelative(-0.93f, 0.93f)
            horizontalLineTo(9.3f)
            verticalLineToRelative(-0.93f)
            horizontalLineToRelative(1.86f)
            lineToRelative(0.93f, -0.93f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(72.55f, 122.33f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.94f)
            lineToRelative(5.58f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, -0.92f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.94f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-0.93f, -1.86f)
            lineToRelative(8.37f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(5.58f, -2.79f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.92f, -0.93f)
            lineToRelative(5.59f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-6.52f, 0.0f)
            lineToRelative(-1.85f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.87f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-3.72f, 1.86f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-6.51f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(-1.86f, 1.86f)
            lineToRelative(-6.51f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(0.93f, 1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.94f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.92f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-1.86f, 0.94f)
            lineToRelative(-4.65f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.92f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-2.79f, -2.79f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-3.73f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(80.0f, 137.21f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-4.66f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-5.58f, -2.79f)
            lineToRelative(-7.44f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.85f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.8f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.71f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(3.73f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-2.8f, -0.93f)
            lineToRelative(-5.57f, 0.0f)
            lineToRelative(-1.87f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(2.8f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(5.58f, 2.79f)
            lineToRelative(1.86f, 1.86f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(2.8f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(3.72f, 3.72f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(4.66f, 0.0f)
            lineToRelative(3.72f, 1.86f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(9.3f, 0.0f)
            lineToRelative(2.79f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-2.8f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, 1.86f)
            lineToRelative(11.17f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(2.78f, 0.93f)
            lineToRelative(1.87f, 0.93f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.94f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.92f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(0.92f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(0.93f, 0.94f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, -0.94f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(2.79f, -0.93f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, 0.94f)
            lineToRelative(-9.31f, 0.0f)
            lineToRelative(-1.86f, -0.94f)
            lineToRelative(-0.92f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, -1.85f)
            lineToRelative(5.57f, 0.0f)
            lineToRelative(0.94f, -0.94f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.87f, -0.93f)
            lineToRelative(-5.58f, -1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.86f, 1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -1.86f)
            lineToRelative(1.86f, -1.86f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(-2.8f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-10.23f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(4.65f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-4.65f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.94f, -0.93f)
            lineToRelative(-2.78f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-3.73f, 0.0f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(5.58f, 160.47f)
            lineToRelative(1.86f, -0.94f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(1.86f, -1.85f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-1.86f, 0.92f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(0.0f, 0.94f)
            lineToRelative(2.79f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(4.65f, 157.68f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(0.92f, 0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.0f, 0.92f)
            lineToRelative(0.93f, -0.92f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.93f, -0.94f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.86f, 0.94f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(69.77f, 160.47f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineToRelative(-0.93f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineToRelative(4.65f)
            lineToRelative(-0.94f, -0.94f)
            horizontalLineToRelative(-9.3f)
            lineToRelative(-1.85f, -0.92f)
            horizontalLineTo(59.53f)
            lineToRelative(-0.93f, -0.94f)
            horizontalLineToRelative(-0.93f)
            lineToRelative(-0.93f, 0.94f)
            lineToRelative(0.93f, -0.94f)
            horizontalLineToRelative(0.0f)
            lineTo(59.53f, 154.0f)
            horizontalLineToRelative(8.38f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineTo(66.0f)
            lineToRelative(-2.79f, -0.93f)
            lineToRelative(-1.85f, -0.93f)
            horizontalLineTo(56.74f)
            verticalLineToRelative(-0.93f)
            lineToRelative(1.86f, -1.86f)
            horizontalLineToRelative(1.86f)
            lineToRelative(0.94f, -0.93f)
            horizontalLineToRelative(1.85f)
            verticalLineToRelative(-0.93f)
            horizontalLineTo(61.4f)
            lineToRelative(-0.94f, 0.93f)
            horizontalLineTo(58.6f)
            verticalLineToRelative(-0.93f)
            lineToRelative(1.86f, -1.86f)
            horizontalLineToRelative(0.94f)
            lineToRelative(1.85f, -0.93f)
            horizontalLineToRelative(1.86f)
            lineToRelative(1.86f, -0.93f)
            horizontalLineTo(61.4f)
            lineToRelative(-1.87f, 0.93f)
            horizontalLineTo(56.74f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(1.86f, -1.86f)
            verticalLineToRelative(-0.93f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineToRelative(0.93f)
            verticalLineTo(140.0f)
            horizontalLineToRelative(-0.93f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineTo(51.16f)
            lineToRelative(-3.72f, 0.93f)
            horizontalLineToRelative(-13.0f)
            lineToRelative(-1.86f, -0.93f)
            horizontalLineTo(28.84f)
            lineTo(27.0f, 138.14f)
            horizontalLineTo(26.0f)
            lineToRelative(-3.72f, -0.93f)
            lineToRelative(-5.58f, -1.86f)
            horizontalLineTo(11.16f)
            lineToRelative(-0.93f, 0.93f)
            horizontalLineTo(7.44f)
            verticalLineToRelative(0.93f)
            horizontalLineToRelative(0.93f)
            verticalLineToRelative(0.93f)
            horizontalLineToRelative(1.86f)
            verticalLineToRelative(0.93f)
            horizontalLineTo(9.3f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineTo(7.44f)
            verticalLineToRelative(-0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineTo(3.72f)
            lineTo(6.51f, 140.0f)
            horizontalLineToRelative(0.93f)
            lineToRelative(0.93f, 0.93f)
            horizontalLineToRelative(1.86f)
            lineToRelative(1.86f, 0.93f)
            horizontalLineToRelative(2.79f)
            verticalLineToRelative(0.93f)
            horizontalLineTo(13.0f)
            lineToRelative(-1.86f, -0.93f)
            horizontalLineTo(8.37f)
            lineToRelative(-0.93f, -0.93f)
            horizontalLineTo(4.65f)
            lineToRelative(-0.93f, 0.93f)
            horizontalLineTo(1.85f)
            verticalLineToRelative(0.93f)
            horizontalLineTo(0.93f)
            verticalLineToRelative(5.58f)
            lineToRelative(0.92f, 0.93f)
            horizontalLineTo(0.93f)
            verticalLineToRelative(0.93f)
            horizontalLineToRelative(0.92f)
            verticalLineToRelative(0.93f)
            horizontalLineTo(0.93f)
            verticalLineTo(154.0f)
            horizontalLineTo(4.65f)
            lineToRelative(-0.93f, 0.93f)
            horizontalLineTo(1.85f)
            lineTo(0.93f, 154.0f)
            verticalLineToRelative(2.8f)
            horizontalLineTo(2.79f)
            lineToRelative(-0.94f, -0.94f)
            horizontalLineTo(3.72f)
            lineToRelative(1.86f, -0.93f)
            lineTo(11.16f, 153.0f)
            horizontalLineToRelative(0.93f)
            verticalLineToRelative(-0.93f)
            horizontalLineTo(13.0f)
            verticalLineTo(153.0f)
            horizontalLineTo(14.0f)
            lineToRelative(1.86f, -0.93f)
            horizontalLineToRelative(14.0f)
            lineToRelative(1.86f, 0.93f)
            horizontalLineToRelative(2.78f)
            lineToRelative(2.8f, 0.93f)
            horizontalLineTo(40.0f)
            lineToRelative(8.38f, 2.8f)
            lineToRelative(3.72f, 0.92f)
            lineToRelative(1.86f, 0.94f)
            horizontalLineToRelative(1.86f)
            lineToRelative(1.86f, 0.93f)
            horizontalLineToRelative(1.86f)
            lineToRelative(3.72f, 0.93f)
            horizontalLineTo(66.0f)
            lineToRelative(2.8f, 0.92f)
            horizontalLineToRelative(3.71f)
            lineToRelative(-0.93f, -0.92f)
            close()
            moveTo(12.09f, 149.3f)
            horizontalLineToRelative(-0.93f)
            lineToRelative(-0.93f, 0.93f)
            horizontalLineTo(7.44f)
            lineToRelative(-1.86f, 0.93f)
            horizontalLineTo(2.79f)
            lineToRelative(1.86f, -0.93f)
            horizontalLineTo(7.44f)
            lineToRelative(0.93f, -0.93f)
            horizontalLineToRelative(2.79f)
            verticalLineToRelative(-0.93f)
            horizontalLineToRelative(0.93f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(148.83f, 164.19f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.94f, -0.93f)
            lineToRelative(0.0f, -2.8f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(-4.64f, 4.66f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.85f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, -0.94f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, -0.92f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.92f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(0.0f, -0.92f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.93f, -0.94f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.86f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-5.58f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-1.86f, -1.86f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(4.65f, 0.0f)
            lineToRelative(2.79f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-2.79f, -0.93f)
            lineToRelative(-2.8f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(0.92f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(-1.87f, 0.0f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(-4.64f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.85f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.94f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(-4.65f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(3.71f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(1.87f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-1.87f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(9.31f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-3.72f, 0.0f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(1.86f, 0.93f)
            lineToRelative(7.44f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-2.79f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(-2.79f, 2.79f)
            lineToRelative(-1.86f, 0.94f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(-0.93f, 0.92f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(4.65f, 0.0f)
            lineToRelative(1.86f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(2.79f, -0.92f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -0.94f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(1.86f, 0.94f)
            lineToRelative(-1.86f, 0.0f)
            lineToRelative(0.0f, 0.92f)
            lineToRelative(-0.94f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.94f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.92f, 0.0f)
            lineToRelative(2.78f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(4.64f, -4.66f)
            lineToRelative(2.8f, 0.0f)
            lineToRelative(0.0f, 1.86f)
            lineToRelative(-0.93f, 0.94f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.94f, 0.93f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(2.8f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.93f, -1.86f)
            lineToRelative(0.92f, 0.0f)
            lineToRelative(0.0f, 4.65f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.94f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(0.0f, -2.8f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, 0.94f)
            lineToRelative(0.93f, 0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(1.86f, -1.86f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, 2.79f)
            lineToRelative(-1.87f, 1.86f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-1.85f, 0.0f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(1.85f, -1.86f)
            lineToRelative(0.0f, -1.86f)
            lineToRelative(-1.85f, 1.86f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(-0.93f, 0.93f)
            lineToRelative(-3.73f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(163.72f, 160.47f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.93f, -0.94f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(1.86f, -1.86f)
            lineToRelative(0.93f, 0.0f)
            lineToRelative(0.0f, -0.92f)
            lineToRelative(0.0f, 1.85f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-0.93f, 0.94f)
            lineToRelative(0.0f, 2.78f)
            lineToRelative(1.86f, -1.85f)
            lineToRelative(2.79f, 0.0f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(1.86f, 0.0f)
            lineToRelative(-1.86f, 0.93f)
            lineToRelative(-1.86f, 1.85f)
            lineToRelative(0.0f, 1.87f)
            lineToRelative(0.93f, -0.93f)
            lineToRelative(3.72f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-3.72f, 3.72f)
            lineToRelative(-0.93f, 0.0f)
            lineToRelative(0.0f, 0.93f)
            lineToRelative(-2.79f, 0.0f)
            lineToRelative(-1.86f, -0.93f)
            lineToRelative(-2.79f, -2.79f)
            lineToRelative(0.0f, -0.93f)
            lineToRelative(-0.93f, -0.93f)
            lineToRelative(0.0f, -2.79f)
            lineToRelative(0.93f, -0.93f)
        }
    }
        .build()
}
