package com.mshdabiola.designsystem.icon.bigcat

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Bigcat.getGreen(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Green6",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(3.51f, 90.79f)
            lineToRelative(3.51f, -3.51f)
            lineToRelative(0.87f, -1.75f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -1.76f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.87f, -1.76f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(4.39f, -4.39f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.0f, -13.16f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(5.26f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 1.76f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(0.0f, 3.5f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(4.39f, 0.0f)
            lineToRelative(2.62f, -0.88f)
            lineToRelative(5.27f, 0.0f)
            lineToRelative(3.51f, -1.75f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(5.27f, -2.64f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(1.75f, -0.87f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(1.76f, -1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, -0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-0.88f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, -1.75f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.88f, 1.75f)
            lineToRelative(3.51f, -0.88f)
            lineToRelative(3.51f, -0.87f)
            lineToRelative(4.39f, -0.88f)
            lineToRelative(7.89f, 0.0f)
            lineToRelative(4.39f, -0.88f)
            lineToRelative(7.01f, 0.0f)
            lineToRelative(7.02f, -0.87f)
            lineToRelative(15.79f, 0.0f)
            lineToRelative(2.63f, 0.87f)
            lineToRelative(4.39f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(7.9f, 2.63f)
            lineToRelative(3.51f, 0.88f)
            lineToRelative(7.02f, 3.51f)
            lineToRelative(3.5f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(3.51f, 3.51f)
            lineToRelative(0.87f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.87f, 1.75f)
            lineToRelative(1.76f, 5.27f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(3.51f, 3.51f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(3.51f, 3.51f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(3.51f, 3.5f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(1.75f, 2.63f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 4.39f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.87f, 3.51f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 4.39f)
            lineToRelative(-1.75f, 1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.0f, 7.9f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-1.76f, -1.75f)
            lineToRelative(-0.88f, -1.76f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(-0.88f, -3.51f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-1.76f, -1.75f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(-1.75f, -1.76f)
            lineToRelative(-3.51f, -5.26f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(-3.51f, -5.27f)
            lineToRelative(-7.02f, -7.02f)
            lineToRelative(-1.75f, -0.87f)
            lineToRelative(-1.76f, -1.76f)
            lineToRelative(-1.75f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-1.76f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.76f, -0.87f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, -1.76f)
            lineToRelative(-1.75f, -2.63f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 3.5f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(5.26f, 10.53f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.75f, 1.76f)
            lineToRelative(-0.88f, 2.63f)
            lineToRelative(-5.26f, 5.26f)
            lineToRelative(-1.76f, 3.51f)
            lineToRelative(-1.75f, 1.75f)
            lineToRelative(-2.63f, 1.76f)
            lineToRelative(-0.88f, 2.63f)
            lineToRelative(-1.76f, 1.75f)
            lineToRelative(0.0f, 2.64f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-4.39f, 0.0f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -2.64f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(1.75f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(1.76f, -0.88f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(3.51f, -5.26f)
            lineToRelative(1.75f, -3.51f)
            lineToRelative(3.51f, -5.26f)
            lineToRelative(0.87f, -1.76f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, -1.76f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-2.63f, -4.39f)
            lineToRelative(-2.63f, -3.51f)
            lineToRelative(-1.76f, -3.51f)
            lineToRelative(-2.63f, -2.63f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(-0.88f, -1.76f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, -1.75f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 5.27f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 4.38f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.88f, 2.63f)
            lineToRelative(0.0f, 4.39f)
            lineToRelative(0.88f, 2.63f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.87f, 2.63f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(3.51f, 3.51f)
            lineToRelative(3.51f, 1.76f)
            lineToRelative(2.63f, 0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 2.64f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 3.5f)
            lineToRelative(-1.76f, 1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(0.0f, -4.38f)
            lineToRelative(-4.38f, -4.39f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-2.63f, -0.87f)
            lineToRelative(-3.51f, -0.88f)
            lineToRelative(-2.63f, -0.88f)
            lineToRelative(-1.76f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.87f, -2.64f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(-3.51f, -10.53f)
            lineToRelative(-2.63f, -5.26f)
            lineToRelative(-2.63f, -2.63f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-1.76f, -1.75f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(-1.76f, 1.75f)
            lineToRelative(-1.75f, 3.51f)
            lineToRelative(-2.63f, 2.63f)
            lineToRelative(-1.76f, 2.63f)
            lineToRelative(-2.63f, 3.51f)
            lineToRelative(-1.76f, 1.76f)
            lineToRelative(-0.87f, 2.63f)
            lineToRelative(-1.76f, 0.88f)
            lineToRelative(-2.63f, 2.63f)
            lineToRelative(-0.88f, 1.75f)
            lineToRelative(-2.63f, 2.63f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, 1.76f)
            lineToRelative(-1.76f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(-4.39f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(4.39f, 0.0f)
            lineToRelative(2.63f, -1.76f)
            lineToRelative(3.51f, -3.5f)
            lineToRelative(2.63f, -3.51f)
            lineToRelative(2.63f, -2.63f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(1.75f, -1.75f)
            lineToRelative(0.88f, -1.76f)
            lineToRelative(1.76f, -1.75f)
            lineToRelative(0.87f, -1.76f)
            lineToRelative(1.76f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.88f, -2.63f)
            lineToRelative(1.75f, -7.02f)
            lineToRelative(0.88f, -2.63f)
            lineToRelative(0.88f, -3.51f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, -1.75f)
            lineToRelative(0.0f, -5.27f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-1.76f, 0.87f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-2.63f, -2.63f)
            lineToRelative(-1.76f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-7.02f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.76f, -1.76f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.88f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.87f, 1.75f)
            lineToRelative(-5.26f, 5.27f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, -1.76f)
            lineToRelative(0.87f, -0.87f)
            lineToRelative(0.88f, -1.76f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-6.15f, 6.14f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-1.76f, 1.76f)
            lineToRelative(-4.38f, 0.0f)
            lineToRelative(-1.76f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(3.51f, -3.51f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(16.67f, 78.51f)
            lineToRelative(-1.76f, 0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 2.64f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(1.75f, -1.76f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(4.39f, 0.0f)
            lineToRelative(1.75f, -0.88f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(19.3f, 49.56f)
            lineToRelative(0.0f, 14.04f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.88f, -2.63f)
            lineToRelative(0.0f, -5.26f)
            lineToRelative(0.87f, -2.63f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(29.82f, 59.21f)
            lineToRelative(-5.26f, 0.0f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(-5.26f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(5.27f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(2.64f, 0.0f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-2.64f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-2.64f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(-0.88f, 3.51f)
            lineToRelative(0.0f, 6.14f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(4.39f, 0.0f)
            lineToRelative(0.87f, -0.87f)
            lineToRelative(-5.26f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.76f, -0.88f)
            lineToRelative(2.62f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(31.58f, 62.72f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(2.62f, 0.0f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(38.6f, 65.35f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(1.75f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(4.39f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.87f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(7.02f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-4.38f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(45.61f, 79.39f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 1.75f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 1.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(42.1f, 67.98f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(1.75f, 0.87f)
            lineToRelative(2.64f, 2.64f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.76f, -0.87f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(54.39f, 80.26f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(45.61f, 64.48f)
            lineToRelative(6.15f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(2.64f, 0.0f)
            lineToRelative(-1.76f, -1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(1.76f, -1.76f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-2.63f, 0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(62.28f, 60.97f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(1.75f, -1.76f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-1.75f, 0.88f)
            lineToRelative(-4.39f, 4.38f)
            lineToRelative(1.76f, -1.75f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(2.63f, -2.63f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(65.79f, 66.23f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(-4.39f, 0.0f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(-5.26f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(-5.26f, 0.0f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(2.64f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.76f, -1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(70.18f, 56.58f)
            lineToRelative(5.26f, 0.0f)
            lineToRelative(3.51f, -1.75f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, 1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(4.39f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-4.39f, 0.0f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(1.76f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-4.39f, 0.0f)
            lineToRelative(-5.26f, 2.63f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(84.21f, 64.48f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-3.51f, -3.51f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(1.76f, 1.76f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(87.72f, 77.63f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(1.76f, 1.75f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -4.39f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(99.12f, 52.19f)
            lineToRelative(-1.75f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(3.5f, -1.75f)
            lineToRelative(-1.75f, 1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(5.27f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(0.87f, 1.75f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(1.75f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(1.75f, -0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(98.25f, 83.77f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-1.76f, -1.76f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.76f, 1.76f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(0.0f, 2.64f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(1.76f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(110.53f, 52.19f)
            lineToRelative(-2.64f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, 0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(1.76f, -0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(1.76f, -0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(103.51f, 60.97f)
            lineToRelative(2.63f, 1.75f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(1.76f, 1.75f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(3.52f, 1.76f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-2.64f, -2.63f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, -0.87f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(115.79f, 51.32f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(2.64f, 0.87f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(4.39f, 0.0f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(-3.5f, 0.0f)
            lineToRelative(-1.76f, -0.87f)
            lineToRelative(-5.26f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(120.18f, 64.48f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(0.87f, 1.75f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-3.51f, -3.51f)
            lineToRelative(-2.64f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(2.63f, 2.64f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(128.95f, 79.39f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 1.76f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, -1.76f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.75f, 1.76f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-3.51f, -3.51f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(0.0f, 4.38f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 4.39f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(141.23f, 55.7f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(4.38f, 0.0f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-6.14f, 0.0f)
            lineToRelative(-1.76f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(7.89f, 0.0f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(133.33f, 58.34f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(5.26f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-6.14f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(144.74f, 55.7f)
            lineToRelative(3.51f, 1.76f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(-5.26f, 0.0f)
            lineToRelative(-1.76f, -0.88f)
            lineToRelative(1.76f, 1.75f)
            lineToRelative(3.5f, 1.76f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(5.26f, 0.0f)
            lineToRelative(-3.51f, -3.51f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(1.76f, 0.87f)
            lineToRelative(3.5f, 0.0f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(150.88f, 80.26f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -2.64f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(1.75f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(162.28f, 62.72f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(-3.51f, -1.75f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(163.16f, 73.25f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 4.38f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -2.64f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-3.51f, -3.51f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(167.54f, 84.65f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-1.76f, 1.76f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.87f, 1.75f)
            lineToRelative(0.0f, 4.39f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(2.64f, -2.63f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.87f, 0.87f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(167.54f, 95.18f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(3.51f, 3.51f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, -1.76f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.87f, -1.75f)
            lineToRelative(-1.75f, 1.75f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -2.64f)
            lineToRelative(0.87f, -0.87f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(167.54f, 70.61f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(2.64f, 5.27f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(1.75f, 1.76f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-1.76f, -1.76f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.76f, -1.75f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-5.26f, -5.26f)
            lineToRelative(-0.88f, -2.64f)
            lineToRelative(-1.76f, -3.51f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(177.19f, 88.16f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-2.63f, -2.63f)
            lineToRelative(-0.88f, -1.76f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.87f, 1.75f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.76f, -1.75f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.87f, -1.75f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.87f, 1.76f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(3.51f, 3.51f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -3.5f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(176.32f, 100.44f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(3.5f, 3.51f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-1.75f, -1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(186.84f, 99.56f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.87f, 1.76f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(2.63f, 2.64f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.88f, -1.76f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -2.64f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(189.47f, 112.72f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.87f, -1.75f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -1.76f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, 1.76f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, -1.76f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 5.26f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(196.49f, 134.65f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(196.49f, 136.4f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(199.12f, 137.28f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(199.12f, 141.67f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(154.39f, 106.58f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(3.5f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(6.14f, 6.14f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(3.5f, 3.51f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(1.76f, 2.63f)
            lineToRelative(1.75f, 1.76f)
            lineToRelative(1.76f, 2.63f)
            lineToRelative(1.75f, 3.51f)
            lineToRelative(1.75f, 0.87f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.87f, -1.76f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(4.39f, 4.39f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-1.76f, -1.76f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -1.75f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-1.76f, 1.76f)
            lineToRelative(0.0f, -5.26f)
            lineToRelative(-0.87f, -1.76f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.76f, 1.76f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-1.75f, -3.51f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-2.63f, -5.26f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-2.63f, -2.63f)
            lineToRelative(-0.87f, -2.63f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -4.38f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -4.38f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, -7.89f)
            lineToRelative(-0.88f, 1.75f)
            lineToRelative(0.0f, -3.5f)
            lineToRelative(1.76f, -3.51f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -5.27f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 7.02f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.87f, 0.87f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, 1.76f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(1.75f, 2.63f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(1.76f, 2.63f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(142.11f, 95.18f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(1.75f, -1.75f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -4.39f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -7.9f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.0f, 6.14f)
            lineToRelative(0.0f, -2.64f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-1.75f, 1.76f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(141.23f, 87.28f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(139.47f, 70.61f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.87f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.75f, -1.76f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(1.76f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(123.69f, 146.93f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.76f, 1.76f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(116.67f, 149.56f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(114.03f, 148.69f)
            lineToRelative(-2.62f, 0.0f)
            lineToRelative(2.62f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(116.67f, 95.18f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(1.75f, 1.76f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(3.51f, 5.27f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(1.75f, 3.51f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(1.75f, 3.51f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 1.76f)
            lineToRelative(-1.75f, 2.63f)
            lineToRelative(-0.88f, 1.75f)
            lineToRelative(-3.51f, 5.27f)
            lineToRelative(-2.63f, 2.63f)
            lineToRelative(-0.88f, 2.63f)
            lineToRelative(-1.75f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-4.39f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(1.75f, -1.75f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-1.76f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 1.76f)
            lineToRelative(1.76f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(1.75f, -1.76f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(1.75f, -2.63f)
            lineToRelative(2.63f, -2.63f)
            lineToRelative(1.76f, -2.63f)
            lineToRelative(3.51f, -3.51f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(1.75f, -1.76f)
            lineToRelative(1.75f, -2.63f)
            lineToRelative(2.64f, -3.51f)
            lineToRelative(0.87f, -1.75f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.87f, -1.76f)
            lineToRelative(-0.88f, -2.63f)
            lineToRelative(-1.76f, -2.63f)
            lineToRelative(-1.75f, -4.39f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-1.76f, 1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.87f, -1.75f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, -1.76f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -4.38f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-1.75f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, 1.76f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-1.75f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(100.0f, 93.42f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -1.76f)
            lineToRelative(0.0f, -3.5f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(1.76f, 3.51f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(1.75f, 2.63f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -7.9f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, 1.76f)
            lineToRelative(-1.76f, 1.75f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-1.75f, -1.76f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(1.75f, -3.51f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.0f, 4.38f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-2.63f, 2.63f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 1.75f)
            lineToRelative(0.0f, 2.64f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -5.26f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -3.5f)
            lineToRelative(-0.87f, 1.75f)
            lineToRelative(-2.64f, 2.63f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, -1.76f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, -0.87f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.76f, 1.76f)
            lineToRelative(-0.88f, -1.76f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(1.75f, 1.75f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 4.39f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(116.67f, 129.39f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(120.18f, 133.77f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(82.46f, 99.56f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(1.75f, 3.51f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(3.51f, 10.53f)
            lineToRelative(1.75f, 2.63f)
            lineToRelative(0.88f, 2.63f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(3.51f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(3.51f, 0.88f)
            lineToRelative(2.63f, 0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 2.64f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -2.64f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(1.76f, 3.51f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-2.63f, -2.63f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.76f, -1.76f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, 0.87f)
            lineToRelative(-1.75f, -0.87f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.75f, -1.76f)
            lineToRelative(-1.75f, -0.87f)
            lineToRelative(-1.76f, -1.76f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.87f, -2.63f)
            lineToRelative(-0.88f, -3.51f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(-0.88f, -2.63f)
            lineToRelative(0.0f, -7.02f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.0f, -4.38f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -1.76f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-2.63f, -2.63f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-1.76f, -0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-1.76f, -0.87f)
            lineToRelative(-1.75f, -1.76f)
            lineToRelative(0.0f, 5.26f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 3.51f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(81.58f, 98.69f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, -1.75f)
            lineToRelative(-3.51f, -2.64f)
            lineToRelative(-3.51f, -3.5f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-1.75f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(4.39f, 0.0f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(1.75f, -1.76f)
            lineToRelative(2.64f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(1.75f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(39.48f, 148.69f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-1.76f, 1.76f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(29.82f, 149.56f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(3.51f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(28.07f, 149.56f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(57.9f, 103.95f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.88f, 2.63f)
            lineToRelative(-1.76f, 2.64f)
            lineToRelative(-1.75f, 7.01f)
            lineToRelative(-0.88f, 2.63f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-1.76f, 0.88f)
            lineToRelative(-0.87f, 1.76f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-0.88f, 1.76f)
            lineToRelative(-0.88f, 0.87f)
            lineToRelative(-1.75f, 3.51f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.88f, 1.75f)
            lineToRelative(-5.26f, 5.27f)
            lineToRelative(-1.75f, 0.87f)
            lineToRelative(-0.88f, 1.76f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-1.76f, 0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 2.64f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(-1.75f, 0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(2.64f, 0.0f)
            lineToRelative(0.87f, 0.87f)
            lineToRelative(2.64f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(1.75f, -1.76f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(1.75f, -1.75f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(2.64f, -2.63f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, -0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(2.63f, -2.64f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(2.63f, -2.63f)
            lineToRelative(1.76f, -2.63f)
            lineToRelative(2.63f, -3.51f)
            lineToRelative(2.63f, -2.63f)
            lineToRelative(5.26f, -7.02f)
            lineToRelative(0.88f, -1.76f)
            lineToRelative(0.88f, -0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-1.76f, -1.76f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.88f, 1.76f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, 1.75f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.87f, 1.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(60.53f, 81.14f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.0f, -4.38f)
            lineToRelative(-0.87f, -0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.88f, 1.75f)
            lineToRelative(0.0f, 5.27f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-2.63f, -2.63f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(2.63f, 2.63f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(49.12f, 94.3f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(1.75f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(2.63f, -2.63f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -7.02f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -1.76f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-4.38f, 4.38f)
            lineToRelative(2.62f, 0.0f)
            lineToRelative(1.76f, 0.88f)
            lineToRelative(1.75f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.75f, 0.87f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(36.84f, 82.9f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, -3.51f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, -1.75f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.0f, -0.87f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(13.16f, 100.44f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(11.4f, 99.56f)
            horizontalLineToRelative(0.88f)
            verticalLineToRelative(0.88f)
            horizontalLineToRelative(-0.88f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(12.28f, 98.69f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(0.88f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, -0.87f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(16.67f, 93.42f)
            lineToRelative(-1.76f, 1.76f)
            lineToRelative(-0.87f, 1.75f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(2.63f, -2.63f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.0f, -2.63f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(-0.87f, 0.0f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(15.79f, 97.81f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(16.67f, 95.18f)
            horizontalLineToRelative(0.88f)
            verticalLineToRelative(0.88f)
            horizontalLineToRelative(-0.88f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(20.18f, 90.79f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(1.75f, -1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(17.55f, 93.42f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(-1.75f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(3.51f, 96.93f)
            lineToRelative(5.26f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(4.38f, -4.38f)
            lineToRelative(1.76f, -0.88f)
            lineToRelative(0.88f, -1.75f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(0.0f, 2.63f)
            lineToRelative(-0.88f, 0.88f)
            lineToRelative(-0.88f, 1.76f)
            lineToRelative(-0.87f, 0.87f)
            lineToRelative(-3.51f, 5.27f)
            lineToRelative(-2.63f, 2.63f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(2.63f, 0.0f)
            lineToRelative(0.88f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(2.63f, -2.63f)
            lineToRelative(0.87f, 0.0f)
            lineToRelative(0.88f, -2.63f)
            lineToRelative(1.75f, -1.76f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(1.76f, -1.75f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.87f, -0.88f)
            lineToRelative(2.64f, 0.0f)
            lineToRelative(0.87f, 0.88f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.88f, 0.88f)
            lineToRelative(0.0f, -4.39f)
            lineToRelative(-0.88f, -0.87f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 1.75f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.87f, -0.87f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(0.0f, 1.76f)
            lineToRelative(-2.63f, -2.63f)
            lineToRelative(-1.75f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, -0.88f)
            lineToRelative(-3.51f, 0.0f)
            lineToRelative(-1.75f, 1.75f)
            lineToRelative(-3.51f, 1.76f)
            lineToRelative(-1.76f, 2.63f)
            lineToRelative(-5.26f, 5.26f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(-2.63f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(-0.88f, 0.0f)
            lineToRelative(0.0f, 0.87f)
            lineToRelative(0.88f, 0.0f)
            lineToRelative(0.0f, 0.88f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(1.75f, 94.3f)
            lineToRelative(1.76f, 0.0f)
            lineToRelative(0.0f, -0.88f)
            lineToRelative(-1.76f, 0.0f)
            lineToRelative(-0.87f, 0.88f)
            lineToRelative(0.87f, 0.0f)
        }
    }
        .build()
}
