package com.mshdabiola.designsystem.icon.bigcat

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Bigcat.getRed(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Red6",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(93.62f, 5.11f)
            lineToRelative(0.85f, 1.7f)
            lineToRelative(1.7f, 1.7f)
            lineToRelative(0.85f, 1.7f)
            lineToRelative(1.7f, 1.7f)
            lineToRelative(0.85f, 1.71f)
            lineToRelative(1.71f, 1.69f)
            lineToRelative(1.7f, 3.41f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(1.7f, 3.4f)
            lineToRelative(0.0f, 13.61f)
            lineToRelative(-3.4f, 6.81f)
            lineToRelative(-1.71f, 1.7f)
            lineToRelative(-1.7f, 0.86f)
            lineToRelative(-0.85f, 1.7f)
            lineToRelative(-2.55f, 1.71f)
            lineToRelative(-3.41f, 3.4f)
            lineToRelative(-2.55f, 1.7f)
            lineToRelative(-1.7f, 1.7f)
            lineToRelative(-2.56f, 1.7f)
            lineToRelative(-2.55f, 0.85f)
            lineToRelative(-4.25f, 4.26f)
            lineToRelative(-3.41f, 2.55f)
            lineToRelative(-3.4f, 3.41f)
            lineToRelative(-1.7f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.86f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 3.41f)
            lineToRelative(-0.85f, 3.4f)
            lineToRelative(-0.85f, 2.56f)
            lineToRelative(0.0f, 19.57f)
            lineToRelative(0.85f, 3.41f)
            lineToRelative(0.0f, 6.81f)
            lineToRelative(0.85f, 3.4f)
            lineToRelative(0.0f, 18.72f)
            lineToRelative(-0.85f, 3.41f)
            lineToRelative(-0.85f, 2.55f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, 5.96f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, 1.71f)
            lineToRelative(0.0f, 3.4f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.0f, 5.1f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.86f, 0.86f)
            lineToRelative(0.0f, 3.4f)
            lineToRelative(-0.86f, -0.85f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(0.86f, 1.71f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.0f, 3.4f)
            lineToRelative(0.86f, 0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.0f, 7.66f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 3.4f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 2.56f)
            lineToRelative(-0.85f, 1.7f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(3.41f, 6.81f)
            lineToRelative(1.7f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.86f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, 0.84f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.7f, -1.71f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -2.55f)
            lineToRelative(-0.85f, -1.71f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-0.86f, -1.7f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(0.86f, -0.84f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(1.7f, -2.56f)
            lineToRelative(3.41f, -6.81f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(0.84f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(1.71f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(1.7f, 0.86f)
            lineToRelative(5.11f, 0.0f)
            lineToRelative(6.81f, -3.41f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(1.7f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(1.71f, 1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.7f, 1.7f)
            lineToRelative(5.11f, 3.4f)
            lineToRelative(3.4f, 2.56f)
            lineToRelative(3.4f, 3.41f)
            lineToRelative(3.41f, 2.55f)
            lineToRelative(1.7f, 1.7f)
            lineToRelative(1.7f, 2.56f)
            lineToRelative(3.41f, 3.4f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 3.4f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(2.55f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -6.81f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -2.55f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, -1.7f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-11.91f, -11.91f)
            lineToRelative(-5.11f, -6.81f)
            lineToRelative(-2.55f, -2.55f)
            lineToRelative(-2.56f, -1.7f)
            lineToRelative(-0.85f, -2.56f)
            lineToRelative(-1.7f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-5.96f, 0.0f)
            lineToRelative(2.55f, -2.55f)
            lineToRelative(1.71f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(5.11f, -1.71f)
            lineToRelative(3.4f, -0.85f)
            lineToRelative(4.26f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(1.7f, -0.85f)
            lineToRelative(5.96f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 3.41f)
            lineToRelative(2.55f, 2.55f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.71f, 1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -5.96f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-6.81f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-3.41f, 0.0f)
            lineToRelative(-1.7f, 0.85f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(-0.86f, 0.85f)
            lineToRelative(-4.25f, 0.0f)
            lineToRelative(-3.4f, 0.85f)
            lineToRelative(-13.62f, 0.0f)
            lineToRelative(0.0f, -11.06f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-0.85f, -1.71f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -0.86f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(-3.41f, 0.0f)
            lineToRelative(1.7f, -1.71f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-3.4f, 0.0f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(-0.85f, -0.86f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.86f, -0.86f)
            lineToRelative(2.56f, 0.0f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(3.41f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-1.71f, -1.7f)
            lineToRelative(2.56f, 0.0f)
            lineToRelative(2.55f, 0.85f)
            lineToRelative(5.96f, 0.0f)
            lineToRelative(1.7f, -0.86f)
            lineToRelative(2.55f, -0.85f)
            lineToRelative(3.41f, -0.84f)
            lineToRelative(1.7f, -0.86f)
            lineToRelative(2.55f, 0.0f)
            lineToRelative(2.56f, -0.85f)
            lineToRelative(1.7f, -0.85f)
            lineToRelative(2.55f, -0.85f)
            lineToRelative(5.11f, 0.0f)
            lineToRelative(1.7f, 0.85f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(1.7f, 0.85f)
            lineToRelative(0.85f, 0.86f)
            lineToRelative(1.71f, 0.84f)
            lineToRelative(1.7f, 1.71f)
            lineToRelative(0.0f, 7.66f)
            lineToRelative(1.7f, 1.7f)
            lineToRelative(1.7f, 0.85f)
            lineToRelative(2.56f, 1.71f)
            lineToRelative(1.7f, 0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(-0.85f, -0.86f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -1.71f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -5.1f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, -1.69f)
            lineToRelative(-2.56f, -1.71f)
            lineToRelative(-1.7f, -1.7f)
            lineToRelative(-3.4f, -2.56f)
            lineToRelative(-5.11f, -5.1f)
            lineToRelative(-2.55f, -1.7f)
            lineToRelative(-1.7f, -0.85f)
            lineToRelative(-0.86f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(-1.71f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-1.7f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-1.71f, 0.0f)
            lineToRelative(-2.55f, -2.55f)
            lineToRelative(0.85f, -0.86f)
            lineToRelative(2.56f, -5.1f)
            lineToRelative(1.7f, -2.56f)
            lineToRelative(1.7f, -3.4f)
            lineToRelative(2.55f, -4.26f)
            lineToRelative(1.71f, -1.7f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.85f, -2.56f)
            lineToRelative(1.7f, -0.85f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, -0.85f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(5.11f, 0.0f)
            lineToRelative(0.0f, 4.25f)
            lineToRelative(0.85f, 1.7f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(1.7f, 0.86f)
            lineToRelative(2.55f, 2.55f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -5.11f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -5.11f)
            lineToRelative(-1.7f, -1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.86f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-16.17f, 0.0f)
            lineToRelative(-3.4f, 0.85f)
            lineToRelative(-3.41f, 0.0f)
            lineToRelative(-1.7f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(-0.85f, 1.69f)
            lineToRelative(-1.7f, 2.56f)
            lineToRelative(-1.7f, 1.7f)
            lineToRelative(-0.86f, 1.7f)
            lineToRelative(-3.4f, 3.41f)
            lineToRelative(-1.7f, 0.85f)
            lineToRelative(-1.7f, 1.7f)
            lineToRelative(-3.41f, 1.7f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-1.7f, 0.85f)
            lineToRelative(-3.41f, 0.85f)
            lineToRelative(-2.55f, 0.85f)
            lineToRelative(-1.7f, 0.86f)
            lineToRelative(-5.11f, 1.7f)
            lineToRelative(-2.55f, 1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(2.55f, -1.7f)
            lineToRelative(6.81f, -5.11f)
            lineToRelative(2.55f, -2.55f)
            lineToRelative(7.66f, -5.11f)
            lineToRelative(1.7f, -0.85f)
            lineToRelative(5.11f, -5.11f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.86f, -1.71f)
            lineToRelative(1.7f, -5.1f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, -1.71f)
            lineToRelative(0.0f, -11.91f)
            lineToRelative(-0.85f, -1.71f)
            lineToRelative(0.0f, -1.69f)
            lineToRelative(-0.85f, -1.71f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-2.56f, -5.1f)
            lineToRelative(-0.85f, -2.56f)
            lineToRelative(-1.7f, -1.7f)
            lineToRelative(-0.85f, -1.7f)
            lineToRelative(-5.11f, -5.11f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(1.7f, 1.71f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(57.02f, 177.88f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(5.96f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 1.69f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.86f, -1.7f)
            lineToRelative(-1.7f, -0.85f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-1.7f, -1.69f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(76.59f, 197.45f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(-0.84f, 0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(0.84f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.86f, 0.85f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(77.45f, 182.13f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(-2.56f, 2.56f)
            lineToRelative(0.0f, 5.1f)
            lineToRelative(0.86f, 1.71f)
            lineToRelative(0.0f, 1.69f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(-0.85f, 1.71f)
            lineToRelative(0.0f, -2.56f)
            lineToRelative(-0.86f, -0.84f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.84f, -1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.86f, -0.86f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.86f, 0.85f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 1.69f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -0.84f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.86f, -0.86f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-1.7f, -1.7f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, 0.86f)
            lineToRelative(0.0f, 5.11f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, -0.86f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.84f)
            lineToRelative(0.85f, -0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(3.4f, 0.0f)
            lineToRelative(0.86f, 1.69f)
            lineToRelative(1.7f, 0.86f)
            lineToRelative(2.55f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.0f, -1.69f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.84f, 1.69f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.86f, 0.86f)
            lineToRelative(-0.86f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 1.7f)
            lineToRelative(-1.7f, -0.85f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-2.55f, -2.56f)
            lineToRelative(-5.11f, 0.0f)
            lineToRelative(-2.55f, -2.56f)
            lineToRelative(-0.86f, -2.54f)
            lineToRelative(-0.85f, -1.71f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, -1.7f)
            lineToRelative(0.0f, -5.96f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.86f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -1.69f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(3.41f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(2.56f, 0.0f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(0.84f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(1.71f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(65.53f, 189.79f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.85f, 0.86f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(65.53f, 190.64f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(67.23f, 190.64f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.7f, 1.7f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(107.23f, 85.96f)
            lineToRelative(0.86f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.7f, 0.85f)
            lineToRelative(6.81f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(2.56f, 0.0f)
            lineToRelative(3.4f, 3.4f)
            lineToRelative(2.55f, 1.7f)
            lineToRelative(3.41f, 2.55f)
            lineToRelative(8.51f, 8.52f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(-0.85f, 1.71f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(0.85f, 0.86f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.86f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-1.7f, -1.7f)
            lineToRelative(0.0f, -5.11f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(-0.85f, 1.7f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(0.85f, 0.86f)
            lineToRelative(1.7f, 0.85f)
            lineToRelative(1.71f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(0.85f, 0.86f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -0.86f)
            lineToRelative(-3.41f, -1.7f)
            lineToRelative(-0.85f, -1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -3.41f)
            lineToRelative(-2.55f, -2.56f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-1.71f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-1.7f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-5.1f, 0.0f)
            lineToRelative(-0.86f, -0.85f)
            lineToRelative(0.0f, -3.4f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.86f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.84f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-1.7f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-1.71f, 0.85f)
            lineToRelative(-3.4f, 0.85f)
            lineToRelative(-2.55f, 0.86f)
            lineToRelative(-0.86f, -0.86f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-2.56f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 3.4f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.86f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(-1.7f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, -0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.86f)
            lineToRelative(0.0f, 1.69f)
            lineToRelative(-5.1f, 0.01f)
            lineToRelative(-0.85f, -0.86f)
            lineToRelative(-2.56f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(1.71f, -1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(1.7f, -1.71f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(5.11f, -2.55f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(1.7f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(99.57f, 4.25f)
            lineToRelative(1.71f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.7f, 3.4f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 1.7f)
            lineToRelative(0.0f, 4.26f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.86f)
            lineToRelative(0.85f, -1.69f)
            lineToRelative(0.86f, 2.55f)
            lineToRelative(0.85f, 1.7f)
            lineToRelative(0.85f, 2.56f)
            lineToRelative(0.85f, 1.7f)
            lineToRelative(0.0f, 5.1f)
            lineToRelative(0.85f, 3.41f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(-0.85f, 2.55f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(-0.85f, 2.56f)
            lineToRelative(-0.85f, 1.7f)
            lineToRelative(-3.41f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(1.7f, 1.71f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 1.7f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-1.7f, 0.86f)
            lineToRelative(-0.85f, 1.69f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-3.41f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-1.7f, 0.85f)
            lineToRelative(-2.55f, 1.7f)
            lineToRelative(-3.41f, 2.56f)
            lineToRelative(-2.55f, 1.7f)
            lineToRelative(-3.41f, 2.55f)
            lineToRelative(-2.55f, 2.56f)
            lineToRelative(-3.41f, 1.7f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.86f)
            lineToRelative(0.85f, -0.86f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(0.84f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(1.71f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.84f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(1.71f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, -0.85f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.84f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(2.56f, 0.0f)
            lineToRelative(3.4f, -0.85f)
            lineToRelative(6.81f, 0.0f)
            lineToRelative(3.4f, -0.85f)
            lineToRelative(7.66f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.71f, 1.7f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.84f)
            lineToRelative(0.0f, 2.56f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -3.41f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 4.26f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(1.7f, 0.85f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, 4.26f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-1.71f, -1.7f)
            lineToRelative(-1.7f, -0.85f)
            lineToRelative(-2.55f, -2.56f)
            lineToRelative(0.0f, -5.96f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(-1.71f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(-0.84f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 3.4f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, 1.7f)
            lineToRelative(-1.7f, 1.71f)
            lineToRelative(-0.85f, 2.55f)
            lineToRelative(-1.71f, 1.7f)
            lineToRelative(-0.85f, 1.7f)
            lineToRelative(-1.7f, 1.71f)
            lineToRelative(-0.85f, 1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 4.25f)
            lineToRelative(-1.7f, 1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-2.55f, 2.55f)
            lineToRelative(-3.41f, 1.7f)
            lineToRelative(-3.4f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, 1.71f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(-1.71f, 1.7f)
            lineToRelative(-0.85f, 2.55f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.7f, 1.7f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(1.7f, 0.86f)
            lineToRelative(0.86f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-2.56f, 0.0f)
            lineToRelative(1.71f, 1.7f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(1.7f, 1.7f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(2.55f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, 0.84f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(3.4f, 0.0f)
            lineToRelative(-1.7f, 1.71f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.86f)
            lineToRelative(3.41f, 0.0f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 1.71f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(0.85f, 1.7f)
            lineToRelative(0.0f, 11.06f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.86f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-1.7f, 1.71f)
            lineToRelative(-3.41f, 1.7f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-1.7f, 1.7f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 2.56f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -3.41f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(1.71f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(10.21f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(8.5f, 0.0f)
            lineToRelative(3.41f, -1.7f)
            lineToRelative(3.41f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(2.55f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(4.26f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 8.51f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-1.71f, -0.85f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -2.56f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 4.26f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, 3.4f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(-1.7f, -1.7f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-3.41f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-4.26f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.84f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-5.96f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-3.41f, 0.85f)
            lineToRelative(-7.66f, 2.56f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-1.7f, 1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-1.7f, 1.7f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.86f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, -2.56f)
            lineToRelative(2.55f, -2.55f)
            lineToRelative(1.71f, -2.56f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, 2.56f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(1.7f, 1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(3.41f, 3.41f)
            lineToRelative(2.55f, 3.4f)
            lineToRelative(3.4f, 2.55f)
            lineToRelative(2.56f, 3.4f)
            lineToRelative(2.55f, 2.56f)
            lineToRelative(1.71f, 2.56f)
            lineToRelative(2.55f, 1.69f)
            lineToRelative(0.85f, 1.71f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(1.7f, 3.41f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(-0.85f, -0.84f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.84f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.86f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.0f, -3.4f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, 1.7f)
            lineToRelative(0.86f, 0.85f)
            lineToRelative(0.0f, 6.81f)
            lineToRelative(-2.56f, 0.0f)
            lineToRelative(-0.85f, -0.84f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.85f, 0.86f)
            lineToRelative(0.0f, 1.69f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(-0.86f, 0.86f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(-3.41f, 0.0f)
            lineToRelative(0.0f, -2.56f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, -5.1f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, -0.86f)
            lineToRelative(-0.85f, -1.69f)
            lineToRelative(-5.96f, -5.97f)
            lineToRelative(-2.56f, -1.69f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-1.7f, -1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-1.7f, -1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(-0.85f, -0.84f)
            lineToRelative(-1.71f, -0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-1.71f, -1.7f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-2.56f, 0.0f)
            lineToRelative(-0.85f, 0.84f)
            lineToRelative(0.0f, 0.86f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-2.56f, 0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-7.66f, 0.0f)
            lineToRelative(-1.7f, 1.71f)
            lineToRelative(-0.86f, 3.4f)
            lineToRelative(-1.7f, 2.55f)
            lineToRelative(-0.85f, 2.55f)
            lineToRelative(-0.85f, 1.71f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.85f, -0.86f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-2.55f, 0.0f)
            lineToRelative(0.84f, -0.84f)
            lineToRelative(-0.84f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-5.11f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-2.56f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-5.11f, 0.0f)
            lineToRelative(0.0f, -2.56f)
            lineToRelative(0.86f, -0.84f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.86f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -3.4f)
            lineToRelative(0.0f, 0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.7f, -1.71f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(1.7f, -1.71f)
            lineToRelative(0.0f, -2.55f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(0.85f, 0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -3.4f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -5.11f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -3.4f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, -0.86f)
            lineToRelative(0.0f, -5.1f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -2.56f)
            lineToRelative(-1.7f, -1.69f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -2.56f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -3.41f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-1.7f, 0.0f)
            lineToRelative(0.0f, -5.11f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -3.41f)
            lineToRelative(-0.85f, -1.7f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(1.7f, -1.69f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(0.0f, -3.4f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.85f, -0.86f)
            lineToRelative(0.0f, -2.55f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.86f, -1.7f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -2.55f)
            lineToRelative(0.85f, -0.86f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(1.7f, -0.85f)
            lineToRelative(0.86f, -0.85f)
            lineToRelative(3.4f, -2.55f)
            lineToRelative(2.56f, -2.56f)
            lineToRelative(0.84f, 0.85f)
            lineToRelative(4.26f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(2.56f, -1.71f)
            lineToRelative(1.7f, -1.69f)
            lineToRelative(1.7f, -0.86f)
            lineToRelative(3.41f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -0.86f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(1.7f, -3.4f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.85f, -1.7f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(1.71f, -1.7f)
            lineToRelative(0.0f, -3.41f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(0.85f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-1.7f, -1.7f)
            lineToRelative(-1.71f, 0.0f)
            lineToRelative(0.0f, 0.85f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, 2.55f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(0.0f, -5.11f)
            lineToRelative(2.56f, 0.0f)
            lineToRelative(0.0f, -0.84f)
            lineToRelative(0.85f, 0.0f)
            lineToRelative(0.0f, -1.71f)
            lineToRelative(-0.85f, -0.85f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.86f, 0.0f)
            lineToRelative(0.86f, 0.0f)
            lineToRelative(1.7f, -1.7f)
            lineToRelative(0.0f, -1.7f)
            lineToRelative(-0.85f, 0.0f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-3.41f, 0.0f)
            lineToRelative(0.0f, 3.4f)
            lineToRelative(0.0f, -0.85f)
            lineToRelative(-0.85f, 0.85f)
            lineToRelative(-0.85f, -3.4f)
            lineToRelative(-0.85f, -2.56f)
            lineToRelative(-0.85f, -2.55f)
            lineToRelative(-1.7f, -3.4f)
            lineToRelative(-2.56f, -2.56f)
            lineToRelative(0.0f, -6.81f)
            lineToRelative(1.7f, 0.0f)
            lineToRelative(0.0f, 0.85f)
        }
    }
        .build()
}
