package com.mshdabiola.designsystem.icon.bigcat

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Bigcat.getYellow(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Yellow6",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(182.5f, 13.31f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.75f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(3.79f, 0.0f)
            lineToRelative(3.05f, 0.76f)
            lineToRelative(6.08f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.52f, 0.77f)
            lineToRelative(4.56f, 4.56f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-3.04f, 1.52f)
            lineToRelative(-2.29f, 0.76f)
            lineToRelative(-2.28f, 1.52f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-0.76f, 1.53f)
            lineToRelative(-1.52f, 0.75f)
            lineToRelative(-3.04f, 3.05f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.77f, 1.52f)
            lineToRelative(-0.75f, 2.28f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(-3.81f, 3.8f)
            lineToRelative(-3.04f, 2.29f)
            lineToRelative(-3.8f, 3.03f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-1.52f, 2.29f)
            lineToRelative(-3.05f, 3.04f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.53f, 3.04f)
            lineToRelative(-0.76f, 2.29f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(-1.51f, 0.0f)
            lineToRelative(-1.53f, -1.51f)
            lineToRelative(-0.76f, -1.53f)
            lineToRelative(-3.04f, -3.04f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, 1.53f)
            lineToRelative(-1.53f, 3.03f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.51f, 1.53f)
            lineToRelative(0.75f, -1.53f)
            lineToRelative(-0.75f, -1.52f)
            lineToRelative(0.0f, -0.75f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, 1.51f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-1.53f, 3.05f)
            lineToRelative(-1.52f, 2.28f)
            lineToRelative(-1.51f, 1.52f)
            lineToRelative(-2.29f, 1.52f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(-1.52f, 1.53f)
            lineToRelative(0.0f, 1.51f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 1.51f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 2.29f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(0.0f, 3.81f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 2.28f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(0.0f, 5.33f)
            lineToRelative(-0.77f, 2.28f)
            lineToRelative(0.0f, 16.73f)
            lineToRelative(-0.76f, 2.28f)
            lineToRelative(0.0f, 2.28f)
            lineToRelative(-0.76f, 3.8f)
            lineToRelative(-1.51f, 3.8f)
            lineToRelative(-0.76f, 3.05f)
            lineToRelative(-0.77f, 2.28f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 3.04f)
            lineToRelative(-1.52f, 4.56f)
            lineToRelative(-1.52f, 3.05f)
            lineToRelative(-0.76f, 2.28f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-2.28f, 2.28f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-2.29f, 2.28f)
            lineToRelative(-6.08f, 3.04f)
            lineToRelative(-0.75f, 0.76f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(-1.52f, 0.77f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-1.52f, 0.75f)
            lineToRelative(-1.53f, 1.52f)
            lineToRelative(-1.51f, 0.77f)
            lineToRelative(-1.52f, 1.52f)
            lineToRelative(-1.53f, 0.76f)
            lineToRelative(-1.52f, 1.52f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(-2.29f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-3.04f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-24.33f, 0.0f)
            lineToRelative(-3.04f, -0.76f)
            lineToRelative(-3.04f, 0.0f)
            lineToRelative(-3.05f, -0.76f)
            lineToRelative(-2.28f, -0.76f)
            lineToRelative(-3.04f, -0.76f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-3.05f, 0.0f)
            lineToRelative(-1.51f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.75f, 0.0f)
            lineToRelative(-0.75f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(-2.29f, -2.27f)
            lineToRelative(-1.52f, -0.77f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(3.05f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.75f, 0.0f)
            lineToRelative(1.53f, -0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(3.8f, 0.0f)
            lineToRelative(2.29f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(3.8f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(5.32f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.77f, -0.76f)
            lineToRelative(-3.05f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, -0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-3.81f, 0.0f)
            lineToRelative(-2.27f, 0.76f)
            lineToRelative(-3.05f, 0.76f)
            lineToRelative(-11.4f, 2.29f)
            lineToRelative(-3.05f, 0.0f)
            lineToRelative(-1.51f, -0.76f)
            lineToRelative(-3.81f, -1.53f)
            lineToRelative(-2.28f, -0.76f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-3.04f, -1.52f)
            lineToRelative(-2.28f, -0.76f)
            lineToRelative(-2.29f, -1.52f)
            lineToRelative(-2.28f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -5.32f)
            lineToRelative(-0.76f, -1.53f)
            lineToRelative(0.0f, -6.84f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -3.04f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -1.53f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(2.28f, 2.29f)
            lineToRelative(0.0f, -6.85f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, -0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(0.75f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 3.8f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(6.09f, 3.04f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(1.53f, 0.76f)
            lineToRelative(6.84f, 0.0f)
            lineToRelative(3.8f, -1.52f)
            lineToRelative(2.28f, -2.28f)
            lineToRelative(6.09f, -3.04f)
            lineToRelative(2.28f, -1.53f)
            lineToRelative(3.04f, -1.51f)
            lineToRelative(3.04f, -2.29f)
            lineToRelative(3.8f, -2.28f)
            lineToRelative(1.53f, -0.76f)
            lineToRelative(1.52f, -1.52f)
            lineToRelative(2.27f, -0.76f)
            lineToRelative(1.53f, -0.76f)
            lineToRelative(4.56f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -3.8f)
            lineToRelative(-0.76f, -1.52f)
            lineToRelative(-0.76f, -2.29f)
            lineToRelative(-0.76f, -1.51f)
            lineToRelative(0.0f, -1.53f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -6.08f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -3.81f)
            lineToRelative(0.76f, -1.51f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(0.76f, -2.29f)
            lineToRelative(0.0f, -3.8f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(2.28f, -2.28f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-1.53f, -0.76f)
            lineToRelative(-1.51f, -1.53f)
            lineToRelative(-5.33f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(-1.53f, -0.76f)
            lineToRelative(-2.28f, -0.75f)
            lineToRelative(-3.04f, 0.0f)
            lineToRelative(-9.13f, -2.29f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(-3.04f, -0.76f)
            lineToRelative(-5.32f, 0.0f)
            lineToRelative(-3.04f, -0.76f)
            lineToRelative(-9.89f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-1.53f, -0.76f)
            lineToRelative(-1.51f, 0.0f)
            lineToRelative(-3.81f, -1.52f)
            lineToRelative(-2.27f, -0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -1.52f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -9.89f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -3.04f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.51f, 1.52f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.0f, 2.29f)
            lineToRelative(0.77f, 0.76f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(2.28f, 2.29f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(1.53f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(8.37f, 0.0f)
            lineToRelative(3.04f, -0.76f)
            lineToRelative(6.08f, 0.0f)
            lineToRelative(3.81f, 0.76f)
            lineToRelative(22.05f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-3.8f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-3.05f, 0.0f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-1.51f, -0.76f)
            lineToRelative(-3.05f, -0.75f)
            lineToRelative(-4.56f, -1.52f)
            lineToRelative(-3.05f, -0.77f)
            lineToRelative(-2.27f, -1.52f)
            lineToRelative(-2.28f, -0.76f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(-3.04f, -1.52f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-4.57f, 0.0f)
            lineToRelative(-2.27f, -0.76f)
            lineToRelative(-6.85f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(-2.27f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -1.52f)
            lineToRelative(0.0f, -1.53f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.75f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, -2.29f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -5.32f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.75f, 1.52f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.77f, 0.76f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, 0.75f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(2.28f, 0.76f)
            lineToRelative(6.08f, 1.53f)
            lineToRelative(7.61f, 0.76f)
            lineToRelative(7.61f, 1.52f)
            lineToRelative(3.79f, 0.0f)
            lineToRelative(4.57f, 0.76f)
            lineToRelative(7.6f, 0.0f)
            lineToRelative(3.05f, 0.76f)
            lineToRelative(3.03f, -0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(2.28f, -0.76f)
            lineToRelative(2.28f, -1.52f)
            lineToRelative(2.29f, -0.77f)
            lineToRelative(3.03f, -0.76f)
            lineToRelative(6.85f, -2.27f)
            lineToRelative(1.52f, -0.77f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.77f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(2.28f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-1.52f, -1.52f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(6.08f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(3.05f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(19.01f, 0.0f)
            lineToRelative(1.53f, -0.77f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(2.28f, -0.75f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(2.28f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -1.53f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(4.57f, 0.0f)
            lineToRelative(1.51f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(1.53f, -0.77f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.75f, -1.52f)
            lineToRelative(3.05f, -1.52f)
            lineToRelative(0.76f, -1.52f)
            lineToRelative(2.28f, -1.52f)
            lineToRelative(1.52f, -2.28f)
            lineToRelative(1.52f, -1.52f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(4.57f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.75f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(181.75f, 17.11f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(196.19f, 25.48f)
            lineToRelative(-2.27f, -2.28f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.77f, -0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-5.32f, 0.0f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(1.51f, 0.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(199.24f, 30.04f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(154.37f, 73.38f)
            lineToRelative(1.53f, 1.53f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(1.53f, -3.04f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.52f, -3.05f)
            lineToRelative(3.04f, -3.03f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(-0.75f, -0.77f)
            lineToRelative(0.75f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-1.51f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-1.51f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.75f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(-1.51f, 0.0f)
            lineToRelative(0.0f, -0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -2.29f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, -1.52f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(-0.77f, 0.76f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(-0.75f, 0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.77f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.52f, 1.52f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.52f, 3.04f)
            lineToRelative(-1.52f, 1.52f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(0.0f, 3.03f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(2.28f, 4.56f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(51.71f, 162.35f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-3.8f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-11.41f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(2.28f, 2.29f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.75f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(-1.52f, -0.75f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.75f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(3.8f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(22.82f, 0.0f)
            lineToRelative(3.04f, -0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(5.32f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(4.56f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(6.84f, 0.0f)
            lineToRelative(-1.52f, -1.52f)
            lineToRelative(0.0f, -0.75f)
            lineToRelative(0.76f, 0.75f)
            lineToRelative(10.64f, 0.0f)
            lineToRelative(0.77f, -0.75f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(1.51f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-5.32f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(3.05f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(3.03f, -3.04f)
            lineToRelative(1.53f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-2.29f, 0.0f)
            lineToRelative(-2.27f, 0.76f)
            lineToRelative(-2.29f, 0.0f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(-5.32f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-6.84f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.77f, -0.76f)
            lineToRelative(-6.09f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-2.28f, -0.76f)
            lineToRelative(-3.05f, -0.76f)
            lineToRelative(-1.51f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(-1.53f, -0.77f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(3.04f, 133.46f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.0f, 4.57f)
            lineToRelative(-0.77f, 0.75f)
            lineToRelative(0.77f, 0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, -6.08f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-2.27f, -0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 10.65f)
            lineToRelative(0.76f, 0.75f)
            lineToRelative(0.0f, 2.29f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.51f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.53f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(4.56f, 1.52f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(2.28f, 1.52f)
            lineToRelative(2.29f, 0.0f)
            lineToRelative(2.28f, 1.53f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(4.56f, -1.53f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(2.28f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(2.29f, -0.76f)
            lineToRelative(6.08f, -1.52f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-2.28f, 2.28f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.77f)
            lineToRelative(3.05f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(2.28f, 0.76f)
            lineToRelative(3.81f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(4.56f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(8.36f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(4.57f, 0.0f)
            lineToRelative(2.28f, -0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, -1.52f)
            lineToRelative(1.52f, -2.28f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.76f, -1.53f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(0.76f, -0.75f)
            lineToRelative(0.0f, -2.29f)
            lineToRelative(0.76f, -1.52f)
            lineToRelative(0.0f, -12.17f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(0.76f, -0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(-2.29f, -0.76f)
            lineToRelative(-3.79f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-1.52f, -1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -1.52f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-3.8f, -3.81f)
            lineToRelative(-1.52f, -0.75f)
            lineToRelative(-1.52f, -1.52f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(-4.56f, 2.28f)
            lineToRelative(-1.52f, 1.52f)
            lineToRelative(-1.53f, 0.76f)
            lineToRelative(-2.27f, 1.52f)
            lineToRelative(-2.29f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-3.04f, 1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-6.08f, 3.04f)
            lineToRelative(-4.57f, 3.04f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(-1.52f, 0.77f)
            lineToRelative(-2.28f, 2.28f)
            lineToRelative(-2.28f, 0.75f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(-6.08f, 0.0f)
            lineToRelative(-1.53f, -0.77f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-3.04f, -1.51f)
            lineToRelative(-2.28f, -0.76f)
            lineToRelative(-3.04f, -1.53f)
            lineToRelative(-2.28f, -2.28f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -3.04f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.75f, -0.76f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(27.38f, 147.14f)
            lineToRelative(-3.05f, -1.51f)
            lineToRelative(-3.03f, -0.76f)
            lineToRelative(-3.05f, -1.53f)
            lineToRelative(-3.04f, -0.76f)
            lineToRelative(-2.28f, -1.52f)
            lineToRelative(-2.28f, -0.75f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 2.28f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.51f, 1.52f)
            lineToRelative(1.53f, 0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(3.04f, 1.52f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(1.52f, 0.75f)
            lineToRelative(2.29f, 0.0f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(3.81f, 129.66f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.75f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.53f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, -1.52f)
            lineToRelative(-3.04f, -1.52f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(64.64f, 119.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-4.56f, 2.28f)
            lineToRelative(-6.85f, 4.57f)
            lineToRelative(-3.04f, 1.51f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-3.04f, 1.53f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(-2.28f, 1.52f)
            lineToRelative(-2.29f, 0.76f)
            lineToRelative(-1.52f, 1.52f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-5.32f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(-1.51f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(-3.04f, -1.52f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-3.04f, -3.04f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(0.0f, -3.03f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(-1.51f, -1.53f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(0.0f, 3.05f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.75f)
            lineToRelative(0.0f, 4.57f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -3.05f)
            lineToRelative(-0.76f, -0.75f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, 3.8f)
            lineToRelative(1.53f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.0f, 4.56f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(2.28f, 0.77f)
            lineToRelative(2.28f, 1.51f)
            lineToRelative(3.04f, 0.76f)
            lineToRelative(3.04f, 1.53f)
            lineToRelative(2.29f, 0.76f)
            lineToRelative(3.04f, 0.76f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(13.68f, -6.85f)
            lineToRelative(6.09f, -3.8f)
            lineToRelative(6.08f, -3.04f)
            lineToRelative(4.57f, -3.05f)
            lineToRelative(3.8f, -1.51f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -1.51f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(63.88f, 81.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.75f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 3.04f)
            lineToRelative(-0.76f, 3.04f)
            lineToRelative(0.0f, 2.28f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 5.33f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 2.28f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.76f, 2.29f)
            lineToRelative(0.0f, 1.51f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(2.28f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(1.53f, -0.76f)
            lineToRelative(3.79f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(3.05f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(4.56f, 4.56f)
            lineToRelative(0.76f, 1.53f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(1.53f, 1.51f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, 0.77f)
            lineToRelative(0.75f, 0.76f)
            lineToRelative(1.53f, 0.76f)
            lineToRelative(5.32f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(3.81f, -3.8f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.75f, -0.77f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(-1.51f, 0.0f)
            lineToRelative(0.75f, -0.76f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.77f, -0.76f)
            lineToRelative(0.75f, -1.53f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(-0.77f, 0.76f)
            lineToRelative(0.0f, -2.27f)
            lineToRelative(0.77f, -2.29f)
            lineToRelative(0.0f, -8.36f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(0.0f, -3.04f)
            lineToRelative(-0.76f, -2.29f)
            lineToRelative(-1.52f, -2.27f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-2.28f, -2.28f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-3.05f, -1.52f)
            lineToRelative(-0.75f, -0.77f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-1.53f, -0.75f)
            lineToRelative(-3.04f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(1.52f, -1.53f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(-6.08f, 3.05f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(63.88f, 60.45f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(-1.51f, 1.53f)
            lineToRelative(-3.81f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-9.12f, 0.0f)
            lineToRelative(-3.05f, -0.76f)
            lineToRelative(-3.79f, 0.0f)
            lineToRelative(-1.53f, -0.76f)
            lineToRelative(-9.88f, 0.0f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(-6.85f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-3.04f, 0.0f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(-1.51f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.53f, -1.52f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(-1.53f, -1.52f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, 2.28f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(2.27f, 2.28f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-1.53f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.53f, 0.76f)
            lineToRelative(0.0f, 3.04f)
            lineToRelative(0.75f, 0.76f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(0.0f, -3.04f)
            lineToRelative(-0.76f, -0.75f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(0.0f, 3.8f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 1.53f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(3.03f, 0.76f)
            lineToRelative(6.09f, 3.04f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(9.13f, 0.0f)
            lineToRelative(3.8f, 0.76f)
            lineToRelative(6.84f, 0.0f)
            lineToRelative(3.04f, 0.76f)
            lineToRelative(3.81f, 0.76f)
            lineToRelative(3.03f, 0.0f)
            lineToRelative(4.57f, 1.52f)
            lineToRelative(4.56f, 0.77f)
            lineToRelative(2.28f, 0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(3.05f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.52f, -0.77f)
            lineToRelative(4.56f, -1.52f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(1.53f, 0.76f)
            lineToRelative(2.27f, 0.0f)
            lineToRelative(-1.51f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(-1.51f, -0.77f)
            lineToRelative(10.64f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.75f)
            lineToRelative(4.56f, 0.0f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(2.29f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(1.51f, 0.0f)
            lineToRelative(1.53f, -1.52f)
            lineToRelative(-0.76f, -1.52f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-3.05f, -6.09f)
            lineToRelative(-0.76f, -2.28f)
            lineToRelative(-0.76f, -1.52f)
            lineToRelative(-1.51f, -1.52f)
            lineToRelative(-0.77f, -1.52f)
            lineToRelative(-2.28f, -2.28f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-3.04f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.52f, -1.53f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.52f, -1.51f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(3.8f, 0.0f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-2.29f, -2.28f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-3.8f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-3.05f, 0.0f)
            lineToRelative(-1.51f, 0.76f)
            lineToRelative(-3.05f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(1.53f, 1.52f)
            lineToRelative(-4.57f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(-6.08f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-3.05f, 1.52f)
            lineToRelative(-2.27f, 1.51f)
            lineToRelative(-0.77f, 0.77f)
            lineToRelative(2.29f, 0.0f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-1.53f, 1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(-1.52f, 1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.77f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(1.51f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(1.53f, -0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(3.8f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(4.56f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -1.51f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(2.28f, -0.76f)
            lineToRelative(4.56f, 0.0f)
            lineToRelative(-0.75f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.77f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.75f, -0.76f)
            lineToRelative(1.53f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.51f, 0.0f)
            lineToRelative(1.51f, 1.53f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.75f, 0.76f)
            lineToRelative(-6.85f, 0.0f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-3.8f, 0.0f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(-1.53f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.51f, 1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.75f, 0.0f)
            lineToRelative(-0.75f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-1.53f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.77f, 0.76f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.52f, 0.77f)
            lineToRelative(-0.76f, 0.75f)
            lineToRelative(-2.28f, 1.52f)
            lineToRelative(-2.28f, 2.28f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(92.02f, 33.08f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-3.81f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-9.13f, 3.04f)
            lineToRelative(-1.51f, 0.76f)
            lineToRelative(-3.81f, 1.52f)
            lineToRelative(-3.8f, 0.77f)
            lineToRelative(-3.04f, 1.52f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-1.52f, 0.75f)
            lineToRelative(-4.57f, 0.0f)
            lineToRelative(-3.8f, -0.75f)
            lineToRelative(-3.04f, 0.0f)
            lineToRelative(-7.6f, -1.52f)
            lineToRelative(-3.81f, 0.0f)
            lineToRelative(-4.56f, -0.77f)
            lineToRelative(-6.84f, -1.52f)
            lineToRelative(-6.09f, -0.76f)
            lineToRelative(-4.56f, -1.52f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(-0.75f, -0.76f)
            lineToRelative(-0.76f, -1.53f)
            lineToRelative(0.0f, -1.51f)
            lineToRelative(-1.52f, -1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.53f, -1.53f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.75f, 1.53f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.75f, 0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.77f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 3.8f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -3.04f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-3.05f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(0.0f, 5.32f)
            lineToRelative(0.75f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 1.53f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.76f, 0.75f)
            lineToRelative(0.75f, -0.75f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.52f, -1.52f)
            lineToRelative(5.32f, 0.0f)
            lineToRelative(-3.8f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.75f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(3.8f, 0.0f)
            lineToRelative(2.29f, 0.76f)
            lineToRelative(3.03f, 0.0f)
            lineToRelative(3.05f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(2.28f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(2.28f, 0.76f)
            lineToRelative(3.05f, 1.52f)
            lineToRelative(2.28f, 0.76f)
            lineToRelative(1.51f, 0.76f)
            lineToRelative(2.29f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(2.28f, 0.76f)
            lineToRelative(3.04f, 1.53f)
            lineToRelative(2.29f, 0.75f)
            lineToRelative(1.51f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.77f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(1.52f, -1.52f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, -1.52f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-0.76f, -0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, -1.52f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, -1.52f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.77f, -0.76f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(2.29f, -2.28f)
            lineToRelative(2.27f, -0.76f)
            lineToRelative(3.05f, -1.53f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(3.8f, 0.0f)
            lineToRelative(1.53f, -0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(1.52f, -1.52f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(-1.52f, -0.76f)
            lineToRelative(-2.29f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-1.51f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(110.27f, 27.75f)
            lineToRelative(-2.29f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-6.08f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(-2.28f, 0.0f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(1.52f, 1.52f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.53f, 1.52f)
            lineToRelative(0.75f, 1.52f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 1.53f)
            lineToRelative(4.56f, 4.56f)
            lineToRelative(1.53f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(1.52f, 1.51f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.76f, 2.29f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.76f, 2.28f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(0.76f, 1.52f)
            lineToRelative(0.0f, 1.52f)
            lineToRelative(2.28f, 0.0f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(3.03f, 0.0f)
            lineToRelative(1.53f, -0.76f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.77f, -0.76f)
            lineToRelative(0.77f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(2.28f, -2.29f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(1.52f, -1.51f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(1.53f, -0.77f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(3.81f, 0.0f)
            lineToRelative(0.75f, -0.75f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.75f, -0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(3.03f, 0.0f)
            lineToRelative(0.77f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.53f, -1.52f)
            lineToRelative(2.29f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(-1.52f, -2.28f)
            lineToRelative(-2.28f, -4.57f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(-0.77f, -1.52f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(0.77f, -0.76f)
            lineToRelative(0.0f, -1.53f)
            lineToRelative(0.76f, -1.51f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(-1.52f, 1.52f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-1.51f, -0.75f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.77f, 0.76f)
            lineToRelative(0.0f, 1.51f)
            lineToRelative(-1.53f, -1.51f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.75f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(-1.51f, -0.75f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.77f, 0.75f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(-2.29f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-3.04f, 0.0f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(-4.57f, 0.0f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(1.52f, -0.75f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-6.84f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.75f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(-4.56f, 0.0f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(-14.45f, -0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(171.86f, 11.79f)
            lineToRelative(-8.37f, 8.36f)
            lineToRelative(-3.03f, 1.52f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-8.36f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-3.05f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-2.27f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.53f, 0.77f)
            lineToRelative(-4.56f, 1.52f)
            lineToRelative(-3.04f, 0.0f)
            lineToRelative(-6.09f, 1.51f)
            lineToRelative(-2.28f, 0.76f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(3.81f, 0.0f)
            lineToRelative(2.28f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-1.52f, 0.76f)
            lineToRelative(-0.76f, 0.75f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.76f, -0.75f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(-1.52f, 1.53f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.77f, 0.76f)
            lineToRelative(2.27f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(2.27f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.75f, 0.76f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(1.52f, -1.51f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 1.52f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(-0.76f, 1.53f)
            lineToRelative(0.0f, 3.8f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, 2.28f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(1.52f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(3.8f, 0.0f)
            lineToRelative(1.52f, 0.75f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(0.0f, -0.75f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.52f, 1.51f)
            lineToRelative(0.75f, 0.0f)
            lineToRelative(0.0f, -1.51f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.52f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(3.04f, 0.0f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.76f, 0.75f)
            lineToRelative(0.75f, -0.75f)
            lineToRelative(0.76f, -1.52f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -2.28f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(1.52f, -1.52f)
            lineToRelative(0.75f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(-6.84f, 6.84f)
            lineToRelative(0.0f, 1.53f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.75f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-1.52f, 0.0f)
            lineToRelative(0.0f, 0.77f)
            lineToRelative(0.76f, 0.76f)
            lineToRelative(3.05f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, -0.77f)
            lineToRelative(0.76f, -1.51f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(0.75f, -0.77f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(5.33f, -5.32f)
            lineToRelative(1.52f, -0.76f)
            lineToRelative(2.28f, -1.52f)
            lineToRelative(3.05f, -1.53f)
            lineToRelative(0.75f, -0.75f)
            lineToRelative(0.0f, -3.05f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -2.27f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.75f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.77f, -0.77f)
            lineToRelative(-6.84f, 0.0f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-6.09f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, -1.53f)
            lineToRelative(0.76f, -1.52f)
            lineToRelative(0.0f, -1.52f)
            lineToRelative(1.53f, -1.52f)
            lineToRelative(0.76f, -1.52f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(0.0f, -1.53f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -1.51f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, -0.76f)
            lineToRelative(-6.09f, 0.0f)
            lineToRelative(-1.52f, 1.52f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(177.94f, 45.25f)
            lineToRelative(0.77f, 0.0f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(177.18f, 44.49f)
            lineToRelative(0.0f, 0.0f)
            lineToRelative(0.76f, -0.76f)
            lineToRelative(1.53f, 0.0f)
            lineToRelative(-1.53f, 0.0f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(0.0f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = EvenOdd,
        ) {
            moveTo(181.75f, 37.65f)
            lineToRelative(-0.76f, 0.76f)
            lineToRelative(-0.76f, 1.51f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(0.0f, 0.76f)
            lineToRelative(-0.77f, 0.0f)
            lineToRelative(0.0f, 2.29f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(2.29f, 0.0f)
            lineToRelative(0.0f, -0.76f)
            lineToRelative(0.76f, 0.0f)
            lineToRelative(0.0f, -0.77f)
            lineToRelative(3.8f, -3.8f)
            lineToRelative(-0.76f, 0.0f)
            lineToRelative(-0.76f, 0.77f)
            lineToRelative(-1.52f, 0.0f)
        }
    }
        .build()
}
