package com.mshdabiola.designsystem.icon.dog

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Dog.getRed(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Red4",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(41.87f, 199.34f)
            curveToRelative(0.0f, -2.0f, -1.28f, -3.41f, -2.0f, -5.0f)
            curveToRelative(-1.58f, -1.0f, -2.0f, -3.0f, -4.0f, -3.0f)
            curveToRelative(-7.93f, 1.73f, -17.56f, -9.74f, -17.39f, -10.28f)
            curveToRelative(-3.91f, 0.1f, -6.84f, 2.52f, -9.7f, 4.55f)
            curveToRelative(-0.41f, 0.2f, -0.85f, 0.0f, -0.75f, -0.51f)
            arcToRelative(28.17f, 28.17f, 0.0f, false, true, 4.62f, -6.94f)
            arcToRelative(13.07f, 13.07f, 0.0f, false, false, -4.28f, 0.3f)
            curveToRelative(0.0f, -0.17f, -0.07f, -0.37f, 0.14f, -0.47f)
            curveToRelative(0.0f, 0.0f, 1.74f, -7.0f, 10.51f, -12.94f)
            curveToRelative(6.22f, -17.64f, 17.66f, -24.7f, 18.87f, -25.65f)
            curveToRelative(5.76f, -4.21f, 11.63f, -8.86f, 15.77f, -14.22f)
            curveToRelative(3.26f, -4.39f, 6.78f, -27.3f, 7.28f, -28.95f)
            curveToRelative(0.3f, -1.38f, 3.9f, -36.11f, -0.4f, -42.8f)
            curveToRelative(0.0f, 0.0f, -9.67f, 2.6f, -12.14f, -1.56f)
            curveTo(50.0f, 43.59f, 64.79f, 44.71f, 69.27f, 40.93f)
            curveToRelative(3.34f, -3.06f, 5.45f, -12.51f, 34.47f, -17.28f)
            curveToRelative(0.51f, 0.13f, 20.0f, -1.47f, 29.0f, -14.8f)
            arcTo(44.18f, 44.18f, 0.0f, false, true, 140.27f, 3.0f)
            curveToRelative(6.2f, -0.3f, 26.08f, -2.45f, 29.69f, -2.83f)
            curveToRelative(1.95f, -0.14f, 8.21f, -1.26f, 9.23f, 4.11f)
            curveToRelative(0.68f, 0.41f, -0.23f, 1.25f, -0.17f, 2.0f)
            curveToRelative(0.68f, 1.31f, -1.27f, 2.05f, -0.47f, 3.64f)
            curveToRelative(-0.47f, 0.91f, 0.0f, 2.22f, -0.74f, 3.06f)
            lineTo(177.34f, 17.0f)
            curveToRelative(-0.37f, 0.34f, -0.6f, 0.68f, -1.15f, 0.74f)
            curveToRelative(-0.38f, -1.46f, -5.18f, -2.29f, -7.0f, -3.1f)
            curveToRelative(-1.0f, -0.57f, -0.81f, -2.12f, -1.28f, -3.13f)
            curveToRelative(-13.29f, -6.18f, -28.64f, 13.24f, -28.64f, 13.24f)
            curveToRelative(6.57f, 0.48f, 13.0f, 2.0f, 19.58f, 1.79f)
            curveToRelative(2.0f, 0.74f, 3.87f, 1.31f, 5.19f, 3.16f)
            arcToRelative(27.57f, 27.57f, 0.0f, false, true, -0.27f, 8.9f)
            arcToRelative(4.75f, 4.75f, 0.0f, false, true, -1.22f, 4.52f)
            curveToRelative(-3.54f, -0.58f, -6.6f, -3.51f, -8.56f, -6.24f)
            curveToRelative(-6.23f, -1.25f, -13.71f, -1.92f, -18.66f, 2.77f)
            curveToRelative(-10.36f, 13.7f, -29.23f, 19.26f, -33.44f, 31.72f)
            curveToRelative(1.0f, 1.91f, 15.66f, 22.76f, 20.22f, 50.37f)
            curveToRelative(5.22f, 4.57f, 45.47f, 4.62f, 48.7f, 4.28f)
            arcToRelative(7.24f, 7.24f, 0.0f, false, true, 2.76f, 3.0f)
            curveToRelative(2.06f, 1.11f, 7.56f, 1.37f, 9.61f, 2.09f)
            curveToRelative(2.52f, 0.7f, 5.69f, -0.55f, 7.38f, 1.71f)
            arcTo(5.19f, 5.19f, 0.0f, false, false, 192.0f, 135.5f)
            curveToRelative(0.1f, 1.9f, -0.8f, 3.58f, -0.47f, 5.33f)
            curveToRelative(0.61f, 1.49f, -0.13f, 2.63f, 0.0f, 4.31f)
            curveToRelative(0.07f, 1.38f, 0.57f, 3.55f, -0.87f, 4.52f)
            curveToRelative(-7.8f, 0.6f, -9.94f, -6.4f, -12.54f, -8.32f)
            curveToRelative(-7.56f, -3.55f, -36.4f, -1.72f, -36.4f, -1.72f)
            curveToRelative(2.63f, 0.0f, 9.46f, 2.54f, 16.32f, 1.89f)
            curveToRelative(1.92f, 0.0f, 5.44f, 0.0f, 6.33f, 0.81f)
            curveToRelative(-0.2f, 0.6f, 0.54f, 0.6f, 0.41f, 1.2f)
            curveToRelative(5.78f, 4.55f, 19.76f, -1.86f, 18.0f, 10.59f)
            curveToRelative(-0.6f, 1.35f, 0.07f, 2.6f, -0.5f, 4.0f)
            arcToRelative(3.0f, 3.0f, 0.0f, false, true, 0.1f, 2.66f)
            curveToRelative(-0.14f, 1.51f, -0.2f, 3.3f, -1.55f, 4.11f)
            curveToRelative(-9.45f, 0.56f, -10.63f, -9.21f, -13.82f, -10.28f)
            curveToRelative(-7.42f, -3.48f, -42.81f, -2.8f, -46.6f, -1.21f)
            curveToRelative(-15.92f, 7.5f, -37.81f, 8.49f, -44.08f, 7.69f)
            curveToRelative(-7.38f, 0.16f, -22.88f, 6.5f, -23.69f, 7.21f)
            curveToRelative(0.85f, 1.28f, 0.71f, 3.0f, 1.05f, 4.45f)
            curveToRelative(-2.44f, 5.85f, 5.31f, 10.23f, 5.83f, 13.75f)
            curveToRelative(0.0f, 5.24f, -4.12f, 9.46f, -4.92f, 10.91f)
            curveTo(53.0f, 198.93f, 47.0f, 198.93f, 47.0f, 198.93f)
            curveToRelative(-1.85f, -0.23f, -3.4f, 2.2f, -5.09f, 0.41f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(132.86f, 39.72f)
            curveToRelative(0.54f, -1.0f, 9.09f, -9.45f, 22.37f, -3.53f)
            curveToRelative(2.0f, 0.67f, 2.72f, 5.2f, 6.74f, 5.26f)
            arcToRelative(2.55f, 2.55f, 0.0f, false, false, 0.48f, -1.46f)
            curveToRelative(-0.48f, -1.0f, -1.12f, -1.61f, -1.0f, -2.83f)
            curveToRelative(0.34f, -0.27f, 0.77f, 0.54f, 1.0f, -0.1f)
            curveToRelative(0.43f, -1.31f, -1.08f, -3.57f, 0.74f, -4.34f)
            curveToRelative(0.32f, -5.48f, -7.85f, -4.72f, -7.85f, -4.72f)
            lineToRelative(0.16f, 0.17f)
            curveToRelative(-0.2f, 0.5f, -0.8f, 0.26f, -1.21f, 0.4f)
            curveToRelative(-3.37f, -1.08f, -7.0f, -0.27f, -10.68f, -0.4f)
            curveToRelative(-1.49f, 1.58f, -8.73f, 7.17f, -11.15f, 5.25f)
            curveTo(97.29f, 54.0f, 101.22f, 68.0f, 101.22f, 68.0f)
            curveToRelative(5.68f, -13.0f, 11.24f, -6.41f, 31.64f, -28.31f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(99.6f, 59.0f)
            curveToRelative(1.57f, -7.66f, 13.55f, -15.06f, 15.7f, -16.45f)
            curveToRelative(1.55f, -1.31f, 13.11f, -9.2f, 16.75f, -12.77f)
            curveToRelative(22.36f, -31.0f, 36.23f, -20.12f, 36.23f, -20.12f)
            curveToRelative(0.37f, 1.05f, 2.69f, 1.15f, 1.61f, 2.56f)
            curveToRelative(-0.07f, 1.82f, 5.33f, 3.1f, 6.14f, 3.1f)
            arcToRelative(5.76f, 5.76f, 0.0f, false, false, -0.48f, -2.12f)
            arcToRelative(3.84f, 3.84f, 0.0f, false, false, 0.07f, -6.54f)
            curveToRelative(4.74f, -1.0f, 0.87f, -6.21f, -1.68f, -5.42f)
            curveToRelative(-3.75f, 0.77f, -15.15f, 0.05f, -18.37f, 3.57f)
            curveTo(154.29f, 6.0f, 151.0f, 8.88f, 148.12f, 8.11f)
            curveToRelative(-3.65f, -0.41f, -7.0f, 7.17f, -11.38f, 7.0f)
            arcToRelative(20.92f, 20.92f, 0.0f, false, false, 5.83f, 1.39f)
            curveToRelative(-0.48f, 0.74f, -5.7f, 4.61f, -7.86f, 5.25f)
            curveToRelative(-0.84f, 1.46f, -2.42f, 2.36f, -3.81f, 3.37f)
            curveToRelative(-0.87f, 0.41f, -2.05f, 0.41f, -2.25f, 1.55f)
            curveToRelative(0.1f, 0.58f, -0.21f, 1.08f, -0.24f, 1.62f)
            curveTo(126.19f, 29.0f, 123.75f, 35.0f, 115.0f, 34.87f)
            curveToRelative(-6.38f, 0.8f, -6.36f, 2.43f, -6.36f, 2.43f)
            curveToRelative(0.2f, 0.6f, 6.06f, 2.36f, 4.92f, 5.0f)
            curveToRelative(-1.39f, 1.51f, -5.5f, 2.76f, -5.5f, 2.76f)
            curveToRelative(-4.49f, 7.1f, -25.55f, 6.77f, -26.45f, 12.61f)
            curveToRelative(0.0f, 0.0f, 17.41f, 8.48f, 8.9f, 14.16f)
            curveToRelative(1.58f, 1.51f, 8.0f, 3.42f, 11.66f, 10.5f)
            curveToRelative(0.64f, 0.92f, 0.0f, 2.5f, 0.94f, 2.94f)
            curveToRelative(2.26f, 0.94f, 7.55f, 6.87f, 7.55f, 6.87f)
            curveTo(95.78f, 67.0f, 99.09f, 60.45f, 99.6f, 59.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(120.46f, 121.42f)
            arcTo(69.91f, 69.91f, 0.0f, false, false, 115.0f, 101.3f)
            curveToRelative(-3.43f, -1.08f, -9.0f, -5.19f, -9.0f, -5.19f)
            curveToRelative(0.74f, 1.11f, 0.68f, 3.2f, 2.33f, 3.47f)
            curveToRelative(1.31f, 1.07f, 0.1f, 3.0f, 1.08f, 4.31f)
            arcToRelative(5.23f, 5.23f, 0.0f, false, true, -0.17f, 2.26f)
            curveToRelative(0.4f, 0.54f, 0.0f, 1.18f, -0.24f, 1.62f)
            arcToRelative(33.0f, 33.0f, 0.0f, false, true, 3.64f, 5.32f)
            curveToRelative(0.37f, 1.0f, -1.11f, 1.86f, -0.27f, 2.93f)
            curveToRelative(-0.84f, 0.51f, -1.55f, -0.33f, -2.49f, -0.16f)
            curveToRelative(0.17f, 0.94f, 0.91f, 1.82f, 0.17f, 2.73f)
            curveToRelative(-1.35f, 0.5f, -8.21f, -4.74f, -8.21f, -4.74f)
            curveToRelative(-0.23f, 0.31f, 0.17f, 2.88f, -1.2f, 3.79f)
            curveToRelative(10.47f, 7.84f, 19.82f, 3.78f, 19.82f, 3.78f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(183.88f, 145.79f)
            curveToRelative(1.35f, 1.58f, 3.47f, 1.85f, 5.19f, 2.49f)
            arcToRelative(1.31f, 1.31f, 0.0f, false, false, 0.87f, -0.64f)
            curveToRelative(-1.41f, -0.75f, 0.47f, -0.94f, -0.06f, -2.0f)
            curveToRelative(-0.51f, -0.38f, -1.62f, -0.41f, -1.49f, -1.28f)
            curveToRelative(0.41f, -0.51f, 1.22f, -0.07f, 1.55f, -0.11f)
            curveToRelative(0.0f, -0.5f, 0.37f, -0.87f, 0.41f, -1.44f)
            curveToRelative(0.0f, -1.0f, -1.52f, -0.84f, -1.22f, -2.0f)
            curveToRelative(1.42f, -0.43f, 0.5f, -2.47f, 1.05f, -5.08f)
            curveToRelative(-0.17f, -0.55f, -0.61f, 0.0f, -0.88f, -0.51f)
            arcToRelative(1.76f, 1.76f, 0.0f, false, false, -0.1f, -1.75f)
            curveToRelative(-3.94f, -0.3f, -16.42f, 0.0f, -19.14f, -5.53f)
            curveToRelative(-0.81f, 0.23f, -3.5f, 0.0f, -3.81f, 0.81f)
            curveToRelative(-2.56f, -0.1f, -8.0f, 3.19f, -14.0f, -0.47f)
            curveToRelative(-6.61f, -0.75f, -30.88f, 1.13f, -32.28f, -2.26f)
            lineToRelative(-0.88f, -0.1f)
            curveToRelative(0.2f, 0.84f, -3.51f, 1.21f, -4.31f, 1.38f)
            curveToRelative(2.79f, 0.67f, 10.61f, 6.0f, 8.76f, 8.25f)
            curveToRelative(-0.32f, 3.8f, 44.0f, 3.13f, 43.26f, -0.16f)
            curveToRelative(-0.13f, -0.31f, 1.05f, 0.0f, 1.22f, 0.34f)
            horizontalLineToRelative(4.85f)
            curveToRelative(1.18f, 0.5f, -0.4f, 1.72f, -0.34f, 1.92f)
            curveToRelative(2.06f, 1.35f, 9.5f, 2.21f, 11.33f, 8.19f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(38.0f, 181.45f)
            curveToRelative(-0.41f, -0.68f, -1.32f, 0.0f, -1.46f, -0.89f)
            curveToRelative(-0.37f, 0.71f, 0.58f, 0.85f, 0.65f, 1.52f)
            curveToRelative(0.91f, 0.0f, 0.33f, 0.91f, 0.91f, 1.22f)
            curveToRelative(0.94f, -0.37f, -0.07f, -1.12f, -0.1f, -1.85f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(37.56f, 185.82f)
            curveToRelative(-0.5f, -0.27f, -1.0f, 0.14f, -1.35f, 0.47f)
            curveToRelative(1.34f, 0.2f, 1.35f, -0.47f, 1.35f, -0.47f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(34.6f, 183.0f)
            curveToRelative(-0.48f, -1.35f, 1.24f, -2.52f, 0.06f, -3.4f)
            lineToRelative(0.47f, -0.88f)
            curveToRelative(3.14f, -0.94f, 6.54f, 0.78f, 9.47f, -0.27f)
            curveToRelative(0.44f, -0.4f, -0.87f, -1.28f, 0.17f, -1.75f)
            curveToRelative(1.0f, -0.3f, 1.82f, 0.91f, 2.67f, 0.07f)
            curveToRelative(2.0f, -3.76f, -1.15f, -4.85f, -0.71f, -5.83f)
            curveToRelative(3.56f, 0.0f, 2.56f, -4.38f, 1.68f, -5.5f)
            curveToRelative(0.07f, -0.94f, 1.0f, -0.14f, 1.45f, -0.23f)
            curveToRelative(2.46f, 1.35f, 5.7f, 0.3f, 8.09f, -0.64f)
            curveToRelative(3.54f, -2.77f, 8.19f, -3.0f, 12.3f, -4.55f)
            curveToRelative(9.0f, -2.19f, 18.47f, 0.67f, 27.43f, -1.52f)
            curveToRelative(3.7f, -1.51f, 13.94f, -2.84f, 13.17f, -5.76f)
            curveToRelative(-0.2f, 0.0f, -0.74f, -0.71f, -0.74f, -0.71f)
            curveToRelative(1.62f, 0.0f, 2.67f, -0.81f, 4.0f, -1.55f)
            curveToRelative(-0.24f, -1.85f, 1.72f, -0.44f, 2.52f, -1.22f)
            reflectiveCurveToRelative(1.59f, -1.31f, 1.86f, -2.49f)
            curveToRelative(0.3f, -0.3f, 0.61f, 0.13f, 0.81f, 0.24f)
            curveToRelative(-0.14f, 0.54f, -0.2f, 2.79f, 0.47f, 3.0f)
            curveToRelative(0.05f, 1.94f, 13.87f, -1.1f, 36.79f, 0.13f)
            curveToRelative(0.28f, -0.13f, 0.71f, -0.94f, 1.0f, -1.0f)
            curveToRelative(2.0f, 1.92f, 10.0f, 3.27f, 10.58f, 4.44f)
            curveToRelative(3.09f, 0.6f, 4.61f, 8.18f, 10.0f, 9.54f)
            curveToRelative(2.55f, 0.66f, 2.26f, -0.81f, 2.26f, -0.81f)
            lineTo(179.09f, 161.0f)
            curveToRelative(2.78f, -0.11f, 2.11f, -2.8f, 0.1f, -3.57f)
            curveToRelative(-0.23f, -1.18f, 2.57f, -0.27f, 1.05f, -1.52f)
            curveToRelative(0.64f, -0.77f, -1.0f, -0.53f, -0.47f, -1.45f)
            curveToRelative(2.78f, -1.15f, 0.87f, -4.81f, -0.34f, -5.52f)
            curveToRelative(-0.74f, 0.2f, -14.74f, -0.69f, -17.22f, -6.13f)
            curveToRelative(-7.8f, 1.4f, -36.6f, -4.29f, -42.06f, -0.47f)
            curveToRelative(-2.93f, 2.32f, -14.72f, 6.13f, -14.72f, 6.13f)
            curveToRelative(-7.46f, 2.48f, -19.92f, -0.58f, -22.41f, -1.28f)
            curveToRelative(-5.27f, 3.59f, -18.75f, -3.0f, -20.12f, -7.45f)
            curveToRelative(-1.45f, -1.0f, -2.89f, -2.36f, -4.95f, -1.62f)
            curveToRelative(-2.78f, 0.36f, 0.57f, 3.77f, 0.23f, 5.42f)
            curveToRelative(-0.43f, 0.78f, -18.34f, -2.87f, -23.0f, 4.93f)
            curveToRelative(-0.53f, 1.45f, 0.78f, 3.88f, -1.62f, 4.38f)
            curveTo(33.08f, 154.51f, 31.0f, 156.0f, 31.76f, 158.0f)
            curveToRelative(-0.67f, 1.11f, 1.22f, 4.78f, 1.22f, 4.78f)
            curveToRelative(-0.64f, 1.58f, -0.64f, 3.44f, -1.89f, 4.75f)
            curveToRelative(2.52f, 4.0f, -2.39f, 5.7f, -3.87f, 6.4f)
            curveToRelative(-0.41f, 1.08f, -1.38f, 2.5f, -0.65f, 3.71f)
            curveToRelative(1.0f, 0.14f, 1.31f, 7.34f, 6.0f, 8.9f)
            curveToRelative(0.68f, 0.1f, 1.92f, -2.7f, 2.0f, -3.54f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(56.09f, 193.0f)
            curveToRelative(-6.31f, 4.27f, -9.13f, -1.82f, -9.53f, -2.49f)
            curveToRelative(-1.83f, -2.84f, -5.29f, 0.81f, -6.47f, 0.0f)
            arcToRelative(3.43f, 3.43f, 0.0f, false, false, -0.64f, -1.85f)
            curveToRelative(-1.0f, 0.3f, -7.53f, 1.87f, -13.21f, -1.72f)
            curveToRelative(2.6f, 1.85f, 5.69f, 4.82f, 9.0f, 2.83f)
            curveToRelative(1.55f, -0.07f, 5.1f, 2.28f, 6.0f, 4.14f)
            arcToRelative(5.17f, 5.17f, 0.0f, false, true, 3.24f, -1.38f)
            curveToRelative(9.22f, 9.62f, 11.65f, 0.47f, 11.65f, 0.47f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(45.18f, 198.0f)
            curveToRelative(-0.78f, 0.24f, -1.32f, -1.12f, -2.43f, -0.81f)
            curveToRelative(-0.24f, 0.47f, 0.07f, 0.94f, 0.23f, 1.38f)
            lineToRelative(2.2f, -0.57f)
        }
    }
        .build()
}
