package com.mshdabiola.designsystem.icon.drawable

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.mshdabiola.designsystem.icon.Drawable

public val Drawable.Icon2: ImageVector
    get() {
        if (_icon2 != null) {
            return _icon2!!
        }
        _icon2 = Builder(
            name = "Icon2",
            defaultWidth = 140.89.dp,
            defaultHeight = 139.4.dp,
            viewportWidth = 140.89f,
            viewportHeight = 139.4f,
        ).apply {
            path(
                fill = SolidColor(Color(0xFF515073)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(119.21f, 121.65f)
                curveToRelative(-25.39f, 22.12f, -63.6f, 23.75f, -91.63f, 3.89f)
                curveToRelative(-1.6f, -1.14f, -3.11f, -2.4f, -4.66f, -3.61f)
                curveToRelative(1.34f, -3.37f, 4.37f, -2.38f, 6.79f, -2.42f)
                curveToRelative(9.21f, -0.14f, 8.89f, 0.51f, 8.92f, -9.05f)
                curveToRelative(0.0f, -2.45f, -0.36f, -5.0f, 1.0f, -7.26f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, true, 1.64f, -0.29f)
                curveToRelative(1.62f, 2.18f, 1.17f, 4.7f, 1.21f, 7.14f)
                curveToRelative(0.25f, 9.39f, 0.25f, 9.37f, 9.53f, 9.38f)
                curveToRelative(16.0f, 0.0f, 32.09f, -0.1f, 48.14f, 0.0f)
                curveToRelative(4.65f, -0.18f, 9.29f, -0.16f, 13.93f, 0.0f)
                curveTo(116.0f, 119.54f, 118.24f, 119.25f, 119.21f, 121.65f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF80c5ee)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(125.0f, 80.0f)
                curveToRelative(-0.1f, 4.15f, -0.08f, 8.31f, -0.31f, 12.45f)
                curveToRelative(-0.4f, 7.19f, -4.0f, 10.39f, -11.15f, 10.4f)
                curveToRelative(-4.49f, 0.0f, -9.0f, 0.11f, -13.46f, 0.18f)
                arcToRelative(6.28f, 6.28f, 0.0f, false, true, -4.17f, 1.37f)
                curveToRelative(-15.73f, 0.0f, -31.46f, 0.55f, -47.18f, -0.31f)
                curveToRelative(-8.52f, -2.31f, -10.17f, -4.35f, -10.12f, -13.29f)
                curveToRelative(0.0f, -5.0f, -0.62f, -10.0f, 0.57f, -14.9f)
                curveToRelative(2.67f, -2.87f, 4.18f, 0.09f, 5.51f, 1.43f)
                curveToRelative(6.38f, 6.45f, 14.0f, 9.6f, 23.0f, 10.59f)
                curveToRelative(17.76f, 2.0f, 36.0f, -12.14f, 39.08f, -29.74f)
                curveToRelative(3.93f, -22.62f, -13.0f, -42.26f, -33.92f, -43.45f)
                arcTo(51.31f, 51.31f, 0.0f, false, false, 61.0f, 15.88f)
                curveToRelative(-1.61f, 0.28f, -3.15f, 1.19f, -4.84f, 0.37f)
                curveToRelative(-1.55f, -2.34f, 0.49f, -3.29f, 1.83f, -4.36f)
                curveTo(64.58f, 6.67f, 71.63f, 2.4f, 80.1f, 1.06f)
                curveToRelative(23.22f, 3.74f, 40.14f, 21.68f, 44.4f, 47.06f)
                curveToRelative(0.3f, 0.39f, 0.8f, 0.74f, 0.88f, 1.18f)
                curveTo(127.2f, 59.57f, 127.9f, 69.83f, 125.0f, 80.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF49bfdf)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(40.0f, 74.94f)
                curveToRelative(0.0f, 5.65f, 0.0f, 11.3f, 0.05f, 17.0f)
                curveToRelative(0.0f, 7.1f, 1.33f, 8.89f, 8.0f, 10.81f)
                curveToRelative(-2.23f, 2.15f, -4.56f, 1.91f, -6.94f, 0.26f)
                lineToRelative(-1.0f, 0.0f)
                curveToRelative(-4.47f, 0.0f, -8.94f, 0.0f, -13.41f, -0.09f)
                curveToRelative(-6.34f, -0.09f, -10.11f, -3.73f, -10.42f, -10.08f)
                curveToRelative(-0.16f, -3.3f, -0.17f, -6.61f, -0.25f, -9.91f)
                lineToRelative(0.0f, -2.87f)
                arcToRelative(7.08f, 7.08f, 0.0f, false, true, -1.48f, -4.64f)
                curveToRelative(-0.08f, -7.44f, -0.14f, -14.88f, 0.0f, -22.32f)
                curveToRelative(0.0f, -1.83f, 0.3f, -3.65f, 1.88f, -4.93f)
                curveToRelative(2.58f, -15.44f, 9.24f, -28.52f, 22.27f, -37.75f)
                curveTo(51.22f, 1.61f, 64.94f, -2.0f, 80.1f, 1.05f)
                curveToRelative(-4.75f, 2.28f, -9.61f, 4.36f, -14.22f, 6.89f)
                curveToRelative(-3.69f, 2.0f, -7.37f, 4.24f, -9.81f, 7.9f)
                curveToRelative(-2.0f, 3.52f, -6.25f, 4.25f, -8.8f, 7.09f)
                curveTo(37.0f, 30.38f, 29.22f, 48.23f, 36.3f, 65.0f)
                curveToRelative(0.84f, 2.0f, 1.71f, 3.94f, 2.66f, 5.87f)
                curveTo(39.42f, 72.19f, 40.79f, 73.29f, 40.0f, 74.94f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF4d4c71)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(16.51f, 48.16f)
                quadToRelative(-0.23f, 15.95f, -0.44f, 31.89f)
                curveTo(7.17f, 81.0f, 0.0f, 71.75f, 0.0f, 65.21f)
                curveTo(0.0f, 55.29f, 5.88f, 49.0f, 16.51f, 48.16f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF4f4d72)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(125.0f, 80.0f)
                quadToRelative(-0.27f, -16.0f, -0.53f, -31.92f)
                curveToRelative(9.26f, 0.59f, 16.0f, 7.0f, 16.38f, 15.48f)
                curveToRelative(0.33f, 8.22f, -5.88f, 15.18f, -14.78f, 16.55f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF41446d)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(99.92f, 110.83f)
                lineToRelative(0.24f, 10.09f)
                horizontalLineTo(41.21f)
                verticalLineToRelative(-11.0f)
                curveToRelative(1.76f, -1.65f, 4.0f, -1.49f, 6.13f, -1.49f)
                curveToRelative(14.79f, 0.0f, 29.58f, -0.13f, 44.37f, 0.06f)
                curveTo(94.57f, 108.51f, 97.83f, 107.81f, 99.92f, 110.83f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF302f4a)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(99.92f, 110.83f)
                arcToRelative(34.83f, 34.83f, 0.0f, false, false, -9.27f, -0.9f)
                lineToRelative(-49.44f, 0.0f)
                lineTo(41.12f, 103.0f)
                lineToRelative(7.0f, -0.26f)
                lineToRelative(52.0f, 0.36f)
                curveTo(100.05f, 105.65f, 100.0f, 108.24f, 99.92f, 110.83f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF31324b)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(46.78f, 21.78f)
                curveToRelative(2.48f, -3.0f, 6.18f, -4.0f, 9.29f, -5.94f)
                curveToRelative(11.41f, -3.59f, 22.69f, -3.72f, 33.25f, 2.45f)
                curveToRelative(13.0f, 7.6f, 19.8f, 19.24f, 19.27f, 34.26f)
                curveToRelative(-0.57f, 16.28f, -8.77f, 28.15f, -24.0f, 34.19f)
                curveToRelative(-14.35f, 5.72f, -27.74f, 3.11f, -39.54f, -7.0f)
                curveToRelative(-1.76f, -1.51f, -3.37f, -3.19f, -5.05f, -4.8f)
                curveToRelative(-0.56f, -1.0f, -1.12f, -2.0f, -1.69f, -3.0f)
                curveToRelative(0.81f, -2.68f, -0.76f, -5.2f, -0.57f, -7.85f)
                arcToRelative(23.68f, 23.68f, 0.0f, false, false, 0.07f, -3.47f)
                curveToRelative(-0.17f, -2.53f, 3.48f, -3.89f, 1.47f, -7.33f)
                curveToRelative(-1.34f, -2.3f, 0.44f, -5.81f, -0.18f, -8.79f)
                arcToRelative(3.11f, 3.11f, 0.0f, false, true, 0.39f, -2.41f)
                curveToRelative(4.24f, -5.75f, 3.08f, -13.53f, 7.26f, -19.3f)
                curveTo(47.0f, 22.53f, 46.83f, 22.11f, 46.78f, 21.78f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF292a3d)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(46.78f, 21.78f)
                curveToRelative(1.82f, 1.12f, 1.25f, 2.36f, 0.28f, 3.74f)
                arcToRelative(16.27f, 16.27f, 0.0f, false, false, -3.0f, 10.29f)
                curveToRelative(0.0f, 0.5f, 0.15f, 1.17f, -0.11f, 1.47f)
                curveTo(39.0f, 42.92f, 42.0f, 49.85f, 40.67f, 55.78f)
                curveToRelative(-1.2f, 5.29f, -1.0f, 10.0f, -0.84f, 15.06f)
                curveToRelative(0.0f, 0.35f, -1.0f, 0.72f, -1.48f, 1.07f)
                curveTo(27.85f, 54.77f, 31.45f, 33.35f, 46.78f, 21.78f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFdb1f1e)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(71.51f, 67.63f)
                curveToRelative(2.0f, 0.0f, 4.0f, 0.0f, 6.0f, 0.0f)
                curveToRelative(5.15f, 0.13f, 6.55f, 1.87f, 5.53f, 6.76f)
                curveTo(82.0f, 79.52f, 75.7f, 84.25f, 70.53f, 83.84f)
                curveToRelative(-5.65f, -0.44f, -11.0f, -5.37f, -11.47f, -10.7f)
                curveToRelative(-0.32f, -3.28f, 0.5f, -5.58f, 4.48f, -5.38f)
                curveToRelative(2.65f, 0.13f, 5.31f, 0.0f, 8.0f, 0.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFaecd6e)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(59.14f, 47.94f)
                arcToRelative(8.5f, 8.5f, 0.0f, false, true, -8.46f, 8.61f)
                arcTo(8.58f, 8.58f, 0.0f, false, true, 50.6f, 39.4f)
                arcTo(8.52f, 8.52f, 0.0f, false, true, 59.14f, 47.94f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFafcd6f)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(100.2f, 47.76f)
                arcTo(8.26f, 8.26f, 0.0f, false, true, 92.0f, 56.44f)
                arcToRelative(8.79f, 8.79f, 0.0f, false, true, -8.67f, -8.5f)
                arcToRelative(8.5f, 8.5f, 0.0f, false, true, 8.23f, -8.32f)
                arcTo(8.08f, 8.08f, 0.0f, false, true, 100.2f, 47.76f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFf8f8f1)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(52.0f, 42.24f)
                curveToRelative(1.84f, 0.46f, 3.18f, 1.07f, 3.14f, 2.95f)
                curveToRelative(0.0f, 2.08f, -1.27f, 2.94f, -3.24f, 2.8f)
                curveToRelative(-1.75f, -0.13f, -2.77f, -1.07f, -2.59f, -2.9f)
                reflectiveCurveTo(50.8f, 42.71f, 52.0f, 42.24f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFf2f4e6)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(95.16f, 48.07f)
                curveToRelative(-1.87f, 0.0f, -3.13f, -0.47f, -3.07f, -2.44f)
                reflectiveCurveToRelative(1.0f, -3.19f, 2.88f, -3.32f)
                arcTo(2.77f, 2.77f, 0.0f, false, true, 97.91f, 45.0f)
                curveTo(98.13f, 47.0f, 96.82f, 47.88f, 95.16f, 48.07f)
                close()
            }
        }
            .build()
        return _icon2!!
    }

private var _icon2: ImageVector? = null
