package com.mshdabiola.designsystem.icon.drawable

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.mshdabiola.designsystem.icon.Drawable

public val Drawable.Icon4: ImageVector
    get() {
        if (_icon4 != null) {
            return _icon4!!
        }
        _icon4 = Builder(
            name = "Icon4",
            defaultWidth = 115.42.dp,
            defaultHeight = 133.0.dp,
            viewportWidth = 115.42f,
            viewportHeight = 133.0f,
        ).apply {
            path(
                fill = SolidColor(Color(0xFF28283c)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(36.58f, 129.45f)
                curveTo(35.0f, 125.0f, 37.0f, 121.3f, 39.28f, 117.7f)
                curveToRelative(1.15f, -0.61f, 2.29f, -0.2f, 3.38f, 0.15f)
                arcToRelative(48.0f, 48.0f, 0.0f, false, false, 29.43f, 0.0f)
                curveToRelative(1.25f, -0.39f, 2.5f, -0.87f, 3.78f, -0.13f)
                curveToRelative(2.57f, 3.52f, 4.15f, 7.3f, 2.94f, 11.77f)
                arcTo(64.74f, 64.74f, 0.0f, false, true, 36.58f, 129.45f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFfefefe)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(103.11f, 71.63f)
                curveToRelative(-0.34f, 3.1f, -0.67f, 6.2f, -1.0f, 9.31f)
                curveToRelative(-4.19f, 6.64f, -11.0f, 9.0f, -17.92f, 6.31f)
                curveToRelative(-2.83f, -1.1f, -5.64f, -2.47f, -7.39f, -4.92f)
                curveTo(70.31f, 73.25f, 61.0f, 73.05f, 51.32f, 73.82f)
                arcToRelative(12.73f, 12.73f, 0.0f, false, false, -7.93f, 3.8f)
                curveToRelative(-2.65f, 2.53f, -5.62f, 4.67f, -8.35f, 7.11f)
                arcToRelative(9.94f, 9.94f, 0.0f, false, true, -7.72f, 2.85f)
                arcToRelative(4.55f, 4.55f, 0.0f, false, true, -4.11f, -3.8f)
                arcToRelative(57.23f, 57.23f, 0.0f, false, true, -1.33f, -18.31f)
                curveToRelative(0.15f, -1.4f, 0.27f, -3.13f, 2.44f, -3.07f)
                curveToRelative(1.89f, 0.44f, 2.94f, 2.05f, 4.32f, 3.19f)
                curveToRelative(3.46f, 2.85f, 7.0f, 3.2f, 10.51f, 1.0f)
                arcToRelative(9.27f, 9.27f, 0.0f, false, false, 3.74f, -10.0f)
                arcToRelative(8.4f, 8.4f, 0.0f, false, false, -8.0f, -6.38f)
                curveToRelative(-3.74f, -0.26f, -7.25f, 2.39f, -8.9f, 6.0f)
                curveToRelative(-0.82f, 1.78f, 0.33f, 4.88f, -3.09f, 5.08f)
                arcToRelative(3.45f, 3.45f, 0.0f, false, true, -1.0f, -2.24f)
                curveToRelative(-0.09f, -12.26f, -1.66f, -24.6f, 1.52f, -36.69f)
                curveToRelative(0.95f, -3.61f, 1.74f, -7.59f, 6.0f, -9.09f)
                curveToRelative(3.35f, 2.49f, 3.12f, 6.44f, 3.75f, 9.89f)
                curveToRelative(2.78f, 15.1f, 4.82f, 16.91f, 20.3f, 16.9f)
                curveToRelative(4.48f, 0.0f, 9.0f, 0.16f, 13.45f, -0.06f)
                curveToRelative(8.48f, -0.42f, 12.3f, -3.87f, 13.82f, -12.15f)
                curveToRelative(1.0f, -5.55f, 2.38f, -11.0f, 3.48f, -16.56f)
                curveToRelative(0.41f, -2.08f, 0.75f, -4.32f, 3.0f, -5.47f)
                curveToRelative(10.86f, 5.68f, 15.33f, 15.08f, 15.59f, 26.9f)
                curveToRelative(0.1f, 4.15f, 0.11f, 8.31f, 0.17f, 12.47f)
                arcToRelative(6.63f, 6.63f, 0.0f, false, true, 1.57f, 4.07f)
                curveToRelative(0.21f, 6.09f, 0.2f, 12.18f, 0.0f, 18.28f)
                arcTo(6.92f, 6.92f, 0.0f, false, true, 103.11f, 71.63f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF3885c5)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(87.29f, 5.81f)
                curveToRelative(-1.74f, 7.59f, -3.71f, 15.13f, -5.16f, 22.78f)
                curveToRelative(-1.63f, 8.6f, -6.17f, 12.76f, -15.0f, 12.82f)
                curveToRelative(-6.65f, 0.0f, -13.3f, 0.06f, -20.0f, 0.0f)
                curveTo(38.84f, 41.3f, 34.4f, 37.3f, 33.0f, 29.12f)
                curveToRelative(-0.9f, -5.23f, -2.16f, -10.39f, -3.25f, -15.58f)
                curveToRelative(0.0f, -0.26f, 0.0f, -0.51f, 0.0f, -0.77f)
                curveTo(31.3f, 6.0f, 37.26f, 4.54f, 42.58f, 2.55f)
                curveToRelative(3.33f, -1.25f, 7.0f, -1.28f, 10.48f, -2.22f)
                curveTo(64.93f, -0.7f, 76.43f, 0.53f, 87.29f, 5.81f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFdfdfdf)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(24.93f, 63.46f)
                curveToRelative(-0.73f, -0.17f, -1.68f, -0.8f, -1.77f, 0.64f)
                arcToRelative(92.11f, 92.11f, 0.0f, false, false, 1.27f, 19.62f)
                curveToRelative(0.32f, 2.14f, 2.0f, 2.85f, 4.0f, 2.9f)
                arcTo(1.33f, 1.33f, 0.0f, false, true, 27.8f, 88.0f)
                curveToRelative(-6.53f, 1.39f, -11.0f, -1.77f, -14.61f, -6.71f)
                lineToRelative(-1.1f, -9.59f)
                curveToRelative(-2.89f, -5.06f, -1.26f, -10.59f, -1.5f, -15.91f)
                curveToRelative(-0.15f, -3.52f, -0.84f, -7.26f, 1.51f, -10.48f)
                curveToRelative(0.07f, -5.13f, -0.13f, -10.28f, 0.28f, -15.38f)
                curveTo(13.24f, 19.13f, 18.0f, 10.73f, 28.0f, 5.74f)
                curveToRelative(2.66f, 2.0f, 2.2f, 4.9f, 2.24f, 7.65f)
                lineToRelative(-0.46f, 0.15f)
                curveToRelative(-5.0f, 4.66f, -6.0f, 11.11f, -6.41f, 17.22f)
                curveToRelative(-0.68f, 9.45f, -0.19f, 19.0f, -0.13f, 28.48f)
                arcToRelative(6.48f, 6.48f, 0.0f, false, false, 0.94f, 2.19f)
                curveTo(25.89f, 61.53f, 25.75f, 62.37f, 24.93f, 63.46f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF3884c3)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(9.0f, 71.28f)
                lineToRelative(-3.91f, 0.3f)
                curveTo(1.19f, 71.3f, -0.14f, 69.0f, 0.0f, 65.3f)
                curveTo(0.18f, 61.19f, 0.0f, 57.07f, 0.0f, 53.0f)
                curveToRelative(0.0f, -7.0f, 0.72f, -7.76f, 8.07f, -7.51f)
                curveToRelative(2.47f, 2.94f, 1.12f, 6.43f, 1.22f, 9.63f)
                curveTo(9.46f, 60.46f, 10.51f, 65.91f, 9.0f, 71.28f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF3885c5)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(111.09f, 71.58f)
                lineToRelative(-3.93f, -0.29f)
                arcToRelative(5.0f, 5.0f, 0.0f, false, true, -1.47f, -3.55f)
                quadToRelative(-0.37f, -9.36f, 0.0f, -18.72f)
                arcToRelative(5.55f, 5.55f, 0.0f, false, true, 1.43f, -3.59f)
                curveToRelative(7.6f, -0.32f, 8.17f, 0.18f, 8.28f, 7.81f)
                curveToRelative(0.07f, 4.29f, -0.06f, 8.58f, 0.0f, 12.87f)
                curveTo(115.38f, 69.09f, 114.16f, 71.0f, 111.09f, 71.58f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF2774ac)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(107.12f, 45.43f)
                quadToRelative(0.0f, 12.93f, 0.0f, 25.86f)
                lineToRelative(-4.0f, 0.34f)
                lineToRelative(-0.06f, -26.45f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF2b74ab)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(9.0f, 71.28f)
                curveToRelative(-1.75f, -8.56f, -0.75f, -17.22f, -0.95f, -25.84f)
                lineToRelative(4.0f, -0.17f)
                verticalLineTo(71.66f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF3975a7)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(30.2f, 13.39f)
                curveTo(28.64f, 11.08f, 28.8f, 8.26f, 28.0f, 5.74f)
                arcTo(52.55f, 52.55f, 0.0f, false, true, 53.06f, 0.33f)
                curveTo(48.25f, 3.61f, 42.07f, 3.0f, 37.0f, 6.17f)
                arcTo(17.74f, 17.74f, 0.0f, false, false, 30.2f, 13.39f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF3984c5)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(28.1f, 87.43f)
                lineToRelative(0.32f, -0.81f)
                curveToRelative(5.75f, -0.56f, 8.63f, -5.32f, 12.32f, -8.71f)
                curveToRelative(8.46f, -7.77f, 24.75f, -8.14f, 33.11f, -0.38f)
                curveToRelative(0.13f, 0.11f, 0.28f, 0.19f, 0.4f, 0.3f)
                curveToRelative(12.86f, 12.0f, 13.54f, 12.07f, 27.85f, 3.11f)
                curveToRelative(2.09f, 0.9f, 3.0f, 2.12f, 2.19f, 4.63f)
                curveToRelative(-4.63f, 15.0f, -13.73f, 26.0f, -28.42f, 32.14f)
                lineToRelative(-2.69f, 1.0f)
                curveToRelative(-21.45f, 3.13f, -35.87f, -7.2f, -46.64f, -24.42f)
                curveTo(23.8f, 89.86f, 24.13f, 88.82f, 28.1f, 87.43f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF2e75a8)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(28.1f, 87.43f)
                curveToRelative(-2.53f, 1.09f, -2.57f, 2.78f, -1.37f, 5.0f)
                curveToRelative(8.5f, 15.58f, 22.0f, 23.86f, 39.12f, 26.79f)
                curveToRelative(2.55f, 0.43f, 4.73f, -2.68f, 7.33f, -0.53f)
                curveToRelative(-11.43f, 3.91f, -22.74f, 4.06f, -33.9f, -1.0f)
                curveToRelative(-14.64f, -6.11f, -24.0f, -16.82f, -28.41f, -32.07f)
                curveToRelative(-0.71f, -2.45f, -0.16f, -3.82f, 2.32f, -4.38f)
                curveTo(17.76f, 84.28f, 22.0f, 88.0f, 28.1f, 87.43f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF27283c)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(24.93f, 63.46f)
                arcToRelative(2.0f, 2.0f, 0.0f, false, false, -0.79f, -2.0f)
                curveToRelative(0.06f, -6.78f, 2.41f, -10.68f, 7.3f, -12.1f)
                arcToRelative(10.15f, 10.15f, 0.0f, false, true, 12.17f, 5.2f)
                arcToRelative(10.55f, 10.55f, 0.0f, false, true, -3.0f, 12.91f)
                arcToRelative(10.0f, 10.0f, 0.0f, false, true, -13.18f, -0.89f)
                arcTo(29.86f, 29.86f, 0.0f, false, true, 24.93f, 63.46f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF27283c)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(92.2f, 59.15f)
                arcToRelative(10.25f, 10.25f, 0.0f, false, true, -9.93f, 10.32f)
                arcTo(10.32f, 10.32f, 0.0f, true, true, 92.2f, 59.15f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF4bbbe2)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(82.13f, 13.43f)
                curveToRelative(-0.08f, 1.73f, 0.0f, 3.7f, -2.24f, 3.78f)
                reflectiveCurveToRelative(-1.7f, -1.92f, -1.77f, -3.28f)
                curveToRelative(-0.08f, -1.77f, 0.58f, -3.66f, 2.35f, -3.78f)
                curveTo(82.58f, 10.0f, 81.93f, 12.18f, 82.13f, 13.43f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF49b8df)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(77.0f, 24.44f)
                curveToRelative(0.25f, -1.13f, -0.24f, -2.86f, 1.79f, -2.75f)
                curveToRelative(1.3f, 0.07f, 1.24f, 1.28f, 1.26f, 2.23f)
                curveToRelative(0.0f, 1.34f, -0.12f, 2.94f, -1.67f, 3.09f)
                reflectiveCurveTo(77.16f, 25.53f, 77.0f, 24.44f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF28283e)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(57.91f, 88.39f)
                curveToRelative(2.82f, 0.0f, 5.65f, -0.12f, 8.46f, 0.0f)
                curveToRelative(3.45f, 0.18f, 5.0f, 2.51f, 5.17f, 5.62f)
                curveToRelative(0.15f, 2.94f, -1.29f, 5.28f, -4.38f, 5.76f)
                arcTo(71.87f, 71.87f, 0.0f, false, true, 48.8f, 100.0f)
                curveToRelative(-3.32f, -0.34f, -5.32f, -2.82f, -4.94f, -6.36f)
                reflectiveCurveToRelative(2.6f, -5.22f, 6.08f, -5.27f)
                curveToRelative(2.65f, 0.0f, 5.31f, 0.0f, 8.0f, 0.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFeeeff0)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(41.14f, 55.52f)
                curveToRelative(-0.28f, 2.19f, -1.29f, 3.54f, -3.14f, 3.68f)
                arcToRelative(3.25f, 3.25f, 0.0f, false, true, -3.62f, -3.32f)
                arcToRelative(3.17f, 3.17f, 0.0f, false, true, 3.55f, -3.33f)
                curveTo(39.84f, 52.62f, 40.69f, 54.1f, 41.14f, 55.52f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFeeeff1)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(89.0f, 55.91f)
                curveToRelative(-0.49f, 2.0f, -1.63f, 3.46f, -3.76f, 3.28f)
                arcToRelative(3.19f, 3.19f, 0.0f, false, true, -3.0f, -3.37f)
                arcToRelative(3.08f, 3.08f, 0.0f, false, true, 3.12f, -3.25f)
                curveTo(87.55f, 52.39f, 88.49f, 54.0f, 89.0f, 55.91f)
                close()
            }
        }
            .build()
        return _icon4!!
    }

private var _icon4: ImageVector? = null
