package com.mshdabiola.designsystem.icon.drawable

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.mshdabiola.designsystem.icon.Drawable

public val Drawable.Icon5: ImageVector
    get() {
        if (_icon5 != null) {
            return _icon5!!
        }
        _icon5 = Builder(
            name = "Icon5",
            defaultWidth = 136.91.dp,
            defaultHeight = 133.99.dp,
            viewportWidth = 136.91f,
            viewportHeight = 133.99f,
        ).apply {
            path(
                fill = SolidColor(Color(0xFFe2e1e1)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(117.92f, 115.21f)
                arcToRelative(69.53f, 69.53f, 0.0f, false, true, -38.0f, 17.85f)
                arcToRelative(73.11f, 73.11f, 0.0f, false, true, -25.68f, -0.42f)
                arcToRelative(77.49f, 77.49f, 0.0f, false, true, -34.35f, -16.52f)
                curveToRelative(4.55f, -10.08f, 18.45f, -14.87f, 30.0f, -11.51f)
                curveToRelative(1.64f, 1.67f, 1.0f, 4.0f, 1.79f, 6.0f)
                arcToRelative(17.61f, 17.61f, 0.0f, false, false, 23.07f, 14.17f)
                curveToRelative(7.23f, -2.48f, 10.79f, -7.84f, 12.28f, -15.0f)
                curveToRelative(0.65f, -1.7f, 0.38f, -3.72f, 1.78f, -5.16f)
                curveTo(98.74f, 101.11f, 115.12f, 106.66f, 117.92f, 115.21f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF31324b)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(35.82f, 1.0f)
                curveTo(41.84f, -0.7f, 48.0f, 0.3f, 54.08f, 0.24f)
                curveTo(67.37f, 0.11f, 80.66f, 0.29f, 94.0f, 0.3f)
                curveToRelative(17.79f, 0.0f, 25.33f, 6.94f, 26.94f, 24.7f)
                curveToRelative(0.2f, 2.29f, -0.2f, 4.68f, 1.0f, 6.82f)
                curveTo(124.0f, 39.4f, 124.55f, 47.2f, 125.26f, 55.0f)
                curveToRelative(-0.12f, 2.19f, 0.84f, 4.46f, -0.37f, 6.59f)
                curveToRelative(-0.13f, 4.57f, 1.55f, 9.0f, 0.82f, 13.64f)
                curveToRelative(-4.81f, 6.0f, -11.46f, 7.88f, -18.71f, 8.5f)
                curveToRelative(-11.3f, -0.77f, -22.61f, -0.21f, -33.9f, -0.32f)
                reflectiveCurveToRelative(-22.62f, 0.0f, -33.93f, 0.0f)
                curveToRelative(-6.66f, 0.0f, -8.23f, -1.32f, -8.59f, -8.09f)
                arcTo(92.61f, 92.61f, 0.0f, false, true, 33.0f, 48.56f)
                curveToRelative(1.0f, -4.0f, 0.0f, -4.81f, -3.56f, -4.22f)
                arcToRelative(5.78f, 5.78f, 0.0f, false, true, -2.0f, 0.0f)
                curveToRelative(-1.57f, -0.31f, -3.79f, -0.14f, -3.69f, -2.42f)
                curveToRelative(0.09f, -2.0f, 2.24f, -1.44f, 3.58f, -1.83f)
                curveToRelative(1.54f, -0.46f, 3.4f, -0.12f, 4.48f, -1.74f)
                curveToRelative(3.42f, -4.07f, 4.94f, -4.0f, 7.78f, 0.31f)
                curveToRelative(0.8f, 1.22f, 1.22f, 2.74f, 3.0f, 3.67f)
                curveToRelative(1.67f, -2.0f, 3.0f, -4.68f, 6.41f, -4.4f)
                curveToRelative(1.8f, 0.14f, 1.71f, -1.7f, 2.26f, -2.83f)
                reflectiveCurveToRelative(1.0f, -2.3f, 2.45f, -2.06f)
                curveToRelative(1.29f, 0.22f, 1.79f, 1.32f, 2.08f, 2.53f)
                curveToRelative(1.0f, 4.0f, 1.41f, 8.11f, 3.29f, 12.24f)
                curveToRelative(0.66f, -5.52f, 4.09f, -8.71f, 8.47f, -11.22f)
                curveToRelative(1.22f, -0.69f, 2.5f, -1.65f, 3.58f, -0.5f)
                curveToRelative(2.39f, 2.51f, 6.39f, 2.94f, 8.0f, 6.5f)
                curveToRelative(0.87f, 2.0f, 2.26f, 2.0f, 3.07f, -0.1f)
                curveToRelative(1.48f, -3.81f, 5.89f, -4.5f, 8.0f, -7.9f)
                curveToRelative(1.21f, -2.0f, 3.15f, 0.0f, 4.39f, 1.39f)
                curveToRelative(3.09f, 3.51f, 4.46f, 3.6f, 7.75f, 0.26f)
                curveToRelative(2.0f, -2.0f, 3.0f, -1.34f, 3.81f, 1.0f)
                curveToRelative(0.51f, 1.39f, 0.72f, 2.91f, 2.15f, 4.17f)
                curveToRelative(-0.57f, -1.12f, 5.0f, -1.54f, -0.14f, -3.2f)
                curveToRelative(-2.75f, -0.89f, -2.09f, -4.35f, -4.0f, -5.9f)
                curveToRelative(-1.2f, 0.39f, -1.16f, 1.55f, -1.59f, 2.38f)
                curveToRelative(-2.18f, 4.2f, -5.13f, 4.66f, -7.9f, 0.92f)
                curveToRelative(-2.13f, -2.88f, -3.71f, -4.31f, -5.81f, -0.07f)
                curveToRelative(-1.53f, 3.08f, -6.0f, 2.83f, -7.42f, 6.26f)
                curveToRelative(-0.28f, 0.68f, -1.49f, 0.4f, -2.24f, -0.12f)
                reflectiveCurveToRelative(-1.0f, -1.65f, -1.6f, -1.85f)
                curveToRelative(-3.24f, -1.0f, -5.25f, -6.41f, -8.78f, -4.22f)
                curveToRelative(-2.68f, 1.67f, -7.06f, 1.84f, -8.0f, 6.09f)
                curveToRelative(-0.17f, 0.77f, -0.71f, 1.6f, -1.76f, 1.32f)
                arcTo(2.67f, 2.67f, 0.0f, false, true, 57.0f, 40.88f)
                curveToRelative(-1.0f, -3.81f, -1.26f, -7.81f, -2.84f, -11.55f)
                curveToRelative(-1.75f, 0.57f, -1.63f, 2.15f, -2.08f, 3.26f)
                curveToRelative(-1.12f, 2.81f, -3.41f, 4.0f, -5.6f, 5.89f)
                curveToRelative(-5.82f, 4.88f, -6.68f, -0.36f, -9.0f, -3.0f)
                arcToRelative(11.64f, 11.64f, 0.0f, false, true, -2.66f, -4.75f)
                curveTo(35.28f, 20.0f, 37.0f, 9.74f, 45.55f, 2.28f)
                curveTo(42.51f, 1.86f, 38.92f, 3.35f, 35.82f, 1.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF282a3d)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(35.82f, 1.0f)
                curveToRelative(4.8f, 0.31f, 9.69f, -0.6f, 15.64f, 0.8f)
                curveToRelative(-10.07f, 2.86f, -12.37f, 10.0f, -13.74f, 18.0f)
                curveToRelative(-0.66f, 3.84f, -2.36f, 7.51f, -1.93f, 11.55f)
                curveToRelative(-1.34f, 3.56f, -3.54f, 6.18f, -7.53f, 6.89f)
                curveToRelative(1.55f, 1.0f, 3.0f, -1.35f, 4.56f, 0.0f)
                curveTo(33.93f, 40.0f, 33.0f, 40.73f, 31.4f, 41.0f)
                curveToRelative(-2.35f, 0.34f, -4.71f, 0.53f, -8.0f, 0.89f)
                arcToRelative(10.65f, 10.65f, 0.0f, false, false, 8.47f, 0.83f)
                curveToRelative(2.09f, -0.64f, 2.4f, 0.47f, 3.31f, 1.51f)
                curveToRelative(1.26f, 1.45f, 1.25f, 2.15f, -0.53f, 3.37f)
                reflectiveCurveToRelative(-1.0f, 3.77f, -1.18f, 5.61f)
                curveTo(32.68f, 60.74f, 31.37f, 68.3f, 31.91f, 76.0f)
                curveToRelative(0.29f, 4.07f, 1.67f, 6.28f, 6.68f, 6.2f)
                curveTo(59.9f, 81.82f, 81.22f, 82.0f, 102.53f, 82.0f)
                curveToRelative(1.78f, 0.0f, 3.69f, -0.54f, 5.31f, 0.72f)
                arcToRelative(3.28f, 3.28f, 0.0f, false, true, -2.36f, 1.46f)
                quadToRelative(-36.39f, 0.62f, -72.79f, 0.0f)
                curveToRelative(-7.53f, -0.14f, -15.19f, -2.3f, -19.77f, -9.61f)
                curveToRelative(-0.55f, -4.33f, 0.41f, -8.58f, 0.64f, -12.87f)
                curveToRelative(-1.17f, -1.55f, -1.05f, -3.33f, -0.94f, -5.12f)
                curveToRelative(1.0f, -6.21f, 1.48f, -12.49f, 2.31f, -18.72f)
                curveToRelative(0.28f, -2.12f, 0.47f, -4.3f, 1.71f, -6.18f)
                curveToRelative(0.69f, -4.76f, 1.19f, -9.55f, 2.12f, -14.27f)
                curveTo(20.5f, 8.56f, 26.73f, 2.7f, 35.82f, 1.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFfefefe)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(105.86f, 83.17f)
                lineToRelative(2.0f, -0.42f)
                arcToRelative(40.2f, 40.2f, 0.0f, false, false, 17.87f, -7.53f)
                curveToRelative(0.0f, 1.14f, 0.0f, 2.29f, 0.0f, 3.42f)
                curveToRelative(-2.0f, 4.37f, -3.25f, 9.0f, -6.51f, 12.75f)
                arcToRelative(29.87f, 29.87f, 0.0f, false, true, -24.73f, 10.69f)
                curveToRelative(-2.16f, -0.08f, -4.33f, 0.0f, -6.49f, 0.06f)
                arcToRelative(5.55f, 5.55f, 0.0f, false, true, -3.2f, 1.25f)
                curveToRelative(-10.11f, 0.1f, -20.22f, 0.76f, -30.31f, -0.37f)
                curveToRelative(-6.11f, -2.62f, -12.2f, -5.3f, -16.64f, -10.54f)
                curveToRelative(-1.88f, -2.22f, -5.12f, -4.37f, -3.66f, -7.54f)
                curveToRelative(1.3f, -2.82f, 4.82f, -1.35f, 7.33f, -1.37f)
                curveToRelative(19.65f, -0.1f, 39.29f, 0.0f, 58.94f, -0.07f)
                curveTo(102.23f, 83.5f, 104.08f, 83.82f, 105.86f, 83.17f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFe1e1e1)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(105.86f, 83.17f)
                curveToRelative(-1.74f, 1.47f, -3.83f, 0.88f, -5.76f, 0.88f)
                curveToRelative(-20.31f, 0.0f, -40.61f, 0.0f, -60.92f, 0.06f)
                curveToRelative(-1.58f, 0.0f, -3.83f, -0.78f, -4.48f, 1.09f)
                curveToRelative(-0.52f, 1.5f, 1.17f, 3.0f, 2.17f, 4.22f)
                curveToRelative(4.52f, 5.71f, 10.78f, 9.08f, 17.0f, 12.45f)
                arcToRelative(1.87f, 1.87f, 0.0f, false, true, -2.52f, 0.23f)
                curveToRelative(-8.13f, 0.11f, -16.3f, 0.73f, -23.76f, -3.71f)
                curveTo(19.38f, 93.48f, 14.68f, 86.22f, 12.74f, 77.0f)
                lineToRelative(0.18f, -2.41f)
                arcToRelative(40.0f, 40.0f, 0.0f, false, false, 26.21f, 8.65f)
                curveTo(61.37f, 83.0f, 83.62f, 83.16f, 105.86f, 83.17f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF3a84c4)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(16.64f, 31.69f)
                arcTo(175.62f, 175.62f, 0.0f, false, true, 13.89f, 57.0f)
                curveTo(6.28f, 56.43f, 1.62f, 52.49f, 0.0f, 45.0f)
                curveTo(1.44f, 36.0f, 6.0f, 32.36f, 16.64f, 31.69f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF3a84c5)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(124.0f, 55.0f)
                curveToRelative(-0.5f, -7.75f, -2.63f, -15.34f, -2.12f, -23.18f)
                curveToRelative(8.79f, 0.38f, 13.74f, 4.75f, 14.92f, 13.16f)
                curveToRelative(-1.0f, 2.44f, -1.61f, 5.0f, -3.07f, 7.28f)
                curveTo(131.37f, 55.91f, 128.37f, 56.74f, 124.0f, 55.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF416db3)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(0.0f, 45.0f)
                arcToRelative(1.91f, 1.91f, 0.0f, false, true, 1.73f, 1.47f)
                curveTo(3.0f, 51.37f, 5.9f, 54.52f, 11.13f, 55.0f)
                curveToRelative(1.35f, 0.13f, 1.73f, 1.43f, 2.76f, 1.92f)
                lineToRelative(-0.33f, 4.75f)
                curveTo(3.82f, 59.77f, -0.48f, 54.46f, 0.0f, 45.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF436eb2)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(124.0f, 55.0f)
                curveToRelative(4.86f, 0.55f, 8.32f, -1.0f, 10.0f, -6.0f)
                curveToRelative(0.48f, -1.49f, 1.88f, -2.68f, 2.85f, -4.0f)
                curveToRelative(0.68f, 8.88f, -2.74f, 13.62f, -11.93f, 16.6f)
                curveTo(124.36f, 59.42f, 123.6f, 57.29f, 124.0f, 55.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF3b86c6)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(51.38f, 102.1f)
                lineToRelative(2.52f, -0.23f)
                lineToRelative(34.06f, 0.27f)
                lineToRelative(0.78f, 3.53f)
                curveToRelative(-0.3f, 1.49f, 0.3f, 3.13f, -0.7f, 4.51f)
                curveToRelative(-3.14f, 1.0f, -4.43f, 4.06f, -6.74f, 6.0f)
                curveToRelative(-7.93f, 6.66f, -23.27f, 6.53f, -29.83f, -5.63f)
                curveToRelative(-0.21f, -0.4f, -0.29f, 0.57f, -0.7f, 0.59f)
                curveToRelative(-1.39f, -1.74f, -0.58f, -3.83f, -0.92f, -5.74f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF3e6db3)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(50.77f, 111.15f)
                curveToRelative(0.07f, -1.31f, 0.13f, -2.63f, 0.21f, -4.12f)
                curveToRelative(3.1f, 5.2f, 6.0f, 10.69f, 12.3f, 11.85f)
                curveToRelative(9.19f, 1.68f, 17.0f, -1.06f, 22.42f, -9.09f)
                curveToRelative(0.5f, -0.74f, 0.37f, -2.18f, 1.69f, -1.86f)
                curveToRelative(0.37f, 0.09f, 0.44f, 1.47f, 0.64f, 2.25f)
                arcTo(18.84f, 18.84f, 0.0f, false, true, 69.52f, 127.0f)
                curveTo(60.12f, 127.21f, 52.41f, 120.7f, 50.77f, 111.15f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFb1cc6f)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(32.82f, 38.27f)
                curveToRelative(-1.0f, 0.51f, -2.0f, 1.44f, -3.0f, 1.45f)
                curveToRelative(-1.48f, 0.0f, -3.93f, 1.09f, -4.3f, -1.0f)
                reflectiveCurveToRelative(2.0f, -1.36f, 3.27f, -1.55f)
                curveToRelative(3.53f, -0.55f, 4.07f, -4.63f, 7.0f, -5.82f)
                lineToRelative(6.71f, 9.0f)
                curveToRelative(1.16f, -1.84f, 2.11f, -3.68f, 5.0f, -3.45f)
                curveToRelative(3.34f, 0.27f, 2.33f, -3.38f, 3.55f, -5.09f)
                reflectiveCurveToRelative(0.47f, -5.64f, 3.2f, -5.43f)
                curveToRelative(2.17f, 0.16f, 1.45f, 3.67f, 2.0f, 5.67f)
                curveToRelative(0.92f, 3.32f, 1.5f, 6.73f, 2.63f, 10.33f)
                curveToRelative(1.0f, -3.43f, 2.42f, -6.09f, 6.45f, -5.45f)
                curveToRelative(3.14f, -6.26f, 5.51f, -3.8f, 9.49f, -0.23f)
                curveToRelative(1.74f, 1.56f, 3.83f, 3.0f, 5.58f, 5.6f)
                curveToRelative(1.7f, -5.43f, 8.46f, -5.81f, 9.73f, -11.42f)
                curveToRelative(0.29f, -1.29f, 1.7f, -0.54f, 2.34f, 0.26f)
                curveToRelative(1.14f, 1.43f, 2.06f, 3.0f, 3.27f, 4.4f)
                curveToRelative(2.16f, 2.43f, 4.15f, 2.85f, 5.41f, -0.86f)
                curveToRelative(0.11f, -0.31f, 0.26f, -0.61f, 0.39f, -0.92f)
                curveToRelative(0.68f, -1.58f, 0.41f, -4.34f, 2.45f, -4.35f)
                curveToRelative(2.29f, 0.0f, 1.73f, 2.85f, 2.28f, 4.44f)
                curveToRelative(0.85f, 2.44f, 1.25f, 5.0f, 4.86f, 3.35f)
                arcToRelative(1.36f, 1.36f, 0.0f, false, true, 2.0f, 1.0f)
                curveToRelative(0.07f, 0.38f, -0.3f, 1.22f, -0.5f, 1.23f)
                curveToRelative(-3.43f, 0.19f, -2.38f, 4.0f, -4.62f, 5.58f)
                curveToRelative(-2.58f, -2.57f, -2.16f, -6.36f, -3.8f, -9.3f)
                curveToRelative(-4.0f, 6.28f, -6.0f, 6.0f, -13.12f, -1.79f)
                curveToRelative(-1.14f, 5.69f, -8.55f, 6.2f, -9.45f, 12.3f)
                curveToRelative(-0.24f, 1.64f, -2.17f, 0.29f, -2.32f, -0.75f)
                curveToRelative(-0.75f, -5.08f, -6.45f, -5.19f, -8.58f, -8.83f)
                curveToRelative(-0.14f, -0.24f, -0.52f, -0.33f, -0.8f, -0.49f)
                curveToRelative(-1.0f, 4.28f, -7.63f, 1.73f, -8.24f, 7.0f)
                curveToRelative(-0.3f, 2.6f, -0.45f, 7.46f, -2.61f, 7.3f)
                curveToRelative(-3.0f, -0.22f, -2.0f, -4.87f, -2.9f, -7.54f)
                curveToRelative(-1.0f, -3.09f, -1.35f, -6.4f, -2.25f, -10.93f)
                curveToRelative(-2.0f, 4.39f, -2.43f, 8.6f, -7.51f, 7.71f)
                curveTo(46.0f, 39.57f, 45.0f, 41.0f, 44.65f, 41.84f)
                curveToRelative(-1.83f, 4.76f, -3.25f, 2.72f, -4.72f, -0.19f)
                curveToRelative(-0.6f, -1.17f, -1.31f, -2.27f, -1.93f, -3.43f)
                curveTo(36.24f, 34.87f, 34.52f, 35.42f, 32.82f, 38.27f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFdb1f1e)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(83.9f, 62.7f)
                curveToRelative(-0.16f, 7.86f, -7.28f, 14.2f, -14.83f, 14.21f)
                curveToRelative(-7.0f, 0.0f, -14.29f, -6.58f, -14.61f, -13.1f)
                curveToRelative(-0.13f, -2.64f, 0.87f, -4.0f, 3.7f, -4.0f)
                curveToRelative(7.63f, 0.09f, 15.25f, 0.17f, 22.88f, 0.0f)
                curveTo(84.22f, 59.78f, 84.0f, 61.66f, 83.9f, 62.7f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF40436c)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(105.72f, 16.94f)
                curveToRelative(-2.0f, -1.9f, -5.52f, -2.26f, -5.8f, -5.92f)
                arcToRelative(1.64f, 1.64f, 0.0f, false, true, 2.18f, -1.9f)
                curveToRelative(2.93f, 0.93f, 5.14f, 2.79f, 5.65f, 6.0f)
                curveTo(108.0f, 16.39f, 107.05f, 16.83f, 105.72f, 16.94f)
                close()
            }
        }
            .build()
        return _icon5!!
    }

private var _icon5: ImageVector? = null
