package com.mshdabiola.designsystem.icon.drawable

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.mshdabiola.designsystem.icon.Drawable

public val Drawable.Logo: ImageVector
    get() {
        if (_logo != null) {
            return _logo!!
        }
        _logo = Builder(
            name = "Logo",
            defaultWidth = 426.5.dp,
            defaultHeight = 418.13.dp,
            viewportWidth = 426.5f,
            viewportHeight = 418.13f,
        ).apply {
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = SolidColor(Color(0xFFCBD5CB)),
                strokeLineWidth = 6.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(8.94f, 3.0f)
                horizontalLineTo(37.0f)
                lineToRelative(18.9f, 84.0f)
                verticalLineTo(3.0f)
                horizontalLineTo(82.42f)
                verticalLineTo(173.48f)
                horizontalLineToRelative(-28.0f)
                lineToRelative(-18.0f, -81.66f)
                verticalLineToRelative(81.66f)
                horizontalLineTo(8.94f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = SolidColor(Color(0xFFCBD5CB)),
                strokeLineWidth = 6.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(176.26f, 119.66f)
                lineToRelative(8.09f, 53.82f)
                horizontalLineTo(155.74f)
                lineToRelative(-4.68f, -31.17f)
                horizontalLineTo(130.19f)
                lineToRelative(-4.76f, 31.17f)
                horizontalLineTo(96.9f)
                lineTo(105.0f, 119.92f)
                lineToRelative(17.28f, -96.48f)
                horizontalLineToRelative(36.79f)
                close()
                moveTo(147.4f, 118.3f)
                lineToRelative(-6.82f, -45.39f)
                lineToRelative(-6.81f, 45.39f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = SolidColor(Color(0xFFCBD5CB)),
                strokeLineWidth = 6.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(199.25f, 23.44f)
                horizontalLineToRelative(28.36f)
                verticalLineToRelative(150.0f)
                horizontalLineTo(199.25f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = SolidColor(Color(0xFFCBD5CB)),
                strokeLineWidth = 6.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(241.66f, 133.54f)
                horizontalLineTo(270.0f)
                verticalLineToRelative(10.22f)
                quadToRelative(0.0f, 8.43f, 8.43f, 8.43f)
                reflectiveQuadToRelative(8.34f, -8.43f)
                verticalLineToRelative(-120.0f)
                horizontalLineToRelative(28.36f)
                verticalLineToRelative(120.0f)
                quadToRelative(0.0f, 32.44f, -36.7f, 32.44f)
                reflectiveQuadToRelative(-36.79f, -32.44f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = SolidColor(Color(0xFFCBD5CB)),
                strokeLineWidth = 6.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(409.0f, 119.66f)
                lineToRelative(8.09f, 53.82f)
                lineTo(388.46f, 173.48f)
                lineToRelative(-4.68f, -31.17f)
                lineTo(362.92f, 142.31f)
                lineToRelative(-4.77f, 31.17f)
                lineTo(329.62f, 173.48f)
                lineToRelative(8.09f, -53.56f)
                lineTo(355.0f, 23.44f)
                horizontalLineToRelative(36.79f)
                close()
                moveTo(380.13f, 118.3f)
                lineTo(373.32f, 72.91f)
                lineTo(366.5f, 118.3f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFb2b2b2)), stroke = SolidColor(Color(0xFF009640)),
                fillAlpha = 0.53f, strokeAlpha = 0.53f, strokeLineWidth = 7.0f,
                strokeLineCap =
                Butt,
                strokeLineJoin = Miter, strokeLineMiter = 4.0f, pathFillType = NonZero,
            ) {
                moveTo(3.5f, 197.19f)
                lineToRelative(0.0f, 211.06f)
                lineToRelative(132.1f, 0.0f)
                lineToRelative(0.0f, -31.75f)
                lineToRelative(149.78f, 0.0f)
                lineToRelative(0.0f, 31.75f)
                lineToRelative(137.62f, 0.0f)
                lineToRelative(0.0f, -211.06f)
                lineToRelative(-419.5f, 0.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFe30613)),
                stroke = SolidColor(Color(0xFF9d9d9c)),
                strokeLineWidth = 6.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(62.35f, 360.15f)
                verticalLineTo(227.58f)
                horizontalLineToRelative(25.1f)
                verticalLineTo(339.0f)
                horizontalLineToRelative(34.0f)
                verticalLineToRelative(21.12f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFffed00)),
                stroke = SolidColor(Color(0xFF9d9d9c)),
                strokeLineWidth = 6.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(198.58f, 333.51f)
                quadToRelative(0.0f, 28.67f, -32.57f, 28.73f)
                reflectiveQuadToRelative(-32.49f, -28.73f)
                verticalLineTo(227.29f)
                horizontalLineToRelative(25.11f)
                verticalLineTo(333.51f)
                quadToRelative(0.0f, 7.47f, 7.38f, 7.47f)
                reflectiveQuadToRelative(7.47f, -7.47f)
                verticalLineTo(227.29f)
                horizontalLineToRelative(25.1f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = SolidColor(Color(0xFF9d9d9c)),
                strokeLineWidth = 6.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(217.43f, 227.0f)
                horizontalLineToRelative(34.76f)
                quadToRelative(30.3f, 0.08f, 30.31f, 28.73f)
                verticalLineToRelative(75.47f)
                quadToRelative(0.0f, 28.57f, -31.59f, 28.65f)
                lineTo(217.43f, 359.85f)
                close()
                moveTo(242.54f, 248.19f)
                verticalLineToRelative(90.47f)
                lineTo(250.0f, 338.66f)
                quadToRelative(7.39f, 0.0f, 7.39f, -7.46f)
                lineTo(257.39f, 255.71f)
                quadToRelative(0.0f, -7.54f, -7.39f, -7.54f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009fe3)),
                stroke = SolidColor(Color(0xFF9d9d9c)),
                strokeLineWidth = 6.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(364.15f, 333.51f)
                quadToRelative(0.0f, 28.67f, -32.57f, 28.73f)
                reflectiveQuadToRelative(-32.5f, -28.73f)
                verticalLineTo(253.9f)
                quadToRelative(0.0f, -28.65f, 32.5f, -28.65f)
                reflectiveQuadToRelative(32.57f, 28.65f)
                close()
                moveTo(339.0f, 253.9f)
                quadToRelative(0.0f, -7.47f, -7.39f, -7.54f)
                horizontalLineToRelative(-0.15f)
                quadToRelative(-7.31f, 0.0f, -7.31f, 7.54f)
                verticalLineToRelative(79.61f)
                quadToRelative(0.0f, 7.47f, 7.39f, 7.47f)
                reflectiveQuadToRelative(7.46f, -7.47f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(159.16f, 386.14f)
                arcToRelative(47.55f, 47.55f, 0.0f, false, true, 7.89f, -0.62f)
                curveToRelative(4.07f, 0.0f, 7.0f, 1.0f, 8.93f, 2.65f)
                arcToRelative(8.56f, 8.56f, 0.0f, false, true, 2.79f, 6.66f)
                arcToRelative(9.37f, 9.37f, 0.0f, false, true, -2.46f, 6.81f)
                curveToRelative(-2.17f, 2.31f, -5.71f, 3.5f, -9.73f, 3.5f)
                arcToRelative(14.0f, 14.0f, 0.0f, false, true, -3.31f, -0.29f)
                verticalLineToRelative(12.76f)
                horizontalLineToRelative(-4.11f)
                close()
                moveTo(163.27f, 401.5f)
                arcToRelative(14.1f, 14.1f, 0.0f, false, false, 3.4f, 0.33f)
                curveToRelative(5.0f, 0.0f, 8.0f, -2.41f, 8.0f, -6.81f)
                curveToRelative(0.0f, -4.2f, -3.0f, -6.24f, -7.51f, -6.24f)
                arcToRelative(17.08f, 17.08f, 0.0f, false, false, -3.88f, 0.34f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(183.92f, 384.06f)
                horizontalLineToRelative(4.16f)
                verticalLineToRelative(33.55f)
                horizontalLineToRelative(-4.16f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(214.21f, 411.37f)
                curveToRelative(0.0f, 2.37f, 0.0f, 4.45f, 0.19f, 6.24f)
                horizontalLineToRelative(-3.69f)
                lineToRelative(-0.23f, -3.73f)
                horizontalLineToRelative(-0.1f)
                arcToRelative(8.62f, 8.62f, 0.0f, false, true, -7.56f, 4.25f)
                curveToRelative(-3.59f, 0.0f, -7.89f, -2.0f, -7.89f, -10.0f)
                verticalLineTo(394.74f)
                horizontalLineToRelative(4.16f)
                verticalLineTo(407.4f)
                curveToRelative(0.0f, 4.35f, 1.32f, 7.28f, 5.1f, 7.28f)
                arcToRelative(5.86f, 5.86f, 0.0f, false, false, 5.86f, -5.91f)
                verticalLineToRelative(-14.0f)
                horizontalLineToRelative(4.16f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(220.54f, 413.36f)
                arcTo(10.89f, 10.89f, 0.0f, false, false, 226.0f, 415.0f)
                curveToRelative(3.0f, 0.0f, 4.44f, -1.51f, 4.44f, -3.4f)
                reflectiveCurveToRelative(-1.18f, -3.07f, -4.25f, -4.21f)
                curveToRelative(-4.11f, -1.46f, -6.05f, -3.73f, -6.05f, -6.47f)
                curveToRelative(0.0f, -3.69f, 3.0f, -6.71f, 7.89f, -6.71f)
                arcToRelative(11.33f, 11.33f, 0.0f, false, true, 5.62f, 1.42f)
                lineToRelative(-1.0f, 3.0f)
                arcToRelative(8.84f, 8.84f, 0.0f, false, false, -4.67f, -1.32f)
                curveToRelative(-2.46f, 0.0f, -3.83f, 1.42f, -3.83f, 3.12f)
                curveToRelative(0.0f, 1.89f, 1.37f, 2.74f, 4.35f, 3.87f)
                curveToRelative(4.0f, 1.51f, 6.0f, 3.5f, 6.0f, 6.9f)
                curveToRelative(0.0f, 4.0f, -3.12f, 6.85f, -8.56f, 6.85f)
                arcToRelative(13.0f, 13.0f, 0.0f, false, true, -6.42f, -1.56f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFF009640)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(252.0f, 392.47f)
                verticalLineToRelative(11.11f)
                horizontalLineToRelative(10.68f)
                verticalLineToRelative(2.83f)
                horizontalLineTo(252.0f)
                verticalLineToRelative(11.2f)
                horizontalLineToRelative(-3.0f)
                verticalLineToRelative(-11.2f)
                horizontalLineTo(238.25f)
                verticalLineToRelative(-2.83f)
                horizontalLineToRelative(10.68f)
                verticalLineTo(392.47f)
                close()
            }
        }
            .build()
        return _logo!!
    }

private var _logo: ImageVector? = null
