package com.mshdabiola.designsystem.icon.drawable

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import com.mshdabiola.designsystem.icon.Drawable

public val Drawable.Middle: ImageVector
    get() {
        if (_middle != null) {
            return _middle!!
        }
        _middle = Builder(
            name = "Middle",
            defaultWidth = 81.48.dp,
            defaultHeight = 81.48.dp,
            viewportWidth = 81.48f,
            viewportHeight = 81.48f,
        ).apply {
            path(
                fill = SolidColor(Color(0xFFca9e67)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(0.0f, 0.0f)
                horizontalLineToRelative(81.48f)
                verticalLineToRelative(81.48f)
                horizontalLineToRelative(-81.48f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 55.48f)
                lineToRelative(0.0f, -7.37f)
                lineToRelative(6.38f, 0.0f)
                lineToRelative(-6.38f, 7.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 48.11f)
                lineToRelative(0.0f, -7.37f)
                lineToRelative(6.38f, 0.0f)
                lineToRelative(-6.38f, 7.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(0.48f, 55.48f)
                lineToRelative(6.38f, -7.37f)
                lineToRelative(-6.38f, -7.37f)
                lineToRelative(0.0f, 14.74f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 40.74f)
                lineToRelative(0.0f, -7.37f)
                lineToRelative(6.38f, 0.0f)
                lineToRelative(-6.38f, 7.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 33.37f)
                lineToRelative(0.0f, -7.38f)
                lineToRelative(6.38f, 0.0f)
                lineToRelative(-6.38f, 7.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(0.48f, 40.74f)
                lineToRelative(6.38f, -7.37f)
                lineToRelative(-6.38f, -7.38f)
                lineToRelative(0.0f, 14.75f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(25.99f, 6.86f)
                lineToRelative(7.37f, 0.0f)
                lineToRelative(0.0f, 6.38f)
                lineToRelative(-7.37f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(33.36f, 6.86f)
                lineToRelative(7.38f, 0.0f)
                lineToRelative(0.0f, 6.38f)
                lineToRelative(-7.38f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(25.99f, 0.48f)
                lineToRelative(7.37f, 6.38f)
                lineToRelative(7.38f, -6.38f)
                lineToRelative(-14.75f, 0.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(40.74f, 6.86f)
                lineToRelative(7.37f, 0.0f)
                lineToRelative(0.0f, 6.38f)
                lineToRelative(-7.37f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(48.11f, 6.86f)
                lineToRelative(7.37f, 0.0f)
                lineToRelative(0.0f, 6.38f)
                lineToRelative(-7.37f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(40.74f, 0.48f)
                lineToRelative(7.37f, 6.38f)
                lineToRelative(7.37f, -6.38f)
                lineToRelative(-14.74f, 0.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 25.99f)
                lineToRelative(0.0f, 7.37f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(6.38f, -7.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 33.36f)
                lineToRelative(0.0f, 7.38f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(6.38f, -7.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(81.0f, 25.99f)
                lineToRelative(-6.38f, 7.37f)
                lineToRelative(6.38f, 7.38f)
                lineToRelative(0.0f, -14.75f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 40.74f)
                lineToRelative(0.0f, 7.37f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(6.38f, -7.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 48.11f)
                lineToRelative(0.0f, 7.37f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(6.38f, -7.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(81.0f, 40.74f)
                lineToRelative(-6.38f, 7.37f)
                lineToRelative(6.38f, 7.37f)
                lineToRelative(0.0f, -14.74f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(55.48f, 74.62f)
                lineToRelative(-7.37f, 0.0f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(7.37f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(48.11f, 74.62f)
                lineToRelative(-7.37f, 0.0f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(7.37f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(55.48f, 81.0f)
                lineToRelative(-7.37f, -6.38f)
                lineToRelative(-7.37f, 6.38f)
                lineToRelative(14.74f, 0.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(40.74f, 74.62f)
                lineToRelative(-7.37f, 0.0f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(7.37f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(33.37f, 74.62f)
                lineToRelative(-7.38f, 0.0f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(7.38f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(40.74f, 81.0f)
                lineToRelative(-7.37f, -6.38f)
                lineToRelative(-7.38f, 6.38f)
                lineToRelative(14.75f, 0.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(13.24f, 6.86f)
                lineToRelative(6.37f, 0.0f)
                lineToRelative(0.0f, 6.37f)
                lineToRelative(-6.37f, -6.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(19.61f, 6.86f)
                lineToRelative(6.38f, 0.0f)
                lineToRelative(0.0f, 6.37f)
                lineToRelative(-6.38f, -6.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(13.24f, 0.48f)
                lineToRelative(6.37f, 6.38f)
                lineToRelative(6.38f, -6.38f)
                lineToRelative(-12.75f, 0.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 6.86f)
                lineToRelative(6.38f, 0.0f)
                lineToRelative(0.0f, 6.37f)
                lineToRelative(-6.38f, -6.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(13.24f, 0.48f)
                lineToRelative(-12.76f, 0.0f)
                lineToRelative(0.0f, 12.75f)
                lineToRelative(12.76f, -12.75f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(0.48f, 13.23f)
                lineToRelative(0.0f, 12.76f)
                lineToRelative(6.38f, -6.38f)
                lineToRelative(-6.38f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 25.99f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.38f, 0.0f)
                lineToRelative(-6.38f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 19.61f)
                lineTo(13.24f, 13.23f)
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 19.61f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.38f, 0.0f)
                lineToRelative(-6.38f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 13.24f)
                lineToRelative(0.0f, 6.37f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(6.38f, -6.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 19.61f)
                lineToRelative(0.0f, 6.38f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(6.38f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(81.0f, 13.24f)
                lineToRelative(-6.38f, 6.37f)
                lineToRelative(6.38f, 6.38f)
                lineToRelative(0.0f, -12.75f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 6.86f)
                lineToRelative(0.0f, 6.38f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(6.38f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(81.0f, 13.24f)
                lineToRelative(0.0f, -12.76f)
                lineToRelative(-12.76f, 0.0f)
                lineToRelative(12.76f, 12.76f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(68.24f, 0.48f)
                lineToRelative(-12.75f, 0.0f)
                lineToRelative(6.38f, 6.38f)
                lineToRelative(6.37f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(55.49f, 6.86f)
                lineToRelative(6.38f, 0.0f)
                lineToRelative(0.0f, 6.38f)
                lineToRelative(-6.38f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(61.87f, 6.86f)
                lineTo(68.24f, 13.24f)
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(61.87f, 6.86f)
                lineToRelative(6.37f, 0.0f)
                lineToRelative(0.0f, 6.38f)
                lineToRelative(-6.37f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(68.24f, 74.62f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.38f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(61.86f, 74.62f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.38f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(68.24f, 81.0f)
                lineToRelative(-6.38f, -6.38f)
                lineToRelative(-6.38f, 6.38f)
                lineToRelative(12.76f, 0.0f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 74.62f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.38f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(68.24f, 81.0f)
                lineToRelative(12.76f, 0.0f)
                lineToRelative(0.0f, -12.76f)
                lineToRelative(-12.76f, 12.76f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(81.0f, 68.24f)
                lineToRelative(0.0f, -12.75f)
                lineToRelative(-6.38f, 6.38f)
                lineToRelative(6.38f, 6.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 55.49f)
                lineToRelative(0.0f, 6.38f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(6.38f, -6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 61.87f)
                lineTo(68.24f, 68.24f)
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(74.62f, 61.87f)
                lineToRelative(0.0f, 6.37f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(6.38f, -6.37f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 68.24f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.37f, 0.0f)
                lineToRelative(-6.37f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 61.86f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.37f, 0.0f)
                lineToRelative(-6.37f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(0.48f, 68.24f)
                lineToRelative(6.38f, -6.38f)
                lineToRelative(-6.38f, -6.38f)
                lineToRelative(0.0f, 12.76f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(6.86f, 74.62f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.37f, 0.0f)
                lineToRelative(-6.37f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(0.48f, 68.24f)
                lineToRelative(0.0f, 12.76f)
                lineToRelative(12.75f, 0.0f)
                lineToRelative(-12.75f, -12.76f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFc78519)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(13.23f, 81.0f)
                lineToRelative(12.76f, 0.0f)
                lineToRelative(-6.38f, -6.38f)
                lineToRelative(-6.38f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(25.99f, 74.62f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.38f, 6.38f)
                close()
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(19.61f, 74.62f)
                lineTo(13.23f, 68.24f)
            }
            path(
                fill = SolidColor(Color(0xFFca4f55)),
                stroke = null,
                strokeLineWidth = 0.0f,
                strokeLineCap = Butt,
                strokeLineJoin = Miter,
                strokeLineMiter = 4.0f,
                pathFillType = NonZero,
            ) {
                moveTo(19.61f, 74.62f)
                lineToRelative(-6.38f, 0.0f)
                lineToRelative(0.0f, -6.38f)
                lineToRelative(6.38f, 6.38f)
                close()
            }
        }
            .build()
        return _middle!!
    }

private var _middle: ImageVector? = null
