package com.mshdabiola.designsystem.icon.head

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Head.getBlue(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Blue5",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(147.53f, 106.51f)
            reflectiveCurveToRelative(0.0f, -1.23f, 3.1f, -1.0f)
            arcToRelative(10.36f, 10.36f, 0.0f, false, false, 9.7f, -4.33f)
            curveToRelative(1.44f, 4.33f, -3.72f, 7.0f, -5.37f, 7.42f)
            arcToRelative(25.93f, 25.93f, 0.0f, false, true, -4.13f, -0.21f)
            curveToRelative(1.0f, 1.24f, 2.48f, 2.27f, 3.31f, 4.54f)
            curveToRelative(-0.21f, 0.21f, 1.23f, 2.06f, -0.62f, 3.09f)
            curveToRelative(-1.25f, -3.91f, -5.38f, -5.36f, -6.0f, -9.48f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(157.22f, 94.76f)
            curveToRelative(-2.47f, -2.68f, -9.89f, -2.26f, -12.0f, -1.24f)
            curveToRelative(-0.21f, 0.0f, -0.62f, -0.2f, -0.62f, -0.41f)
            curveToRelative(-0.41f, -3.09f, 2.48f, -6.0f, 5.16f, -7.42f)
            arcTo(3.62f, 3.62f, 0.0f, false, false, 151.0f, 83.42f)
            curveToRelative(0.0f, -0.41f, 0.42f, 0.21f, 0.42f, 0.0f)
            arcToRelative(4.42f, 4.42f, 0.0f, false, true, 0.0f, 3.92f)
            curveToRelative(-0.83f, 1.65f, -2.9f, 2.06f, -4.34f, 2.89f)
            curveToRelative(-0.21f, 0.41f, -0.83f, 0.61f, -0.83f, 1.23f)
            curveToRelative(2.06f, -1.0f, 5.17f, -2.26f, 7.64f, -1.0f)
            curveToRelative(3.71f, 0.62f, 4.95f, 3.92f, 5.36f, 5.36f)
            curveToRelative(-1.0f, 0.0f, -1.23f, -0.82f, -2.07f, -1.0f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(121.31f, 101.0f)
            curveToRelative(6.81f, -0.62f, 16.73f, -1.86f, 22.51f, -3.51f)
            curveToRelative(3.91f, -0.62f, 8.0f, 0.41f, 11.76f, 1.24f)
            horizontalLineToRelative(2.06f)
            curveToRelative(0.21f, 0.2f, 0.42f, 0.62f, 0.21f, 0.82f)
            curveToRelative(-0.42f, 1.0f, -1.65f, 0.42f, -2.27f, 1.0f)
            curveToRelative(-5.0f, 0.21f, -9.29f, 2.27f, -14.45f, 1.0f)
            curveToRelative(0.0f, 0.0f, -12.0f, 1.65f, -19.82f, -0.61f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(78.0f, 159.7f)
            curveToRelative(-2.47f, -1.25f, -4.74f, -3.31f, -7.63f, -3.72f)
            curveToRelative(-3.52f, -1.23f, -6.6f, -3.09f, -10.12f, -4.74f)
            arcToRelative(19.76f, 19.76f, 0.0f, false, true, -7.0f, -2.88f)
            curveToRelative(-5.16f, -3.09f, -2.27f, -3.51f, -2.06f, -3.51f)
            curveToRelative(2.89f, 2.06f, 6.81f, 2.68f, 8.87f, 3.3f)
            curveToRelative(0.83f, 0.82f, 1.66f, 0.82f, 2.48f, 1.23f)
            arcToRelative(74.0f, 74.0f, 0.0f, false, false, 9.5f, 1.45f)
            curveToRelative(3.92f, -0.21f, 2.47f, 5.15f, 12.59f, 9.9f)
            curveToRelative(2.06f, 2.67f, 3.92f, 4.53f, 1.24f, 4.32f)
            curveToRelative(-3.11f, -1.65f, -5.17f, -3.91f, -7.85f, -5.35f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(165.28f, 195.36f)
            curveToRelative(-1.24f, -0.83f, -5.37f, -4.33f, -10.53f, -5.57f)
            curveToRelative(0.0f, 0.0f, -2.89f, -0.83f, -5.36f, -6.6f)
            curveToRelative(-1.0f, -1.0f, -2.27f, -1.85f, -3.93f, -1.24f)
            curveToRelative(-9.7f, 2.89f, -13.0f, -8.0f, -16.29f, -9.48f)
            curveToRelative(-2.07f, -1.0f, -7.0f, 4.34f, -9.3f, 1.44f)
            curveToRelative(-4.74f, -6.17f, -17.75f, -1.44f, -24.35f, -3.29f)
            curveToRelative(-2.68f, -0.41f, -14.25f, -5.16f, -17.55f, -7.0f)
            curveToRelative(-11.35f, -3.3f, -17.75f, -7.0f, -22.91f, -10.72f)
            arcToRelative(89.37f, 89.37f, 0.0f, false, false, -23.12f, -10.31f)
            arcToRelative(42.12f, 42.12f, 0.0f, false, false, -8.46f, -3.29f)
            curveToRelative(-1.0f, 0.0f, -0.82f, 0.0f, -0.41f, -2.89f)
            curveToRelative(5.16f, 0.62f, 12.59f, 4.74f, 14.25f, 5.36f)
            curveToRelative(2.47f, 1.0f, 11.55f, 5.0f, 16.09f, 7.83f)
            arcToRelative(64.39f, 64.39f, 0.0f, false, false, 10.52f, 5.57f)
            curveToRelative(7.23f, 1.44f, 21.68f, 10.51f, 23.54f, 11.33f)
            curveToRelative(0.0f, -0.2f, 7.84f, 2.48f, 13.0f, -0.2f)
            curveToRelative(13.0f, -2.06f, 15.07f, -1.65f, 15.07f, -1.65f)
            curveToRelative(1.44f, 0.0f, 5.77f, -0.41f, 4.54f, 2.27f)
            curveToRelative(-1.86f, 0.62f, 1.23f, 0.83f, 1.0f, 2.06f)
            curveToRelative(-0.61f, 0.41f, -0.82f, 0.41f, -0.82f, 0.62f)
            curveToRelative(-0.41f, 2.27f, 8.26f, 2.27f, 12.39f, -1.24f)
            arcToRelative(5.82f, 5.82f, 0.0f, false, true, 6.19f, -2.47f)
            curveToRelative(1.45f, 0.61f, 2.89f, 0.82f, 3.92f, 2.06f)
            curveToRelative(0.0f, 0.0f, -0.41f, 0.41f, -0.62f, 0.41f)
            curveToRelative(-3.72f, -0.41f, -7.23f, 0.21f, -9.29f, 2.06f)
            curveToRelative(4.34f, 10.1f, 11.15f, 8.87f, 13.21f, 8.87f)
            curveToRelative(1.25f, -1.24f, 5.17f, -2.89f, 6.82f, 3.71f)
            curveToRelative(0.0f, 0.0f, 4.12f, 8.24f, 20.43f, 9.89f)
            arcToRelative(18.37f, 18.37f, 0.0f, false, true, -8.26f, -7.22f)
            curveToRelative(-2.27f, -0.82f, -1.85f, -3.91f, -0.41f, -4.32f)
            arcToRelative(3.56f, 3.56f, 0.0f, false, false, 2.27f, -2.27f)
            curveToRelative(-8.26f, 3.92f, -12.39f, -6.8f, -13.83f, -6.8f)
            curveToRelative(-1.85f, 0.0f, -2.27f, 2.47f, -4.34f, 2.68f)
            curveToRelative(-2.26f, -2.48f, -2.06f, -6.0f, 2.28f, -8.66f)
            curveToRelative(-0.21f, -1.0f, -1.0f, -1.65f, -1.65f, -2.47f)
            curveToRelative(-1.25f, -1.45f, -6.2f, -6.81f, 0.2f, -6.81f)
            curveToRelative(1.87f, 0.62f, 3.93f, 1.0f, 5.37f, 2.48f)
            curveToRelative(-0.42f, 1.24f, -1.44f, 2.06f, -1.86f, 3.3f)
            curveToRelative(0.42f, 0.61f, 2.06f, 1.23f, 1.0f, 2.88f)
            curveToRelative(2.47f, 1.86f, 11.14f, 4.54f, 10.52f, -8.45f)
            curveToRelative(0.2f, 0.0f, 0.41f, -0.41f, 0.82f, -0.41f)
            curveToRelative(3.51f, 3.92f, 8.06f, 9.07f, 5.37f, 21.44f)
            curveToRelative(-0.61f, 2.06f, -0.41f, 4.53f, -2.27f, 6.18f)
            curveToRelative(1.45f, 0.83f, 2.47f, 0.83f, 3.3f, -1.0f)
            curveToRelative(0.21f, -0.62f, 1.66f, -1.65f, 1.87f, -1.45f)
            curveToRelative(1.44f, 3.71f, -1.66f, 7.63f, -1.0f, 7.22f)
            curveToRelative(0.83f, 0.0f, 3.3f, 1.44f, 4.74f, -3.3f)
            curveToRelative(0.0f, 0.0f, 1.45f, 0.21f, 1.45f, 4.12f)
            arcTo(32.81f, 32.81f, 0.0f, false, false, 181.0f, 177.21f)
            curveToRelative(-1.0f, -15.45f, -6.0f, -23.91f, -10.73f, -23.91f)
            curveToRelative(-1.0f, 0.0f, -1.66f, 0.21f, -2.28f, -0.2f)
            arcToRelative(18.54f, 18.54f, 0.0f, false, false, 2.48f, -3.92f)
            curveToRelative(-5.58f, 0.2f, -16.51f, 6.6f, -16.51f, 6.6f)
            curveToRelative(-0.41f, -0.21f, 0.0f, -0.83f, -0.21f, -1.24f)
            curveToRelative(-5.58f, 2.06f, -7.64f, -0.21f, -7.64f, -0.21f)
            curveToRelative(-0.2f, -2.68f, 0.21f, -2.26f, 3.51f, -4.12f)
            curveToRelative(2.07f, -1.24f, 10.32f, -1.65f, 17.14f, -6.18f)
            curveToRelative(6.6f, -0.21f, 9.49f, -17.73f, 7.63f, -20.82f)
            arcToRelative(3.27f, 3.27f, 0.0f, false, true, -2.48f, 2.27f)
            reflectiveCurveToRelative(8.47f, -11.75f, 0.0f, -19.79f)
            curveToRelative(1.24f, -2.07f, 3.31f, -1.44f, 3.93f, -1.65f)
            arcToRelative(13.0f, 13.0f, 0.0f, false, false, -2.89f, -1.45f)
            curveToRelative(-0.21f, -0.61f, 4.74f, -1.44f, 4.53f, -10.09f)
            curveToRelative(-0.61f, -2.48f, -6.6f, -5.0f, -6.81f, -8.25f)
            curveToRelative(0.0f, -0.42f, 3.72f, 2.68f, 6.41f, 2.88f)
            curveToRelative(0.0f, -1.23f, -1.66f, -8.45f, -6.0f, -10.92f)
            curveToRelative(2.07f, -3.5f, -1.0f, -4.54f, -2.06f, -6.6f)
            curveToRelative(-6.39f, -3.7f, -15.89f, -9.28f, -20.23f, -11.75f)
            curveToRelative(-11.14f, -6.59f, -13.62f, -12.78f, -14.65f, -14.22f)
            curveToRelative(0.0f, -1.65f, 0.0f, -2.47f, 1.86f, -2.68f)
            curveToRelative(1.24f, 1.65f, 2.07f, 1.85f, 3.3f, 3.3f)
            curveToRelative(0.42f, 0.2f, 5.0f, 4.12f, 7.85f, 5.77f)
            curveToRelative(-0.21f, -2.68f, -2.89f, -4.12f, -3.72f, -6.59f)
            curveToRelative(0.21f, -0.42f, 0.62f, -0.42f, 0.83f, -0.63f)
            arcTo(31.0f, 31.0f, 0.0f, false, true, 150.0f, 48.59f)
            arcToRelative(11.19f, 11.19f, 0.0f, false, false, 4.53f, 4.73f)
            curveToRelative(3.31f, 2.69f, 7.64f, 3.31f, 10.53f, 6.81f)
            curveToRelative(1.66f, 1.44f, 5.0f, 5.36f, 7.85f, 3.71f)
            curveToRelative(3.51f, -4.33f, 4.33f, -14.63f, 3.09f, -28.24f)
            curveTo(174.0f, 12.1f, 168.0f, 5.71f, 167.35f, 5.09f)
            curveToRelative(-2.28f, 0.21f, -0.42f, 5.36f, -0.42f, 5.36f)
            curveToRelative(-1.45f, -0.82f, -3.3f, -1.24f, -4.54f, -2.47f)
            curveToRelative(-1.44f, -0.42f, 0.41f, 9.48f, 0.41f, 9.48f)
            curveToRelative(5.37f, 19.38f, 1.44f, 14.0f, -3.51f, 13.19f)
            curveToRelative(5.16f, 5.36f, 4.75f, 6.0f, 4.75f, 6.0f)
            curveToRelative(-0.41f, 0.0f, -4.75f, -0.41f, -4.54f, -0.41f)
            curveToRelative(0.83f, 4.12f, -5.36f, 4.33f, -8.46f, 2.48f)
            curveToRelative(-1.45f, -1.0f, -9.91f, -3.72f, -14.0f, -7.0f)
            curveToRelative(0.0f, 0.0f, -0.62f, -1.0f, 0.42f, -1.44f)
            arcToRelative(13.12f, 13.12f, 0.0f, false, false, -2.49f, -1.0f)
            curveToRelative(-0.2f, -0.41f, 2.49f, -2.68f, 7.0f, -1.85f)
            lineToRelative(0.83f, -2.07f)
            curveToRelative(2.48f, 2.68f, 6.81f, 1.86f, 7.63f, 1.65f)
            curveToRelative(0.42f, -0.82f, 0.0f, -1.65f, 1.05f, -2.06f)
            curveToRelative(1.23f, -1.65f, 3.7f, -0.2f, 5.15f, -10.31f)
            curveToRelative(-4.34f, 1.65f, -5.15f, 7.22f, -9.7f, 8.87f)
            curveToRelative(-3.51f, 1.24f, -2.47f, -0.83f, -2.68f, -1.24f)
            curveToRelative(-2.69f, -0.21f, -6.61f, -0.62f, -8.47f, 2.06f)
            arcToRelative(23.41f, 23.41f, 0.0f, false, false, -3.09f, 6.0f)
            curveToRelative(-0.63f, 0.82f, -1.86f, 0.62f, -2.89f, 1.24f)
            curveToRelative(0.41f, 0.0f, 2.89f, 2.06f, 2.89f, 2.47f)
            curveToRelative(-0.42f, 0.0f, -0.83f, -0.41f, -1.24f, -0.41f)
            arcToRelative(23.79f, 23.79f, 0.0f, false, false, -17.54f, 2.89f)
            curveToRelative(-0.21f, 3.08f, -3.1f, 3.71f, -3.93f, 3.29f)
            lineToRelative(-10.1f, 0.42f)
            curveToRelative(-3.52f, 0.0f, -6.82f, 1.0f, -8.89f, 3.71f)
            arcToRelative(4.93f, 4.93f, 0.0f, false, true, 1.87f, 1.85f)
            curveToRelative(-9.71f, 2.68f, -15.28f, 10.72f, -15.28f, 11.54f)
            curveToRelative(0.0f, 0.0f, -1.24f, 2.06f, -1.45f, 0.21f)
            curveToRelative(1.0f, -3.71f, 6.0f, -13.19f, 12.18f, -16.08f)
            curveToRelative(-10.94f, -0.82f, -18.0f, 5.15f, -18.17f, 5.78f)
            curveTo(61.25f, 57.86f, 58.57f, 64.46f, 58.57f, 64.46f)
            curveTo(57.33f, 66.73f, 61.0f, 65.91f, 61.0f, 65.91f)
            curveToRelative(6.0f, -1.0f, 10.53f, 1.85f, 16.1f, 1.0f)
            curveToRelative(0.0f, 0.62f, -0.62f, 0.62f, -1.0f, 0.83f)
            curveToRelative(-3.5f, 1.24f, -5.77f, 0.41f, -8.46f, 0.0f)
            curveToRelative(-7.0f, 0.2f, -9.08f, 10.51f, -5.78f, 11.33f)
            curveToRelative(6.19f, 0.21f, 10.95f, 2.89f, 15.69f, 6.0f)
            arcToRelative(6.88f, 6.88f, 0.0f, false, false, 3.51f, 0.21f)
            curveToRelative(0.2f, 0.41f, -0.21f, 0.82f, -0.62f, 1.0f)
            curveToRelative(-1.65f, 1.44f, -4.34f, -0.21f, -5.37f, -0.83f)
            curveTo(71.37f, 82.6f, 61.87f, 81.36f, 60.84f, 82.0f)
            curveToRelative(1.45f, 1.65f, 7.0f, 5.36f, 7.43f, 10.72f)
            arcToRelative(29.8f, 29.8f, 0.0f, false, true, 0.0f, 4.33f)
            curveToRelative(-2.47f, 4.12f, -0.83f, 9.27f, 0.42f, 13.4f)
            curveToRelative(0.81f, 2.88f, -0.63f, 5.77f, -2.27f, 8.0f)
            arcToRelative(3.12f, 3.12f, 0.0f, false, true, -3.52f, 2.88f)
            curveToRelative(2.48f, 2.89f, 9.29f, 6.19f, 17.13f, -0.2f)
            arcToRelative(12.75f, 12.75f, 0.0f, false, true, 3.72f, -2.89f)
            lineToRelative(0.21f, 0.21f)
            curveToRelative(-2.48f, 2.47f, -4.33f, 5.15f, -6.82f, 7.0f)
            curveToRelative(-4.32f, 3.09f, -2.68f, 8.65f, -6.0f, 12.16f)
            curveToRelative(-0.21f, 0.41f, 1.0f, 4.94f, 6.4f, 1.65f)
            arcToRelative(0.66f, 0.66f, 0.0f, false, true, 0.62f, 0.61f)
            curveToRelative(-0.62f, 1.24f, -1.86f, 2.06f, -2.68f, 3.09f)
            curveToRelative(0.41f, 0.42f, 8.0f, 1.0f, 10.94f, 2.28f)
            curveToRelative(4.33f, 3.09f, 15.48f, 14.84f, 27.0f, 7.42f)
            curveToRelative(2.07f, -0.21f, 6.0f, -7.63f, 6.0f, -7.63f)
            curveToRelative(-0.42f, -1.0f, -0.83f, -2.27f, -2.27f, -2.27f)
            curveToRelative(-10.32f, -4.53f, -10.94f, -11.75f, -10.12f, -15.25f)
            curveToRelative(-2.06f, 1.24f, -5.36f, 1.85f, -4.74f, -3.1f)
            curveToRelative(-3.52f, 0.41f, -6.81f, 4.13f, -9.7f, 5.57f)
            arcToRelative(21.12f, 21.12f, 0.0f, false, true, -7.64f, 3.3f)
            curveToRelative(-1.24f, 0.41f, -1.45f, 1.85f, -2.47f, 1.85f)
            curveToRelative(-2.69f, -0.21f, 0.4f, -6.0f, 1.64f, -7.21f)
            curveTo(88.29f, 126.71f, 92.0f, 124.0f, 93.0f, 124.0f)
            curveToRelative(3.51f, -0.62f, 7.84f, -4.33f, 11.35f, -4.74f)
            arcToRelative(29.85f, 29.85f, 0.0f, false, true, 16.51f, -3.5f)
            curveToRelative(4.75f, -0.62f, 6.82f, 7.42f, 7.22f, 7.83f)
            curveToRelative(4.75f, 8.66f, 13.0f, 0.41f, 13.0f, 0.41f)
            curveToRelative(0.41f, -0.2f, 2.89f, -1.65f, 3.1f, -1.0f)
            arcToRelative(3.0f, 3.0f, 0.0f, false, true, -0.41f, 2.06f)
            arcToRelative(12.8f, 12.8f, 0.0f, false, true, -2.28f, 3.51f)
            curveToRelative(6.19f, 1.65f, -2.48f, 10.72f, -1.65f, 13.8f)
            curveToRelative(-1.64f, 4.13f, -3.51f, 5.37f, -7.43f, 7.0f)
            curveToRelative(-3.71f, -1.64f, -6.4f, 1.65f, -8.25f, 1.45f)
            curveToRelative(-6.61f, -0.42f, -6.0f, 4.33f, -5.0f, 4.74f)
            reflectiveCurveToRelative(3.1f, -0.82f, 3.3f, 0.82f)
            curveToRelative(-1.85f, 0.83f, -4.13f, 0.62f, -6.19f, 1.24f)
            curveToRelative(-1.85f, 0.41f, -3.3f, 2.27f, -5.36f, 2.07f)
            curveToRelative(-8.46f, 0.41f, -15.27f, -3.1f, -18.0f, -3.72f)
            curveToRelative(-7.43f, -1.23f, -10.52f, -5.57f, -12.8f, -6.6f)
            curveToRelative(0.0f, 0.0f, -6.81f, -4.94f, -13.42f, -3.91f)
            curveToRelative(-3.29f, 1.24f, -7.21f, 0.62f, -10.72f, 0.21f)
            curveToRelative(-9.3f, -3.31f, -13.21f, -5.57f, -16.52f, -11.55f)
            curveToRelative(-1.86f, -1.24f, -3.71f, -3.09f, -3.92f, -5.15f)
            curveToRelative(-4.75f, 2.06f, -6.0f, -4.95f, -6.81f, -4.95f)
            curveToRelative(-2.48f, 2.06f, -5.37f, -2.06f, -6.4f, -3.3f)
            curveToRelative(-1.23f, -0.62f, -2.47f, -0.41f, -3.1f, -0.82f)
            curveToRelative(-1.24f, -1.0f, -0.82f, -4.33f, -0.62f, -5.57f)
            curveToRelative(0.0f, 0.0f, 0.21f, -2.06f, -1.24f, -6.0f)
            arcToRelative(6.71f, 6.71f, 0.0f, false, true, 1.24f, -4.74f)
            reflectiveCurveToRelative(0.83f, -1.44f, 0.0f, -4.94f)
            curveToRelative(-0.41f, -3.71f, 4.13f, -6.81f, 4.13f, -6.81f)
            curveToRelative(-2.68f, 0.42f, -3.3f, -2.47f, 4.34f, -3.71f)
            curveToRelative(1.0f, 0.41f, 0.83f, -1.0f, 1.44f, -1.23f)
            curveToRelative(1.24f, -1.65f, 3.3f, -1.65f, 5.0f, -2.06f)
            curveToRelative(0.0f, -0.62f, -0.4f, -3.51f, 3.11f, -1.45f)
            curveToRelative(0.41f, -2.06f, 0.62f, -4.33f, 1.64f, -6.18f)
            curveToRelative(2.48f, -4.13f, 10.74f, -12.0f, 15.07f, -13.81f)
            curveToRelative(4.13f, -1.65f, 8.26f, -7.42f, 9.08f, -14.84f)
            curveToRelative(0.0f, -0.41f, -0.2f, -0.83f, 0.2f, -0.83f)
            curveToRelative(0.43f, 0.21f, 0.84f, 0.0f, 1.05f, 0.42f)
            curveTo(65.18f, 44.46f, 70.55f, 36.63f, 78.39f, 36.0f)
            arcToRelative(65.75f, 65.75f, 0.0f, false, true, 10.32f, 0.42f)
            curveToRelative(3.92f, -0.83f, 6.4f, -4.75f, 10.31f, -4.95f)
            curveToRelative(3.52f, 0.82f, 3.72f, 0.41f, 3.72f, 0.41f)
            arcTo(125.58f, 125.58f, 0.0f, false, false, 87.67f, 14.78f)
            curveToRelative(-0.2f, -0.21f, 1.65f, -2.27f, 2.06f, -2.68f)
            curveToRelative(2.69f, 4.54f, 10.53f, 9.69f, 14.25f, 15.46f)
            curveToRelative(3.3f, 3.92f, 6.19f, 5.15f, 9.91f, 5.57f)
            arcTo(20.0f, 20.0f, 0.0f, false, true, 127.1f, 29.0f)
            curveToRelative(3.51f, 1.24f, 7.22f, -7.0f, 7.22f, -7.0f)
            curveToRelative(2.48f, -4.12f, 8.05f, -2.68f, 12.0f, -2.0f)
            curveToRelative(3.51f, 0.0f, 4.75f, -3.51f, 6.4f, -5.78f)
            curveToRelative(5.16f, -8.45f, 13.21f, -15.25f, 15.68f, -14.0f)
            curveToRelative(7.23f, 5.56f, 11.77f, 21.84f, 9.7f, 52.77f)
            curveToRelative(-0.2f, 3.3f, 1.0f, 7.83f, -1.23f, 10.72f)
            curveToRelative(0.21f, 1.64f, -0.21f, 8.65f, -0.83f, 9.89f)
            curveToRelative(1.65f, 4.33f, 3.72f, 14.84f, 3.93f, 17.31f)
            curveToRelative(-0.21f, 2.27f, -2.07f, 18.76f, -1.66f, 28.0f)
            curveToRelative(-0.83f, 4.34f, -2.27f, 0.83f, -0.83f, 11.14f)
            arcToRelative(29.38f, 29.38f, 0.0f, false, true, -2.06f, 15.26f)
            curveToRelative(0.21f, 4.32f, 4.34f, 11.54f, 5.17f, 14.63f)
            curveToRelative(4.53f, 28.85f, 0.0f, 39.37f, 0.0f, 39.37f)
            curveToRelative(-0.62f, 1.44f, -7.0f, 1.0f, -15.28f, -3.91f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(101.5f, 80.12f)
            curveToRelative(-2.69f, -1.23f, -6.0f, -1.23f, -8.87f, -1.64f)
            curveToRelative(-2.69f, -0.21f, -4.75f, 0.41f, -7.43f, 0.2f)
            curveToRelative(-2.28f, -1.0f, -3.72f, -2.89f, -5.57f, -4.74f)
            curveToRelative(-0.21f, -0.41f, 0.0f, -1.86f, 1.64f, -0.83f)
            curveToRelative(1.44f, 0.83f, 3.93f, 4.13f, 7.0f, 2.27f)
            curveToRelative(2.27f, -0.82f, 6.19f, -1.85f, 9.91f, -0.2f)
            curveToRelative(0.0f, -0.62f, -1.65f, -2.68f, 0.82f, -3.1f)
            curveToRelative(2.69f, -0.41f, 5.17f, 1.24f, 7.85f, 2.48f)
            curveToRelative(-0.42f, -2.06f, -1.0f, -4.12f, -0.62f, -6.39f)
            curveToRelative(0.0f, 0.0f, 0.2f, -4.74f, 9.29f, -10.31f)
            curveToRelative(-1.24f, -1.0f, -3.31f, -0.62f, -3.92f, -2.47f)
            lineTo(111.41f, 54.0f)
            curveToRelative(-2.68f, -2.68f, -6.4f, -3.09f, -10.11f, -3.51f)
            verticalLineTo(50.0f)
            curveToRelative(4.12f, -1.44f, 9.49f, -3.71f, 13.83f, -1.0f)
            arcToRelative(3.71f, 3.71f, 0.0f, false, true, 0.82f, 2.89f)
            arcToRelative(10.69f, 10.69f, 0.0f, false, false, 6.2f, -0.21f)
            arcToRelative(4.36f, 4.36f, 0.0f, false, true, 3.91f, 0.82f)
            curveToRelative(7.85f, -0.21f, 10.32f, 7.83f, 13.0f, 10.72f)
            curveToRelative(2.27f, 2.69f, 5.17f, 9.69f, 4.55f, 9.69f)
            curveToRelative(-0.62f, 0.2f, -1.45f, -0.41f, -2.28f, -0.2f)
            curveToRelative(-3.71f, -3.51f, -9.49f, -0.21f, -11.14f, -0.42f)
            curveTo(127.3f, 74.35f, 129.0f, 82.0f, 121.73f, 83.83f)
            arcToRelative(18.93f, 18.93f, 0.0f, false, true, -5.0f, 1.0f)
            curveToRelative(-7.22f, 0.82f, -12.38f, -4.13f, -15.27f, -4.75f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(130.4f, 146.91f)
            curveToRelative(2.27f, -2.06f, 2.06f, -3.09f, 6.4f, -4.33f)
            curveToRelative(1.85f, -1.44f, -2.07f, -3.71f, 2.26f, -7.83f)
            curveToRelative(1.45f, -0.62f, 2.07f, -2.47f, 1.45f, -5.15f)
            lineToRelative(-2.07f, 1.0f)
            arcToRelative(7.41f, 7.41f, 0.0f, false, true, -8.25f, -0.62f)
            curveToRelative(-0.83f, -0.62f, -1.23f, 0.83f, -1.86f, 0.0f)
            arcToRelative(6.91f, 6.91f, 0.0f, false, false, -0.82f, -2.68f)
            arcToRelative(5.72f, 5.72f, 0.0f, false, false, -2.28f, -3.71f)
            curveToRelative(1.45f, -5.15f, -5.15f, -5.56f, -7.42f, -6.18f)
            curveToRelative(-3.1f, 0.0f, -6.61f, 0.41f, -9.29f, 2.26f)
            curveToRelative(1.44f, 0.21f, 2.68f, 0.83f, 4.12f, 1.0f)
            curveToRelative(1.87f, -1.65f, 4.34f, 0.0f, 6.4f, 0.21f)
            curveToRelative(2.9f, 1.44f, 6.81f, 2.47f, 7.85f, 6.0f)
            curveToRelative(3.09f, 10.52f, -1.85f, 14.44f, -3.72f, 15.26f)
            curveToRelative(-2.68f, 1.44f, -1.23f, 4.54f, -2.27f, 6.8f)
            arcToRelative(10.34f, 10.34f, 0.0f, false, false, 2.69f, 0.41f)
            curveToRelative(2.47f, 0.21f, 4.13f, -2.67f, 6.81f, -2.47f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(124.41f, 130.84f)
            curveToRelative(0.21f, -0.83f, -0.41f, -0.83f, -0.82f, -0.83f)
            curveToRelative(-0.42f, 0.21f, -1.0f, 0.41f, -1.24f, 0.83f)
            curveToRelative(0.62f, 0.2f, 1.0f, 0.2f, 1.44f, 0.61f)
            arcToRelative(0.65f, 0.65f, 0.0f, false, false, 0.62f, -0.61f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(123.59f, 127.74f)
            curveToRelative(-0.42f, 0.0f, -0.62f, -0.2f, -1.0f, 0.0f)
            lineToRelative(-0.4f, 0.62f)
            reflectiveCurveToRelative(2.06f, 0.83f, 1.44f, -0.62f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(119.46f, 131.45f)
            arcToRelative(8.92f, 8.92f, 0.0f, false, true, -0.21f, -3.71f)
            curveToRelative(0.21f, -2.06f, 3.72f, -1.85f, 4.75f, -1.65f)
            curveToRelative(-0.62f, -1.0f, -5.58f, -2.47f, -6.81f, 0.62f)
            curveToRelative(-0.83f, 1.44f, -0.62f, 3.3f, -0.42f, 4.74f)
            curveToRelative(0.63f, 1.65f, 2.69f, 5.16f, 7.44f, 3.09f)
            curveToRelative(0.2f, -0.41f, -3.93f, -0.2f, -4.75f, -3.09f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(115.33f, 134.54f)
            curveToRelative(-1.65f, -1.44f, -2.27f, -3.5f, -1.65f, -7.42f)
            arcToRelative(12.0f, 12.0f, 0.0f, false, true, 4.34f, -4.94f)
            curveToRelative(-5.17f, 1.0f, -5.79f, 2.06f, -6.82f, 3.71f)
            curveToRelative(-1.0f, 5.15f, 0.0f, 6.0f, 1.0f, 8.65f)
            curveToRelative(3.31f, 5.78f, 8.87f, 3.51f, 9.08f, 3.1f)
            arcToRelative(16.66f, 16.66f, 0.0f, false, true, -6.0f, -3.1f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(123.59f, 71.67f)
            curveToRelative(-0.62f, 0.0f, -1.44f, -0.82f, -2.06f, -0.2f)
            curveToRelative(-0.43f, 0.61f, 0.0f, 1.24f, 0.41f, 1.0f)
            curveToRelative(0.61f, -0.21f, 1.44f, -0.21f, 1.65f, -0.83f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(127.3f, 74.56f)
            curveToRelative(-0.82f, -1.85f, 0.82f, -3.3f, 1.0f, -4.12f)
            arcToRelative(2.18f, 2.18f, 0.0f, false, true, -1.0f, -1.86f)
            curveToRelative(0.61f, -1.24f, 2.27f, 0.0f, 3.1f, 0.21f)
            curveToRelative(2.68f, -1.65f, 5.36f, -3.3f, 8.46f, -3.09f)
            curveToRelative(-3.31f, -6.0f, -6.61f, -8.46f, -10.53f, -9.28f)
            curveToRelative(-1.85f, -0.83f, -3.71f, -2.06f, -6.0f, -2.06f)
            curveToRelative(-0.62f, 0.0f, -1.25f, -0.62f, -1.65f, 0.0f)
            arcToRelative(37.28f, 37.28f, 0.0f, false, false, -4.55f, -1.0f)
            curveToRelative(-0.61f, -0.4f, -0.4f, 0.21f, -0.61f, 0.63f)
            arcToRelative(4.36f, 4.36f, 0.0f, false, false, 3.09f, 2.88f)
            arcToRelative(32.6f, 32.6f, 0.0f, false, true, 6.0f, 6.0f)
            arcToRelative(10.9f, 10.9f, 0.0f, false, true, 2.27f, 8.0f)
            curveToRelative(-0.62f, 4.94f, -2.48f, 7.21f, -3.72f, 8.0f)
            curveToRelative(-1.86f, 1.85f, -5.36f, 0.2f, -7.42f, 1.65f)
            curveToRelative(-0.21f, 1.23f, -1.66f, 1.44f, -2.49f, 1.85f)
            curveToRelative(0.0f, 0.0f, 2.69f, 1.44f, 7.64f, 0.21f)
            curveToRelative(2.07f, -1.0f, 6.82f, -3.71f, 6.4f, -8.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(123.17f, 69.41f)
            curveToRelative(-0.62f, -0.83f, -1.64f, -0.41f, -2.47f, -0.62f)
            curveToRelative(0.0f, 0.41f, 0.4f, 0.41f, 0.61f, 0.62f)
            curveToRelative(0.63f, 0.0f, 1.66f, 0.82f, 1.86f, 0.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(117.19f, 71.67f)
            arcToRelative(3.62f, 3.62f, 0.0f, false, true, 1.23f, -3.91f)
            arcToRelative(5.09f, 5.09f, 0.0f, false, true, 5.37f, 0.61f)
            curveToRelative(-0.2f, -1.0f, -2.48f, -3.5f, -6.39f, -1.64f)
            curveToRelative(-1.65f, 0.82f, -2.27f, 2.06f, -2.48f, 4.12f)
            arcTo(6.72f, 6.72f, 0.0f, false, false, 117.0f, 74.56f)
            curveToRelative(1.0f, 1.0f, 3.72f, 0.82f, 5.0f, 0.21f)
            arcToRelative(6.68f, 6.68f, 0.0f, false, true, -4.75f, -3.1f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(112.64f, 75.18f)
            arcToRelative(10.94f, 10.94f, 0.0f, false, true, -0.2f, -8.45f)
            curveToRelative(1.45f, -2.48f, 4.13f, -2.68f, 6.81f, -3.3f)
            curveToRelative(-3.71f, -1.44f, -8.0f, 0.41f, -9.49f, 3.3f)
            curveToRelative(-1.44f, 3.91f, -0.82f, 5.56f, 0.41f, 8.24f)
            curveToRelative(1.24f, 2.06f, 4.54f, 5.15f, 8.0f, 2.89f)
            curveToRelative(-2.27f, -0.41f, -4.13f, -0.62f, -5.58f, -2.68f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(60.0f, 138.67f)
            curveToRelative(-0.4f, -0.41f, -1.44f, 0.41f, -1.44f, -0.62f)
            curveToRelative(-2.06f, 0.21f, -2.47f, -2.68f, -2.27f, -2.89f)
            curveToRelative(-2.07f, 1.0f, -1.86f, -1.85f, -1.65f, -2.67f)
            curveToRelative(-0.62f, -0.63f, -0.21f, -1.24f, -0.42f, -1.86f)
            curveToRelative(0.21f, 0.0f, 1.0f, 0.0f, 1.25f, 0.21f)
            curveToRelative(-0.63f, 2.26f, 0.82f, 2.67f, 1.0f, 2.26f)
            curveToRelative(0.21f, 0.0f, 1.0f, 2.48f, 2.47f, 3.51f)
            arcToRelative(1.93f, 1.93f, 0.0f, false, false, 1.86f, 0.62f)
            curveToRelative(0.41f, 0.41f, -0.21f, 2.06f, 1.85f, 1.44f)
            curveToRelative(2.28f, -3.72f, 5.17f, -1.86f, 5.79f, -4.33f)
            curveToRelative(1.23f, -3.71f, -5.36f, -5.15f, -5.79f, -7.22f)
            curveToRelative(-0.2f, -2.27f, -2.47f, -3.5f, -3.91f, -4.94f)
            curveToRelative(-1.65f, -0.41f, -1.45f, -3.31f, -1.86f, -4.54f)
            curveToRelative(-0.62f, -0.2f, -1.86f, 0.0f, -1.25f, -1.65f)
            curveToRelative(-1.0f, 0.0f, -4.12f, 0.0f, -3.29f, -2.26f)
            curveToRelative(-0.83f, 0.0f, -2.06f, 0.2f, -1.45f, -1.24f)
            curveToRelative(-3.92f, -0.21f, -6.4f, -3.92f, -6.4f, -5.16f)
            curveToRelative(-4.54f, 0.83f, -6.6f, 8.66f, -7.21f, 19.38f)
            curveToRelative(-1.45f, 1.86f, 1.0f, 3.3f, 1.85f, 5.0f)
            arcToRelative(7.62f, 7.62f, 0.0f, false, true, 0.82f, -2.27f)
            arcToRelative(6.36f, 6.36f, 0.0f, false, false, 3.72f, 5.36f)
            arcToRelative(2.22f, 2.22f, 0.0f, false, true, 1.44f, -2.26f)
            arcToRelative(7.3f, 7.3f, 0.0f, false, true, 2.27f, 4.12f)
            curveToRelative(0.83f, -0.42f, 4.34f, 1.65f, 4.34f, 1.65f)
            arcToRelative(3.07f, 3.07f, 0.0f, false, true, -0.62f, -2.07f)
            curveToRelative(0.2f, -0.82f, -1.65f, -0.21f, -2.06f, -0.82f)
            arcToRelative(2.6f, 2.6f, 0.0f, false, true, 0.0f, -2.48f)
            curveToRelative(-1.66f, -1.85f, -0.21f, -2.67f, 0.41f, -3.29f)
            curveToRelative(0.0f, 0.2f, 2.06f, 1.44f, 1.85f, 3.29f)
            curveToRelative(-1.64f, 1.45f, 1.45f, 2.27f, 2.27f, 3.72f)
            curveToRelative(-0.2f, 1.23f, 2.28f, 1.85f, 2.49f, 2.88f)
            curveToRelative(0.82f, 0.62f, 1.85f, 0.21f, 2.68f, 0.41f)
            curveToRelative(-0.21f, 0.83f, 0.83f, 0.62f, 1.44f, 0.83f)
            arcToRelative(1.91f, 1.91f, 0.0f, false, true, -0.21f, -2.06f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(65.18f, 116.61f)
            arcToRelative(12.38f, 12.38f, 0.0f, false, false, 2.26f, -5.36f)
            curveToRelative(-0.41f, -3.71f, -1.85f, -6.59f, -1.64f, -10.51f)
            curveToRelative(0.2f, -2.06f, 2.47f, -5.36f, 1.0f, -9.28f)
            curveToRelative(-3.08f, -4.53f, -5.15f, -5.36f, -7.63f, -6.18f)
            curveToRelative(-3.09f, 0.0f, -2.89f, 2.47f, -2.89f, 3.71f)
            curveToRelative(-0.41f, 1.24f, 1.24f, 1.65f, 1.44f, 2.68f)
            curveToRelative(1.87f, 5.0f, -0.61f, 6.0f, -1.0f, 6.0f)
            arcTo(11.34f, 11.34f, 0.0f, false, false, 54.23f, 97.0f)
            curveToRelative(-1.44f, -0.41f, -2.68f, 1.44f, -3.51f, 2.27f)
            curveToRelative(-0.82f, 1.65f, -1.44f, 2.68f, -0.4f, 3.91f)
            curveToRelative(0.4f, 0.83f, 3.09f, 0.21f, 2.88f, 2.07f)
            curveToRelative(0.0f, 0.61f, -1.23f, 0.2f, -2.48f, 2.47f)
            curveToRelative(-0.61f, 2.06f, 2.07f, 4.74f, 5.58f, 3.92f)
            curveToRelative(0.21f, -0.83f, 1.65f, -0.42f, 2.27f, -0.21f)
            curveToRelative(1.0f, 0.82f, 1.24f, 2.06f, 1.24f, 3.5f)
            arcToRelative(2.0f, 2.0f, 0.0f, false, false, 0.82f, 2.68f)
            curveToRelative(1.45f, 0.42f, 3.11f, -0.2f, 4.55f, -1.0f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(46.0f, 101.56f)
            curveToRelative(-1.45f, -0.2f, 1.23f, -2.26f, 1.23f, -2.26f)
            curveToRelative(-1.44f, 0.62f, -0.41f, -0.62f, -0.2f, -0.83f)
            curveToRelative(0.0f, -2.27f, 2.27f, -1.65f, 3.1f, -1.85f)
            curveToRelative(-0.62f, -1.86f, 1.0f, -2.68f, 2.06f, -3.1f)
            curveToRelative(-0.41f, -0.2f, -1.85f, -1.23f, 1.65f, -1.44f)
            curveToRelative(-0.21f, -0.41f, -1.23f, -1.44f, 0.41f, -1.65f)
            curveTo(54.0f, 89.0f, 54.0f, 86.1f, 52.59f, 84.87f)
            curveToRelative(1.64f, -1.0f, 1.23f, -3.3f, 2.47f, -4.33f)
            curveToRelative(0.42f, -1.24f, 1.66f, -2.27f, 1.24f, -3.71f)
            curveToRelative(-2.48f, 4.33f, -1.65f, 0.82f, -1.65f, 0.82f)
            curveToRelative(-0.21f, -1.65f, 0.62f, -2.88f, 1.45f, -4.12f)
            curveToRelative(-2.28f, 0.0f, -2.28f, 2.47f, -2.28f, 2.47f)
            curveToRelative(-0.62f, 3.72f, -1.23f, 2.89f, -1.65f, 3.51f)
            curveToRelative(-0.83f, 0.21f, -1.0f, -1.86f, -0.41f, -4.33f)
            lineToRelative(-1.86f, 1.0f)
            curveToRelative(-1.86f, 2.06f, -0.41f, 2.27f, -0.62f, 2.88f)
            arcTo(4.48f, 4.48f, 0.0f, false, true, 48.0f, 81.77f)
            curveToRelative(-0.83f, -0.41f, -0.41f, -1.85f, -0.41f, -2.68f)
            arcToRelative(1.26f, 1.26f, 0.0f, false, true, -0.21f, -1.64f)
            curveToRelative(-1.44f, 0.2f, -2.27f, 1.0f, -3.5f, 1.44f)
            curveToRelative(-0.62f, 2.47f, 0.2f, 5.77f, -0.83f, 5.36f)
            curveToRelative(-0.83f, -0.83f, -0.83f, -2.27f, -1.45f, -3.09f)
            curveToRelative(-1.24f, 1.23f, -2.68f, 2.26f, -3.3f, 3.71f)
            curveToRelative(-1.0f, 0.61f, 0.21f, 1.44f, 0.0f, 2.06f)
            curveToRelative(-1.85f, 12.16f, 3.3f, 19.37f, 5.78f, 17.93f)
            curveToRelative(0.0f, 0.0f, -1.0f, -1.0f, 1.86f, -3.3f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(33.59f, 122.8f)
            curveToRelative(0.84f, -0.62f, 2.07f, -0.62f, 2.48f, -1.45f)
            arcToRelative(66.74f, 66.74f, 0.0f, false, false, 2.27f, -9.27f)
            reflectiveCurveToRelative(-1.44f, 0.2f, -0.62f, -1.24f)
            curveToRelative(-0.21f, 0.2f, -0.61f, 0.0f, -1.0f, 0.0f)
            curveToRelative(-0.21f, 0.0f, -0.21f, -0.21f, 0.0f, -0.41f)
            curveToRelative(0.41f, -0.62f, 0.81f, -0.83f, 0.81f, -1.44f)
            lineToRelative(-0.19f, -0.63f)
            lineToRelative(-1.45f, 0.63f)
            curveToRelative(-0.21f, -0.63f, 0.2f, -0.83f, 0.41f, -1.24f)
            arcToRelative(1.14f, 1.14f, 0.0f, false, false, 0.83f, -1.24f)
            horizontalLineTo(35.66f)
            curveToRelative(-0.62f, -1.0f, 1.0f, -0.62f, 0.83f, -1.65f)
            horizontalLineToRelative(-0.42f)
            curveToRelative(0.42f, -0.82f, -1.64f, -1.65f, 0.0f, -2.27f)
            curveToRelative(0.21f, 0.21f, 0.42f, 0.21f, 0.83f, 0.21f)
            curveToRelative(0.0f, -0.41f, -1.24f, -0.62f, -0.83f, -1.44f)
            curveToRelative(1.25f, -0.21f, -0.41f, -0.83f, 0.42f, -1.44f)
            curveToRelative(0.21f, -2.27f, -1.66f, -3.51f, -1.45f, -5.78f)
            curveToRelative(0.21f, -1.23f, 0.62f, -3.09f, 0.0f, -3.91f)
            curveToRelative(-3.3f, -0.62f, -0.82f, -2.07f, -0.21f, -2.07f)
            curveToRelative(-1.45f, -3.29f, -4.33f, -0.2f, -4.74f, 0.83f)
            curveToRelative(-0.41f, 0.41f, -0.21f, 3.09f, -1.86f, 3.92f)
            arcToRelative(6.34f, 6.34f, 0.0f, false, false, -4.13f, 3.5f)
            curveToRelative(1.45f, 2.06f, -2.06f, 2.89f, -2.69f, 8.0f)
            lineToRelative(-0.19f, 2.88f)
            lineTo(21.0f, 111.0f)
            curveToRelative(-0.83f, 3.3f, 0.61f, 4.75f, 0.61f, 4.75f)
            horizontalLineToRelative(0.83f)
            curveToRelative(1.65f, 1.23f, 1.85f, 3.5f, 3.72f, 4.53f)
            lineToRelative(1.0f, 0.83f)
            curveToRelative(0.62f, -0.42f, 1.0f, -2.28f, 1.85f, -1.45f)
            curveToRelative(0.63f, 1.24f, 2.48f, 3.3f, 4.33f, 3.71f)
            curveToRelative(0.21f, -0.2f, 0.0f, -0.41f, 0.21f, -0.61f)
        }
    }
        .build()
}
