package com.mshdabiola.designsystem.icon.man

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Man.getBlue(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Blue2",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(40.5f, 189.0f)
            lineTo(30.0f, 182.79f)
            curveToRelative(1.0f, -5.49f, 1.5f, -11.49f, -1.0f, -16.48f)
            curveToRelative(-4.25f, -8.0f, -12.25f, -14.74f, -16.25f, -23.23f)
            arcToRelative(63.68f, 63.68f, 0.0f, false, true, -5.0f, -17.0f)
            curveToRelative(0.25f, -9.49f, 4.5f, -17.74f, 4.75f, -27.0f)
            curveToRelative(-0.25f, -7.25f, -7.0f, -12.25f, -12.5f, -16.0f)
            curveToRelative(0.75f, -13.49f, 2.75f, -26.48f, 8.75f, -38.0f)
            curveToRelative(4.25f, -8.0f, 7.75f, -16.74f, 13.75f, -24.0f)
            lineToRelative(8.5f, -10.0f)
            arcToRelative(60.21f, 60.21f, 0.0f, false, false, 14.5f, -10.0f)
            arcToRelative(78.06f, 78.06f, 0.0f, false, false, 21.0f, 13.24f)
            curveToRelative(10.25f, 3.0f, 22.5f, 3.5f, 33.75f, 2.5f)
            curveToRelative(7.75f, -0.5f, 15.5f, 0.49f, 23.5f, 0.24f)
            curveToRelative(7.25f, 0.0f, 12.5f, 5.25f, 20.25f, 3.75f)
            curveToRelative(3.5f, -0.75f, 7.25f, -1.24f, 10.75f, -2.5f)
            curveToRelative(3.75f, 6.0f, 6.5f, 12.24f, 12.0f, 17.48f)
            curveToRelative(1.25f, -0.49f, 2.5f, -1.74f, 4.0f, -1.0f)
            lineToRelative(1.5f, 2.0f)
            curveToRelative(1.25f, -0.25f, 3.25f, -1.0f, 4.5f, 0.0f)
            curveToRelative(3.5f, 2.74f, 2.75f, 7.24f, 5.25f, 10.23f)
            curveToRelative(11.25f, 10.0f, 16.5f, 22.73f, 18.0f, 36.72f)
            curveToRelative(0.0f, 12.24f, -2.75f, 23.72f, -8.75f, 33.71f)
            arcToRelative(90.39f, 90.39f, 0.0f, false, true, -14.5f, 18.48f)
            curveToRelative(-5.75f, 4.0f, -12.75f, 4.75f, -18.75f, 8.25f)
            curveToRelative(-6.75f, -0.5f, -12.75f, 2.5f, -19.75f, 1.25f)
            curveToRelative(-3.25f, -1.25f, -6.0f, -3.25f, -9.25f, -4.5f)
            curveToRelative(-1.5f, 0.0f, -3.5f, 1.5f, -5.0f, 0.5f)
            lineToRelative(-2.5f, -2.25f)
            curveToRelative(-2.75f, 1.75f, -6.5f, -0.25f, -9.5f, 1.5f)
            curveTo(98.25f, 149.32f, 95.25f, 165.56f, 81.25f, 174.0f)
            lineToRelative(-0.25f, 0.26f)
            curveTo(72.75f, 185.53f, 60.25f, 192.0f, 49.25f, 198.78f)
            curveToRelative(-2.75f, -3.25f, -5.0f, -7.49f, -8.75f, -9.75f)
            close()
            moveTo(148.0f, 142.09f)
            lineToRelative(8.25f, 0.74f)
            curveToRelative(4.75f, -3.75f, 11.75f, -3.5f, 17.0f, -6.5f)
            arcToRelative(86.55f, 86.55f, 0.0f, false, false, 9.5f, -9.74f)
            curveToRelative(4.0f, -4.74f, 6.0f, -10.48f, 9.5f, -15.48f)
            curveToRelative(2.25f, -4.74f, 4.25f, -9.24f, 5.25f, -14.49f)
            arcToRelative(55.14f, 55.14f, 0.0f, false, false, -0.25f, -19.23f)
            curveToRelative(-0.75f, -7.24f, -4.25f, -13.73f, -8.75f, -19.23f)
            lineToRelative(-1.5f, -2.0f)
            arcToRelative(51.74f, 51.74f, 0.0f, false, false, -8.0f, -7.49f)
            curveToRelative(-0.75f, 2.24f, -1.25f, 4.49f, -2.0f, 6.74f)
            curveToRelative(-1.5f, 5.49f, -3.25f, 11.0f, -4.25f, 16.48f)
            curveToRelative(5.0f, 4.25f, 11.5f, 8.49f, 15.0f, 14.48f)
            verticalLineToRelative(0.5f)
            arcToRelative(66.84f, 66.84f, 0.0f, false, false, -17.25f, -12.0f)
            curveToRelative(-0.5f, 1.75f, -1.5f, 3.5f, -1.5f, 5.24f)
            curveToRelative(4.0f, 4.0f, 8.75f, 6.5f, 12.5f, 11.0f)
            horizontalLineToRelative(-0.25f)
            arcToRelative(64.0f, 64.0f, 0.0f, false, false, -13.5f, -5.74f)
            curveToRelative(-7.75f, 13.23f, -16.0f, 26.47f, -28.5f, 37.71f)
            curveToRelative(-1.0f, 1.5f, 0.0f, 3.74f, 1.25f, 4.5f)
            curveToRelative(3.5f, 1.74f, 7.75f, 2.49f, 11.5f, 3.74f)
            curveToRelative(-4.25f, 1.0f, -8.5f, -0.5f, -12.75f, -1.25f)
            lineToRelative(-2.25f, 0.5f)
            arcToRelative(2.08f, 2.08f, 0.0f, false, false, -1.5f, 1.0f)
            arcToRelative(12.31f, 12.31f, 0.0f, false, false, 3.5f, 3.75f)
            curveToRelative(4.75f, 2.0f, 10.5f, 1.5f, 15.75f, 1.75f)
            arcToRelative(18.43f, 18.43f, 0.0f, false, true, -6.75f, 2.74f)
            curveToRelative(-6.25f, 1.0f, -11.25f, -2.25f, -17.0f, -3.0f)
            curveToRelative(0.25f, 4.0f, 4.5f, 5.25f, 7.5f, 6.49f)
            curveToRelative(0.25f, 1.0f, 8.25f, -1.5f, 9.5f, -1.24f)
            close()
            moveTo(75.25f, 178.29f)
            lineTo(78.75f, 174.29f)
            curveToRelative(2.5f, -4.0f, 4.5f, -4.0f, 9.25f, -9.75f)
            curveToRelative(4.5f, -5.49f, 7.25f, -11.48f, 11.5f, -17.23f)
            curveToRelative(3.75f, -5.0f, 8.75f, -7.49f, 13.5f, -10.23f)
            lineToRelative(1.0f, -1.5f)
            curveToRelative(-9.75f, 0.25f, -18.0f, 3.49f, -26.75f, 6.0f)
            curveToRelative(-10.0f, 5.0f, -15.25f, 15.48f, -20.75f, 24.22f)
            lineToRelative(-2.5f, 3.0f)
            curveToRelative(-7.0f, 6.24f, -15.75f, 8.49f, -23.5f, 12.48f)
            lineToRelative(1.0f, 1.0f)
            arcToRelative(21.88f, 21.88f, 0.0f, false, true, 5.5f, 4.24f)
            curveToRelative(2.25f, 2.25f, 4.75f, 4.5f, 5.75f, 7.25f)
            curveToRelative(8.0f, -3.0f, 17.5f, -10.0f, 22.5f, -15.49f)
            close()
            moveTo(126.5f, 133.09f)
            lineTo(126.75f, 132.34f)
            curveToRelative(4.75f, -9.0f, 12.5f, -15.49f, 19.25f, -23.23f)
            curveToRelative(9.5f, -11.23f, 15.75f, -24.0f, 20.5f, -37.21f)
            curveToRelative(3.0f, -9.0f, 5.5f, -18.0f, 6.5f, -27.47f)
            curveToRelative(-1.75f, 8.74f, -3.75f, 17.73f, -6.75f, 26.0f)
            curveToRelative(-4.25f, 12.0f, -10.75f, 23.0f, -18.5f, 33.47f)
            curveToRelative(-6.0f, 10.74f, -20.25f, 17.23f, -21.75f, 30.0f)
            lineToRelative(0.5f, -0.75f)
            close()
            moveTo(112.5f, 133.34f)
            curveToRelative(4.75f, -0.5f, 7.5f, -5.74f, 10.5f, -9.0f)
            curveToRelative(6.5f, -7.24f, 14.75f, -14.23f, 19.75f, -22.0f)
            lineToRelative(0.75f, -1.25f)
            arcToRelative(54.74f, 54.74f, 0.0f, false, false, -8.25f, 3.0f)
            curveToRelative(-7.25f, 3.49f, -13.0f, 10.49f, -19.25f, 16.0f)
            lineToRelative(-10.5f, 7.74f)
            curveToRelative(-4.25f, 3.26f, -9.5f, 4.5f, -13.5f, 8.24f)
            curveToRelative(6.25f, -2.49f, 13.5f, -2.0f, 20.5f, -2.74f)
            close()
            moveTo(41.0f, 177.3f)
            curveToRelative(7.5f, -7.0f, 17.25f, -9.0f, 23.75f, -17.49f)
            lineToRelative(6.0f, -7.49f)
            curveToRelative(3.25f, -3.24f, 6.75f, -6.74f, 8.5f, -10.74f)
            lineToRelative(-5.75f, 0.51f)
            curveToRelative(-8.75f, 1.0f, -15.0f, -3.5f, -22.5f, -5.5f)
            curveToRelative(-5.5f, -2.5f, -12.5f, -4.75f, -18.25f, -1.5f)
            curveToRelative(-2.75f, 1.5f, -4.0f, 4.24f, -5.0f, 7.0f)
            curveToRelative(-1.25f, 4.0f, 0.0f, 8.23f, 2.5f, 11.48f)
            arcToRelative(38.65f, 38.65f, 0.0f, false, true, 7.0f, 8.74f)
            curveToRelative(2.5f, 4.75f, 1.0f, 11.0f, 2.5f, 16.0f)
            lineToRelative(1.25f, -1.0f)
            close()
            moveTo(23.75f, 136.08f)
            curveToRelative(1.0f, -4.0f, 5.5f, -6.74f, 9.0f, -7.24f)
            curveToRelative(10.25f, -1.74f, 18.5f, 4.0f, 28.0f, 6.0f)
            curveToRelative(8.0f, 2.0f, 17.25f, 1.0f, 25.25f, -0.75f)
            curveToRelative(17.25f, -3.75f, 29.5f, -20.0f, 44.0f, -30.0f)
            curveToRelative(4.75f, -3.25f, 10.0f, -5.0f, 15.25f, -6.75f)
            curveToRelative(2.75f, -2.49f, 4.25f, -6.0f, 5.25f, -9.48f)
            curveToRelative(-4.25f, -0.26f, -8.5f, 0.25f, -12.75f, 0.49f)
            curveToRelative(-14.5f, 1.5f, -25.25f, 12.25f, -37.75f, 18.24f)
            curveToRelative(-6.5f, 4.0f, -13.75f, 6.0f, -20.75f, 8.73f)
            curveToRelative(-10.0f, 1.76f, -21.25f, 0.76f, -30.0f, -3.24f)
            curveToRelative(-8.75f, -3.75f, -21.0f, -5.0f, -29.75f, -0.25f)
            curveToRelative(-1.5f, 1.5f, -1.25f, 3.75f, -1.75f, 5.74f)
            curveToRelative(-2.25f, 8.74f, -1.0f, 18.48f, 4.0f, 25.48f)
            arcToRelative(36.83f, 36.83f, 0.0f, false, false, 2.0f, -7.0f)
            close()
            moveTo(120.25f, 48.92f)
            lineTo(118.5f, 49.17f)
            verticalLineToRelative(3.25f)
            lineToRelative(1.75f, -3.5f)
            close()
            moveTo(83.0f, 90.13f)
            curveToRelative(6.5f, -1.0f, 11.5f, -5.74f, 17.5f, -8.24f)
            curveToRelative(-2.25f, -0.75f, -3.75f, -3.25f, -5.25f, -4.74f)
            verticalLineToRelative(-0.5f)
            lineToRelative(5.5f, 0.5f)
            curveToRelative(5.5f, 0.74f, 10.0f, -3.0f, 15.75f, -2.25f)
            arcToRelative(39.34f, 39.34f, 0.0f, false, false, 4.5f, -2.25f)
            curveToRelative(3.25f, -2.25f, 8.0f, -1.25f, 11.75f, -2.5f)
            curveToRelative(3.25f, -2.25f, 7.75f, -5.49f, 7.75f, -9.74f)
            curveToRelative(2.25f, -2.5f, 2.25f, -6.0f, 3.0f, -9.24f)
            curveToRelative(0.75f, -1.75f, 2.25f, -3.24f, 2.75f, -5.24f)
            lineTo(146.0f, 41.18f)
            curveToRelative(-0.75f, -0.74f, -0.75f, -2.0f, -1.25f, -3.0f)
            curveToRelative(-2.5f, -0.74f, -4.5f, -2.5f, -7.25f, -2.74f)
            curveToRelative(-5.25f, 2.0f, -2.5f, 8.24f, -3.0f, 12.49f)
            curveToRelative(-3.5f, 2.49f, -7.0f, 6.24f, -10.5f, 8.49f)
            curveToRelative(2.0f, -4.5f, 5.5f, -8.25f, 5.75f, -13.49f)
            curveToRelative(0.25f, -0.25f, 0.0f, -1.0f, -0.5f, -0.75f)
            lineToRelative(-2.5f, 2.5f)
            curveToRelative(-0.75f, 6.49f, -6.25f, 11.0f, -9.75f, 16.23f)
            lineToRelative(-0.5f, 0.5f)
            curveToRelative(1.25f, -4.24f, 4.75f, -8.0f, 6.25f, -12.0f)
            curveToRelative(0.5f, -1.0f, -1.0f, -0.74f, -1.25f, -0.5f)
            curveToRelative(-1.5f, 2.25f, -2.0f, 5.5f, -4.25f, 7.25f)
            curveToRelative(-0.5f, -3.0f, 0.25f, -6.5f, -1.0f, -9.0f)
            arcToRelative(2.67f, 2.67f, 0.0f, false, false, -1.75f, 0.76f)
            curveToRelative(-0.75f, 1.74f, -2.0f, 3.49f, -1.75f, 5.74f)
            arcToRelative(15.29f, 15.29f, 0.0f, false, true, -1.25f, -3.0f)
            curveToRelative(0.0f, -4.49f, 5.25f, -4.0f, 7.75f, -6.24f)
            lineToRelative(-5.5f, 0.5f)
            curveToRelative(-2.5f, 2.0f, -4.25f, 4.49f, -7.0f, 6.49f)
            curveTo(100.5f, 54.67f, 94.0f, 58.16f, 87.0f, 59.41f)
            arcToRelative(176.72f, 176.72f, 0.0f, false, false, 19.0f, -10.73f)
            curveToRelative(3.5f, -2.25f, 6.0f, -6.5f, 10.5f, -6.25f)
            curveToRelative(1.5f, -0.75f, 2.75f, -2.25f, 4.5f, -2.5f)
            curveToRelative(0.75f, 1.5f, 0.5f, 3.5f, 0.75f, 5.25f)
            curveToRelative(0.25f, 1.0f, 1.5f, 0.75f, 2.0f, 0.75f)
            lineToRelative(-0.5f, -6.75f)
            curveToRelative(0.0f, -0.5f, 0.5f, -0.5f, 0.75f, -0.5f)
            curveToRelative(0.75f, 0.5f, 0.75f, 1.25f, 1.5f, 2.0f)
            curveToRelative(1.25f, 0.25f, 3.0f, 0.0f, 3.75f, -1.25f)
            arcToRelative(8.0f, 8.0f, 0.0f, false, false, -0.25f, -4.24f)
            curveToRelative(4.5f, -4.0f, 11.5f, -1.25f, 17.0f, -1.5f)
            curveToRelative(0.25f, -1.0f, 0.5f, -3.25f, 1.0f, -4.0f)
            lineToRelative(-2.25f, -0.49f)
            curveTo(141.25f, 28.0f, 137.0f, 25.7f, 133.0f, 25.94f)
            curveToRelative(-2.25f, 0.75f, -3.5f, 3.26f, -5.0f, 5.0f)
            curveToRelative(-1.75f, 1.25f, -3.25f, 3.0f, -5.5f, 3.0f)
            curveToRelative(-3.75f, -1.5f, -7.0f, -4.25f, -10.5f, -5.75f)
            curveToRelative(-4.25f, -1.24f, -8.5f, -2.49f, -12.5f, -3.74f)
            arcToRelative(9.51f, 9.51f, 0.0f, false, false, -4.25f, 3.0f)
            curveToRelative(-0.5f, 1.76f, -3.0f, 3.75f, -1.5f, 5.5f)
            lineToRelative(1.0f, -1.0f)
            curveToRelative(1.0f, -0.5f, 2.25f, -1.0f, 2.75f, 0.25f)
            curveToRelative(0.0f, 1.75f, 0.25f, 4.25f, -1.5f, 5.5f)
            curveToRelative(-0.25f, 0.24f, -2.0f, -0.51f, -3.0f, -0.51f)
            arcToRelative(6.52f, 6.52f, 0.0f, false, false, 1.5f, 3.75f)
            curveToRelative(1.0f, 0.5f, 2.0f, 1.75f, 3.5f, 1.25f)
            curveToRelative(1.5f, -1.25f, 2.5f, -2.75f, 3.75f, -4.0f)
            curveToRelative(0.0f, 1.0f, -0.25f, 2.0f, -0.25f, 3.0f)
            curveToRelative(-0.75f, 3.25f, -4.5f, 4.49f, -7.0f, 5.74f)
            arcToRelative(19.54f, 19.54f, 0.0f, false, false, 2.25f, -2.49f)
            curveToRelative(-0.25f, 0.0f, -0.5f, -0.25f, -0.75f, -0.25f)
            curveToRelative(-2.75f, -0.25f, -3.25f, -3.25f, -4.25f, -5.0f)
            lineToRelative(-2.0f, 4.0f)
            curveToRelative(-3.25f, 4.24f, -8.75f, 7.74f, -9.0f, 13.24f)
            lineToRelative(-2.25f, 3.0f)
            curveToRelative(-0.25f, 0.5f, -0.25f, 1.5f, -0.75f, 2.0f)
            arcToRelative(10.56f, 10.56f, 0.0f, false, false, -5.0f, 0.75f)
            curveToRelative(-2.0f, -0.25f, -4.25f, -1.0f, -6.0f, -1.0f)
            lineToRelative(1.0f, 3.75f)
            curveToRelative(3.75f, 8.73f, 7.0f, 17.48f, 13.75f, 24.72f)
            curveToRelative(0.0f, 0.25f, 0.5f, 0.5f, 0.75f, 0.75f)
            lineToRelative(0.75f, -0.25f)
            close()
            moveTo(85.5f, 110.13f)
            lineTo(109.0f, 95.87f)
            curveToRelative(13.0f, -8.0f, 28.5f, -10.73f, 44.0f, -12.0f)
            arcToRelative(13.14f, 13.14f, 0.0f, false, false, 1.0f, -4.25f)
            curveToRelative(-3.0f, -0.5f, -6.0f, -2.49f, -9.5f, -1.49f)
            curveToRelative(-2.0f, 0.25f, -3.75f, 2.0f, -5.75f, 1.49f)
            arcTo(26.3f, 26.3f, 0.0f, false, true, 146.0f, 75.4f)
            curveToRelative(3.25f, -1.25f, 6.25f, 0.75f, 9.25f, 1.5f)
            lineToRelative(0.75f, -0.5f)
            lineToRelative(3.0f, -5.49f)
            arcToRelative(54.72f, 54.72f, 0.0f, false, false, 8.25f, -29.23f)
            arcToRelative(167.87f, 167.87f, 0.0f, false, true, -12.5f, -17.23f)
            lineTo(154.0f, 24.45f)
            lineToRelative(0.25f, 1.0f)
            arcToRelative(34.93f, 34.93f, 0.0f, false, true, -1.5f, 15.23f)
            curveToRelative(-0.25f, 2.5f, -0.25f, 5.25f, -0.5f, 8.24f)
            curveToRelative(-2.25f, 8.0f, -7.0f, 15.24f, -11.25f, 22.48f)
            curveToRelative(-0.75f, 1.0f, -0.5f, 2.24f, -1.25f, 3.0f)
            curveToRelative(-3.75f, 1.49f, -9.0f, 1.0f, -13.25f, 0.75f)
            curveToRelative(-5.0f, 1.0f, -10.0f, 3.0f, -15.25f, 4.24f)
            curveToRelative(-7.5f, 2.25f, -14.0f, 6.5f, -20.25f, 11.49f)
            curveToRelative(-9.0f, 5.25f, -17.0f, 12.49f, -27.5f, 13.49f)
            curveToRelative(-5.75f, 0.0f, -11.25f, -0.5f, -16.25f, -2.5f)
            curveToRelative(11.75f, 0.0f, 23.25f, -1.5f, 33.25f, -6.24f)
            curveToRelative(-10.5f, -1.5f, -21.25f, -2.0f, -31.5f, -3.75f)
            curveToRelative(-10.0f, -3.0f, -18.75f, -8.24f, -29.25f, -9.24f)
            arcToRelative(69.55f, 69.55f, 0.0f, false, true, 2.0f, 22.73f)
            curveToRelative(6.0f, 0.0f, 13.25f, -1.0f, 19.25f, 1.0f)
            curveToRelative(8.0f, 0.25f, 14.25f, 6.24f, 22.0f, 7.0f)
            curveToRelative(8.0f, 0.75f, 16.0f, 0.75f, 22.5f, -3.24f)
            close()
            moveTo(127.0f, 27.69f)
            arcToRelative(8.54f, 8.54f, 0.0f, false, false, -3.5f, 1.25f)
            lineToRelative(-1.25f, -1.74f)
            arcToRelative(7.88f, 7.88f, 0.0f, false, false, -0.5f, 3.49f)
            curveToRelative(0.75f, 0.25f, 1.5f, 1.25f, 2.25f, 0.5f)
            curveToRelative(1.25f, -0.75f, 3.75f, -1.5f, 3.0f, -3.5f)
            close()
            moveTo(64.25f, 62.69f)
            curveToRelative(-5.75f, 1.75f, -11.25f, 3.49f, -17.0f, 5.0f)
            lineToRelative(-0.5f, 0.5f)
            curveTo(44.0f, 73.64f, 44.5f, 81.39f, 46.0f, 87.13f)
            curveToRelative(9.25f, 6.5f, 21.5f, 4.0f, 33.25f, 4.0f)
            curveToRelative(-7.0f, -8.74f, -11.5f, -18.48f, -15.0f, -28.47f)
            close()
            moveTo(84.0f, 46.43f)
            curveToRelative(1.25f, -2.0f, 4.75f, -3.75f, 3.5f, -6.75f)
            arcToRelative(30.0f, 30.0f, 0.0f, false, true, -1.5f, -8.0f)
            arcToRelative(5.38f, 5.38f, 0.0f, false, false, -2.25f, 3.0f)
            lineToRelative(0.75f, 2.75f)
            curveToRelative(1.0f, 3.24f, -1.5f, 6.24f, -1.75f, 9.48f)
            curveToRelative(0.25f, -0.49f, 0.75f, -0.24f, 1.25f, -0.49f)
            close()
            moveTo(83.0f, 38.18f)
            arcToRelative(13.11f, 13.11f, 0.0f, false, false, -0.75f, -3.0f)
            lineTo(80.0f, 35.93f)
            curveToRelative(-2.75f, 2.75f, -1.25f, 7.75f, 0.0f, 10.75f)
            curveToRelative(1.75f, -2.5f, 2.0f, -5.5f, 3.0f, -8.5f)
            close()
            moveTo(78.75f, 49.42f)
            curveToRelative(-0.25f, -2.0f, -1.25f, -3.75f, -1.5f, -5.74f)
            lineToRelative(-1.5f, 1.5f)
            lineToRelative(-0.5f, 0.49f)
            arcToRelative(7.47f, 7.47f, 0.0f, false, true, -2.5f, 1.75f)
            curveToRelative(0.5f, -3.0f, 3.5f, -5.24f, 2.5f, -8.74f)
            curveToRelative(-2.75f, 0.26f, -5.5f, 0.26f, -7.5f, 1.76f)
            verticalLineToRelative(0.24f)
            curveToRelative(1.25f, 2.5f, -2.5f, 2.5f, -3.0f, 4.25f)
            arcToRelative(7.14f, 7.14f, 0.0f, false, false, 0.25f, 6.0f)
            curveToRelative(2.0f, 1.75f, 5.25f, 1.5f, 7.75f, 1.0f)
            curveToRelative(1.75f, -1.5f, 4.0f, -1.25f, 6.0f, -2.5f)
            close()
            moveTo(39.5f, 50.17f)
            curveToRelative(4.5f, -0.75f, 9.0f, 0.75f, 13.0f, 0.25f)
            curveToRelative(-1.0f, -1.74f, -3.0f, -3.25f, -3.25f, -5.24f)
            lineToRelative(6.25f, -1.0f)
            lineToRelative(4.75f, -3.0f)
            curveToRelative(4.5f, -1.5f, 8.0f, -5.0f, 12.75f, -5.25f)
            curveToRelative(2.5f, 1.25f, 4.0f, -1.24f, 6.0f, -2.0f)
            curveToRelative(3.25f, 0.0f, 5.25f, -2.5f, 7.75f, -4.25f)
            curveToRelative(1.5f, -0.49f, 3.5f, 0.25f, 4.75f, -0.49f)
            curveToRelative(1.75f, -3.26f, 4.25f, -6.75f, 8.0f, -7.0f)
            curveToRelative(5.75f, 2.75f, 13.0f, 2.75f, 18.25f, 6.74f)
            curveToRelative(0.0f, -0.5f, 0.5f, -0.5f, 0.75f, -0.75f)
            horizontalLineToRelative(-0.25f)
            curveToRelative(0.25f, -0.75f, 0.75f, 0.0f, 1.25f, 0.0f)
            curveToRelative(0.25f, -1.24f, 1.25f, -2.0f, 2.25f, -3.24f)
            curveToRelative(-0.5f, -0.26f, 0.5f, -0.75f, 0.75f, -0.75f)
            lineToRelative(1.0f, 2.0f)
            curveToRelative(4.25f, 0.5f, 6.75f, -3.0f, 11.0f, -2.49f)
            lineTo(147.25f, 28.0f)
            lineToRelative(0.5f, -0.51f)
            lineTo(143.5f, 25.0f)
            arcTo(38.39f, 38.39f, 0.0f, false, false, 151.0f, 22.2f)
            lineToRelative(-0.25f, -1.0f)
            arcToRelative(84.55f, 84.55f, 0.0f, false, false, -8.5f, 2.75f)
            horizontalLineToRelative(-1.0f)
            curveToRelative(-3.25f, -1.5f, -7.0f, -1.5f, -10.5f, -1.75f)
            arcTo(39.28f, 39.28f, 0.0f, false, false, 125.0f, 24.45f)
            curveToRelative(-0.75f, 0.0f, -1.5f, -1.26f, -2.25f, -1.75f)
            curveToRelative(-2.25f, 1.25f, -4.0f, 3.0f, -6.25f, 4.5f)
            curveToRelative(-3.75f, -3.5f, -8.75f, -5.0f, -13.25f, -7.0f)
            curveToRelative(-1.5f, -0.74f, -3.25f, -1.5f, -5.25f, -0.74f)
            arcToRelative(19.24f, 19.24f, 0.0f, false, false, -6.75f, 6.73f)
            lineToRelative(-4.0f, 0.76f)
            lineTo(83.5f, 30.19f)
            curveToRelative(-3.0f, 0.25f, -5.25f, 2.25f, -7.5f, 3.5f)
            lineToRelative(0.5f, -2.5f)
            arcTo(57.4f, 57.4f, 0.0f, false, false, 58.5f, 17.0f)
            curveToRelative(-8.25f, -3.26f, -16.75f, -6.5f, -26.25f, -5.0f)
            arcToRelative(92.38f, 92.38f, 0.0f, false, false, -12.5f, 18.48f)
            curveToRelative(-2.75f, 5.49f, -6.25f, 11.0f, -6.5f, 17.23f)
            lineToRelative(11.5f, -10.49f)
            curveTo(26.5f, 34.43f, 34.0f, 31.44f, 41.5f, 31.44f)
            curveToRelative(-2.75f, 2.0f, -5.0f, 2.5f, -8.75f, 5.25f)
            curveToRelative(-6.5f, 5.0f, -14.25f, 11.0f, -16.75f, 19.0f)
            curveToRelative(-0.25f, 0.75f, -1.0f, 1.5f, -0.25f, 2.49f)
            curveToRelative(7.5f, -3.49f, 15.25f, -6.74f, 23.75f, -8.0f)
            close()
            moveTo(31.75f, 72.17f)
            curveToRelative(5.75f, -3.49f, 11.75f, -5.5f, 17.5f, -8.24f)
            curveToRelative(-7.25f, 1.0f, -14.5f, 3.0f, -21.25f, 4.75f)
            lineToRelative(-5.25f, -4.0f)
            arcTo(59.81f, 59.81f, 0.0f, false, true, 28.0f, 61.41f)
            curveToRelative(8.5f, -5.0f, 20.25f, -2.0f, 29.5f, -5.24f)
            curveToRelative(-4.75f, 0.0f, -9.75f, -0.25f, -14.0f, 0.25f)
            curveToRelative(-8.25f, 0.24f, -15.25f, 4.24f, -22.0f, 7.74f)
            lineToRelative(-3.5f, -2.0f)
            curveToRelative(-3.0f, -2.5f, -6.75f, -3.25f, -10.25f, -5.0f)
            curveToRelative(-0.25f, 0.25f, -0.75f, 1.0f, -1.0f, 1.0f)
            verticalLineToRelative(0.26f)
            curveToRelative(6.0f, 2.49f, 11.5f, 5.74f, 17.25f, 9.0f)
            curveToRelative(5.5f, 3.0f, 9.0f, 8.48f, 13.75f, 12.73f)
            curveToRelative(0.5f, 0.25f, 1.25f, 1.25f, 2.0f, 0.5f)
            lineToRelative(-8.0f, -8.49f)
            close()
            moveTo(4.25f, 65.91f)
            arcTo(77.47f, 77.47f, 0.0f, false, false, 4.0f, 79.14f)
            curveToRelative(7.75f, 1.25f, 16.0f, 2.5f, 24.0f, 1.5f)
            curveTo(20.5f, 74.9f, 13.0f, 68.4f, 4.25f, 65.91f)
        }
    }
        .build()
}
