package com.mshdabiola.designsystem.icon.man

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Man.getGreen(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Green2",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(144.41f, 21.29f)
            arcToRelative(88.0f, 88.0f, 0.0f, false, true, 35.0f, 23.7f)
            curveToRelative(17.0f, 19.21f, 23.49f, 44.66f, 19.49f, 70.86f)
            curveToRelative(-1.25f, 7.23f, -3.75f, 14.22f, -6.0f, 20.7f)
            curveToRelative(-2.5f, 7.24f, -6.49f, 15.47f, -11.24f, 19.71f)
            lineToRelative(-5.49f, 6.0f)
            curveToRelative(-4.75f, 3.49f, -13.24f, 9.73f, -18.73f, 12.0f)
            arcToRelative(84.11f, 84.11f, 0.0f, false, true, -8.0f, 4.75f)
            curveToRelative(-10.24f, -8.49f, -17.74f, -19.47f, -24.23f, -30.19f)
            arcToRelative(29.56f, 29.56f, 0.0f, false, false, -3.74f, 2.24f)
            lineToRelative(-0.5f, 0.5f)
            arcToRelative(3.0f, 3.0f, 0.0f, false, false, 2.5f, 0.25f)
            lineToRelative(1.0f, 0.25f)
            curveToRelative(-2.75f, 1.25f, -5.75f, 2.49f, -9.0f, 1.49f)
            curveToRelative(-3.5f, 1.51f, -6.49f, -1.0f, -9.73f, -2.0f)
            lineToRelative(-3.51f, -1.25f)
            lineToRelative(-0.24f, 0.25f)
            curveToRelative(-4.5f, 3.0f, -10.24f, 5.74f, -17.0f, 5.0f)
            curveToRelative(-5.0f, 0.5f, -8.49f, -2.24f, -13.48f, -2.49f)
            lineToRelative(-0.25f, 0.25f)
            curveToRelative(-2.25f, 1.5f, -4.75f, 3.24f, -7.49f, 2.74f)
            curveToRelative(-1.0f, 0.25f, -2.5f, 0.75f, -3.25f, -0.25f)
            curveToRelative(-3.5f, 1.25f, -3.0f, -3.0f, -4.75f, -4.49f)
            curveToRelative(-1.25f, 0.0f, -2.49f, -1.0f, -4.0f, -1.25f)
            curveToRelative(-3.75f, -1.49f, -8.0f, -1.49f, -12.24f, -2.0f)
            lineToRelative(-5.0f, -1.5f)
            arcToRelative(21.84f, 21.84f, 0.0f, false, true, -1.5f, 6.74f)
            curveToRelative(-0.75f, 0.75f, -1.5f, 1.5f, -2.75f, 1.0f)
            curveToRelative(-1.75f, -1.75f, -2.5f, -4.25f, -3.25f, -6.49f)
            curveToRelative(-3.49f, 0.75f, -6.24f, 3.24f, -10.49f, 3.0f)
            curveToRelative(-3.49f, -0.25f, -8.49f, -1.0f, -9.74f, -2.0f)
            curveToRelative(-2.49f, -1.5f, -4.74f, -8.49f, -5.24f, -13.73f)
            curveToRelative(-0.75f, -8.23f, -1.0f, -16.71f, -1.5f, -25.44f)
            arcToRelative(61.08f, 61.08f, 0.0f, false, true, 7.5f, -32.94f)
            lineTo(17.79f, 62.45f)
            curveTo(22.0f, 56.46f, 28.0f, 53.22f, 33.53f, 49.23f)
            curveTo(40.0f, 45.0f, 44.27f, 36.51f, 52.26f, 35.51f)
            curveToRelative(2.0f, -0.25f, 3.49f, -2.0f, 5.49f, -2.5f)
            arcToRelative(14.35f, 14.35f, 0.0f, false, true, 8.0f, -2.24f)
            curveToRelative(0.49f, 0.0f, 6.24f, 2.24f, 8.73f, 5.0f)
            curveToRelative(3.0f, 3.5f, 4.75f, 7.49f, 6.5f, 11.73f)
            curveToRelative(4.24f, 1.25f, 8.0f, 4.0f, 11.49f, 7.24f)
            curveTo(95.0f, 57.21f, 93.0f, 61.2f, 96.0f, 63.2f)
            curveToRelative(1.75f, 0.0f, 3.25f, 0.75f, 5.0f, 1.0f)
            curveToRelative(0.5f, -0.75f, 1.5f, -0.75f, 2.24f, -1.25f)
            arcToRelative(100.0f, 100.0f, 0.0f, false, true, 15.0f, -10.23f)
            curveToRelative(2.0f, -1.0f, 4.5f, -1.75f, 6.49f, -3.0f)
            curveToRelative(3.75f, -10.0f, 8.24f, -20.71f, 17.23f, -28.7f)
            lineToRelative(2.5f, 0.26f)
            close()
            moveTo(54.5f, 42.0f)
            curveToRelative(-1.74f, 2.5f, -5.0f, 3.74f, -7.0f, 6.24f)
            curveToRelative(-5.0f, 6.74f, -12.48f, 12.0f, -17.0f, 19.0f)
            lineToRelative(-0.25f, 0.5f)
            curveToRelative(-3.75f, 5.74f, -7.74f, 11.73f, -13.0f, 17.0f)
            curveTo(14.05f, 87.9f, 9.8f, 90.9f, 8.55f, 95.14f)
            curveToRelative(-1.75f, 3.49f, -1.0f, 7.23f, -1.24f, 11.22f)
            curveToRelative(-0.26f, 3.74f, -2.26f, 6.74f, -3.75f, 9.73f)
            curveToRelative(2.75f, -2.49f, 5.0f, -5.48f, 5.49f, -9.0f)
            lineToRelative(0.25f, -0.5f)
            curveToRelative(2.75f, 3.75f, 7.0f, 4.74f, 11.0f, 5.49f)
            arcToRelative(6.14f, 6.14f, 0.0f, false, false, 4.25f, -1.25f)
            curveToRelative(-6.25f, -0.24f, -11.49f, -2.74f, -16.23f, -6.73f)
            lineToRelative(-0.26f, -4.0f)
            curveToRelative(2.0f, -7.73f, 9.74f, -13.72f, 15.24f, -19.46f)
            curveToRelative(5.74f, -6.48f, 9.0f, -14.22f, 15.48f, -20.45f)
            curveTo(44.0f, 55.22f, 48.26f, 47.73f, 55.0f, 44.74f)
            curveToRelative(1.74f, -3.25f, 4.0f, -6.49f, 6.74f, -8.48f)
            curveToRelative(-2.75f, 1.0f, -6.0f, 2.74f, -7.25f, 5.73f)
            close()
            moveTo(58.25f, 57.72f)
            curveToRelative(-3.75f, 9.73f, -11.0f, 18.22f, -18.48f, 26.45f)
            curveTo(29.28f, 95.64f, 27.0f, 111.1f, 25.78f, 126.57f)
            curveToRelative(-2.0f, 7.23f, -3.49f, 15.0f, -9.0f, 21.0f)
            curveToRelative(3.75f, -2.25f, 6.0f, -6.24f, 8.5f, -9.73f)
            lineToRelative(0.25f, -0.25f)
            curveToRelative(0.0f, 2.5f, -0.25f, 5.49f, 0.75f, 7.48f)
            curveToRelative(0.24f, -1.74f, 0.24f, -3.74f, 0.49f, -5.49f)
            curveToRelative(0.51f, -6.23f, 0.0f, -12.22f, 1.25f, -18.0f)
            curveToRelative(0.5f, -6.49f, 2.5f, -12.22f, 4.25f, -18.21f)
            arcTo(102.32f, 102.32f, 0.0f, false, true, 45.0f, 81.42f)
            curveToRelative(5.74f, -5.25f, 9.48f, -12.0f, 12.73f, -18.47f)
            arcToRelative(12.67f, 12.67f, 0.0f, false, false, 1.0f, -5.49f)
            horizontalLineToRelative(-0.5f)
            verticalLineToRelative(0.25f)
            close()
            moveTo(142.91f, 46.0f)
            curveToRelative(-4.0f, 2.5f, -8.49f, 3.25f, -12.73f, 4.25f)
            curveToRelative(-3.75f, 1.24f, -6.0f, 4.49f, -9.49f, 6.0f)
            curveToRelative(-4.0f, 1.49f, -9.24f, 2.74f, -10.74f, 7.48f)
            curveToRelative(6.74f, -0.5f, 14.49f, 0.25f, 21.23f, -0.75f)
            arcToRelative(86.9f, 86.9f, 0.0f, false, true, 23.72f, -7.23f)
            curveToRelative(-2.0f, -4.25f, -3.5f, -9.0f, -7.24f, -12.48f)
            lineTo(142.91f, 46.0f)
            close()
            moveTo(61.0f, 52.47f)
            curveTo(60.0f, 56.0f, 62.5f, 59.71f, 65.49f, 62.0f)
            curveToRelative(2.5f, 2.0f, 6.0f, 0.5f, 8.74f, 0.0f)
            curveToRelative(2.75f, -1.24f, 4.75f, 1.5f, 7.0f, 2.25f)
            arcTo(8.0f, 8.0f, 0.0f, false, false, 86.0f, 64.0f)
            arcToRelative(5.47f, 5.47f, 0.0f, false, true, 4.0f, -1.25f)
            curveToRelative(-1.0f, 2.25f, -3.5f, 3.25f, -5.5f, 3.5f)
            arcToRelative(7.65f, 7.65f, 0.0f, false, true, -6.49f, -2.0f)
            lineToRelative(-0.5f, -0.5f)
            curveToRelative(-1.74f, -0.75f, -4.49f, 0.0f, -6.0f, 1.0f)
            curveToRelative(-4.75f, 1.0f, -9.0f, 2.49f, -12.74f, 5.74f)
            curveToRelative(-3.74f, 2.74f, -4.0f, 7.23f, -5.25f, 11.22f)
            curveTo(51.0f, 87.15f, 47.0f, 92.14f, 44.27f, 97.63f)
            curveToRelative(-2.0f, 6.49f, -4.5f, 12.47f, -6.25f, 19.0f)
            curveToRelative(-2.49f, 8.24f, -2.74f, 17.72f, -3.0f, 26.7f)
            lineToRelative(0.5f, 0.75f)
            curveToRelative(5.0f, 4.0f, 12.48f, 2.24f, 18.23f, 5.0f)
            arcToRelative(8.83f, 8.83f, 0.0f, false, false, 2.74f, 1.25f)
            lineToRelative(1.75f, -3.0f)
            arcToRelative(5.0f, 5.0f, 0.0f, false, false, -2.0f, 1.0f)
            curveToRelative(0.0f, -1.0f, 0.75f, -2.0f, 1.0f, -3.0f)
            curveToRelative(2.25f, -0.74f, 2.75f, -3.0f, 4.0f, -4.74f)
            curveToRelative(3.24f, -3.0f, 7.24f, -5.49f, 12.0f, -4.0f)
            curveTo(80.23f, 138.8f, 87.0f, 142.0f, 94.0f, 144.0f)
            curveToRelative(1.76f, 0.25f, 4.25f, 1.0f, 5.5f, -1.0f)
            curveToRelative(4.0f, -4.74f, -2.25f, -8.48f, -3.0f, -13.0f)
            horizontalLineToRelative(0.25f)
            arcToRelative(2.17f, 2.17f, 0.0f, false, true, 2.5f, 0.25f)
            arcTo(21.12f, 21.12f, 0.0f, false, false, 98.0f, 126.07f)
            curveToRelative(-0.75f, 0.0f, -1.5f, -0.5f, -2.24f, -0.5f)
            curveToRelative(-4.25f, -1.5f, -7.0f, 3.25f, -9.25f, 5.49f)
            curveToRelative(0.5f, -2.74f, 2.75f, -4.74f, 4.25f, -7.0f)
            arcTo(33.61f, 33.61f, 0.0f, false, true, 84.0f, 125.83f)
            lineToRelative(7.25f, -3.75f)
            curveToRelative(4.74f, -2.5f, 7.74f, -7.23f, 10.24f, -11.23f)
            curveToRelative(0.25f, 2.25f, -1.51f, 5.74f, -2.0f, 6.49f)
            curveToRelative(-1.75f, 1.75f, -3.5f, 4.74f, -6.0f, 5.49f)
            lineToRelative(4.0f, 1.24f)
            arcToRelative(13.55f, 13.55f, 0.0f, false, true, 3.5f, 2.75f)
            lineToRelative(0.25f, -7.73f)
            curveToRelative(0.25f, -3.0f, 2.25f, -5.49f, 4.0f, -8.24f)
            curveToRelative(3.25f, -5.0f, 8.74f, -6.24f, 12.0f, -10.73f)
            curveToRelative(0.5f, -1.24f, -0.25f, -2.49f, -1.0f, -3.49f)
            curveToRelative(1.25f, 0.25f, 2.25f, 1.5f, 3.25f, 2.25f)
            lineToRelative(2.49f, -1.25f)
            arcToRelative(14.19f, 14.19f, 0.0f, false, true, 0.76f, 4.74f)
            arcToRelative(5.43f, 5.43f, 0.0f, false, true, 2.0f, 0.25f)
            lineToRelative(-0.49f, 3.0f)
            curveToRelative(2.74f, 1.5f, 5.73f, 2.75f, 8.24f, 4.75f)
            arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.76f, 0.25f)
            curveToRelative(-3.24f, -0.76f, -6.24f, -2.5f, -10.0f, -2.25f)
            curveToRelative(-1.25f, 1.49f, -3.0f, 1.25f, -5.0f, 1.49f)
            curveToRelative(-1.25f, 0.76f, -3.0f, 1.0f, -4.5f, 1.5f)
            arcToRelative(11.0f, 11.0f, 0.0f, false, false, 1.75f, 1.25f)
            curveToRelative(4.0f, 2.25f, 5.5f, 6.49f, 7.25f, 10.23f)
            arcToRelative(40.74f, 40.74f, 0.0f, false, true, 1.74f, -7.49f)
            curveToRelative(0.26f, 0.25f, 1.0f, 0.0f, 1.26f, 0.25f)
            arcToRelative(31.92f, 31.92f, 0.0f, false, true, -1.26f, 7.0f)
            curveToRelative(-1.0f, 3.0f, 0.26f, 6.24f, -0.24f, 9.23f)
            curveToRelative(0.0f, 4.74f, -6.5f, 5.49f, -7.25f, 10.0f)
            arcToRelative(6.79f, 6.79f, 0.0f, false, false, 4.25f, -1.5f)
            curveToRelative(2.0f, -1.49f, 4.75f, -0.49f, 7.24f, -0.75f)
            curveToRelative(3.5f, -0.25f, 5.74f, -2.74f, 8.24f, -5.0f)
            curveToRelative(5.5f, -4.74f, 4.5f, -12.73f, 3.25f, -19.22f)
            curveToRelative(-2.5f, -12.0f, -8.74f, -22.2f, -14.74f, -32.68f)
            curveToRelative(-2.49f, -4.49f, -7.0f, -8.48f, -12.23f, -9.0f)
            arcToRelative(25.36f, 25.36f, 0.0f, false, false, -6.25f, 0.5f)
            curveToRelative(1.5f, -1.5f, 3.75f, -2.0f, 5.74f, -2.5f)
            arcToRelative(81.8f, 81.8f, 0.0f, false, true, -13.23f, -4.49f)
            curveToRelative(-1.25f, -0.5f, -2.5f, -0.5f, -3.75f, -1.24f)
            curveToRelative(0.0f, -0.51f, 0.25f, -1.0f, 0.0f, -1.5f)
            arcToRelative(23.74f, 23.74f, 0.0f, false, false, -3.0f, -8.0f)
            curveToRelative(-3.75f, -6.0f, -10.49f, -6.73f, -16.23f, -9.23f)
            arcToRelative(10.66f, 10.66f, 0.0f, false, false, -5.0f, -0.25f)
            curveToRelative(-3.25f, 0.75f, -7.0f, 1.25f, -8.74f, 5.49f)
            close()
            moveTo(69.74f, 146.53f)
            horizontalLineToRelative(1.5f)
            curveToRelative(0.0f, -1.0f, 0.25f, -2.49f, -0.5f, -3.49f)
            curveToRelative(-0.25f, 1.25f, -1.0f, 2.24f, -1.0f, 3.49f)
            close()
            moveTo(136.67f, 32.27f)
            curveToRelative(-2.75f, 4.73f, -5.49f, 9.22f, -6.49f, 14.71f)
            horizontalLineToRelative(0.25f)
            curveToRelative(4.0f, -1.25f, 8.74f, -1.0f, 12.48f, -3.49f)
            curveToRelative(2.0f, -1.0f, 3.25f, -3.49f, 5.5f, -3.24f)
            curveToRelative(3.0f, 4.0f, 5.0f, 8.48f, 8.0f, 12.47f)
            curveToRelative(2.75f, 6.49f, 7.74f, 12.23f, 13.23f, 17.47f)
            lineToRelative(5.0f, 9.73f)
            curveToRelative(3.5f, 6.48f, 3.25f, 14.72f, 3.75f, 22.45f)
            curveToRelative(6.0f, -0.5f, 12.0f, -1.5f, 18.0f, -1.0f)
            curveToRelative(-0.25f, -0.5f, 0.5f, -0.75f, 0.25f, -1.25f)
            curveToRelative(0.5f, -2.0f, 0.0f, -4.24f, 0.0f, -6.48f)
            curveToRelative(-1.25f, -13.22f, -4.0f, -25.7f, -10.74f, -36.68f)
            arcToRelative(75.47f, 75.47f, 0.0f, false, false, -24.48f, -24.2f)
            curveTo(155.9f, 29.0f, 150.4f, 25.0f, 143.66f, 24.0f)
            curveToRelative(-2.49f, 2.75f, -4.49f, 5.49f, -7.0f, 8.24f)
            close()
            moveTo(65.49f, 140.05f)
            arcToRelative(6.68f, 6.68f, 0.0f, false, false, -2.74f, 4.24f)
            curveToRelative(-0.25f, 1.24f, 0.0f, 3.0f, -0.5f, 4.24f)
            curveToRelative(0.75f, 1.74f, 0.5f, 4.0f, 0.5f, 6.0f)
            arcToRelative(5.0f, 5.0f, 0.0f, false, false, 2.74f, -0.74f)
            lineToRelative(1.5f, -8.0f)
            lineToRelative(0.75f, -1.24f)
            curveToRelative(0.25f, -0.5f, 0.75f, -0.25f, 1.0f, 0.0f)
            arcToRelative(10.0f, 10.0f, 0.0f, false, false, -1.25f, 6.0f)
            curveToRelative(0.75f, -3.24f, 1.25f, -7.0f, 4.25f, -9.0f)
            arcToRelative(18.66f, 18.66f, 0.0f, false, true, 0.5f, 7.48f)
            lineToRelative(-2.5f, 3.5f)
            curveToRelative(0.0f, -0.25f, 0.25f, 0.0f, 0.25f, 0.0f)
            lineToRelative(3.5f, -4.24f)
            curveToRelative(1.5f, -2.0f, 0.25f, -5.0f, 0.0f, -7.24f)
            curveToRelative(0.5f, 0.5f, 0.74f, 1.25f, 1.25f, 1.75f)
            curveToRelative(2.0f, 2.49f, 0.74f, 6.23f, 0.0f, 8.73f)
            arcToRelative(21.79f, 21.79f, 0.0f, false, true, 2.49f, 1.5f)
            curveToRelative(4.75f, 1.25f, 8.75f, 2.0f, 13.24f, 1.25f)
            curveToRelative(3.49f, -2.0f, 7.74f, -2.25f, 10.49f, -5.74f)
            curveToRelative(-0.25f, -1.25f, -1.25f, -2.25f, -1.75f, -3.25f)
            curveToRelative(-1.75f, 0.25f, -3.0f, 0.75f, -5.0f, 0.25f)
            curveToRelative(-4.74f, -1.74f, -9.74f, -3.49f, -14.73f, -5.0f)
            curveToRelative(0.5f, 1.75f, 1.5f, 3.25f, 1.74f, 5.0f)
            arcToRelative(26.93f, 26.93f, 0.0f, false, false, -7.0f, -6.0f)
            curveToRelative(-2.49f, -1.49f, -6.49f, -1.0f, -8.74f, 0.51f)
            close()
            moveTo(105.95f, 118.05f)
            lineTo(107.45f, 118.54f)
            arcToRelative(8.81f, 8.81f, 0.0f, false, false, -0.75f, 6.25f)
            lineToRelative(1.25f, -1.25f)
            curveToRelative(0.5f, 3.49f, -3.75f, 8.0f, 0.5f, 10.0f)
            lineToRelative(-0.5f, -3.74f)
            arcToRelative(78.68f, 78.68f, 0.0f, false, false, 1.0f, -13.23f)
            curveToRelative(-0.25f, -0.74f, -0.25f, -2.0f, -1.25f, -1.5f)
            verticalLineToRelative(-0.24f)
            arcToRelative(6.74f, 6.74f, 0.0f, false, false, -1.75f, 3.24f)
            close()
            moveTo(104.71f, 67.4f)
            curveToRelative(6.74f, 0.75f, 13.23f, 2.75f, 19.48f, 4.49f)
            arcToRelative(42.74f, 42.74f, 0.0f, false, true, 21.0f, 9.73f)
            curveToRelative(2.5f, 1.75f, 5.5f, 3.24f, 7.49f, 5.74f)
            arcToRelative(148.0f, 148.0f, 0.0f, false, false, -21.0f, -10.23f)
            curveToRelative(-3.49f, -1.49f, -6.74f, -2.74f, -10.73f, -2.74f)
            lineToRelative(-0.25f, 0.25f)
            lineToRelative(7.24f, 9.0f)
            arcToRelative(84.71f, 84.71f, 0.0f, false, true, 6.24f, 11.48f)
            curveToRelative(3.75f, 8.0f, 6.74f, 16.46f, 7.0f, 25.94f)
            horizontalLineToRelative(1.74f)
            curveToRelative(8.74f, -3.24f, 17.0f, -8.0f, 25.48f, -12.0f)
            curveToRelative(2.24f, -1.0f, 4.75f, -2.0f, 7.0f, -3.25f)
            curveToRelative(-0.5f, -6.74f, -1.5f, -13.22f, -4.49f, -19.0f)
            curveToRelative(-3.75f, -7.48f, -8.25f, -15.71f, -16.24f, -20.0f)
            curveToRelative(-6.49f, -4.24f, -15.73f, -2.0f, -23.22f, -1.5f)
            curveToRelative(-9.0f, 0.51f, -18.49f, -0.25f, -26.72f, 2.0f)
            close()
            moveTo(109.45f, 127.53f)
            lineTo(110.7f, 131.77f)
            curveToRelative(-0.5f, 2.75f, 1.0f, 4.74f, 2.24f, 6.74f)
            curveToRelative(0.0f, -3.75f, 2.0f, -7.49f, 0.25f, -11.0f)
            curveToRelative(-0.49f, -4.0f, -0.49f, -8.0f, -2.25f, -11.0f)
            lineToRelative(-1.49f, 11.0f)
            close()
            moveTo(113.19f, 117.3f)
            curveToRelative(1.5f, 3.49f, 0.5f, 8.23f, 1.5f, 12.0f)
            curveToRelative(-0.24f, 3.25f, -0.24f, 6.74f, -0.24f, 10.0f)
            lineToRelative(2.0f, -2.74f)
            arcToRelative(9.16f, 9.16f, 0.0f, false, false, 4.0f, -2.24f)
            verticalLineToRelative(-2.75f)
            curveToRelative(0.25f, -4.49f, -1.25f, -8.23f, -2.75f, -12.0f)
            arcToRelative(13.15f, 13.15f, 0.0f, false, false, -6.75f, -6.48f)
            curveToRelative(0.76f, 1.25f, 1.51f, 2.75f, 2.25f, 4.24f)
            close()
            moveTo(105.71f, 141.25f)
            lineTo(109.71f, 143.75f)
            lineTo(111.71f, 142.5f)
            lineTo(111.71f, 142.0f)
            curveToRelative(-1.75f, -1.75f, -2.0f, -4.74f, -4.25f, -5.74f)
            arcToRelative(29.86f, 29.86f, 0.0f, false, true, -1.74f, 5.0f)
            close()
            moveTo(114.94f, 144.25f)
            arcTo(13.17f, 13.17f, 0.0f, false, false, 107.2f, 147.0f)
            arcToRelative(13.4f, 13.4f, 0.0f, false, false, 2.75f, 1.25f)
            curveToRelative(2.24f, -0.25f, 4.24f, 0.25f, 6.24f, 0.0f)
            curveToRelative(2.5f, -1.5f, 3.75f, -3.74f, 5.0f, -6.0f)
            arcToRelative(45.71f, 45.71f, 0.0f, false, false, -6.25f, 2.0f)
            close()
            moveTo(141.66f, 124.03f)
            curveToRelative(-0.24f, 3.0f, -1.0f, 5.75f, -1.49f, 8.74f)
            arcToRelative(35.34f, 35.34f, 0.0f, false, false, -2.0f, 3.24f)
            horizontalLineToRelative(0.25f)
            curveToRelative(6.49f, 2.25f, 13.49f, 4.49f, 20.48f, 6.74f)
            arcToRelative(38.08f, 38.08f, 0.0f, false, true, 1.25f, -7.48f)
            curveToRelative(0.49f, -2.0f, 1.74f, -3.75f, 2.0f, -6.0f)
            curveToRelative(-6.0f, -2.24f, -12.0f, -5.0f, -18.0f, -6.73f)
            lineToRelative(-2.5f, 1.49f)
            close()
            moveTo(174.88f, 111.03f)
            curveToRelative(-5.49f, 9.48f, -12.0f, 18.46f, -13.73f, 29.44f)
            curveToRelative(0.0f, 0.75f, -0.51f, 1.75f, 0.0f, 2.25f)
            lineToRelative(5.24f, -5.74f)
            curveToRelative(4.0f, -4.0f, 8.0f, -10.73f, 11.24f, -16.22f)
            curveToRelative(2.0f, -3.49f, 4.49f, -10.73f, 3.75f, -16.71f)
            curveToRelative(-2.75f, 1.74f, -4.5f, 4.49f, -6.5f, 7.0f)
            close()
            moveTo(185.12f, 104.8f)
            arcToRelative(55.0f, 55.0f, 0.0f, false, false, -2.0f, 8.73f)
            curveToRelative(-1.0f, 6.74f, -4.74f, 12.0f, -8.0f, 17.46f)
            curveToRelative(-3.5f, 5.74f, -9.49f, 10.48f, -14.73f, 14.72f)
            curveToRelative(-8.49f, -1.74f, -16.49f, -5.0f, -25.0f, -6.73f)
            curveToRelative(-3.25f, 1.49f, -6.24f, 3.49f, -10.24f, 3.0f)
            arcToRelative(1.5f, 1.5f, 0.0f, false, false, -0.25f, 1.0f)
            arcToRelative(95.0f, 95.0f, 0.0f, false, false, 10.24f, 16.46f)
            curveToRelative(5.0f, 5.24f, 8.74f, 11.23f, 14.49f, 15.47f)
            curveToRelative(11.23f, -4.49f, 22.48f, -11.0f, 30.71f, -21.46f)
            curveToRelative(6.25f, -7.48f, 9.75f, -16.46f, 12.49f, -25.44f)
            curveToRelative(2.25f, -7.24f, 4.25f, -15.47f, 2.75f, -23.7f)
            curveToRelative(-3.5f, 0.0f, -7.24f, 0.24f, -10.49f, 0.5f)
            close()
            moveTo(88.72f, 56.71f)
            arcToRelative(4.75f, 4.75f, 0.0f, false, true, 2.0f, 3.75f)
            curveToRelative(-4.5f, -3.75f, -9.24f, -7.24f, -15.24f, -7.49f)
            curveToRelative(-3.24f, 0.0f, -7.49f, -1.0f, -9.73f, 2.0f)
            arcTo(5.08f, 5.08f, 0.0f, false, false, 68.0f, 59.0f)
            lineToRelative(2.5f, 0.25f)
            lineTo(70.5f, 54.0f)
            horizontalLineToRelative(0.25f)
            lineToRelative(1.75f, 2.25f)
            verticalLineToRelative(0.24f)
            curveToRelative(0.5f, 0.25f, 1.0f, 1.5f, 1.74f, 0.5f)
            arcToRelative(5.73f, 5.73f, 0.0f, false, true, 5.25f, -1.74f)
            curveToRelative(1.5f, 1.0f, 2.25f, 3.0f, 3.75f, 4.24f)
            curveToRelative(1.24f, 0.75f, 2.49f, 2.49f, 4.24f, 2.25f)
            curveTo(86.22f, 63.2f, 84.0f, 63.2f, 82.23f, 63.0f)
            curveToRelative(-2.5f, -1.0f, -4.0f, -3.74f, -7.0f, -2.49f)
            curveToRelative(-3.0f, 0.49f, -6.24f, 1.25f, -9.0f, -0.75f)
            arcToRelative(11.15f, 11.15f, 0.0f, false, true, -2.49f, -3.49f)
            arcToRelative(2.82f, 2.82f, 0.0f, false, true, 1.0f, -3.25f)
            arcToRelative(16.58f, 16.58f, 0.0f, false, true, 11.48f, -1.5f)
            arcToRelative(32.0f, 32.0f, 0.0f, false, true, 12.49f, 5.24f)
            close()
            moveTo(88.22f, 81.91f)
            arcToRelative(17.56f, 17.56f, 0.0f, false, false, -6.0f, 3.24f)
            arcTo(47.88f, 47.88f, 0.0f, false, false, 74.0f, 98.63f)
            curveToRelative(0.24f, 0.0f, 0.24f, 0.49f, 0.49f, 0.25f)
            arcToRelative(104.21f, 104.21f, 0.0f, false, true, 12.0f, -8.49f)
            curveToRelative(-4.74f, 4.49f, -13.73f, 10.0f, -13.0f, 15.72f)
            curveToRelative(0.0f, 0.25f, 0.25f, 0.5f, 0.5f, 0.75f)
            curveToRelative(2.0f, 1.5f, 2.24f, 3.75f, 2.49f, 6.0f)
            curveToRelative(1.0f, 1.75f, 2.25f, 3.74f, 2.25f, 6.0f)
            curveToRelative(-1.5f, 2.74f, -1.25f, 6.23f, -2.0f, 9.48f)
            curveToRelative(-1.0f, -1.0f, -0.25f, -2.75f, -0.25f, -4.0f)
            lineToRelative(1.5f, -7.24f)
            arcToRelative(81.37f, 81.37f, 0.0f, false, false, -3.75f, -8.23f)
            curveToRelative(-0.49f, 0.0f, -0.74f, 0.75f, -0.49f, 1.24f)
            curveToRelative(1.49f, 4.75f, 1.49f, 10.24f, 1.49f, 15.73f)
            arcToRelative(10.11f, 10.11f, 0.0f, false, true, -1.49f, -2.75f)
            lineToRelative(-0.25f, -0.25f)
            arcToRelative(2.87f, 2.87f, 0.0f, false, true, -2.5f, 0.25f)
            curveToRelative(-0.75f, -0.25f, -0.5f, -0.5f, -0.75f, -0.75f)
            verticalLineToRelative(4.24f)
            lineTo(73.0f, 128.82f)
            curveToRelative(-1.5f, 0.25f, -2.75f, -1.0f, -4.0f, -2.0f)
            curveToRelative(-0.75f, -1.25f, -1.5f, -2.49f, -2.25f, -4.0f)
            curveToRelative(-1.0f, 3.0f, -1.0f, 6.24f, -3.0f, 8.73f)
            curveToRelative(-1.5f, 2.0f, -3.5f, 2.49f, -5.5f, 3.75f)
            curveToRelative(1.5f, -0.75f, 1.75f, -2.5f, 2.75f, -3.75f)
            curveToRelative(-1.5f, 0.5f, -3.0f, 1.25f, -4.5f, 1.75f)
            arcToRelative(35.73f, 35.73f, 0.0f, false, false, 3.75f, -5.49f)
            curveToRelative(-0.75f, 0.25f, -1.0f, -0.5f, -1.25f, -1.0f)
            curveToRelative(0.25f, -1.75f, 2.25f, -3.24f, 0.75f, -5.0f)
            verticalLineToRelative(-1.49f)
            curveToRelative(-0.5f, -0.51f, -2.0f, -0.26f, -1.5f, -1.25f)
            lineToRelative(1.0f, -2.25f)
            curveToRelative(-0.5f, -4.0f, 2.75f, -6.23f, 3.25f, -9.73f)
            lineToRelative(0.25f, -2.0f)
            lineToRelative(2.0f, 0.49f)
            curveToRelative(2.74f, -0.25f, 2.74f, -3.24f, 4.24f, -4.74f)
            curveToRelative(2.75f, -1.75f, 0.75f, -6.0f, 1.5f, -8.73f)
            lineToRelative(0.75f, -4.24f)
            curveToRelative(1.25f, -1.75f, 2.25f, -3.49f, 3.75f, -5.24f)
            curveToRelative(-0.76f, 4.74f, -4.25f, 9.23f, -2.5f, 14.72f)
            curveToRelative(4.0f, -5.49f, 6.74f, -12.48f, 13.49f, -15.72f)
            lineToRelative(2.24f, 0.25f)
            close()
            moveTo(65.22f, 115.09f)
            curveToRelative(0.51f, 1.5f, 0.25f, 3.25f, 1.25f, 4.49f)
            curveToRelative(1.0f, -3.0f, 1.75f, -6.48f, 3.0f, -9.48f)
            curveToRelative(1.0f, -2.24f, 2.0f, -4.74f, 1.25f, -7.48f)
            curveToRelative(-3.0f, 3.49f, -6.25f, 7.48f, -5.5f, 12.47f)
            close()
            moveTo(70.22f, 111.85f)
            curveToRelative(-0.75f, 3.49f, -3.75f, 7.49f, -1.5f, 11.23f)
            curveToRelative(0.0f, -2.25f, 0.0f, -4.5f, 1.0f, -6.49f)
            curveToRelative(0.75f, -2.5f, 3.0f, -4.49f, 2.0f, -7.0f)
            lineToRelative(-1.5f, 2.24f)
            close()
            moveTo(72.72f, 113.35f)
            arcToRelative(12.78f, 12.78f, 0.0f, false, false, -2.5f, 5.23f)
            arcToRelative(4.27f, 4.27f, 0.0f, false, true, 3.5f, 0.26f)
            curveToRelative(0.25f, -1.75f, 0.25f, -4.0f, -0.75f, -5.49f)
            lineToRelative(-0.25f, -0.25f)
            verticalLineToRelative(0.25f)
        }
    }
        .build()
}
