package com.mshdabiola.designsystem.icon.man

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Man.getRed(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Red2",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(26.28f, 45.75f)
            curveToRelative(4.0f, -6.0f, 10.5f, -9.75f, 16.0f, -14.25f)
            curveToRelative(7.5f, -6.0f, 13.0f, -13.5f, 21.24f, -18.75f)
            curveToRelative(8.74f, -5.5f, 17.73f, -10.5f, 28.0f, -11.75f)
            lineToRelative(8.74f, -1.0f)
            arcToRelative(61.42f, 61.42f, 0.0f, false, true, 35.47f, 12.25f)
            lineToRelative(20.0f, 17.5f)
            curveToRelative(4.0f, 5.0f, 6.25f, 10.76f, 8.49f, 16.76f)
            curveToRelative(2.0f, 5.25f, 6.0f, 10.0f, 7.74f, 15.5f)
            curveToRelative(1.26f, 4.0f, 3.75f, 8.5f, 1.5f, 12.75f)
            curveToRelative(-5.24f, 9.75f, -6.0f, 21.0f, -11.48f, 30.5f)
            curveToRelative(-2.0f, 3.25f, -5.5f, 3.75f, -8.25f, 5.5f)
            curveToRelative(-3.75f, 2.0f, -8.0f, 3.75f, -11.74f, 5.5f)
            lineToRelative(-0.25f, 3.75f)
            lineToRelative(1.75f, 2.76f)
            curveToRelative(0.25f, 2.25f, -1.75f, 5.0f, 0.75f, 6.75f)
            curveToRelative(1.25f, 0.49f, 4.25f, 1.25f, 4.5f, 2.74f)
            lineToRelative(-0.5f, 1.51f)
            curveToRelative(-1.75f, 3.0f, -4.0f, 6.0f, -6.0f, 9.0f)
            curveToRelative(-0.25f, 1.5f, 1.25f, 2.0f, 2.0f, 3.0f)
            curveToRelative(-2.0f, 1.25f, 1.0f, 2.25f, 1.0f, 3.5f)
            curveToRelative(0.25f, 0.5f, 0.25f, 1.0f, 0.74f, 1.5f)
            curveToRelative(7.25f, 0.5f, 15.25f, -0.75f, 22.24f, 1.0f)
            arcToRelative(9.54f, 9.54f, 0.0f, false, true, 3.5f, 2.75f)
            curveToRelative(0.49f, 3.75f, -2.0f, 6.25f, -4.0f, 8.75f)
            curveToRelative(-7.75f, 8.25f, -17.48f, 11.25f, -28.23f, 12.5f)
            curveToRelative(-1.49f, 8.5f, -5.0f, 16.25f, -8.24f, 24.0f)
            curveToRelative(-8.49f, 0.75f, -16.73f, -0.49f, -24.73f, -1.75f)
            curveToRelative(-7.24f, -1.24f, -13.49f, -3.75f, -20.23f, -6.0f)
            arcToRelative(51.32f, 51.32f, 0.0f, false, true, -14.74f, -7.49f)
            curveToRelative(-2.74f, -8.51f, 0.0f, -18.0f, 0.5f, -26.76f)
            lineToRelative(-0.5f, -1.25f)
            curveToRelative(-6.75f, -5.0f, -12.49f, -11.25f, -19.48f, -15.75f)
            curveToRelative(-1.0f, -0.5f, -2.25f, -0.76f, -2.75f, -1.76f)
            arcToRelative(3.09f, 3.09f, 0.0f, false, true, 1.0f, -2.0f)
            arcToRelative(237.53f, 237.53f, 0.0f, false, true, 33.22f, 8.25f)
            curveToRelative(6.75f, 1.25f, 13.5f, 2.5f, 20.23f, 3.25f)
            curveToRelative(-4.0f, -1.25f, -8.24f, -1.75f, -12.23f, -3.0f)
            lineToRelative(-18.24f, -4.74f)
            arcToRelative(11.34f, 11.34f, 0.0f, false, true, -0.75f, -4.0f)
            curveToRelative(-0.5f, -4.24f, 4.25f, -7.0f, 3.0f, -11.25f)
            curveToRelative(-0.5f, -1.24f, 1.0f, -3.25f, -0.75f, -4.0f)
            curveToRelative(-5.0f, -3.0f, -9.49f, -6.5f, -14.24f, -9.26f)
            curveToRelative(-8.0f, -4.0f, -16.73f, -6.25f, -23.47f, -13.0f)
            lineTo(34.78f, 96.0f)
            curveTo(29.0f, 81.0f, 25.0f, 65.0f, 25.78f, 47.76f)
            lineToRelative(0.5f, -2.0f)
            close()
            moveTo(87.28f, 190.27f)
            arcToRelative(84.78f, 84.78f, 0.0f, false, false, 10.49f, 3.25f)
            curveToRelative(7.24f, 1.25f, 14.74f, 3.26f, 22.48f, 2.0f)
            curveTo(117.0f, 195.0f, 113.45f, 194.0f, 110.0f, 193.77f)
            arcToRelative(93.54f, 93.54f, 0.0f, false, true, -33.47f, -9.0f)
            arcToRelative(15.71f, 15.71f, 0.0f, false, true, 2.0f, -2.0f)
            curveToRelative(12.73f, -5.5f, 28.0f, -1.25f, 38.46f, 6.5f)
            arcToRelative(19.0f, 19.0f, 0.0f, false, false, -6.74f, -5.25f)
            arcToRelative(44.86f, 44.86f, 0.0f, false, false, -26.48f, -3.75f)
            arcToRelative(10.79f, 10.79f, 0.0f, false, false, -8.49f, 4.5f)
            curveToRelative(3.75f, 2.26f, 8.0f, 3.75f, 12.0f, 5.5f)
            close()
            moveTo(74.28f, 158.77f)
            curveToRelative(5.49f, 3.75f, 12.0f, 5.75f, 18.48f, 8.0f)
            curveToRelative(15.0f, 4.75f, 33.47f, 2.5f, 46.47f, -4.75f)
            curveToRelative(-0.26f, 3.5f, 0.0f, 7.0f, -0.5f, 10.25f)
            lineToRelative(0.5f, 0.5f)
            arcTo(38.57f, 38.57f, 0.0f, false, false, 140.93f, 161.0f)
            curveToRelative(7.5f, -5.5f, 16.74f, -8.75f, 26.73f, -6.75f)
            lineToRelative(-0.25f, -0.75f)
            curveToRelative(-12.74f, -3.25f, -22.73f, 5.25f, -33.0f, 9.75f)
            arcTo(54.51f, 54.51f, 0.0f, false, true, 108.0f, 168.0f)
            arcToRelative(92.12f, 92.12f, 0.0f, false, true, -33.72f, -9.75f)
            verticalLineToRelative(0.5f)
            close()
            moveTo(85.52f, 117.51f)
            lineTo(86.27f, 119.51f)
            curveToRelative(1.5f, 0.0f, 2.75f, 1.76f, 4.0f, 2.75f)
            curveToRelative(0.5f, 2.25f, -2.0f, 4.51f, -2.25f, 5.25f)
            curveToRelative(-1.5f, 3.51f, -4.75f, 7.76f, -2.0f, 12.0f)
            arcToRelative(11.14f, 11.14f, 0.0f, false, false, 5.75f, 3.25f)
            arcToRelative(9.43f, 9.43f, 0.0f, false, false, 5.74f, -2.0f)
            curveToRelative(2.0f, -2.75f, 1.0f, -7.0f, 4.74f, -8.75f)
            curveToRelative(1.5f, 0.5f, 2.25f, -1.25f, 3.75f, -0.75f)
            curveToRelative(0.5f, 0.5f, 0.5f, 1.5f, 0.75f, 2.5f)
            lineToRelative(1.25f, 2.0f)
            curveToRelative(1.0f, 1.26f, -0.5f, 2.51f, -0.75f, 3.76f)
            arcToRelative(10.16f, 10.16f, 0.0f, false, true, 0.5f, 5.5f)
            lineToRelative(1.5f, 2.5f)
            curveToRelative(0.25f, 1.0f, 0.0f, 2.0f, 0.75f, 2.75f)
            curveToRelative(8.25f, 0.25f, 16.73f, 1.25f, 25.23f, 1.5f)
            curveToRelative(2.75f, -0.75f, 6.0f, -0.5f, 8.74f, -0.75f)
            horizontalLineToRelative(0.5f)
            lineToRelative(-0.75f, -1.75f)
            arcToRelative(26.57f, 26.57f, 0.0f, false, true, -2.75f, -2.25f)
            curveToRelative(-1.0f, 0.25f, -0.24f, 1.75f, -0.75f, 2.75f)
            curveToRelative(-2.0f, -1.75f, -0.5f, -4.26f, -0.25f, -6.0f)
            curveToRelative(2.5f, -3.76f, 5.75f, -7.25f, 8.0f, -11.0f)
            curveToRelative(0.0f, 0.0f, -0.49f, -1.5f, -1.74f, -1.5f)
            curveToRelative(-2.75f, -0.25f, -5.49f, -0.5f, -7.49f, -2.0f)
            horizontalLineToRelative(-0.26f)
            curveToRelative(-1.75f, 0.0f, -2.24f, 2.25f, -2.74f, 3.75f)
            arcToRelative(20.55f, 20.55f, 0.0f, false, true, -0.25f, -8.75f)
            lineToRelative(0.75f, 4.74f)
            arcToRelative(5.81f, 5.81f, 0.0f, false, true, 4.0f, -0.74f)
            curveToRelative(1.0f, 0.0f, 1.25f, -1.25f, 1.5f, -2.0f)
            arcToRelative(17.75f, 17.75f, 0.0f, false, false, 0.25f, -3.75f)
            lineToRelative(-1.5f, -1.0f)
            curveToRelative(-3.49f, -1.25f, -7.74f, -1.0f, -11.49f, -1.76f)
            lineToRelative(1.0f, -0.75f)
            curveToRelative(3.5f, -0.74f, 6.74f, 0.5f, 10.24f, 0.75f)
            lineToRelative(0.25f, 0.25f)
            arcToRelative(4.42f, 4.42f, 0.0f, false, false, -0.25f, -2.5f)
            curveToRelative(-0.25f, -2.74f, -3.24f, -3.25f, -4.74f, -4.5f)
            curveToRelative(1.0f, -1.25f, 2.5f, -2.0f, 3.25f, -3.5f)
            arcToRelative(4.83f, 4.83f, 0.0f, false, false, 0.24f, -4.5f)
            curveToRelative(-0.75f, -1.24f, -2.25f, -3.0f, -3.74f, -3.25f)
            arcToRelative(40.48f, 40.48f, 0.0f, false, false, -11.0f, 0.25f)
            curveToRelative(-7.0f, 1.0f, -14.49f, 1.25f, -20.73f, 4.25f)
            curveToRelative(-1.75f, 1.0f, -2.0f, 4.25f, -4.25f, 2.75f)
            curveToRelative(2.25f, -4.75f, 7.24f, -6.0f, 12.0f, -6.5f)
            lineToRelative(18.73f, -3.0f)
            verticalLineToRelative(-0.25f)
            curveToRelative(-0.74f, -5.5f, -6.24f, -9.25f, -10.49f, -12.5f)
            curveToRelative(-2.25f, 0.5f, -4.74f, 0.5f, -6.24f, 2.75f)
            curveToRelative(-3.25f, 3.0f, -7.74f, 3.5f, -11.24f, 5.25f)
            curveToRelative(-5.5f, 2.75f, -14.74f, 5.25f, -16.24f, 8.5f)
            arcToRelative(39.53f, 39.53f, 0.0f, false, false, -2.5f, 12.0f)
            lineToRelative(2.25f, 2.25f)
            close()
            moveTo(80.52f, 109.76f)
            curveToRelative(0.49f, -1.75f, 0.49f, -4.0f, 1.24f, -5.75f)
            arcTo(28.12f, 28.12f, 0.0f, false, true, 94.47f, 85.26f)
            curveToRelative(4.5f, -2.75f, 9.24f, -4.25f, 14.0f, -6.25f)
            arcToRelative(118.75f, 118.75f, 0.0f, false, false, -13.24f, 1.25f)
            curveToRelative(-3.74f, 0.5f, -7.0f, 2.5f, -10.0f, 5.5f)
            curveToRelative(-4.0f, 4.25f, -7.49f, 9.0f, -8.24f, 14.75f)
            curveToRelative(-0.5f, 3.26f, 1.25f, 6.75f, 3.5f, 9.25f)
            close()
            moveTo(48.3f, 92.76f)
            curveToRelative(0.74f, 6.75f, 5.74f, 12.5f, 11.24f, 17.0f)
            lineTo(59.54f, 109.0f)
            curveToRelative(-3.0f, -4.0f, -6.75f, -7.5f, -8.5f, -12.25f)
            curveToRelative(-0.75f, -2.75f, -2.25f, -5.25f, -2.0f, -8.25f)
            arcToRelative(15.78f, 15.78f, 0.0f, false, false, 5.75f, 2.0f)
            arcToRelative(9.63f, 9.63f, 0.0f, false, false, 5.24f, -2.0f)
            curveToRelative(9.25f, -8.25f, 14.24f, -19.0f, 19.24f, -29.26f)
            curveToRelative(0.74f, -2.49f, 2.25f, -4.24f, 3.24f, -6.49f)
            curveToRelative(3.25f, -5.5f, 2.75f, -12.76f, 2.75f, -19.0f)
            lineToRelative(3.0f, -5.5f)
            curveTo(91.0f, 24.5f, 92.47f, 19.75f, 94.72f, 16.0f)
            arcTo(120.57f, 120.57f, 0.0f, false, false, 84.23f, 33.0f)
            curveToRelative(0.0f, 4.75f, 0.75f, 10.25f, -1.24f, 14.26f)
            lineToRelative(-8.25f, 18.0f)
            curveToRelative(-3.74f, 8.0f, -8.24f, 16.0f, -16.0f, 21.75f)
            curveToRelative(-3.24f, 1.0f, -6.74f, 0.75f, -9.0f, -2.25f)
            arcToRelative(60.73f, 60.73f, 0.0f, false, false, 3.5f, -29.25f)
            arcToRelative(109.53f, 109.53f, 0.0f, false, false, 0.5f, -15.76f)
            curveToRelative(0.75f, -3.25f, 0.75f, -7.0f, 1.0f, -10.25f)
            lineToRelative(-0.5f, 0.5f)
            curveToRelative(-0.76f, 4.26f, -2.0f, 8.25f, -2.75f, 12.76f)
            lineToRelative(1.0f, 6.75f)
            arcToRelative(51.55f, 51.55f, 0.0f, false, true, -3.75f, 11.0f)
            lineToRelative(3.75f, -2.25f)
            verticalLineToRelative(0.26f)
            curveToRelative(0.25f, 8.5f, -2.0f, 16.5f, -3.25f, 24.75f)
            lineToRelative(-0.25f, 0.5f)
            lineToRelative(-1.25f, -1.25f)
            curveToRelative(-0.25f, 3.0f, -1.0f, 5.5f, 0.0f, 8.5f)
            curveToRelative(-1.74f, 3.0f, -4.49f, 5.75f, -6.49f, 8.75f)
            curveToRelative(2.75f, -2.0f, 4.75f, -4.5f, 7.0f, -7.0f)
            close()
            moveTo(90.48f, 96.0f)
            curveToRelative(6.0f, -4.5f, 14.0f, -5.25f, 19.48f, -10.75f)
            curveToRelative(1.0f, -1.25f, 2.75f, -2.75f, 2.5f, -4.25f)
            lineToRelative(-0.25f, -0.25f)
            curveToRelative(-0.75f, -0.75f, -1.0f, -0.5f, -2.0f, -0.25f)
            curveToRelative(-1.75f, 0.75f, -4.0f, 1.0f, -5.75f, 1.75f)
            arcTo(28.24f, 28.24f, 0.0f, false, false, 88.0f, 92.51f)
            arcTo(23.55f, 23.55f, 0.0f, false, false, 83.23f, 104.0f)
            arcToRelative(72.26f, 72.26f, 0.0f, false, true, 7.25f, -8.0f)
            close()
            moveTo(79.48f, 90.5f)
            curveToRelative(3.0f, -3.75f, 6.24f, -7.5f, 11.0f, -10.0f)
            curveToRelative(5.49f, -3.0f, 12.74f, -2.0f, 18.73f, -3.5f)
            curveToRelative(1.25f, 0.25f, 1.5f, -1.5f, 1.75f, -2.25f)
            curveToRelative(-2.75f, -0.75f, -6.0f, -1.25f, -8.75f, -0.5f)
            curveToRelative(-4.49f, 0.0f, -9.0f, 2.0f, -13.0f, 3.5f)
            arcToRelative(33.39f, 33.39f, 0.0f, false, false, -12.24f, 8.0f)
            curveToRelative(-2.5f, 3.5f, -3.75f, 8.5f, -2.25f, 12.75f)
            lineToRelative(4.75f, -8.0f)
            close()
            moveTo(104.0f, 92.76f)
            curveToRelative(3.74f, -1.75f, 9.0f, -3.0f, 10.24f, -7.75f)
            arcToRelative(2.2f, 2.2f, 0.0f, false, false, -1.75f, -0.25f)
            curveTo(108.0f, 90.0f, 101.72f, 90.76f, 97.0f, 95.0f)
            curveToRelative(2.24f, -0.75f, 4.49f, -1.5f, 7.0f, -2.25f)
            close()
            moveTo(114.0f, 81.0f)
            arcToRelative(48.0f, 48.0f, 0.0f, false, true, 2.24f, -8.5f)
            arcToRelative(6.82f, 6.82f, 0.0f, false, false, -2.5f, 1.5f)
            curveToRelative(-2.49f, 1.5f, -1.0f, 5.0f, -0.74f, 7.0f)
            curveToRelative(0.25f, 0.25f, 0.49f, 0.0f, 1.0f, 0.0f)
            close()
            moveTo(122.49f, 86.5f)
            arcTo(25.0f, 25.0f, 0.0f, false, true, 132.19f, 99.0f)
            lineToRelative(5.5f, 0.75f)
            lineToRelative(0.49f, -0.25f)
            arcToRelative(19.46f, 19.46f, 0.0f, false, false, -4.24f, -10.25f)
            curveToRelative(-3.5f, -3.0f, -7.25f, -4.75f, -11.24f, -6.5f)
            arcTo(10.75f, 10.75f, 0.0f, false, false, 120.2f, 85.0f)
            lineToRelative(2.25f, 1.5f)
            close()
            moveTo(116.0f, 81.0f)
            lineToRelative(2.0f, -2.25f)
            arcToRelative(8.71f, 8.71f, 0.0f, false, true, 1.24f, -3.25f)
            curveToRelative(-0.25f, -0.75f, 0.0f, -2.0f, -1.0f, -2.25f)
            curveToRelative(-0.51f, 0.75f, -1.26f, 1.25f, -1.5f, 1.75f)
            lineToRelative(-1.25f, 3.5f)
            lineTo(116.0f, 81.0f)
            close()
            moveTo(76.74f, 114.77f)
            lineToRelative(0.25f, -0.51f)
            curveToRelative(-0.5f, -3.5f, -2.0f, -6.5f, -3.25f, -9.75f)
            curveTo(73.24f, 100.0f, 72.0f, 96.0f, 72.0f, 91.26f)
            arcTo(19.1f, 19.1f, 0.0f, false, true, 80.0f, 79.0f)
            curveToRelative(2.75f, -2.0f, 13.74f, -5.0f, 21.24f, -6.5f)
            lineToRelative(0.5f, -0.25f)
            arcTo(36.66f, 36.66f, 0.0f, false, true, 99.0f, 66.76f)
            arcToRelative(21.53f, 21.53f, 0.0f, false, true, -0.75f, -7.0f)
            curveToRelative(0.75f, -8.5f, -0.5f, -17.75f, 3.5f, -25.0f)
            curveToRelative(2.74f, 4.0f, 4.74f, 8.75f, 9.24f, 11.76f)
            arcToRelative(5.16f, 5.16f, 0.0f, false, false, 2.0f, 1.0f)
            reflectiveCurveToRelative(0.49f, 0.0f, 0.25f, -0.51f)
            curveToRelative(-0.75f, -6.25f, -1.5f, -12.25f, -3.25f, -17.75f)
            arcTo(37.26f, 37.26f, 0.0f, false, true, 112.71f, 33.0f)
            lineToRelative(7.0f, 17.25f)
            lineToRelative(2.75f, 10.25f)
            horizontalLineToRelative(0.5f)
            arcTo(115.54f, 115.54f, 0.0f, false, false, 114.0f, 31.0f)
            curveToRelative(-2.25f, -4.5f, -6.25f, -8.25f, -8.75f, -12.5f)
            curveToRelative(-1.0f, -2.25f, -2.74f, -4.0f, -4.0f, -6.0f)
            curveToRelative(0.5f, -1.5f, 0.5f, -3.25f, 1.0f, -4.75f)
            curveToRelative(4.76f, 3.25f, 7.0f, 8.75f, 9.5f, 13.75f)
            curveToRelative(3.0f, 4.75f, 6.74f, 9.5f, 9.49f, 14.5f)
            arcToRelative(196.73f, 196.73f, 0.0f, false, true, 7.24f, 23.51f)
            curveToRelative(-0.25f, -3.0f, -0.74f, -5.76f, -1.0f, -8.75f)
            curveTo(126.19f, 40.0f, 121.0f, 31.0f, 114.0f, 22.75f)
            curveToRelative(-4.0f, -4.75f, -4.25f, -11.0f, -8.75f, -15.5f)
            curveToRelative(-2.0f, -1.25f, -3.49f, -3.0f, -5.49f, -3.5f)
            lineTo(99.47f, 6.5f)
            curveToRelative(-0.5f, 4.75f, -1.0f, 9.75f, -3.25f, 14.0f)
            lineTo(88.0f, 37.5f)
            arcTo(25.21f, 25.21f, 0.0f, false, false, 88.0f, 45.0f)
            curveToRelative(-0.75f, 5.75f, -2.0f, 11.75f, -3.25f, 17.5f)
            curveToRelative(-1.74f, 7.25f, -6.0f, 13.75f, -10.24f, 20.0f)
            curveToRelative(-3.0f, 2.75f, -3.0f, 7.0f, -4.0f, 11.0f)
            curveToRelative(-0.5f, 7.75f, 3.25f, 14.76f, 6.25f, 21.26f)
            close()
            moveTo(123.19f, 79.0f)
            curveToRelative(1.26f, -1.75f, -0.24f, -3.75f, -0.49f, -5.5f)
            curveToRelative(-0.5f, 0.0f, -1.0f, -0.5f, -1.25f, 0.0f)
            curveToRelative(-1.25f, 3.25f, -2.25f, 6.75f, -4.25f, 10.0f)
            curveToRelative(2.25f, -0.5f, 5.25f, -1.75f, 6.0f, -4.5f)
            close()
            moveTo(134.94f, 88.75f)
            curveToRelative(2.49f, 2.0f, 3.24f, 4.5f, 4.25f, 7.0f)
            curveToRelative(0.24f, -3.0f, 1.74f, -6.5f, -0.26f, -9.0f)
            curveToRelative(-0.5f, -3.5f, -5.0f, -2.5f, -5.49f, -5.75f)
            curveToRelative(-1.75f, -2.25f, -5.0f, -1.75f, -7.49f, -2.0f)
            lineToRelative(-2.0f, 2.75f)
            curveToRelative(4.0f, 1.5f, 7.49f, 4.25f, 11.0f, 7.0f)
            close()
            moveTo(107.71f, 72.25f)
            curveToRelative(0.75f, 0.0f, 1.25f, 0.5f, 2.0f, 0.5f)
            curveToRelative(0.25f, -0.5f, 1.25f, -0.5f, 1.5f, -0.75f)
            curveToRelative(-3.0f, -5.0f, -6.75f, -9.75f, -6.49f, -16.0f)
            curveToRelative(2.74f, 4.5f, 5.49f, 10.0f, 10.49f, 12.76f)
            curveToRelative(0.25f, -4.5f, -2.25f, -8.0f, -3.0f, -11.76f)
            arcTo(28.0f, 28.0f, 0.0f, false, true, 119.0f, 69.51f)
            curveToRelative(2.5f, -2.25f, 2.25f, -6.0f, 1.25f, -9.0f)
            curveToRelative(-2.75f, -8.74f, -13.74f, -11.25f, -18.0f, -19.49f)
            lineToRelative(-1.74f, 16.75f)
            curveToRelative(0.24f, 5.5f, 1.5f, 12.25f, 7.24f, 14.5f)
            close()
            moveTo(152.92f, 91.0f)
            curveToRelative(-2.49f, 7.0f, -6.24f, 13.25f, -9.24f, 20.0f)
            curveToRelative(3.75f, -3.5f, 7.74f, -6.75f, 9.49f, -11.5f)
            arcToRelative(51.0f, 51.0f, 0.0f, false, false, 4.75f, 5.26f)
            curveToRelative(0.75f, -1.0f, -0.75f, -2.0f, -1.25f, -3.0f)
            curveToRelative(-0.75f, -1.5f, -1.75f, -3.25f, -2.49f, -4.74f)
            arcToRelative(25.05f, 25.05f, 0.0f, false, false, 1.24f, -8.76f)
            arcToRelative(36.78f, 36.78f, 0.0f, false, true, -5.24f, -0.25f)
            curveToRelative(-2.5f, -5.5f, -4.0f, -11.25f, -5.75f, -17.0f)
            curveToRelative(0.75f, 6.0f, 2.74f, 11.5f, 4.25f, 16.75f)
            curveToRelative(-0.5f, 0.25f, -0.5f, 0.0f, -1.25f, 0.0f)
            curveToRelative(-3.5f, -0.25f, -6.0f, -2.75f, -8.74f, -5.0f)
            arcTo(15.83f, 15.83f, 0.0f, false, false, 152.92f, 91.0f)
            close()
            moveTo(125.45f, 71.5f)
            arcToRelative(17.42f, 17.42f, 0.0f, false, true, 7.49f, -7.25f)
            curveToRelative(-1.25f, 2.0f, -2.75f, 4.25f, -3.0f, 6.5f)
            curveToRelative(2.5f, -1.25f, 5.0f, -3.0f, 7.49f, -4.0f)
            curveToRelative(-2.49f, 4.5f, -7.24f, 6.5f, -11.24f, 9.25f)
            curveToRelative(0.26f, 0.5f, 0.5f, 1.25f, 0.75f, 1.75f)
            curveToRelative(0.76f, -0.5f, 1.25f, 0.0f, 2.0f, -0.25f)
            horizontalLineToRelative(0.26f)
            curveToRelative(3.24f, -0.5f, 6.0f, -2.5f, 8.74f, -4.0f)
            curveToRelative(5.74f, -4.25f, 6.24f, -11.5f, 5.24f, -18.25f)
            lineToRelative(-0.25f, -0.25f)
            lineToRelative(-8.49f, 5.24f)
            lineTo(129.69f, 62.0f)
            curveToRelative(-3.0f, 2.5f, -5.49f, 5.5f, -5.74f, 9.25f)
            lineToRelative(1.5f, 0.25f)
            close()
            moveTo(141.68f, 36.0f)
            curveToRelative(0.75f, 5.76f, -1.25f, 11.0f, 0.5f, 16.26f)
            lineToRelative(1.25f, -1.0f)
            verticalLineToRelative(-2.0f)
            curveToRelative(-0.75f, -5.24f, 0.0f, -11.25f, -1.75f, -16.25f)
            arcToRelative(5.37f, 5.37f, 0.0f, false, false, -1.75f, -3.0f)
            lineToRelative(1.75f, 6.0f)
            close()
            moveTo(92.0f, 122.77f)
            curveToRelative(1.24f, -2.0f, 3.74f, -3.76f, 5.49f, -3.0f)
            curveToRelative(1.0f, 0.0f, 1.25f, 1.0f, 1.75f, 1.51f)
            curveToRelative(0.25f, 1.5f, 0.5f, 3.5f, -1.0f, 4.5f)
            lineToRelative(-3.0f, 0.74f)
            curveToRelative(-0.75f, 0.76f, 0.0f, 1.51f, 0.25f, 2.25f)
            curveToRelative(-1.75f, 2.76f, 2.0f, 4.5f, 2.75f, 7.0f)
            curveToRelative(-1.75f, 2.26f, -3.75f, 5.0f, -6.74f, 5.0f)
            arcToRelative(3.43f, 3.43f, 0.0f, false, true, -4.0f, -2.25f)
            curveToRelative(-2.75f, -5.5f, 3.74f, -10.0f, 4.5f, -15.75f)
            close()
            moveTo(133.69f, 147.0f)
            arcToRelative(4.22f, 4.22f, 0.0f, false, false, 0.5f, -1.25f)
            curveToRelative(-4.25f, -1.5f, -8.49f, -3.0f, -12.0f, -6.0f)
            curveToRelative(3.25f, 0.24f, 6.49f, 1.0f, 10.0f, 1.24f)
            curveToRelative(0.75f, -1.24f, -0.5f, -2.0f, -1.0f, -3.0f)
            curveToRelative(0.75f, -2.5f, 1.5f, -5.0f, 1.0f, -7.5f)
            curveToRelative(-1.25f, -3.5f, -3.5f, -6.75f, -4.49f, -10.25f)
            curveToRelative(2.24f, 3.0f, 3.74f, 6.24f, 5.49f, 9.25f)
            curveToRelative(1.0f, 3.0f, -0.75f, 6.24f, 0.5f, 8.75f)
            arcToRelative(14.86f, 14.86f, 0.0f, false, false, 1.5f, 2.74f)
            curveToRelative(-0.25f, 0.51f, -1.75f, 1.26f, -0.75f, 2.0f)
            curveToRelative(0.75f, 0.75f, 1.49f, 1.25f, 1.49f, 2.0f)
            arcToRelative(4.3f, 4.3f, 0.0f, false, false, 0.26f, 4.25f)
            curveToRelative(0.0f, 1.0f, -0.75f, 0.5f, -1.5f, 0.75f)
            curveToRelative(-2.0f, 0.0f, -3.5f, -1.0f, -5.75f, -1.25f)
            curveToRelative(-3.49f, 0.25f, -6.24f, -2.0f, -8.74f, -4.5f)
            curveToRelative(4.49f, 1.24f, 9.0f, 1.5f, 13.49f, 2.75f)
            close()
            moveTo(89.48f, 138.0f)
            curveToRelative(1.0f, 1.25f, 2.74f, 1.0f, 4.24f, 0.25f)
            curveToRelative(1.0f, -0.5f, 2.25f, -1.0f, 2.25f, -2.51f)
            arcToRelative(15.24f, 15.24f, 0.0f, false, true, -3.25f, -0.74f)
            curveToRelative(-2.0f, 0.0f, -1.75f, -1.51f, -1.24f, -2.5f)
            curveToRelative(0.0f, -2.0f, 2.24f, -3.51f, 2.49f, -5.5f)
            curveToRelative(1.25f, -2.25f, 5.0f, -1.25f, 4.75f, -3.5f)
            curveToRelative(0.0f, -1.51f, -0.25f, -2.51f, -1.5f, -3.0f)
            curveToRelative(-1.25f, -1.0f, -3.0f, 0.49f, -3.74f, 1.49f)
            curveToRelative(-1.5f, 1.25f, -2.26f, 7.75f, -4.75f, 11.25f)
            curveToRelative(-0.75f, 1.51f, -1.0f, 3.76f, 0.75f, 4.76f)
        }
    }
        .build()
}
