package com.mshdabiola.designsystem.icon.man

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Man.getYellow(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Yellow2",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(181.67f, 164.77f)
            curveToRelative(-3.25f, -3.75f, -5.75f, -8.25f, -9.75f, -12.0f)
            curveTo(160.69f, 143.0f, 148.46f, 136.0f, 134.0f, 133.27f)
            lineToRelative(-3.75f, -0.75f)
            curveToRelative(-8.0f, 3.0f, -14.24f, 9.25f, -20.0f, 16.25f)
            curveToRelative(-1.75f, -4.25f, -3.5f, -8.5f, -5.49f, -12.5f)
            lineToRelative(-4.0f, 9.5f)
            curveToRelative(4.49f, 8.75f, 10.0f, 17.0f, 11.0f, 27.25f)
            curveToRelative(0.75f, 8.25f, 1.25f, 17.5f, 0.5f, 25.75f)
            curveToRelative(-8.24f, 0.5f, -16.23f, 1.75f, -24.48f, 1.0f)
            curveToRelative(-2.0f, -11.49f, -1.74f, -23.74f, -0.49f, -35.49f)
            arcToRelative(46.27f, 46.27f, 0.0f, false, true, 6.74f, -20.0f)
            curveToRelative(-2.25f, -1.75f, -4.25f, -3.75f, -6.49f, -5.5f)
            arcToRelative(46.0f, 46.0f, 0.0f, false, false, -2.0f, 10.5f)
            curveToRelative(-5.25f, -2.75f, -10.24f, -6.0f, -16.0f, -8.0f)
            curveToRelative(-5.74f, -2.25f, -11.23f, -4.25f, -17.48f, -5.0f)
            curveToRelative(-8.74f, 4.25f, -17.48f, 8.75f, -25.47f, 14.5f)
            curveToRelative(-2.5f, 2.25f, -6.0f, 5.75f, -8.74f, 8.5f)
            curveToRelative(-0.5f, 0.0f, -0.5f, -0.5f, -0.75f, -0.75f)
            curveToRelative(5.24f, -5.75f, 11.23f, -11.25f, 17.73f, -14.75f)
            curveToRelative(5.49f, -2.75f, 11.0f, -5.0f, 16.0f, -8.5f)
            curveToRelative(1.24f, -1.25f, 2.0f, -3.0f, 3.0f, -4.25f)
            lineTo(60.0f, 111.0f)
            curveToRelative(0.25f, -1.0f, 0.76f, -1.25f, 1.0f, -2.25f)
            lineToRelative(0.25f, -0.75f)
            curveToRelative(0.0f, -8.25f, -0.49f, -16.0f, -1.25f, -23.75f)
            lineToRelative(0.76f, -2.5f)
            lineToRelative(-0.26f, -0.25f)
            curveToRelative(-1.75f, 1.5f, -4.24f, 3.0f, -6.74f, 2.0f)
            curveToRelative(-6.49f, -3.0f, -8.74f, -10.0f, -9.0f, -16.49f)
            curveToRelative(0.5f, -2.51f, 0.25f, -5.25f, 2.5f, -7.0f)
            curveToRelative(-3.75f, -8.75f, -3.25f, -20.74f, 0.49f, -29.75f)
            curveTo(52.3f, 19.53f, 62.79f, 8.0f, 73.78f, 4.0f)
            arcToRelative(52.93f, 52.93f, 0.0f, false, true, 22.0f, -4.0f)
            curveToRelative(4.24f, 0.75f, 7.74f, 3.5f, 11.73f, 5.5f)
            curveToRelative(7.0f, 6.25f, 16.0f, 10.25f, 21.0f, 18.75f)
            curveToRelative(4.0f, 6.5f, 6.25f, 14.25f, 5.0f, 22.25f)
            curveToRelative(1.75f, 3.74f, 4.74f, 7.25f, 4.74f, 11.75f)
            curveTo(138.46f, 71.0f, 132.47f, 81.0f, 126.48f, 91.0f)
            curveToRelative(-3.25f, 4.0f, -7.25f, 9.25f, -12.49f, 10.25f)
            curveToRelative(-8.24f, 1.25f, -18.23f, 1.0f, -26.0f, -1.25f)
            curveToRelative(-6.74f, -2.0f, -13.73f, -4.0f, -18.48f, -9.75f)
            lineTo(66.0f, 85.52f)
            lineToRelative(-0.74f, 0.75f)
            curveToRelative(0.0f, 1.25f, 2.25f, 4.75f, 2.75f, 5.26f)
            curveTo(75.0f, 99.0f, 84.27f, 101.0f, 93.51f, 103.27f)
            curveToRelative(8.74f, 2.0f, 19.73f, 1.25f, 27.72f, -2.75f)
            curveToRelative(1.5f, 10.25f, 4.25f, 20.0f, 7.0f, 29.5f)
            arcToRelative(6.21f, 6.21f, 0.0f, false, false, 2.0f, 0.25f)
            arcTo(91.3f, 91.3f, 0.0f, false, true, 167.43f, 146.0f)
            arcToRelative(59.52f, 59.52f, 0.0f, false, true, 15.48f, 17.25f)
            lineToRelative(-1.24f, 1.5f)
            close()
            moveTo(107.24f, 17.77f)
            arcTo(13.69f, 13.69f, 0.0f, false, true, 99.75f, 15.0f)
            curveToRelative(-4.5f, -2.25f, -10.24f, -0.74f, -14.0f, 1.51f)
            curveTo(91.26f, 15.0f, 97.0f, 16.0f, 102.0f, 17.78f)
            curveToRelative(4.0f, 2.5f, 9.0f, 0.24f, 13.24f, 0.0f)
            close()
            moveTo(135.0f, 60.0f)
            curveToRelative(-0.76f, -5.0f, -5.75f, -8.49f, -10.0f, -10.74f)
            curveToRelative(-3.5f, -2.51f, -8.0f, -2.26f, -10.49f, -6.76f)
            arcTo(15.72f, 15.72f, 0.0f, false, false, 125.23f, 44.0f)
            verticalLineToRelative(-0.26f)
            arcToRelative(63.21f, 63.21f, 0.0f, false, true, -9.25f, -1.5f)
            curveToRelative(-2.0f, -0.24f, -2.0f, -2.0f, -2.5f, -3.0f)
            curveTo(115.0f, 39.0f, 116.23f, 38.0f, 117.73f, 38.0f)
            lineToRelative(0.51f, 1.76f)
            curveToRelative(-0.51f, 0.49f, -1.26f, 0.0f, -2.0f, 0.25f)
            curveToRelative(-0.25f, 0.75f, 0.26f, 1.0f, 0.51f, 1.24f)
            arcToRelative(9.63f, 9.63f, 0.0f, false, false, 2.74f, 0.0f)
            curveToRelative(0.0f, -1.24f, -0.5f, -2.5f, 0.0f, -3.25f)
            curveToRelative(1.5f, 0.26f, 3.75f, 0.51f, 5.5f, 1.0f)
            arcToRelative(4.51f, 4.51f, 0.0f, false, true, -1.0f, 3.5f)
            lineToRelative(3.0f, -0.49f)
            lineToRelative(-2.25f, -0.25f)
            lineToRelative(1.5f, -2.0f)
            curveToRelative(0.75f, 0.49f, 1.75f, 1.0f, 2.75f, 1.75f)
            curveToRelative(0.25f, 0.0f, 0.75f, 0.0f, 0.75f, -0.26f)
            arcTo(54.33f, 54.33f, 0.0f, false, false, 125.23f, 38.0f)
            curveToRelative(-3.75f, -3.25f, -8.74f, -0.49f, -12.74f, 0.26f)
            arcToRelative(26.88f, 26.88f, 0.0f, false, true, 4.74f, -6.0f)
            lineToRelative(4.75f, -1.0f)
            curveToRelative(2.25f, 0.51f, 4.0f, 3.0f, 5.5f, 4.0f)
            curveToRelative(-1.75f, -2.76f, -4.5f, -6.26f, -8.5f, -5.75f)
            curveToRelative(-2.75f, 1.74f, -4.74f, 5.0f, -7.0f, 7.0f)
            curveToRelative(-0.5f, -2.5f, -2.5f, -5.26f, -1.0f, -8.25f)
            lineTo(119.73f, 26.0f)
            curveToRelative(4.0f, -1.75f, 6.0f, 3.25f, 9.24f, 4.5f)
            lineTo(128.97f, 30.0f)
            curveToRelative(-2.0f, -1.49f, -3.74f, -3.49f, -6.0f, -4.5f)
            lineToRelative(-1.5f, -0.75f)
            arcToRelative(69.19f, 69.19f, 0.0f, false, false, -12.0f, 2.51f)
            lineToRelative(-0.25f, 4.24f)
            arcTo(101.66f, 101.66f, 0.0f, false, false, 114.74f, 45.0f)
            curveToRelative(1.75f, 2.5f, 6.24f, 4.5f, 5.74f, 8.24f)
            arcToRelative(1.37f, 1.37f, 0.0f, false, true, -1.25f, 0.76f)
            curveToRelative(-1.0f, -0.25f, -2.25f, -1.25f, -3.0f, -0.51f)
            lineTo(117.0f, 54.0f)
            curveToRelative(1.5f, 0.75f, 3.5f, 1.74f, 5.0f, 0.49f)
            curveToRelative(1.25f, -2.0f, 0.0f, -4.0f, -1.0f, -5.5f)
            arcToRelative(37.0f, 37.0f, 0.0f, false, true, 8.24f, 4.25f)
            curveToRelative(3.5f, 2.5f, 4.5f, 6.75f, 5.75f, 10.25f)
            lineTo(134.99f, 60.0f)
            close()
            moveTo(97.26f, 38.28f)
            curveToRelative(0.74f, 1.0f, 1.74f, -0.51f, 2.49f, -0.26f)
            arcToRelative(17.76f, 17.76f, 0.0f, false, false, -1.24f, 5.25f)
            lineTo(99.0f, 43.27f)
            curveToRelative(1.5f, -2.74f, 2.0f, -6.0f, 4.0f, -8.75f)
            arcToRelative(28.09f, 28.09f, 0.0f, false, false, -5.74f, 3.76f)
            close()
            moveTo(100.5f, 23.52f)
            lineTo(98.25f, 23.28f)
            curveToRelative(-2.24f, -0.25f, -4.74f, 1.49f, -6.74f, 0.0f)
            arcTo(5.9f, 5.9f, 0.0f, false, false, 86.27f, 25.0f)
            curveToRelative(-4.75f, 1.0f, -9.49f, 4.0f, -11.24f, 8.49f)
            lineToRelative(0.5f, 0.25f)
            lineTo(79.77f, 31.0f)
            lineTo(86.0f, 29.28f)
            curveToRelative(3.24f, -1.0f, 6.24f, 0.5f, 9.23f, 1.25f)
            curveToRelative(-0.49f, -0.51f, -1.24f, -1.0f, -1.74f, -1.51f)
            curveToRelative(-4.49f, -1.74f, -10.0f, -0.24f, -14.0f, 1.25f)
            curveToRelative(1.75f, -2.49f, 4.75f, -3.25f, 7.24f, -4.49f)
            arcToRelative(32.0f, 32.0f, 0.0f, false, false, 6.75f, -1.26f)
            curveToRelative(2.0f, -1.24f, 3.75f, 0.76f, 6.0f, 0.51f)
            curveToRelative(1.25f, 0.75f, 0.75f, 2.75f, 1.0f, 4.25f)
            arcToRelative(5.34f, 5.34f, 0.0f, false, false, 0.0f, -5.76f)
            close()
            moveTo(114.24f, 48.77f)
            verticalLineToRelative(0.51f)
            curveToRelative(-1.75f, 4.0f, -7.24f, 0.49f, -8.74f, 1.0f)
            curveToRelative(-2.0f, 0.76f, -4.0f, 1.76f, -6.0f, 2.51f)
            arcToRelative(3.55f, 3.55f, 0.0f, false, true, -2.75f, -2.51f)
            curveToRelative(0.26f, -2.74f, 3.25f, -3.74f, 5.25f, -4.5f)
            arcToRelative(12.71f, 12.71f, 0.0f, false, false, -3.0f, 0.76f)
            curveToRelative(-1.74f, 1.0f, -3.24f, 2.49f, -3.24f, 4.74f)
            curveToRelative(3.0f, 4.25f, 7.74f, 0.26f, 11.0f, -0.5f)
            lineToRelative(3.0f, 1.75f)
            arcToRelative(4.38f, 4.38f, 0.0f, false, false, 4.75f, -1.75f)
            curveToRelative(0.25f, -0.75f, 0.5f, -1.24f, 0.0f, -2.0f)
            close()
            moveTo(93.0f, 32.52f)
            verticalLineToRelative(0.26f)
            arcTo(14.17f, 14.17f, 0.0f, false, false, 95.0f, 36.0f)
            curveToRelative(-1.0f, 0.0f, -2.25f, -0.75f, -3.5f, -1.0f)
            curveToRelative(-4.5f, -1.26f, -9.0f, 0.74f, -13.0f, 1.25f)
            curveToRelative(2.75f, -2.25f, 5.75f, -3.5f, 8.49f, -5.5f)
            arcToRelative(24.0f, 24.0f, 0.0f, false, false, -9.73f, 5.75f)
            lineTo(77.0f, 38.0f)
            lineToRelative(8.25f, -2.25f)
            arcToRelative(1.53f, 1.53f, 0.0f, false, true, 0.25f, 1.0f)
            curveToRelative(0.5f, 0.76f, 0.5f, 1.76f, 1.49f, 1.51f)
            arcToRelative(3.21f, 3.21f, 0.0f, false, true, -1.0f, -2.75f)
            curveToRelative(1.74f, -1.0f, 4.0f, 0.0f, 6.0f, 0.5f)
            arcToRelative(5.0f, 5.0f, 0.0f, false, true, -0.75f, 2.74f)
            lineTo(94.0f, 38.75f)
            lineToRelative(0.25f, -0.75f)
            curveToRelative(-0.5f, -0.25f, -1.0f, 0.0f, -1.5f, -0.25f)
            curveToRelative(-0.25f, -3.0f, 2.75f, -0.24f, 3.74f, -1.24f)
            lineToRelative(-3.49f, -4.0f)
            close()
            moveTo(101.49f, 6.52f)
            curveToRelative(-3.75f, -0.75f, -7.74f, -2.0f, -11.74f, -1.0f)
            curveTo(80.77f, 7.0f, 73.0f, 12.77f, 67.29f, 20.0f)
            lineTo(65.0f, 26.78f)
            curveToRelative(-1.25f, 4.25f, -6.25f, 7.0f, -5.5f, 12.0f)
            arcToRelative(136.6f, 136.6f, 0.0f, false, true, 0.75f, 22.76f)
            lineToRelative(2.5f, 1.0f)
            arcToRelative(161.85f, 161.85f, 0.0f, false, false, -2.0f, -22.26f)
            curveToRelative(-0.26f, -5.0f, 3.49f, -8.24f, 5.74f, -12.25f)
            curveToRelative(0.25f, -4.5f, 1.25f, -9.0f, 5.49f, -12.0f)
            curveToRelative(4.5f, -5.0f, 10.24f, -7.24f, 16.48f, -8.75f)
            curveToRelative(5.25f, -1.49f, 10.74f, 0.51f, 16.24f, 0.51f)
            curveToRelative(-1.0f, -0.51f, -2.25f, -0.75f, -3.25f, -1.25f)
            close()
            moveTo(123.22f, 62.52f)
            curveToRelative(-2.5f, -2.51f, -5.25f, -5.25f, -8.49f, -6.76f)
            curveToRelative(-3.0f, 0.75f, -6.0f, -0.25f, -8.74f, -0.74f)
            curveToRelative(-3.0f, -0.76f, -5.75f, 0.49f, -8.25f, 2.0f)
            curveToRelative(-2.24f, 1.0f, -4.0f, 3.51f, -6.49f, 3.76f)
            arcToRelative(5.67f, 5.67f, 0.0f, false, false, -2.5f, 4.74f)
            arcToRelative(3.79f, 3.79f, 0.0f, false, false, 0.75f, 2.5f)
            curveToRelative(0.75f, -2.24f, 0.51f, -5.0f, 2.75f, -6.49f)
            arcToRelative(24.66f, 24.66f, 0.0f, false, false, 7.0f, -4.76f)
            curveToRelative(2.75f, -2.5f, 7.0f, -0.49f, 10.24f, 0.0f)
            arcToRelative(9.21f, 9.21f, 0.0f, false, true, 9.24f, 2.5f)
            curveToRelative(0.75f, 2.26f, 2.5f, 4.25f, 3.25f, 6.51f)
            curveToRelative(-3.74f, -2.26f, -7.24f, -6.25f, -12.0f, -4.25f)
            arcToRelative(16.22f, 16.22f, 0.0f, false, false, -6.0f, -0.75f)
            curveToRelative(-2.75f, 0.75f, -5.25f, 1.49f, -7.75f, 2.24f)
            curveToRelative(3.5f, 0.0f, 6.5f, -1.49f, 10.0f, -1.49f)
            curveToRelative(2.25f, 1.0f, 4.75f, 0.49f, 7.5f, 0.74f)
            curveToRelative(2.75f, 1.0f, 5.0f, 3.0f, 7.49f, 4.76f)
            curveToRelative(-4.0f, 3.49f, -9.0f, 0.0f, -13.49f, 1.74f)
            curveTo(103.25f, 68.28f, 99.25f, 66.28f, 95.0f, 65.0f)
            lineToRelative(0.24f, 0.76f)
            arcToRelative(77.37f, 77.37f, 0.0f, false, false, 13.0f, 3.74f)
            curveToRelative(4.0f, -1.0f, 8.73f, 1.0f, 12.73f, -0.5f)
            curveToRelative(0.75f, -0.25f, 2.0f, -1.74f, 2.75f, -0.5f)
            curveToRelative(-0.25f, -2.24f, -1.75f, -4.25f, -2.0f, -6.5f)
            lineTo(126.0f, 66.28f)
            curveToRelative(0.75f, 0.49f, 2.0f, 4.0f, 2.75f, 6.0f)
            curveToRelative(-0.25f, -3.75f, -2.75f, -6.75f, -5.49f, -9.74f)
            close()
            moveTo(84.22f, 38.27f)
            curveToRelative(-1.0f, -0.51f, -2.75f, -0.26f, -3.75f, -0.51f)
            arcToRelative(10.27f, 10.27f, 0.0f, false, false, 3.75f, 1.0f)
            verticalLineToRelative(-0.49f)
            close()
            moveTo(81.47f, 39.77f)
            curveToRelative(3.25f, 1.75f, 7.5f, 2.0f, 11.49f, 1.75f)
            lineToRelative(-0.25f, 0.25f)
            curveToRelative(-4.25f, 4.25f, -12.0f, 0.74f, -16.23f, 5.24f)
            verticalLineToRelative(0.26f)
            curveToRelative(4.24f, -2.51f, 10.23f, -1.25f, 15.0f, -2.75f)
            arcTo(6.63f, 6.63f, 0.0f, false, false, 95.0f, 40.27f)
            curveToRelative(-4.5f, -0.49f, -9.24f, 0.26f, -13.49f, -0.49f)
            close()
            moveTo(125.18f, 83.51f)
            curveToRelative(-3.25f, -1.0f, -5.5f, -3.5f, -8.49f, -5.24f)
            curveToRelative(-9.5f, -6.0f, -17.0f, 4.25f, -26.48f, 4.25f)
            curveToRelative(-10.0f, 2.49f, -19.73f, -0.51f, -26.0f, -8.75f)
            curveToRelative(1.5f, 4.0f, 5.74f, 6.74f, 9.49f, 8.75f)
            curveToRelative(7.0f, 3.49f, 17.23f, 3.24f, 24.0f, 0.24f)
            curveToRelative(4.0f, -3.25f, 9.74f, -4.0f, 13.74f, -4.0f)
            curveToRelative(5.49f, 0.0f, 8.74f, 4.75f, 13.74f, 5.25f)
            verticalLineToRelative(-0.5f)
            close()
            moveTo(122.0f, 114.0f)
            arcToRelative(162.7f, 162.7f, 0.0f, false, true, -23.23f, 10.75f)
            curveToRelative(5.75f, 6.0f, 10.0f, 12.5f, 12.24f, 19.75f)
            lineToRelative(0.25f, -0.25f)
            curveToRelative(5.5f, -4.5f, 10.49f, -9.5f, 15.48f, -14.25f)
            arcTo(106.75f, 106.75f, 0.0f, false, false, 122.0f, 114.0f)
            close()
            moveTo(57.54f, 69.52f)
            curveToRelative(-1.49f, 2.0f, -1.24f, 4.5f, -1.49f, 7.0f)
            curveToRelative(-1.0f, -2.0f, -3.0f, -3.74f, -3.25f, -6.25f)
            lineToRelative(-0.25f, 0.25f)
            arcTo(1.65f, 1.65f, 0.0f, false, false, 52.3f, 72.0f)
            curveToRelative(0.75f, 2.25f, 2.5f, 5.0f, 5.0f, 5.5f)
            arcToRelative(7.53f, 7.53f, 0.0f, false, false, -0.5f, -3.25f)
            curveTo(56.05f, 71.78f, 59.0f, 70.0f, 59.0f, 67.28f)
            lineToRelative(-1.5f, 2.24f)
            close()
            moveTo(56.54f, 64.27f)
            curveToRelative(-2.5f, -1.0f, -5.74f, -2.49f, -8.0f, -0.25f)
            curveToRelative(-1.25f, 1.76f, -2.0f, 3.26f, -1.75f, 5.25f)
            arcToRelative(10.93f, 10.93f, 0.0f, false, false, 4.0f, 8.25f)
            curveToRelative(0.24f, 0.0f, 1.0f, 0.51f, 1.0f, 0.0f)
            lineToRelative(-1.75f, -4.0f)
            curveToRelative(-0.74f, -3.0f, -0.25f, -6.24f, 2.5f, -8.0f)
            arcToRelative(4.69f, 4.69f, 0.0f, false, true, 4.0f, 0.76f)
            curveToRelative(0.0f, -0.5f, 0.5f, -1.26f, 0.0f, -2.0f)
            close()
            moveTo(61.28f, 114.77f)
            curveToRelative(-2.25f, 6.0f, -3.75f, 12.5f, -6.0f, 18.5f)
            curveToRelative(-0.25f, 0.5f, 0.0f, 1.0f, 0.5f, 1.0f)
            curveToRelative(10.0f, 2.25f, 19.23f, 6.75f, 28.47f, 11.5f)
            arcTo(69.61f, 69.61f, 0.0f, false, true, 89.51f, 124.0f)
            curveToRelative(-10.24f, -1.0f, -19.48f, -4.75f, -28.22f, -9.25f)
        }
    }
        .build()
}
