package com.mshdabiola.designsystem.icon.woman

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Woman.getBlue(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Blue1",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(125.47f, 168.89f)
            curveToRelative(-3.0f, 0.53f, -3.23f, -3.44f, -4.45f, -5.39f)
            curveToRelative(-3.28f, -2.28f, -6.77f, 1.69f, -10.0f, -0.59f)
            lineToRelative(-2.54f, -1.69f)
            arcToRelative(9.12f, 9.12f, 0.0f, false, true, -3.76f, -0.27f)
            lineToRelative(-3.23f, -2.85f)
            curveToRelative(-3.0f, -0.27f, -7.0f, 1.16f, -9.74f, -1.43f)
            curveToRelative(-2.28f, -1.38f, -2.49f, -4.5f, -3.0f, -7.0f)
            curveToRelative(-1.0f, -6.57f, 1.75f, -11.38f, 2.75f, -17.0f)
            curveToRelative(-0.74f, -2.0f, -2.48f, -3.39f, -3.75f, -4.82f)
            curveToRelative(-2.49f, -1.69f, -5.24f, -2.22f, -8.21f, -3.12f)
            curveToRelative(-4.29f, 9.64f, -12.76f, 16.73f, -22.28f, 17.58f)
            arcToRelative(23.0f, 23.0f, 0.0f, false, true, -6.52f, 0.0f)
            curveToRelative(-2.22f, -0.85f, -4.71f, -2.0f, -7.0f, -2.81f)
            curveToRelative(2.75f, 2.81f, 6.51f, 3.65f, 10.27f, 4.0f)
            arcToRelative(14.67f, 14.67f, 0.0f, false, false, 7.72f, -0.58f)
            arcToRelative(66.39f, 66.39f, 0.0f, false, true, -4.0f, 5.4f)
            curveToRelative(3.5f, -1.7f, 6.46f, -4.82f, 9.74f, -7.68f)
            lineToRelative(6.25f, -4.5f)
            curveToRelative(-0.48f, 17.26f, -8.26f, 31.45f, -18.47f, 44.47f)
            curveToRelative(-13.0f, -5.67f, -24.51f, -15.3f, -35.31f, -26.63f)
            lineToRelative(-7.73f, -10.48f)
            lineTo(6.52f, 132.32f)
            arcTo(86.21f, 86.21f, 0.0f, false, true, 0.0f, 101.72f)
            curveTo(-0.25f, 87.8f, 3.51f, 75.89f, 9.0f, 64.88f)
            curveToRelative(9.21f, -19.0f, 26.73f, -32.87f, 42.0f, -45.37f)
            horizontalLineToRelative(0.26f)
            curveToRelative(10.48f, 7.94f, 14.0f, 20.7f, 18.48f, 32.0f)
            arcToRelative(75.93f, 75.93f, 0.0f, false, false, 4.0f, 7.36f)
            curveToRelative(1.0f, 0.31f, 2.49f, 0.0f, 3.49f, 0.31f)
            curveToRelative(5.51f, 0.53f, 10.27f, 3.66f, 15.25f, 5.93f)
            arcToRelative(37.07f, 37.07f, 0.0f, false, true, 16.52f, 0.27f)
            curveToRelative(2.48f, -0.27f, 4.49f, -2.23f, 6.72f, -3.39f)
            curveToRelative(6.77f, -5.4f, 14.0f, -9.9f, 23.0f, -9.32f)
            lineToRelative(8.47f, 1.7f)
            curveToRelative(8.05f, -0.32f, 15.51f, 1.37f, 22.77f, 3.12f)
            curveToRelative(7.78f, 1.69f, 19.53f, 13.55f, 20.0f, 14.72f)
            curveToRelative(4.23f, 6.51f, 5.77f, 14.45f, 8.52f, 21.8f)
            arcTo(28.26f, 28.26f, 0.0f, false, true, 200.0f, 102.0f)
            curveToRelative(0.0f, 6.0f, 0.0f, 11.64f, -1.75f, 16.72f)
            curveToRelative(-0.74f, 6.25f, -0.74f, 13.0f, -3.0f, 18.69f)
            arcToRelative(79.62f, 79.62f, 0.0f, false, true, -8.53f, 16.73f)
            curveToRelative(-1.21f, 2.54f, -2.0f, 6.24f, -5.0f, 7.09f)
            arcToRelative(15.41f, 15.41f, 0.0f, false, true, -5.24f, 0.58f)
            curveToRelative(-5.24f, 4.82f, -12.76f, 4.5f, -19.75f, 4.5f)
            curveToRelative(-2.27f, 0.32f, -3.76f, 3.12f, -6.0f, 1.43f)
            arcToRelative(34.56f, 34.56f, 0.0f, false, false, -4.5f, -1.43f)
            curveToRelative(-0.21f, 0.32f, -0.21f, 0.58f, -0.48f, 0.9f)
            curveToRelative(-1.48f, -0.58f, -2.75f, -2.59f, -4.0f, -3.7f)
            lineToRelative(-3.23f, -0.85f)
            curveTo(133.51f, 162.91f, 130.23f, 167.73f, 125.47f, 168.89f)
            close()
            moveTo(123.72f, 166.3f)
            curveToRelative(0.8f, 0.58f, 1.27f, 2.59f, 2.75f, 1.43f)
            curveToRelative(3.76f, -3.39f, 8.53f, -5.08f, 12.55f, -7.94f)
            arcToRelative(13.14f, 13.14f, 0.0f, false, true, 10.75f, -0.85f)
            curveToRelative(2.48f, 1.43f, 3.0f, 4.24f, 3.49f, 7.1f)
            lineToRelative(3.0f, -1.43f)
            curveToRelative(4.77f, -0.27f, 9.8f, 0.84f, 14.0f, -0.27f)
            curveToRelative(3.0f, -0.26f, 5.24f, -3.12f, 7.52f, -5.08f)
            curveToRelative(0.74f, -0.9f, 0.21f, -2.28f, 0.47f, -3.12f)
            curveToRelative(0.27f, -3.13f, 0.0f, -5.67f, 0.0f, -8.53f)
            curveToRelative(-2.0f, -3.12f, -2.48f, -7.09f, -3.49f, -10.48f)
            curveToRelative(-1.48f, -5.4f, -7.0f, -4.81f, -9.53f, -9.37f)
            curveToRelative(-3.7f, -2.54f, -7.73f, -3.12f, -10.74f, -7.09f)
            curveToRelative(-1.22f, -0.53f, -2.76f, 0.0f, -4.24f, -0.26f)
            curveToRelative(-1.75f, -1.12f, -3.0f, -3.13f, -5.0f, -3.71f)
            curveToRelative(-2.0f, -0.85f, -3.55f, -3.39f, -5.3f, -4.82f)
            lineToRelative(-6.72f, -0.53f)
            lineToRelative(-6.78f, 2.0f)
            curveToRelative(-3.0f, 0.85f, -5.71f, 0.32f, -8.0f, -4.0f)
            lineToRelative(-0.48f, -0.84f)
            curveToRelative(4.0f, 2.0f, 7.73f, 0.31f, 11.0f, 0.0f)
            curveToRelative(3.71f, -1.12f, 7.47f, -3.66f, 11.49f, -4.0f)
            arcToRelative(13.06f, 13.06f, 0.0f, false, true, 0.0f, -4.5f)
            curveToRelative(-3.0f, -1.7f, -6.0f, -3.71f, -9.74f, -4.0f)
            curveToRelative(-1.0f, 0.84f, -2.54f, 2.27f, -3.55f, 1.37f)
            arcToRelative(2.82f, 2.82f, 0.0f, false, true, -0.21f, -2.0f)
            curveToRelative(0.74f, -2.0f, 2.49f, -2.54f, 3.76f, -3.38f)
            curveToRelative(-1.27f, -0.85f, -2.54f, -2.86f, -4.0f, -1.43f)
            curveToRelative(-1.75f, 0.58f, -2.22f, 2.54f, -3.0f, 4.23f)
            curveToRelative(-1.0f, 2.28f, 0.27f, 4.55f, 1.0f, 6.83f)
            lineToRelative(-1.0f, 0.27f)
            arcToRelative(14.73f, 14.73f, 0.0f, false, true, -2.49f, -3.13f)
            arcToRelative(5.45f, 5.45f, 0.0f, false, false, -1.0f, -2.8f)
            curveToRelative(-2.23f, 1.37f, -5.0f, 1.69f, -7.47f, 2.27f)
            curveToRelative(-5.5f, 0.85f, -10.74f, -1.16f, -15.77f, -2.86f)
            curveToRelative(-7.52f, 0.0f, -11.75f, -2.0f, -17.26f, -4.55f)
            curveToRelative(-2.49f, -1.11f, -2.75f, 0.85f, -4.0f, 2.28f)
            curveToRelative(-4.23f, 4.23f, -8.52f, 11.33f, -14.29f, 13.6f)
            curveToRelative(-5.72f, 0.58f, -9.74f, 6.0f, -15.24f, 7.36f)
            lineToRelative(0.52f, 0.32f)
            arcTo(35.66f, 35.66f, 0.0f, false, false, 71.53f, 123.0f)
            curveToRelative(-2.81f, -1.43f, -6.0f, -2.28f, -8.52f, -4.5f)
            verticalLineToRelative(-0.32f)
            curveToRelative(3.0f, 0.85f, 5.71f, 2.54f, 9.0f, 3.12f)
            curveToRelative(7.52f, 0.0f, 14.24f, 2.86f, 20.0f, 8.21f)
            curveToRelative(3.23f, -7.0f, 5.51f, -15.0f, 11.49f, -20.65f)
            curveToRelative(2.75f, -2.85f, 4.0f, -4.28f, 6.72f, -4.55f)
            curveToRelative(-10.21f, 8.21f, -15.0f, 21.81f, -19.0f, 34.3f)
            curveToRelative(-1.0f, 4.24f, -2.54f, 9.05f, -1.0f, 13.61f)
            curveToRelative(0.47f, 2.27f, 2.22f, 3.65f, 4.23f, 4.5f)
            curveToRelative(2.75f, 1.16f, 5.51f, -1.12f, 8.26f, 0.31f)
            arcToRelative(12.45f, 12.45f, 0.0f, false, true, 3.23f, -7.35f)
            curveToRelative(-0.74f, 2.8f, -2.75f, 6.51f, -0.74f, 9.31f)
            arcToRelative(5.23f, 5.23f, 0.0f, false, false, 3.49f, 1.17f)
            lineToRelative(-0.26f, -1.43f)
            curveToRelative(1.27f, -5.67f, -1.0f, -12.18f, 1.0f, -17.84f)
            lineTo(108.0f, 139.41f)
            curveToRelative(2.49f, -0.58f, 4.76f, 0.58f, 6.78f, 1.69f)
            curveToRelative(-1.28f, 0.27f, -3.29f, -1.43f, -3.76f, 0.85f)
            curveToRelative(-1.0f, 4.55f, 1.21f, 8.79f, 2.75f, 12.49f)
            curveToRelative(2.0f, 2.23f, -0.53f, 5.67f, 1.48f, 7.63f)
            arcToRelative(17.0f, 17.0f, 0.0f, false, true, 5.51f, -0.27f)
            curveToRelative(0.26f, -0.58f, -0.53f, -1.43f, -0.74f, -2.0f)
            curveToRelative(-1.27f, -1.11f, -2.76f, -0.85f, -4.29f, -0.53f)
            arcToRelative(5.35f, 5.35f, 0.0f, false, false, 1.27f, -0.9f)
            arcToRelative(4.1f, 4.1f, 0.0f, false, true, 4.5f, 1.75f)
            curveToRelative(1.48f, -2.86f, -0.27f, -6.57f, 1.0f, -9.37f)
            curveToRelative(0.74f, -1.11f, 3.0f, -2.54f, 5.0f, -1.7f)
            arcToRelative(3.9f, 3.9f, 0.0f, false, true, 1.75f, 3.13f)
            lineToRelative(-2.0f, -1.7f)
            curveToRelative(-0.95f, -0.58f, -2.69f, -0.31f, -3.0f, 0.27f)
            curveToRelative(-1.0f, 0.84f, -0.53f, 2.8f, -0.26f, 4.23f)
            curveTo(125.0f, 158.94f, 121.0f, 162.33f, 123.72f, 166.3f)
            close()
            moveTo(150.51f, 166.88f)
            curveToRelative(0.0f, -1.43f, 0.21f, -3.38f, -0.53f, -4.55f)
            curveToRelative(-1.0f, -2.54f, -3.5f, -2.54f, -5.51f, -2.81f)
            curveToRelative(0.0f, 1.7f, 2.0f, 3.13f, 1.54f, 5.4f)
            lineToRelative(0.47f, 0.27f)
            curveTo(148.0f, 166.3f, 148.76f, 166.3f, 150.51f, 166.88f)
            close()
            moveTo(190.26f, 135.7f)
            curveToRelative(0.0f, 6.25f, -5.29f, 10.22f, -4.76f, 16.73f)
            curveToRelative(2.48f, -5.66f, 5.71f, -11.33f, 7.72f, -17.25f)
            arcToRelative(51.8f, 51.8f, 0.0f, false, false, 1.54f, -10.8f)
            arcTo(44.64f, 44.64f, 0.0f, false, true, 196.0f, 109.93f)
            curveToRelative(1.27f, -6.25f, 0.26f, -12.76f, -1.0f, -18.16f)
            curveToRelative(-1.48f, -7.09f, -3.23f, -13.87f, -8.47f, -19.0f)
            curveToRelative(-9.26f, -7.94f, -20.0f, -11.38f, -32.24f, -11.65f)
            curveToRelative(-4.28f, 0.0f, -8.0f, -2.27f, -12.0f, -3.65f)
            curveToRelative(-1.75f, -0.58f, -3.76f, -1.16f, -5.51f, 0.0f)
            curveToRelative(1.49f, 2.81f, 3.0f, 5.93f, 5.77f, 7.36f)
            curveToRelative(0.0f, -1.7f, -0.26f, -4.0f, 0.74f, -5.4f)
            lineToRelative(0.75f, 0.85f)
            arcToRelative(56.38f, 56.38f, 0.0f, false, true, 3.0f, 10.74f)
            curveToRelative(1.0f, 4.0f, 6.0f, 9.37f, 10.48f, 11.06f)
            lineToRelative(0.74f, 0.32f)
            lineToRelative(2.28f, 0.53f)
            curveToRelative(-4.76f, -2.54f, -8.79f, -9.0f, -10.74f, -14.13f)
            lineToRelative(0.95f, 0.84f)
            curveToRelative(6.0f, 6.52f, 13.0f, 11.0f, 18.79f, 17.84f)
            curveToRelative(4.5f, 5.4f, 5.72f, 13.61f, 4.0f, 21.0f)
            arcToRelative(72.0f, 72.0f, 0.0f, false, false, -4.0f, -14.14f)
            curveToRelative(-4.29f, -9.68f, -14.24f, -7.94f, -20.27f, -14.77f)
            lineToRelative(-0.27f, -0.26f)
            curveToRelative(-5.24f, -6.0f, -11.0f, -11.33f, -13.71f, -18.74f)
            lineTo(135.0f, 60.57f)
            curveToRelative(-0.37f, 0.48f, -0.64f, 1.06f, -0.74f, 1.16f)
            lineTo(127.0f, 71.65f)
            curveToRelative(-5.5f, 7.1f, -12.75f, 11.07f, -20.27f, 14.19f)
            curveTo(99.0f, 89.0f, 90.27f, 89.0f, 81.74f, 88.12f)
            curveToRelative(-0.26f, 0.26f, 0.0f, 0.84f, 0.27f, 0.84f)
            arcToRelative(102.42f, 102.42f, 0.0f, false, false, 12.76f, 3.66f)
            curveTo(103.24f, 94.0f, 111.0f, 91.5f, 118.0f, 87.27f)
            curveToRelative(6.52f, -4.0f, 11.49f, -11.91f, 15.51f, -18.74f)
            arcToRelative(39.42f, 39.42f, 0.0f, false, false, 0.75f, 6.0f)
            curveToRelative(0.74f, 5.67f, 7.46f, 7.94f, 8.0f, 13.87f)
            curveToRelative(-1.27f, -0.58f, -2.49f, -0.85f, -3.76f, -1.43f)
            curveToRelative(-2.49f, -0.85f, -4.76f, -3.12f, -6.51f, -5.34f)
            lineToRelative(-0.21f, 0.26f)
            curveToRelative(1.48f, 4.0f, 4.71f, 7.36f, 7.73f, 10.75f)
            curveToRelative(-3.76f, -0.85f, -7.0f, -3.39f, -10.27f, -5.67f)
            curveToRelative(3.0f, 4.29f, 6.77f, 9.11f, 11.27f, 10.48f)
            curveToRelative(1.0f, 0.58f, 2.49f, 0.58f, 3.5f, 1.17f)
            curveToRelative(0.0f, 3.39f, -0.27f, 7.09f, 1.0f, 9.63f)
            arcToRelative(12.88f, 12.88f, 0.0f, false, true, -3.49f, -0.58f)
            curveToRelative(-7.0f, -1.11f, -13.0f, 3.12f, -19.54f, 2.86f)
            lineToRelative(0.8f, 0.53f)
            curveToRelative(2.49f, 2.27f, 8.73f, -1.7f, 12.49f, -1.11f)
            curveToRelative(5.24f, -0.59f, 9.0f, 3.38f, 14.0f, 4.23f)
            curveToRelative(2.27f, 2.86f, 5.5f, 4.0f, 8.52f, 4.55f)
            curveToRelative(-1.75f, -3.7f, -2.0f, -7.94f, -3.0f, -11.91f)
            curveToRelative(-0.48f, -1.69f, -1.27f, -3.39f, -1.27f, -4.81f)
            arcToRelative(68.05f, 68.05f, 0.0f, false, false, 3.28f, 6.0f)
            curveToRelative(2.23f, 2.8f, 1.48f, 7.0f, 3.0f, 10.16f)
            curveToRelative(1.22f, 3.39f, 4.0f, 7.68f, 7.73f, 7.41f)
            curveToRelative(-2.0f, -6.25f, -3.0f, -15.0f, 0.26f, -20.7f)
            lineToRelative(0.21f, 0.27f)
            curveToRelative(-0.47f, 5.93f, -0.47f, 12.76f, 1.28f, 18.42f)
            curveToRelative(1.0f, 3.39f, 3.75f, 5.93f, 5.0f, 9.37f)
            arcToRelative(69.74f, 69.74f, 0.0f, false, false, 0.79f, -7.36f)
            curveToRelative(-1.0f, -6.83f, 1.75f, -12.23f, 2.23f, -18.47f)
            arcToRelative(17.23f, 17.23f, 0.0f, false, true, 1.27f, 10.21f)
            curveToRelative(-0.74f, 5.67f, -1.54f, 12.5f, 0.74f, 18.16f)
            curveToRelative(-1.27f, -7.09f, 0.74f, -13.6f, 1.75f, -20.12f)
            curveToRelative(1.74f, -8.78f, -0.27f, -17.89f, -2.76f, -25.51f)
            arcToRelative(27.9f, 27.9f, 0.0f, false, true, 8.0f, 17.84f)
            curveToRelative(0.74f, 7.94f, -4.5f, 13.34f, -4.5f, 21.0f)
            curveToRelative(0.74f, 6.0f, 2.49f, 12.23f, 0.74f, 18.16f)
            arcToRelative(33.37f, 33.37f, 0.0f, false, false, 4.23f, -13.61f)
            curveToRelative(0.53f, -6.24f, -0.21f, -13.0f, 2.81f, -18.15f)
            arcTo(30.4f, 30.4f, 0.0f, false, false, 183.22f, 87.0f)
            curveToRelative(-7.25f, -8.47f, -17.47f, -8.2f, -25.73f, -14.13f)
            arcToRelative(175.76f, 175.76f, 0.0f, false, true, 17.74f, 3.65f)
            curveToRelative(5.29f, 2.28f, 9.52f, 8.52f, 12.75f, 13.6f)
            curveToRelative(3.5f, 5.4f, 5.0f, 11.07f, 5.24f, 17.9f)
            arcToRelative(119.28f, 119.28f, 0.0f, false, true, -2.48f, 14.13f)
            curveTo(191.21f, 126.65f, 191.48f, 131.47f, 190.26f, 135.7f)
            close()
            moveTo(58.26f, 134.86f)
            curveToRelative(4.5f, 0.84f, 9.26f, -0.85f, 13.29f, -3.71f)
            curveToRelative(0.47f, -0.53f, 1.48f, -1.11f, 1.48f, -2.0f)
            arcToRelative(1.43f, 1.43f, 0.0f, false, true, -1.0f, 0.27f)
            arcToRelative(21.92f, 21.92f, 0.0f, false, true, -15.24f, -0.53f)
            lineToRelative(-16.52f, -7.41f)
            curveToRelative(0.48f, 0.9f, 0.48f, 0.58f, 1.0f, 1.16f)
            horizontalLineToRelative(0.26f)
            curveToRelative(7.0f, 5.08f, 14.72f, 8.47f, 23.51f, 9.0f)
            curveToRelative(-1.27f, 0.59f, -3.0f, 0.59f, -4.5f, 0.85f)
            curveToRelative(-5.51f, 0.85f, -10.27f, -1.43f, -15.25f, -2.0f)
            arcTo(39.35f, 39.35f, 0.0f, false, false, 58.24f, 134.86f)
            close()
            moveTo(30.5f, 117.0f)
            curveToRelative(2.0f, 0.58f, 2.49f, 0.58f, 5.0f, -0.58f)
            lineToRelative(4.29f, -2.81f)
            curveToRelative(8.47f, -5.4f, 17.25f, -14.77f, 19.95f, -25.25f)
            arcToRelative(30.0f, 30.0f, 0.0f, false, false, -9.21f, 9.05f)
            curveToRelative(-6.0f, 5.67f, -12.0f, 15.62f, -17.52f, 18.42f)
            close()
            moveTo(15.73f, 115.57f)
            arcToRelative(17.0f, 17.0f, 0.0f, false, false, 20.0f, -5.08f)
            lineTo(50.51f, 92.35f)
            arcToRelative(30.87f, 30.87f, 0.0f, false, true, 13.0f, -9.63f)
            curveToRelative(2.28f, -2.0f, 3.28f, -4.82f, 5.51f, -6.83f)
            lineToRelative(-2.0f, -0.27f)
            curveToRelative(-6.73f, 0.27f, -12.5f, 3.71f, -17.47f, 8.79f)
            curveToRelative(-2.0f, 2.0f, -3.28f, 5.08f, -5.24f, 7.09f)
            curveToRelative(0.1f, -0.31f, 0.16f, -0.63f, 0.26f, -0.9f)
            arcToRelative(23.65f, 23.65f, 0.0f, false, true, 3.0f, -6.77f)
            curveToRelative(4.23f, -9.0f, 17.52f, -15.0f, 20.0f, -15.56f)
            curveToRelative(3.76f, -1.12f, 7.73f, -0.85f, 11.76f, -0.85f)
            curveToRelative(1.48f, -0.85f, 3.23f, -1.43f, 4.71f, -2.28f)
            lineToRelative(-0.48f, -0.58f)
            curveToRelative(-7.25f, -1.11f, -15.51f, -4.0f, -22.0f, 0.0f)
            curveTo(53.53f, 69.38f, 47.0f, 79.33f, 44.27f, 88.7f)
            lineTo(44.0f, 90.45f)
            curveToRelative(-2.0f, 8.46f, -8.1f, 15.29f, -14.45f, 20.9f)
            curveToRelative(-6.25f, 3.66f, -14.77f, 2.0f, -20.22f, -1.42f)
            arcTo(10.91f, 10.91f, 0.0f, false, false, 15.73f, 115.59f)
            close()
            moveTo(18.49f, 110.17f)
            curveToRelative(4.0f, 0.85f, 8.78f, 0.32f, 11.48f, -3.39f)
            curveToRelative(-4.0f, -0.26f, -9.21f, -2.54f, -10.48f, -5.93f)
            arcToRelative(13.41f, 13.41f, 0.0f, false, true, 1.0f, -8.25f)
            curveToRelative(1.75f, -5.09f, 6.25f, -7.0f, 10.48f, -7.63f)
            curveToRelative(-3.49f, -2.0f, -8.47f, -1.43f, -11.75f, 0.0f)
            curveToRelative(0.53f, -1.43f, 1.75f, -2.54f, 2.54f, -3.7f)
            arcToRelative(30.5f, 30.5f, 0.0f, false, true, 5.0f, -3.65f)
            curveToRelative(-4.5f, 0.52f, -12.0f, -0.85f, -16.26f, 6.51f)
            lineTo(9.0f, 86.42f)
            curveToRelative(-2.75f, 4.82f, -4.5f, 14.72f, -0.26f, 18.42f)
            arcTo(33.09f, 33.09f, 0.0f, false, false, 18.49f, 110.19f)
            close()
            moveTo(48.0f, 109.08f)
            arcToRelative(22.5f, 22.5f, 0.0f, false, false, 7.0f, -5.67f)
            curveToRelative(8.26f, -8.78f, 16.25f, -20.69f, 25.73f, -27.79f)
            curveToRelative(2.49f, -1.69f, 5.24f, -3.38f, 7.78f, -4.0f)
            curveToRelative(-1.75f, 2.0f, -4.0f, 3.13f, -6.0f, 5.14f)
            curveTo(74.23f, 84.41f, 70.0f, 95.21f, 61.0f, 101.72f)
            arcTo(19.75f, 19.75f, 0.0f, false, false, 71.74f, 94.0f)
            curveToRelative(4.0f, -5.66f, 7.0f, -12.43f, 12.49f, -17.0f)
            curveToRelative(6.25f, -3.7f, 12.49f, -6.83f, 19.53f, -8.52f)
            arcToRelative(32.27f, 32.27f, 0.0f, false, false, -29.27f, 6.83f)
            curveTo(63.27f, 84.68f, 58.77f, 98.86f, 48.0f, 109.08f)
            close()
            moveTo(25.24f, 102.25f)
            curveToRelative(2.23f, 2.28f, 5.51f, 1.43f, 8.47f, 1.16f)
            arcToRelative(9.67f, 9.67f, 0.0f, false, false, 5.0f, -4.23f)
            curveToRelative(-2.75f, 0.26f, -6.0f, 0.53f, -8.52f, -1.43f)
            curveTo(29.0f, 97.17f, 28.76f, 95.47f, 28.76f, 94.0f)
            curveToRelative(0.47f, -2.54f, 3.0f, -4.23f, 4.5f, -5.66f)
            verticalLineToRelative(-0.26f)
            curveToRelative(-4.0f, 0.0f, -7.79f, 2.54f, -10.0f, 6.77f)
            arcTo(7.1f, 7.1f, 0.0f, false, false, 25.26f, 102.25f)
            close()
            moveTo(103.24f, 96.06f)
            curveToRelative(3.49f, 0.84f, 9.79f, 1.11f, 13.28f, -0.59f)
            lineToRelative(2.7f, -1.69f)
            arcToRelative(13.81f, 13.81f, 0.0f, false, false, 8.52f, -12.17f)
            curveToRelative(-2.48f, 2.22f, -5.0f, 5.08f, -7.72f, 7.35f)
            curveToRelative(-3.0f, 2.81f, -7.0f, 3.66f, -10.75f, 5.4f)
            curveTo(107.26f, 95.21f, 105.0f, 94.89f, 103.24f, 96.06f)
            close()
            moveTo(91.24f, 86.69f)
            lineTo(102.46f, 83.3f)
            curveToRelative(10.27f, -3.12f, 21.0f, -12.23f, 25.73f, -23.56f)
            curveToRelative(-3.0f, 1.17f, -5.45f, 3.44f, -8.2f, 5.4f)
            curveToRelative(-3.0f, 2.54f, -5.77f, 7.1f, -9.27f, 9.0f)
            curveToRelative(3.0f, -4.81f, 7.52f, -9.63f, 10.75f, -13.28f)
            curveToRelative(-7.25f, 4.0f, -13.0f, 11.06f, -19.48f, 17.0f)
            curveToRelative(-2.54f, -1.43f, -5.77f, -0.85f, -8.52f, -0.85f)
            lineToRelative(7.25f, 2.54f)
            curveToRelative(-0.74f, 0.85f, -1.0f, 2.0f, -1.75f, 2.0f)
            curveToRelative(-3.49f, -1.17f, -7.73f, -2.28f, -11.49f, -1.43f)
            curveTo(90.74f, 81.29f, 94.0f, 81.87f, 97.0f, 83.0f)
            arcToRelative(2.92f, 2.92f, 0.0f, false, true, -1.22f, 1.17f)
            horizontalLineToRelative(-6.3f)
            curveToRelative(-1.74f, 0.26f, -3.7f, -0.32f, -5.24f, -0.32f)
            curveTo(86.0f, 86.1f, 88.73f, 86.42f, 91.27f, 86.69f)
            close()
            moveTo(33.52f, 72.24f)
            lineToRelative(0.21f, -0.27f)
            curveToRelative(7.25f, -5.13f, 14.0f, -10.53f, 22.0f, -12.76f)
            curveToRelative(-5.24f, 5.09f, -11.0f, 10.48f, -15.24f, 16.68f)
            curveToRelative(3.76f, -3.07f, 7.25f, -6.78f, 11.0f, -10.17f)
            curveToRelative(3.76f, -3.7f, 7.73f, -7.35f, 12.7f, -8.52f)
            arcTo(41.68f, 41.68f, 0.0f, false, false, 70.0f, 56.09f)
            curveToRelative(-1.27f, -0.85f, -2.22f, -2.28f, -3.23f, -2.86f)
            curveToRelative(-10.53f, 1.7f, -20.0f, 6.51f, -28.53f, 12.76f)
            curveTo(36.49f, 67.68f, 33.73f, 69.69f, 33.52f, 72.24f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(126.47f, 167.73f)
            curveToRelative(-1.48f, 1.16f, -2.0f, -0.85f, -2.75f, -1.43f)
            curveToRelative(-2.7f, -4.0f, 1.27f, -7.36f, 0.27f, -11.33f)
            curveToRelative(-0.27f, -1.43f, -0.75f, -3.39f, 0.26f, -4.23f)
            curveToRelative(0.27f, -0.58f, 2.0f, -0.85f, 3.0f, -0.27f)
            lineToRelative(2.0f, 1.7f)
            arcToRelative(3.9f, 3.9f, 0.0f, false, false, -1.75f, -3.13f)
            curveToRelative(-2.0f, -0.84f, -4.24f, 0.59f, -5.0f, 1.7f)
            curveToRelative(-1.27f, 2.8f, 0.48f, 6.51f, -1.0f, 9.37f)
            arcToRelative(4.1f, 4.1f, 0.0f, false, false, -4.5f, -1.75f)
            arcToRelative(5.35f, 5.35f, 0.0f, false, true, -1.27f, 0.9f)
            curveToRelative(1.53f, -0.32f, 3.0f, -0.58f, 4.29f, 0.53f)
            curveToRelative(0.21f, 0.58f, 1.0f, 1.43f, 0.74f, 2.0f)
            arcToRelative(17.0f, 17.0f, 0.0f, false, false, -5.51f, 0.27f)
            curveToRelative(-2.0f, -2.0f, 0.48f, -5.4f, -1.48f, -7.63f)
            curveToRelative(-1.54f, -3.7f, -3.76f, -7.94f, -2.75f, -12.49f)
            curveToRelative(0.47f, -2.28f, 2.48f, -0.58f, 3.76f, -0.85f)
            curveToRelative(-2.0f, -1.11f, -4.29f, -2.27f, -6.78f, -1.69f)
            lineToRelative(1.48f, 1.43f)
            curveToRelative(-2.0f, 5.66f, 0.27f, 12.17f, -1.0f, 17.84f)
            lineToRelative(0.26f, 1.43f)
            arcToRelative(5.23f, 5.23f, 0.0f, false, true, -3.49f, -1.17f)
            curveToRelative(-2.0f, -2.8f, 0.0f, -6.51f, 0.74f, -9.31f)
            arcToRelative(12.45f, 12.45f, 0.0f, false, false, -3.23f, 7.35f)
            curveToRelative(-2.75f, -1.43f, -5.51f, 0.85f, -8.26f, -0.31f)
            curveToRelative(-2.0f, -0.85f, -3.76f, -2.23f, -4.23f, -4.5f)
            curveToRelative(-1.54f, -4.56f, 0.0f, -9.37f, 1.0f, -13.61f)
            curveToRelative(4.0f, -12.49f, 8.74f, -26.09f, 19.0f, -34.3f)
            curveToRelative(-2.75f, 0.27f, -4.0f, 1.7f, -6.72f, 4.55f)
            curveToRelative(-6.0f, 5.67f, -8.26f, 13.61f, -11.49f, 20.65f)
            curveToRelative(-5.77f, -5.35f, -12.49f, -8.21f, -20.0f, -8.21f)
            curveToRelative(-3.28f, -0.58f, -6.0f, -2.27f, -9.0f, -3.12f)
            verticalLineToRelative(0.32f)
            curveToRelative(2.48f, 2.22f, 5.71f, 3.07f, 8.52f, 4.5f)
            arcToRelative(35.66f, 35.66f, 0.0f, false, true, -24.78f, -8.47f)
            lineToRelative(-0.52f, -0.32f)
            curveToRelative(5.5f, -1.38f, 9.52f, -6.78f, 15.24f, -7.36f)
            curveToRelative(5.77f, -2.27f, 10.06f, -9.37f, 14.29f, -13.6f)
            curveToRelative(1.22f, -1.43f, 1.48f, -3.39f, 4.0f, -2.28f)
            curveToRelative(5.51f, 2.54f, 9.74f, 4.55f, 17.26f, 4.55f)
            curveToRelative(5.0f, 1.7f, 10.27f, 3.71f, 15.77f, 2.86f)
            curveToRelative(2.49f, -0.58f, 5.24f, -0.9f, 7.47f, -2.27f)
            arcToRelative(5.45f, 5.45f, 0.0f, false, true, 1.0f, 2.8f)
            arcToRelative(14.73f, 14.73f, 0.0f, false, false, 2.49f, 3.13f)
            lineToRelative(1.0f, -0.27f)
            curveToRelative(-0.74f, -2.28f, -2.0f, -4.55f, -1.0f, -6.83f)
            curveToRelative(0.8f, -1.69f, 1.27f, -3.65f, 3.0f, -4.23f)
            curveToRelative(1.48f, -1.43f, 2.75f, 0.58f, 4.0f, 1.43f)
            curveToRelative(-1.27f, 0.84f, -3.0f, 1.37f, -3.76f, 3.38f)
            arcToRelative(2.82f, 2.82f, 0.0f, false, false, 0.21f, 2.0f)
            curveToRelative(1.0f, 0.9f, 2.55f, -0.53f, 3.55f, -1.37f)
            curveToRelative(3.76f, 0.26f, 6.72f, 2.27f, 9.74f, 4.0f)
            arcToRelative(13.06f, 13.06f, 0.0f, false, false, 0.0f, 4.5f)
            curveToRelative(-4.0f, 0.31f, -7.78f, 2.85f, -11.49f, 4.0f)
            curveToRelative(-3.28f, 0.31f, -7.0f, 2.0f, -11.0f, 0.0f)
            lineToRelative(0.48f, 0.84f)
            curveToRelative(2.28f, 4.29f, 5.0f, 4.82f, 8.0f, 4.0f)
            lineToRelative(6.78f, -2.0f)
            lineToRelative(6.72f, 0.53f)
            curveToRelative(1.75f, 1.43f, 3.28f, 4.0f, 5.3f, 4.82f)
            curveToRelative(1.95f, 0.58f, 3.22f, 2.59f, 5.0f, 3.71f)
            curveToRelative(1.48f, 0.26f, 3.0f, -0.27f, 4.24f, 0.26f)
            curveToRelative(3.0f, 4.0f, 7.0f, 4.55f, 10.74f, 7.09f)
            curveToRelative(2.54f, 4.56f, 8.05f, 4.0f, 9.53f, 9.37f)
            curveToRelative(1.0f, 3.39f, 1.48f, 7.36f, 3.49f, 10.48f)
            curveToRelative(0.0f, 2.86f, 0.27f, 5.4f, 0.0f, 8.53f)
            curveToRelative(-0.26f, 0.84f, 0.27f, 2.22f, -0.47f, 3.12f)
            curveToRelative(-2.28f, 2.0f, -4.5f, 4.82f, -7.52f, 5.08f)
            curveToRelative(-4.23f, 1.11f, -9.26f, 0.0f, -14.0f, 0.27f)
            lineToRelative(-3.0f, 1.43f)
            curveToRelative(-0.53f, -2.86f, -1.0f, -5.67f, -3.49f, -7.1f)
            arcToRelative(13.14f, 13.14f, 0.0f, false, false, -10.75f, 0.85f)
            curveTo(135.0f, 162.65f, 130.23f, 164.34f, 126.47f, 167.73f)
            close()
            moveTo(151.0f, 155.82f)
            lineToRelative(0.53f, -0.27f)
            curveToRelative(1.22f, -2.0f, 2.23f, -3.7f, 2.0f, -6.24f)
            arcToRelative(54.12f, 54.12f, 0.0f, false, false, -2.0f, -12.76f)
            curveToRelative(-1.53f, -4.5f, -3.28f, -9.32f, -7.25f, -12.17f)
            horizontalLineToRelative(-0.53f)
            curveToRelative(1.54f, 3.38f, 3.28f, 6.51f, 4.5f, 9.63f)
            curveToRelative(2.75f, 6.25f, 2.49f, 13.0f, 1.54f, 19.85f)
            lineToRelative(-0.27f, 0.58f)
            arcTo(31.81f, 31.81f, 0.0f, false, false, 139.0f, 155.0f)
            arcTo(42.91f, 42.91f, 0.0f, false, true, 151.0f, 155.82f)
            close()
            moveTo(141.0f, 149.31f)
            lineTo(142.53f, 147.88f)
            horizontalLineToRelative(1.0f)
            curveToRelative(0.48f, -1.11f, 1.48f, -2.54f, 0.48f, -3.65f)
            curveToRelative(-0.48f, -0.59f, -0.27f, -0.85f, -0.27f, -1.7f)
            arcToRelative(18.92f, 18.92f, 0.0f, false, false, -4.0f, -12.17f)
            lineToRelative(-0.53f, 0.53f)
            curveToRelative(1.75f, 2.86f, 3.28f, 5.66f, 3.28f, 9.1f)
            curveToRelative(-1.27f, -0.58f, -2.27f, 0.85f, -3.49f, 0.85f)
            curveToRelative(0.0f, -2.28f, 0.74f, -5.4f, -0.53f, -7.09f)
            arcToRelative(23.11f, 23.11f, 0.0f, false, false, -0.74f, 4.5f)
            curveToRelative(-0.48f, 2.85f, 0.0f, 6.24f, -0.48f, 8.78f)
            curveToRelative(1.17f, 0.32f, 2.81f, 1.11f, 4.08f, 0.37f)
            curveToRelative(0.0f, 0.0f, -0.11f, 0.11f, -0.11f, 0.21f)
            arcTo(2.21f, 2.21f, 0.0f, false, false, 141.0f, 149.31f)
            close()
            moveTo(145.0f, 144.23f)
            curveToRelative(0.27f, 0.58f, -0.26f, 2.0f, 0.74f, 1.69f)
            curveToRelative(0.48f, -5.66f, -0.26f, -11.33f, -2.75f, -15.56f)
            curveTo(143.73f, 134.86f, 145.48f, 139.09f, 145.0f, 144.23f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(151.51f, 155.55f)
            lineToRelative(-0.53f, 0.27f)
            arcToRelative(42.91f, 42.91f, 0.0f, false, false, -12.0f, -0.85f)
            arcToRelative(31.81f, 31.81f, 0.0f, false, true, 10.48f, -0.53f)
            lineToRelative(0.27f, -0.58f)
            curveToRelative(0.95f, -6.83f, 1.21f, -13.6f, -1.54f, -19.85f)
            curveToRelative(-1.22f, -3.12f, -3.0f, -6.25f, -4.5f, -9.63f)
            horizontalLineToRelative(0.53f)
            curveToRelative(4.0f, 2.85f, 5.72f, 7.67f, 7.25f, 12.17f)
            arcToRelative(54.12f, 54.12f, 0.0f, false, true, 2.0f, 12.76f)
            curveTo(153.74f, 151.85f, 152.73f, 153.54f, 151.51f, 155.55f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(185.5f, 152.43f)
            curveToRelative(-0.53f, -6.51f, 4.76f, -10.48f, 4.76f, -16.73f)
            curveToRelative(1.22f, -4.23f, 1.0f, -9.0f, 0.48f, -13.6f)
            arcTo(119.28f, 119.28f, 0.0f, false, false, 193.22f, 108.0f)
            curveToRelative(-0.21f, -6.83f, -1.74f, -12.5f, -5.24f, -17.9f)
            curveToRelative(-3.23f, -5.08f, -7.46f, -11.32f, -12.75f, -13.6f)
            arcToRelative(175.76f, 175.76f, 0.0f, false, false, -17.74f, -3.65f)
            curveTo(165.75f, 78.75f, 176.0f, 78.48f, 183.22f, 87.0f)
            arcToRelative(30.4f, 30.4f, 0.0f, false, true, 6.3f, 28.06f)
            curveToRelative(-3.0f, 5.13f, -2.28f, 11.91f, -2.81f, 18.15f)
            arcToRelative(33.37f, 33.37f, 0.0f, false, true, -4.23f, 13.61f)
            curveToRelative(1.75f, -5.93f, 0.0f, -12.18f, -0.74f, -18.16f)
            curveToRelative(0.0f, -7.62f, 5.24f, -13.0f, 4.5f, -21.0f)
            arcToRelative(27.9f, 27.9f, 0.0f, false, false, -8.0f, -17.84f)
            curveToRelative(2.49f, 7.62f, 4.5f, 16.73f, 2.76f, 25.51f)
            curveToRelative(-1.0f, 6.52f, -3.0f, 13.0f, -1.75f, 20.12f)
            curveToRelative(-2.28f, -5.66f, -1.48f, -12.49f, -0.74f, -18.16f)
            arcToRelative(17.23f, 17.23f, 0.0f, false, false, -1.27f, -10.21f)
            curveToRelative(-0.48f, 6.24f, -3.23f, 11.64f, -2.23f, 18.47f)
            arcToRelative(69.74f, 69.74f, 0.0f, false, true, -0.79f, 7.36f)
            curveToRelative(-1.22f, -3.44f, -4.0f, -6.0f, -5.0f, -9.37f)
            curveToRelative(-1.75f, -5.66f, -1.75f, -12.49f, -1.28f, -18.42f)
            lineToRelative(-0.21f, -0.27f)
            curveToRelative(-3.28f, 5.67f, -2.27f, 14.45f, -0.26f, 20.7f)
            curveToRelative(-3.76f, 0.27f, -6.51f, -4.0f, -7.73f, -7.41f)
            curveToRelative(-1.54f, -3.12f, -0.79f, -7.36f, -3.0f, -10.16f)
            arcToRelative(68.05f, 68.05f, 0.0f, false, true, -3.28f, -6.0f)
            curveToRelative(0.0f, 1.42f, 0.79f, 3.12f, 1.27f, 4.81f)
            curveToRelative(1.0f, 4.0f, 1.27f, 8.21f, 3.0f, 11.91f)
            curveToRelative(-3.0f, -0.58f, -6.25f, -1.69f, -8.52f, -4.55f)
            curveToRelative(-5.0f, -0.85f, -8.74f, -4.82f, -14.0f, -4.23f)
            curveToRelative(-3.76f, -0.59f, -10.0f, 3.38f, -12.49f, 1.11f)
            lineToRelative(-0.8f, -0.53f)
            curveToRelative(6.52f, 0.26f, 12.55f, -4.0f, 19.54f, -2.86f)
            arcToRelative(12.88f, 12.88f, 0.0f, false, false, 3.49f, 0.58f)
            curveToRelative(-1.27f, -2.54f, -1.0f, -6.24f, -1.0f, -9.63f)
            curveToRelative(-1.0f, -0.59f, -2.49f, -0.59f, -3.5f, -1.17f)
            curveToRelative(-4.5f, -1.37f, -8.26f, -6.19f, -11.27f, -10.48f)
            curveToRelative(3.28f, 2.28f, 6.51f, 4.82f, 10.27f, 5.67f)
            curveToRelative(-3.0f, -3.39f, -6.25f, -6.78f, -7.73f, -10.75f)
            lineToRelative(0.21f, -0.26f)
            curveToRelative(1.75f, 2.22f, 4.0f, 4.49f, 6.51f, 5.34f)
            curveToRelative(1.27f, 0.58f, 2.49f, 0.85f, 3.76f, 1.43f)
            curveToRelative(-0.53f, -5.93f, -7.25f, -8.2f, -8.0f, -13.87f)
            arcToRelative(39.42f, 39.42f, 0.0f, false, true, -0.75f, -6.0f)
            curveToRelative(-4.0f, 6.83f, -9.0f, 14.77f, -15.51f, 18.74f)
            curveToRelative(-7.0f, 4.23f, -14.76f, 6.77f, -23.23f, 5.35f)
            arcTo(102.42f, 102.42f, 0.0f, false, true, 82.0f, 89.0f)
            curveToRelative(-0.27f, 0.0f, -0.53f, -0.58f, -0.27f, -0.84f)
            curveToRelative(8.53f, 0.84f, 17.26f, 0.84f, 25.0f, -2.28f)
            curveToRelative(7.52f, -3.12f, 14.77f, -7.09f, 20.27f, -14.19f)
            lineToRelative(7.26f, -9.9f)
            curveToRelative(0.1f, -0.1f, 0.37f, -0.68f, 0.74f, -1.16f)
            horizontalLineToRelative(0.26f)
            curveTo(138.0f, 68.0f, 143.73f, 73.35f, 149.0f, 79.33f)
            lineToRelative(0.27f, 0.26f)
            curveToRelative(6.0f, 6.83f, 16.0f, 5.09f, 20.27f, 14.77f)
            arcToRelative(72.0f, 72.0f, 0.0f, false, true, 4.0f, 14.14f)
            curveToRelative(1.75f, -7.36f, 0.53f, -15.57f, -4.0f, -21.0f)
            curveToRelative(-5.77f, -6.82f, -12.76f, -11.32f, -18.79f, -17.84f)
            lineToRelative(-0.95f, -0.84f)
            curveToRelative(1.95f, 5.08f, 6.0f, 11.59f, 10.74f, 14.13f)
            lineToRelative(-2.28f, -0.53f)
            lineToRelative(-0.74f, -0.32f)
            curveTo(153.0f, 80.44f, 148.0f, 75.0f, 147.0f, 71.07f)
            arcToRelative(56.38f, 56.38f, 0.0f, false, false, -3.0f, -10.74f)
            lineToRelative(-0.75f, -0.85f)
            curveToRelative(-1.0f, 1.43f, -0.74f, 3.7f, -0.74f, 5.4f)
            curveToRelative(-2.75f, -1.43f, -4.28f, -4.55f, -5.77f, -7.36f)
            curveToRelative(1.75f, -1.16f, 3.76f, -0.58f, 5.51f, 0.0f)
            curveToRelative(4.0f, 1.38f, 7.73f, 3.65f, 12.0f, 3.65f)
            curveToRelative(12.23f, 0.27f, 23.0f, 3.71f, 32.24f, 11.65f)
            curveToRelative(5.24f, 5.08f, 7.0f, 11.86f, 8.47f, 19.0f)
            curveToRelative(1.27f, 5.4f, 2.28f, 11.91f, 1.0f, 18.16f)
            arcToRelative(44.64f, 44.64f, 0.0f, false, false, -1.22f, 14.45f)
            arcToRelative(51.8f, 51.8f, 0.0f, false, true, -1.54f, 10.8f)
            curveTo(191.21f, 141.1f, 188.0f, 146.77f, 185.5f, 152.43f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(141.35f, 147.4f)
            curveToRelative(-1.27f, 0.74f, -2.91f, -0.05f, -4.08f, -0.37f)
            curveToRelative(0.48f, -2.54f, 0.0f, -5.93f, 0.48f, -8.78f)
            arcToRelative(23.11f, 23.11f, 0.0f, false, true, 0.74f, -4.5f)
            curveToRelative(1.27f, 1.69f, 0.53f, 4.81f, 0.53f, 7.09f)
            curveToRelative(1.22f, 0.0f, 2.22f, -1.43f, 3.49f, -0.85f)
            curveToRelative(0.0f, -3.44f, -1.53f, -6.24f, -3.28f, -9.1f)
            lineToRelative(0.53f, -0.53f)
            arcToRelative(18.92f, 18.92f, 0.0f, false, true, 4.0f, 12.17f)
            curveToRelative(0.0f, 0.85f, -0.21f, 1.11f, 0.27f, 1.7f)
            curveToRelative(1.0f, 1.11f, 0.0f, 2.54f, -0.48f, 3.65f)
            horizontalLineToRelative(-1.0f)
            lineTo(141.0f, 149.31f)
            arcToRelative(2.21f, 2.21f, 0.0f, false, true, 0.26f, -1.7f)
            curveTo(141.24f, 147.51f, 141.3f, 147.4f, 141.35f, 147.4f)
            close()
            moveTo(140.24f, 146.19f)
            arcToRelative(2.15f, 2.15f, 0.0f, false, false, 2.0f, -0.85f)
            curveToRelative(-0.74f, 0.58f, -1.75f, 0.0f, -2.75f, -0.27f)
            curveTo(139.76f, 145.66f, 139.76f, 145.92f, 140.24f, 146.19f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(145.74f, 145.92f)
            curveToRelative(-1.0f, 0.27f, -0.47f, -1.11f, -0.74f, -1.69f)
            curveToRelative(0.48f, -5.14f, -1.27f, -9.37f, -2.0f, -13.87f)
            curveTo(145.48f, 134.59f, 146.22f, 140.26f, 145.74f, 145.92f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(71.53f, 131.15f)
            curveToRelative(-4.0f, 2.86f, -8.79f, 4.55f, -13.29f, 3.71f)
            arcToRelative(39.35f, 39.35f, 0.0f, false, true, -13.0f, -4.24f)
            curveToRelative(5.0f, 0.53f, 9.74f, 2.81f, 15.25f, 2.0f)
            curveToRelative(1.48f, -0.26f, 3.23f, -0.26f, 4.5f, -0.85f)
            curveToRelative(-8.79f, -0.58f, -16.52f, -4.0f, -23.51f, -9.0f)
            horizontalLineToRelative(-0.26f)
            curveToRelative(-0.53f, -0.58f, -0.53f, -0.26f, -1.0f, -1.16f)
            lineToRelative(16.52f, 7.41f)
            arcToRelative(21.92f, 21.92f, 0.0f, false, false, 15.24f, 0.53f)
            arcToRelative(1.43f, 1.43f, 0.0f, false, false, 1.0f, -0.27f)
            curveTo(73.0f, 130.0f, 72.0f, 130.62f, 71.53f, 131.15f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(55.0f, 103.41f)
            arcToRelative(22.5f, 22.5f, 0.0f, false, true, -7.0f, 5.67f)
            curveToRelative(10.75f, -10.22f, 15.25f, -24.4f, 26.47f, -33.72f)
            arcToRelative(32.27f, 32.27f, 0.0f, false, true, 29.27f, -6.83f)
            curveToRelative(-7.0f, 1.69f, -13.28f, 4.82f, -19.53f, 8.52f)
            curveToRelative(-5.5f, 4.56f, -8.47f, 11.33f, -12.49f, 17.0f)
            arcTo(19.75f, 19.75f, 0.0f, false, true, 61.0f, 101.72f)
            curveToRelative(9.0f, -6.51f, 13.24f, -17.31f, 21.5f, -24.93f)
            curveToRelative(2.0f, -2.0f, 4.28f, -3.12f, 6.0f, -5.14f)
            curveToRelative(-2.54f, 0.59f, -5.29f, 2.28f, -7.78f, 4.0f)
            curveTo(71.26f, 82.72f, 63.27f, 94.63f, 55.0f, 103.41f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(44.53f, 90.6f)
            lineTo(44.0f, 90.45f)
            lineToRelative(0.32f, -1.75f)
            curveToRelative(2.75f, -9.37f, 9.26f, -19.32f, 17.2f, -24.14f)
            curveToRelative(6.51f, -4.0f, 14.77f, -1.11f, 22.0f, 0.0f)
            lineToRelative(0.48f, 0.58f)
            curveToRelative(-1.48f, 0.85f, -3.23f, 1.43f, -4.71f, 2.28f)
            curveToRelative(-4.0f, 0.0f, -8.0f, -0.27f, -11.76f, 0.85f)
            curveToRelative(-2.48f, 0.58f, -15.77f, 6.51f, -20.0f, 15.56f)
            arcTo(23.65f, 23.65f, 0.0f, false, false, 44.53f, 90.6f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(102.49f, 83.3f)
            lineTo(91.27f, 86.69f)
            curveToRelative(-2.54f, -0.27f, -5.29f, -0.59f, -7.0f, -2.86f)
            curveToRelative(1.54f, 0.0f, 3.5f, 0.58f, 5.24f, 0.32f)
            horizontalLineToRelative(6.3f)
            arcTo(2.92f, 2.92f, 0.0f, false, false, 97.0f, 83.0f)
            curveToRelative(-3.0f, -1.11f, -6.25f, -1.69f, -9.48f, -2.8f)
            curveToRelative(3.76f, -0.85f, 8.0f, 0.26f, 11.49f, 1.43f)
            curveToRelative(0.74f, 0.0f, 1.0f, -1.17f, 1.75f, -2.0f)
            lineTo(93.5f, 77.05f)
            curveToRelative(2.75f, 0.0f, 6.0f, -0.58f, 8.52f, 0.85f)
            curveToRelative(6.46f, -5.93f, 12.23f, -13.0f, 19.48f, -17.0f)
            curveToRelative(-3.23f, 3.65f, -7.73f, 8.47f, -10.75f, 13.28f)
            curveToRelative(3.5f, -2.0f, 6.25f, -6.51f, 9.27f, -9.0f)
            curveToRelative(2.75f, -2.0f, 5.24f, -4.23f, 8.2f, -5.4f)
            curveTo(123.51f, 71.07f, 112.76f, 80.18f, 102.49f, 83.3f)
            close()
        }
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(33.73f, 72.0f)
            lineToRelative(-0.21f, 0.27f)
            curveToRelative(0.21f, -2.55f, 3.0f, -4.56f, 4.71f, -6.25f)
            curveToRelative(8.52f, -6.25f, 18.0f, -11.06f, 28.53f, -12.76f)
            curveToRelative(1.0f, 0.58f, 2.0f, 2.0f, 3.23f, 2.86f)
            arcToRelative(41.68f, 41.68f, 0.0f, false, true, -5.77f, 1.11f)
            curveToRelative(-5.0f, 1.17f, -8.94f, 4.82f, -12.7f, 8.52f)
            curveToRelative(-3.76f, 3.39f, -7.25f, 7.1f, -11.0f, 10.17f)
            curveToRelative(4.23f, -6.2f, 10.0f, -11.59f, 15.24f, -16.68f)
            curveTo(47.76f, 61.44f, 41.0f, 66.84f, 33.73f, 72.0f)
            close()
        }
    }
        .build()
}
