package com.mshdabiola.designsystem.icon.woman

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp

fun Woman.getGreen(iconColor: Color, accentColor: Color): ImageVector {
    return Builder(
        name = "Green1",
        defaultWidth = 200.0.dp,
        defaultHeight = 200.0.dp,
        viewportWidth = 200.0f,
        viewportHeight = 200.0f,
    ).apply {
        path(
            fill = SolidColor(accentColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(41.78f, 159.44f)
            lineTo(41.78f, 159.0f)
            lineToRelative(2.0f, -4.0f)
            arcToRelative(20.0f, 20.0f, 0.0f, false, true, -10.0f, -2.0f)
            lineToRelative(0.47f, -0.47f)
            arcToRelative(24.13f, 24.13f, 0.0f, false, false, 10.27f, 1.21f)
            arcToRelative(24.9f, 24.9f, 0.0f, false, false, 3.0f, -8.0f)
            curveToRelative(-2.75f, 1.48f, -4.29f, 4.24f, -6.51f, 6.51f)
            lineToRelative(-0.27f, -0.26f)
            curveToRelative(0.74f, -2.0f, 2.28f, -3.23f, 3.5f, -5.0f)
            curveToRelative(4.28f, -1.0f, 3.28f, -7.25f, 4.5f, -10.48f)
            curveToRelative(0.26f, -0.26f, 0.0f, -0.53f, 0.53f, -0.79f)
            curveToRelative(0.0f, 6.0f, 2.0f, 11.27f, 1.48f, 17.52f)
            lineToRelative(0.26f, 0.47f)
            arcToRelative(23.2f, 23.2f, 0.0f, false, false, 3.76f, -3.0f)
            curveToRelative(0.0f, 1.53f, -2.0f, 2.54f, -3.0f, 3.75f)
            lineToRelative(-0.74f, 3.0f)
            curveToRelative(-1.0f, -3.49f, -0.74f, -8.0f, -1.27f, -11.75f)
            curveToRelative(-0.47f, 0.27f, -0.74f, 1.0f, -1.0f, 1.27f)
            arcTo(48.45f, 48.45f, 0.0f, false, false, 46.0f, 153.46f)
            lineToRelative(3.29f, 0.79f)
            lineToRelative(-0.27f, 0.48f)
            lineTo(46.54f, 154.73f)
            curveTo(45.8f, 156.0f, 45.0f, 157.48f, 44.06f, 159.0f)
            curveToRelative(0.0f, -1.0f, 0.47f, -2.0f, 0.47f, -3.0f)
            close()
            moveTo(169.3f, 194.69f)
            curveToRelative(5.71f, 1.22f, 11.48f, 0.27f, 17.47f, 0.0f)
            lineToRelative(0.53f, -3.0f)
            curveToRelative(-10.0f, 0.53f, -21.0f, 0.53f, -29.75f, -3.5f)
            curveToRelative(-7.26f, -3.23f, -15.0f, -8.25f, -20.0f, -15.45f)
            curveToRelative(-4.5f, -9.0f, -4.5f, -20.22f, -4.0f, -30.49f)
            lineToRelative(1.27f, 0.53f)
            curveToRelative(8.47f, 2.22f, 16.52f, 5.45f, 25.52f, 6.0f)
            curveToRelative(11.22f, 1.74f, 20.48f, -3.0f, 28.74f, -8.52f)
            curveToRelative(3.71f, -2.23f, 7.0f, -6.0f, 10.22f, -8.74f)
            lineToRelative(0.74f, -0.74f)
            curveToRelative(-4.71f, -13.0f, -12.49f, -26.2f, -23.24f, -36.47f)
            curveToRelative(-7.25f, -6.72f, -16.73f, -9.48f, -27.0f, -9.21f)
            curveToRelative(3.49f, -5.77f, 7.78f, -11.28f, 6.77f, -18.74f)
            curveToRelative(-0.26f, -3.23f, -0.74f, -6.78f, 0.74f, -9.48f)
            curveToRelative(3.23f, -4.76f, 5.51f, -9.52f, 5.51f, -15.77f)
            lineToRelative(0.21f, -7.46f)
            curveToRelative(2.27f, -5.77f, 3.28f, -12.0f, 6.77f, -17.26f)
            curveToRelative(3.5f, -3.23f, 6.52f, -7.73f, 10.75f, -10.48f)
            lineToRelative(1.0f, -0.48f)
            curveToRelative(-5.77f, 0.21f, -11.76f, 0.74f, -16.52f, 3.49f)
            curveToRelative(-0.21f, 2.0f, 0.26f, 3.5f, 0.26f, 5.72f)
            verticalLineToRelative(0.53f)
            curveToRelative(-0.74f, 4.71f, -1.74f, 9.48f, -5.24f, 13.23f)
            curveToRelative(-0.74f, 2.49f, -2.0f, 4.72f, -2.27f, 7.47f)
            curveToRelative(0.26f, 3.76f, 3.0f, 7.78f, 0.74f, 11.49f)
            curveToRelative(-1.75f, 4.23f, -5.72f, 7.25f, -7.73f, 11.27f)
            curveToRelative(-1.0f, 3.0f, 0.53f, 6.19f, 0.53f, 9.21f)
            arcToRelative(14.74f, 14.74f, 0.0f, false, true, -2.0f, 9.0f)
            curveToRelative(-0.27f, 0.74f, -0.53f, 1.0f, -0.74f, 1.75f)
            curveToRelative(-3.28f, 4.76f, -8.79f, 5.5f, -12.76f, 8.73f)
            curveToRelative(-2.54f, 1.48f, -6.0f, 0.53f, -7.52f, 3.49f)
            curveToRelative(-1.48f, 2.49f, -4.0f, 5.24f, -7.0f, 5.77f)
            curveToRelative(-3.5f, 0.22f, -6.78f, -0.53f, -10.0f, 0.0f)
            curveToRelative(-3.0f, 1.0f, -5.0f, 4.5f, -8.0f, 5.51f)
            curveToRelative(-4.77f, 1.22f, -9.26f, -0.53f, -13.0f, -2.54f)
            arcToRelative(21.85f, 21.85f, 0.0f, false, true, -7.47f, 6.24f)
            curveToRelative(0.21f, 1.28f, 0.74f, 3.0f, 0.21f, 4.5f)
            curveToRelative(-0.21f, 1.0f, -1.0f, 2.49f, -2.22f, 2.76f)
            curveToRelative(-1.75f, 0.26f, -2.75f, -1.22f, -4.29f, -1.49f)
            arcToRelative(3.29f, 3.29f, 0.0f, false, true, -0.47f, -0.74f)
            curveToRelative(0.26f, -0.53f, 0.74f, 0.0f, 1.0f, 0.0f)
            curveToRelative(1.27f, 0.0f, 3.0f, 1.22f, 4.0f, 0.0f)
            curveToRelative(2.54f, -3.0f, -0.47f, -5.77f, -1.48f, -8.25f)
            curveToRelative(-2.22f, -5.77f, -4.5f, -14.0f, -12.0f, -14.72f)
            curveToRelative(-2.49f, -0.26f, -5.25f, -0.79f, -7.47f, 1.0f)
            curveToRelative(-2.0f, 1.75f, -2.49f, 4.5f, -2.49f, 7.25f)
            lineToRelative(1.49f, 4.0f)
            lineToRelative(3.49f, 3.49f)
            curveToRelative(0.0f, 0.48f, 0.0f, 0.48f, -0.27f, 0.74f)
            curveToRelative(-0.47f, 0.27f, -0.47f, 0.27f, -0.74f, 0.27f)
            arcToRelative(1.67f, 1.67f, 0.0f, false, false, -0.1f, -0.53f)
            lineToRelative(-0.16f, 1.27f)
            arcToRelative(25.33f, 25.33f, 0.0f, false, true, -3.0f, 8.26f)
            curveToRelative(-3.0f, 5.24f, -9.0f, 7.72f, -14.76f, 8.47f)
            curveToRelative(-10.0f, 1.0f, -16.26f, -8.26f, -25.0f, -10.49f)
            arcTo(9.31f, 9.31f, 0.0f, false, false, 9.0f, 114.29f)
            curveTo(5.78f, 117.0f, 5.52f, 121.49f, 4.3f, 125.0f)
            arcToRelative(0.62f, 0.62f, 0.0f, false, true, 0.0f, -0.42f)
            lineToRelative(-3.0f, 0.9f)
            arcToRelative(24.26f, 24.26f, 0.0f, false, false, 3.28f, 7.0f)
            curveToRelative(1.54f, 9.26f, 9.27f, 19.74f, 14.0f, 23.23f)
            curveToRelative(7.0f, 5.0f, 15.25f, 8.74f, 24.51f, 6.73f)
            curveToRelative(0.74f, 1.53f, 0.0f, 3.0f, 0.0f, 4.5f)
            curveToRelative(1.0f, -1.49f, 1.75f, -3.0f, 2.75f, -4.71f)
            curveToRelative(5.0f, 3.7f, 9.21f, 8.94f, 13.24f, 13.44f)
            arcToRelative(4.43f, 4.43f, 0.0f, false, false, 3.0f, 1.0f)
            curveToRelative(3.0f, -0.48f, 3.0f, -4.0f, 5.46f, -5.51f)
            curveToRelative(3.28f, 0.53f, 5.5f, 4.29f, 8.0f, 6.25f)
            arcToRelative(17.94f, 17.94f, 0.0f, false, false, 4.0f, -1.48f)
            curveToRelative(1.0f, 1.0f, 2.0f, 2.22f, 3.49f, 2.48f)
            curveToRelative(4.5f, 0.0f, 5.51f, -7.25f, 10.54f, -6.0f)
            curveToRelative(3.23f, 0.48f, 8.0f, 2.23f, 10.22f, -1.48f)
            curveToRelative(3.28f, -3.49f, 2.27f, -8.73f, 2.27f, -13.23f)
            arcTo(78.66f, 78.66f, 0.0f, false, false, 98.79f, 129.0f)
            verticalLineToRelative(-0.47f)
            curveToRelative(2.22f, 2.48f, 5.0f, 8.2f, 6.51f, 12.22f)
            curveToRelative(4.23f, -1.53f, 9.21f, -1.53f, 13.71f, -2.27f)
            lineToRelative(7.78f, -1.48f)
            lineTo(156.0f, 135.25f)
            lineTo(156.0f, 135.0f)
            curveToRelative(2.49f, -2.22f, 4.0f, -5.0f, 3.0f, -8.46f)
            curveToRelative(-1.0f, -4.0f, -0.27f, -8.74f, 0.74f, -12.5f)
            arcTo(59.14f, 59.14f, 0.0f, false, false, 166.0f, 98.3f)
            curveToRelative(1.27f, 2.75f, -0.27f, 5.72f, -1.49f, 8.21f)
            curveToRelative(-2.48f, 5.5f, -4.76f, 11.75f, -2.75f, 18.26f)
            curveToRelative(0.27f, 3.0f, 2.22f, 5.24f, 1.22f, 8.26f)
            curveToRelative(-2.0f, 4.0f, -6.0f, 5.71f, -8.0f, 9.47f)
            curveToRelative(-0.75f, 0.48f, -0.48f, -0.53f, -0.75f, -0.74f)
            arcToRelative(9.53f, 9.53f, 0.0f, false, true, 0.75f, -5.24f)
            curveTo(146.27f, 138.0f, 137.54f, 138.0f, 128.54f, 139.0f)
            curveToRelative(0.21f, 1.0f, 0.74f, 2.22f, 1.0f, 3.23f)
            curveToRelative(1.75f, 9.74f, -0.79f, 20.75f, 3.5f, 29.22f)
            curveTo(140.29f, 185.43f, 155.27f, 191.68f, 169.3f, 194.69f)
            close()
            moveTo(76.0f, 176.22f)
            horizontalLineToRelative(-0.48f)
            lineToRelative(-0.26f, -3.28f)
            curveToRelative(3.49f, -2.49f, 5.0f, -6.25f, 7.0f, -9.21f)
            curveToRelative(0.53f, 0.74f, -0.26f, 1.74f, -0.26f, 2.49f)
            curveTo(81.27f, 170.45f, 75.0f, 171.72f, 76.0f, 176.22f)
            close()
            moveTo(85.74f, 175.22f)
            lineTo(85.5f, 175.0f)
            lineToRelative(0.27f, -0.26f)
            curveToRelative(-1.0f, -2.23f, -1.22f, -4.5f, -2.0f, -6.46f)
            curveToRelative(-1.49f, 2.0f, -2.0f, 4.5f, -3.71f, 6.46f)
            horizontalLineToRelative(-0.26f)
            arcToRelative(39.25f, 39.25f, 0.0f, false, false, 3.75f, -8.21f)
            arcTo(33.55f, 33.55f, 0.0f, false, true, 85.77f, 172.0f)
            curveTo(86.0f, 172.94f, 86.3f, 174.47f, 85.77f, 175.21f)
            close()
            moveTo(64.99f, 171.22f)
            arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.48f, -0.74f)
            curveToRelative(0.21f, -1.75f, 2.0f, -1.48f, 2.49f, -3.0f)
            curveToRelative(0.0f, -0.8f, 0.26f, -1.75f, -0.48f, -2.28f)
            curveToRelative(-1.53f, -1.0f, -3.76f, -0.48f, -5.29f, 0.0f)
            arcToRelative(6.39f, 6.39f, 0.0f, false, true, 3.0f, -1.75f)
            arcToRelative(5.16f, 5.16f, 0.0f, false, true, 3.23f, 1.27f)
            arcTo(2.83f, 2.83f, 0.0f, false, true, 68.3f, 167.0f)
            arcTo(29.42f, 29.42f, 0.0f, false, true, 65.0f, 171.19f)
            close()
            moveTo(37.28f, 161.0f)
            arcToRelative(5.52f, 5.52f, 0.0f, false, true, -3.49f, -0.75f)
            arcToRelative(21.89f, 21.89f, 0.0f, false, true, -4.5f, -7.72f)
            curveToRelative(-1.0f, -2.76f, 0.26f, -5.3f, 0.74f, -7.79f)
            curveToRelative(1.0f, -2.48f, 3.0f, -4.23f, 4.76f, -6.24f)
            curveToRelative(-3.76f, 0.53f, -8.0f, 0.53f, -10.27f, -2.75f)
            lineTo(23.3f, 132.0f)
            lineToRelative(0.75f, 1.0f)
            curveToRelative(2.22f, 4.0f, 6.51f, 4.71f, 10.48f, 5.24f)
            curveToRelative(0.53f, 0.0f, 1.0f, 0.21f, 1.0f, 0.47f)
            curveToRelative(-3.0f, 4.24f, -5.77f, 8.74f, -5.0f, 14.51f)
            arcTo(18.24f, 18.24f, 0.0f, false, false, 37.28f, 161.0f)
            close()
            moveTo(77.77f, 156.23f)
            curveToRelative(-10.26f, 0.27f, -10.48f, -11.22f, -14.5f, -17.47f)
            curveToRelative(-1.75f, -2.75f, -3.49f, -5.5f, -6.25f, -7.25f)
            curveToRelative(-2.22f, -1.75f, -5.0f, -1.48f, -7.51f, -1.22f)
            arcToRelative(10.8f, 10.8f, 0.0f, false, true, 4.76f, -1.0f)
            lineToRelative(0.53f, -0.27f)
            curveToRelative(5.72f, 0.0f, 9.0f, 6.25f, 10.48f, 11.0f)
            curveToRelative(2.49f, 4.24f, 4.5f, 9.0f, 7.52f, 13.0f)
            lineToRelative(0.21f, 0.27f)
            arcTo(14.39f, 14.39f, 0.0f, false, false, 77.77f, 156.21f)
            close()
            moveTo(71.26f, 102.08f)
            reflectiveCurveToRelative(1.54f, 0.74f, 0.74f, 1.48f)
            arcToRelative(13.94f, 13.94f, 0.0f, false, false, -6.24f, -2.75f)
            arcTo(6.19f, 6.19f, 0.0f, false, true, 71.26f, 102.06f)
            close()
            moveTo(72.26f, 98.8f)
            curveToRelative(-1.75f, 1.27f, -2.75f, -1.0f, -4.24f, -1.48f)
            arcToRelative(6.64f, 6.64f, 0.0f, false, false, -4.5f, 1.0f)
            arcToRelative(5.05f, 5.05f, 0.0f, false, true, 2.76f, -1.75f)
            curveToRelative(1.74f, -0.53f, 3.0f, 0.22f, 4.5f, 0.75f)
            curveToRelative(1.48f, 0.26f, 3.23f, 0.0f, 4.0f, 1.0f)
            curveToRelative(-2.0f, -3.0f, -5.24f, -7.25f, -9.48f, -6.51f)
            arcToRelative(4.91f, 4.91f, 0.0f, false, false, -3.49f, 2.75f)
            curveToRelative(-0.27f, -0.47f, 0.0f, -0.47f, 0.0f, -1.0f)
            curveToRelative(0.74f, -2.0f, 2.75f, -2.23f, 4.76f, -2.23f)
            curveToRelative(5.0f, 0.22f, 8.0f, 5.24f, 9.48f, 9.21f)
            curveTo(74.55f, 100.52f, 73.8f, 98.51f, 72.27f, 98.78f)
            close()
        }
        path(
            fill = SolidColor(iconColor),
            stroke = null,
            strokeLineWidth = 0.0f,
            strokeLineCap = Butt,
            strokeLineJoin = Miter,
            strokeLineMiter = 4.0f,
            pathFillType = NonZero,
        ) {
            moveTo(1.23f, 125.51f)
            lineToRelative(3.0f, -0.9f)
            curveToRelative(-0.11f, -0.48f, 0.0f, -1.0f, -0.21f, -1.32f)
            curveToRelative(1.0f, -5.51f, 4.0f, -11.76f, 9.47f, -13.5f)
            curveToRelative(8.26f, -0.74f, 13.76f, 5.0f, 19.75f, 9.0f)
            arcToRelative(17.79f, 17.79f, 0.0f, false, false, 11.27f, 1.48f)
            curveToRelative(8.26f, -0.53f, 14.24f, -8.0f, 16.73f, -15.0f)
            lineToRelative(0.16f, -1.27f)
            arcToRelative(9.45f, 9.45f, 0.0f, false, false, -1.64f, -1.75f)
            curveToRelative(-1.75f, -2.22f, -4.24f, -5.72f, -3.23f, -9.21f)
            curveToRelative(0.0f, -2.0f, 2.0f, -4.0f, 3.49f, -5.24f)
            curveToRelative(3.0f, -2.0f, 7.25f, -1.27f, 10.48f, -0.79f)
            arcToRelative(9.33f, 9.33f, 0.0f, false, true, 3.76f, 3.0f)
            curveTo(78.0f, 94.28f, 79.52f, 99.31f, 82.0f, 104.0f)
            arcToRelative(21.22f, 21.22f, 0.0f, false, false, 6.25f, -3.76f)
            curveToRelative(-1.0f, -5.72f, -2.0f, -11.49f, -5.72f, -16.2f)
            curveToRelative(-3.28f, -3.76f, -6.51f, -8.0f, -10.27f, -11.22f)
            curveToRelative(-3.23f, -2.75f, -7.0f, -5.0f, -10.22f, -8.0f)
            curveToRelative(13.24f, 5.3f, 25.46f, 19.54f, 27.0f, 33.25f)
            lineToRelative(0.21f, -0.27f)
            curveTo(91.8f, 96.0f, 93.0f, 93.54f, 94.5f, 91.31f)
            arcTo(40.43f, 40.43f, 0.0f, false, true, 92.0f, 98.78f)
            arcToRelative(11.32f, 11.32f, 0.0f, false, false, 11.28f, 1.0f)
            curveToRelative(2.49f, -1.74f, 4.23f, -5.71f, 8.0f, -5.24f)
            curveToRelative(4.24f, 0.48f, 10.0f, 1.75f, 13.5f, -1.48f)
            curveToRelative(2.0f, -2.0f, 2.75f, -4.76f, 4.5f, -6.78f)
            curveToRelative(6.25f, -0.47f, 11.22f, -4.49f, 16.25f, -8.25f)
            arcToRelative(11.6f, 11.6f, 0.0f, false, false, 2.0f, -12.0f)
            curveToRelative(-1.27f, -2.22f, -2.0f, -5.24f, -0.53f, -7.46f)
            curveToRelative(2.76f, -4.76f, 9.74f, -7.0f, 9.0f, -13.0f)
            curveToRelative(0.53f, -5.51f, -4.0f, -11.49f, 0.0f, -16.46f)
            curveToRelative(3.0f, -3.76f, 5.51f, -8.0f, 4.77f, -13.24f)
            arcToRelative(22.74f, 22.74f, 0.0f, false, false, -2.28f, -9.26f)
            curveToRelative(-5.72f, -4.5f, -12.49f, 0.0f, -17.47f, 2.49f)
            curveToRelative(-2.49f, 1.0f, -4.76f, -0.22f, -7.25f, -0.22f)
            curveToRelative(-6.25f, 0.22f, -13.23f, -0.52f, -18.26f, 3.76f)
            curveToRelative(-3.76f, 3.0f, -7.26f, 7.0f, -12.5f, 6.0f)
            curveToRelative(-5.77f, -0.74f, -12.75f, -1.0f, -17.25f, 3.0f)
            curveToRelative(-2.23f, 2.28f, -3.5f, 6.0f, -7.0f, 6.77f)
            curveToRelative(-4.5f, 1.75f, -10.27f, 0.48f, -14.77f, 2.23f)
            curveToRelative(-5.5f, 1.74f, -10.22f, 7.51f, -13.23f, 12.23f)
            curveToRelative(-3.0f, 4.5f, -4.0f, 9.74f, -4.5f, 15.24f)
            curveTo(41.0f, 59.08f, 35.53f, 59.55f, 31.0f, 62.31f)
            curveToRelative(-8.25f, 3.0f, -15.77f, 9.74f, -21.22f, 17.25f)
            curveTo(2.0f, 90.78f, -0.2f, 104.0f, 0.0f, 118.26f)
            arcTo(29.8f, 29.8f, 0.0f, false, false, 1.23f, 125.51f)
            close()
        }
    }
        .build()
}
